#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1999
#define LARGE_STATE_COUNT 530
#define SYMBOL_COUNT 302
#define ALIAS_COUNT 3
#define TOKEN_COUNT 140
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 36
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 115

enum {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  anon_sym_LF = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  aux_sym_preproc_if_token2 = 10,
  aux_sym_preproc_ifdef_token1 = 11,
  aux_sym_preproc_ifdef_token2 = 12,
  aux_sym_preproc_else_token1 = 13,
  aux_sym_preproc_elif_token1 = 14,
  aux_sym_preproc_elifdef_token1 = 15,
  aux_sym_preproc_elifdef_token2 = 16,
  sym_preproc_arg = 17,
  sym_preproc_directive = 18,
  anon_sym_LPAREN2 = 19,
  anon_sym_defined = 20,
  anon_sym_BANG = 21,
  anon_sym_TILDE = 22,
  anon_sym_DASH = 23,
  anon_sym_PLUS = 24,
  anon_sym_STAR = 25,
  anon_sym_SLASH = 26,
  anon_sym_PERCENT = 27,
  anon_sym_PIPE_PIPE = 28,
  anon_sym_AMP_AMP = 29,
  anon_sym_PIPE = 30,
  anon_sym_CARET = 31,
  anon_sym_AMP = 32,
  anon_sym_EQ_EQ = 33,
  anon_sym_BANG_EQ = 34,
  anon_sym_GT = 35,
  anon_sym_GT_EQ = 36,
  anon_sym_LT_EQ = 37,
  anon_sym_LT = 38,
  anon_sym_LT_LT = 39,
  anon_sym_GT_GT = 40,
  anon_sym_SEMI = 41,
  anon_sym_typedef = 42,
  anon_sym_extern = 43,
  anon_sym___attribute__ = 44,
  anon_sym_COLON_COLON = 45,
  anon_sym_LBRACK_LBRACK = 46,
  anon_sym_RBRACK_RBRACK = 47,
  anon_sym___declspec = 48,
  anon_sym___based = 49,
  anon_sym___cdecl = 50,
  anon_sym___clrcall = 51,
  anon_sym___stdcall = 52,
  anon_sym___fastcall = 53,
  anon_sym___thiscall = 54,
  anon_sym___vectorcall = 55,
  sym_ms_restrict_modifier = 56,
  sym_ms_unsigned_ptr_modifier = 57,
  sym_ms_signed_ptr_modifier = 58,
  anon_sym__unaligned = 59,
  anon_sym___unaligned = 60,
  anon_sym_LBRACE = 61,
  anon_sym_RBRACE = 62,
  anon_sym_LBRACK = 63,
  anon_sym_RBRACK = 64,
  anon_sym_EQ = 65,
  anon_sym_static = 66,
  anon_sym_auto = 67,
  anon_sym_register = 68,
  anon_sym_inline = 69,
  anon_sym_thread_local = 70,
  anon_sym_const = 71,
  anon_sym_constexpr = 72,
  anon_sym_volatile = 73,
  anon_sym_restrict = 74,
  anon_sym___restrict__ = 75,
  anon_sym__Atomic = 76,
  anon_sym__Noreturn = 77,
  anon_sym_noreturn = 78,
  anon_sym_signed = 79,
  anon_sym_unsigned = 80,
  anon_sym_long = 81,
  anon_sym_short = 82,
  sym_primitive_type = 83,
  anon_sym_enum = 84,
  anon_sym_COLON = 85,
  anon_sym_struct = 86,
  anon_sym_union = 87,
  anon_sym_if = 88,
  anon_sym_else = 89,
  anon_sym_switch = 90,
  anon_sym_case = 91,
  anon_sym_default = 92,
  anon_sym_while = 93,
  anon_sym_do = 94,
  anon_sym_for = 95,
  anon_sym_return = 96,
  anon_sym_break = 97,
  anon_sym_continue = 98,
  anon_sym_goto = 99,
  anon_sym_QMARK = 100,
  anon_sym_STAR_EQ = 101,
  anon_sym_SLASH_EQ = 102,
  anon_sym_PERCENT_EQ = 103,
  anon_sym_PLUS_EQ = 104,
  anon_sym_DASH_EQ = 105,
  anon_sym_LT_LT_EQ = 106,
  anon_sym_GT_GT_EQ = 107,
  anon_sym_AMP_EQ = 108,
  anon_sym_CARET_EQ = 109,
  anon_sym_PIPE_EQ = 110,
  anon_sym_DASH_DASH = 111,
  anon_sym_PLUS_PLUS = 112,
  anon_sym_sizeof = 113,
  anon_sym_offsetof = 114,
  anon_sym__Generic = 115,
  anon_sym_asm = 116,
  anon_sym___asm__ = 117,
  anon_sym_DOT = 118,
  anon_sym_DASH_GT = 119,
  sym_number_literal = 120,
  anon_sym_L_SQUOTE = 121,
  anon_sym_u_SQUOTE = 122,
  anon_sym_U_SQUOTE = 123,
  anon_sym_u8_SQUOTE = 124,
  anon_sym_SQUOTE = 125,
  aux_sym_char_literal_token1 = 126,
  anon_sym_L_DQUOTE = 127,
  anon_sym_u_DQUOTE = 128,
  anon_sym_U_DQUOTE = 129,
  anon_sym_u8_DQUOTE = 130,
  anon_sym_DQUOTE = 131,
  aux_sym_string_literal_token1 = 132,
  sym_escape_sequence = 133,
  sym_system_lib_string = 134,
  sym_true = 135,
  sym_false = 136,
  anon_sym_NULL = 137,
  anon_sym_nullptr = 138,
  sym_comment = 139,
  sym_translation_unit = 140,
  sym_preproc_include = 141,
  sym_preproc_def = 142,
  sym_preproc_function_def = 143,
  sym_preproc_params = 144,
  sym_preproc_call = 145,
  sym_preproc_if = 146,
  sym_preproc_ifdef = 147,
  sym_preproc_else = 148,
  sym_preproc_elif = 149,
  sym_preproc_elifdef = 150,
  sym_preproc_if_in_field_declaration_list = 151,
  sym_preproc_ifdef_in_field_declaration_list = 152,
  sym_preproc_else_in_field_declaration_list = 153,
  sym_preproc_elif_in_field_declaration_list = 154,
  sym__preproc_expression = 155,
  sym_preproc_parenthesized_expression = 156,
  sym_preproc_defined = 157,
  sym_preproc_unary_expression = 158,
  sym_preproc_call_expression = 159,
  sym_preproc_argument_list = 160,
  sym_preproc_binary_expression = 161,
  sym_function_definition = 162,
  sym_declaration = 163,
  sym_type_definition = 164,
  sym__declaration_modifiers = 165,
  sym__declaration_specifiers = 166,
  sym_linkage_specification = 167,
  sym_attribute_specifier = 168,
  sym_attribute = 169,
  sym_attribute_declaration = 170,
  sym_ms_declspec_modifier = 171,
  sym_ms_based_modifier = 172,
  sym_ms_call_modifier = 173,
  sym_ms_unaligned_ptr_modifier = 174,
  sym_ms_pointer_modifier = 175,
  sym_declaration_list = 176,
  sym__declarator = 177,
  sym__field_declarator = 178,
  sym__type_declarator = 179,
  sym__abstract_declarator = 180,
  sym_parenthesized_declarator = 181,
  sym_parenthesized_field_declarator = 182,
  sym_parenthesized_type_declarator = 183,
  sym_abstract_parenthesized_declarator = 184,
  sym_attributed_declarator = 185,
  sym_attributed_field_declarator = 186,
  sym_attributed_type_declarator = 187,
  sym_pointer_declarator = 188,
  sym_pointer_field_declarator = 189,
  sym_pointer_type_declarator = 190,
  sym_abstract_pointer_declarator = 191,
  sym_function_declarator = 192,
  sym_function_field_declarator = 193,
  sym_function_type_declarator = 194,
  sym_abstract_function_declarator = 195,
  sym_array_declarator = 196,
  sym_array_field_declarator = 197,
  sym_array_type_declarator = 198,
  sym_abstract_array_declarator = 199,
  sym_init_declarator = 200,
  sym_compound_statement = 201,
  sym_storage_class_specifier = 202,
  sym_type_qualifier = 203,
  sym__typedef_type_specifier = 204,
  sym__type_specifier = 205,
  aux_sym__typedef_sized_type_specifier = 206,
  sym_sized_type_specifier = 207,
  sym_enum_specifier = 208,
  sym_enumerator_list = 209,
  sym_struct_specifier = 210,
  sym_union_specifier = 211,
  sym_field_declaration_list = 212,
  sym__field_declaration_list_item = 213,
  sym_field_declaration = 214,
  sym_bitfield_clause = 215,
  sym_enumerator = 216,
  sym_variadic_parameter = 217,
  sym_parameter_list = 218,
  sym_parameter_declaration = 219,
  sym_attributed_statement = 220,
  sym_labeled_statement = 221,
  sym__top_level_expression_statement = 222,
  sym_expression_statement = 223,
  sym_if_statement = 224,
  sym_else_clause = 225,
  sym_switch_statement = 226,
  sym_case_statement = 227,
  sym_while_statement = 228,
  sym_do_statement = 229,
  sym_for_statement = 230,
  sym_return_statement = 231,
  sym_break_statement = 232,
  sym_continue_statement = 233,
  sym_goto_statement = 234,
  sym__expression = 235,
  sym__expression_not_binary = 236,
  sym_comma_expression = 237,
  sym_conditional_expression = 238,
  sym_assignment_expression = 239,
  sym_pointer_expression = 240,
  sym_unary_expression = 241,
  sym_binary_expression = 242,
  sym_update_expression = 243,
  sym_cast_expression = 244,
  sym_type_descriptor = 245,
  sym_sizeof_expression = 246,
  sym_offsetof_expression = 247,
  sym_generic_expression = 248,
  sym_subscript_expression = 249,
  sym_call_expression = 250,
  sym_gnu_asm_expression = 251,
  sym_gnu_asm_qualifier = 252,
  sym_gnu_asm_output_operand_list = 253,
  sym_gnu_asm_output_operand = 254,
  sym_gnu_asm_input_operand_list = 255,
  sym_gnu_asm_input_operand = 256,
  sym_gnu_asm_clobber_list = 257,
  sym_gnu_asm_goto_list = 258,
  sym_argument_list = 259,
  sym_field_expression = 260,
  sym_compound_literal_expression = 261,
  sym_parenthesized_expression = 262,
  sym_initializer_list = 263,
  sym_initializer_pair = 264,
  sym_subscript_designator = 265,
  sym_field_designator = 266,
  sym_char_literal = 267,
  sym_concatenated_string = 268,
  sym_string_literal = 269,
  sym_null = 270,
  sym__empty_declaration = 271,
  sym_macro_type_specifier = 272,
  aux_sym_translation_unit_repeat1 = 273,
  aux_sym_preproc_params_repeat1 = 274,
  aux_sym_preproc_if_repeat1 = 275,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 276,
  aux_sym_preproc_argument_list_repeat1 = 277,
  aux_sym_declaration_repeat1 = 278,
  aux_sym_type_definition_repeat1 = 279,
  aux_sym_type_definition_repeat2 = 280,
  aux_sym__declaration_specifiers_repeat1 = 281,
  aux_sym_attribute_declaration_repeat1 = 282,
  aux_sym_attributed_declarator_repeat1 = 283,
  aux_sym_pointer_declarator_repeat1 = 284,
  aux_sym_function_declarator_repeat1 = 285,
  aux_sym_sized_type_specifier_repeat1 = 286,
  aux_sym_enumerator_list_repeat1 = 287,
  aux_sym_field_declaration_repeat1 = 288,
  aux_sym_parameter_list_repeat1 = 289,
  aux_sym_case_statement_repeat1 = 290,
  aux_sym_generic_expression_repeat1 = 291,
  aux_sym_gnu_asm_expression_repeat1 = 292,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 293,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 294,
  aux_sym_gnu_asm_clobber_list_repeat1 = 295,
  aux_sym_gnu_asm_goto_list_repeat1 = 296,
  aux_sym_argument_list_repeat1 = 297,
  aux_sym_initializer_list_repeat1 = 298,
  aux_sym_initializer_pair_repeat1 = 299,
  aux_sym_concatenated_string_repeat1 = 300,
  aux_sym_string_literal_repeat1 = 301,
  alias_sym_field_identifier = 302,
  alias_sym_statement_identifier = 303,
  alias_sym_type_identifier = 304,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__typedef_type_specifier] = "_typedef_type_specifier",
  [sym__type_specifier] = "_type_specifier",
  [aux_sym__typedef_sized_type_specifier] = "_typedef_sized_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_definition_repeat2] = "type_definition_repeat2",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__typedef_type_specifier] = sym__typedef_type_specifier,
  [sym__type_specifier] = sym__type_specifier,
  [aux_sym__typedef_sized_type_specifier] = aux_sym__typedef_sized_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_definition_repeat2] = aux_sym_type_definition_repeat2,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__typedef_type_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [aux_sym__typedef_sized_type_specifier] = {
    .visible = false,
    .named = false,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_field = 13,
  field_function = 14,
  field_goto_labels = 15,
  field_index = 16,
  field_initializer = 17,
  field_input_operands = 18,
  field_label = 19,
  field_left = 20,
  field_member = 21,
  field_name = 22,
  field_operand = 23,
  field_operator = 24,
  field_output_operands = 25,
  field_parameters = 26,
  field_path = 27,
  field_prefix = 28,
  field_register = 29,
  field_right = 30,
  field_size = 31,
  field_symbol = 32,
  field_type = 33,
  field_underlying_type = 34,
  field_update = 35,
  field_value = 36,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_field] = "field",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 1},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 1},
  [10] = {.index = 8, .length = 2},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 1},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 5, .length = 1},
  [16] = {.index = 14, .length = 2},
  [17] = {.index = 16, .length = 2},
  [18] = {.index = 18, .length = 1},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 3},
  [27] = {.index = 33, .length = 1},
  [28] = {.index = 34, .length = 1},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 3},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 3},
  [33] = {.index = 45, .length = 2},
  [34] = {.index = 47, .length = 2},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 2},
  [41] = {.index = 59, .length = 2},
  [42] = {.index = 61, .length = 2},
  [43] = {.index = 63, .length = 2},
  [45] = {.index = 65, .length = 2},
  [46] = {.index = 67, .length = 3},
  [47] = {.index = 70, .length = 1},
  [48] = {.index = 71, .length = 1},
  [49] = {.index = 72, .length = 2},
  [50] = {.index = 74, .length = 1},
  [51] = {.index = 75, .length = 1},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 3},
  [54] = {.index = 81, .length = 2},
  [55] = {.index = 83, .length = 3},
  [56] = {.index = 86, .length = 2},
  [57] = {.index = 88, .length = 2},
  [58] = {.index = 90, .length = 3},
  [59] = {.index = 93, .length = 2},
  [60] = {.index = 95, .length = 2},
  [61] = {.index = 97, .length = 1},
  [62] = {.index = 98, .length = 2},
  [63] = {.index = 100, .length = 3},
  [64] = {.index = 103, .length = 2},
  [65] = {.index = 105, .length = 2},
  [66] = {.index = 107, .length = 3},
  [67] = {.index = 110, .length = 2},
  [68] = {.index = 112, .length = 1},
  [69] = {.index = 113, .length = 2},
  [70] = {.index = 115, .length = 1},
  [71] = {.index = 116, .length = 1},
  [72] = {.index = 117, .length = 2},
  [73] = {.index = 119, .length = 3},
  [74] = {.index = 122, .length = 2},
  [75] = {.index = 124, .length = 1},
  [77] = {.index = 125, .length = 3},
  [78] = {.index = 128, .length = 3},
  [79] = {.index = 131, .length = 2},
  [80] = {.index = 133, .length = 1},
  [81] = {.index = 134, .length = 2},
  [82] = {.index = 136, .length = 2},
  [83] = {.index = 138, .length = 2},
  [84] = {.index = 140, .length = 3},
  [85] = {.index = 143, .length = 2},
  [86] = {.index = 145, .length = 1},
  [87] = {.index = 146, .length = 2},
  [88] = {.index = 148, .length = 2},
  [89] = {.index = 150, .length = 3},
  [90] = {.index = 153, .length = 3},
  [91] = {.index = 156, .length = 2},
  [92] = {.index = 158, .length = 2},
  [93] = {.index = 160, .length = 3},
  [94] = {.index = 163, .length = 3},
  [95] = {.index = 166, .length = 2},
  [96] = {.index = 168, .length = 2},
  [97] = {.index = 170, .length = 1},
  [98] = {.index = 171, .length = 4},
  [99] = {.index = 175, .length = 3},
  [100] = {.index = 178, .length = 3},
  [101] = {.index = 181, .length = 4},
  [102] = {.index = 185, .length = 3},
  [103] = {.index = 188, .length = 3},
  [104] = {.index = 191, .length = 2},
  [105] = {.index = 193, .length = 2},
  [106] = {.index = 29, .length = 1},
  [107] = {.index = 195, .length = 5},
  [108] = {.index = 200, .length = 4},
  [109] = {.index = 204, .length = 4},
  [110] = {.index = 208, .length = 2},
  [111] = {.index = 210, .length = 2},
  [112] = {.index = 212, .length = 5},
  [113] = {.index = 217, .length = 2},
  [114] = {.index = 219, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_value, 1},
  [8] =
    {field_argument, 0},
    {field_operator, 1},
  [10] =
    {field_arguments, 1},
    {field_function, 0},
  [12] =
    {field_type, 1},
  [13] =
    {field_path, 1},
  [14] =
    {field_argument, 1},
    {field_directive, 0},
  [16] =
    {field_declarator, 1},
    {field_type, 0},
  [18] =
    {field_parameters, 0},
  [19] =
    {field_body, 2},
    {field_value, 1},
  [21] =
    {field_body, 2},
    {field_name, 1},
  [23] =
    {field_name, 2},
  [24] =
    {field_body, 2},
  [25] =
    {field_condition, 1},
    {field_consequence, 2},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_label, 1},
  [30] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [33] =
    {field_label, 0},
  [34] =
    {field_declarator, 1},
  [35] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [37] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [40] =
    {field_declarator, 0},
    {field_parameters, 1},
  [42] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [45] =
    {field_name, 1},
    {field_value, 2},
  [47] =
    {field_name, 1},
    {field_parameters, 2},
  [49] =
    {field_condition, 1},
  [50] =
    {field_alternative, 2},
    {field_name, 1},
  [52] =
    {field_type, 0, .inherited = true},
  [53] =
    {field_declarator, 2},
    {field_type, 0},
  [55] =
    {field_left, 0},
    {field_right, 2},
  [57] =
    {field_type, 1},
    {field_value, 3},
  [59] =
    {field_declarator, 2},
    {field_type, 1},
  [61] =
    {field_name, 2},
    {field_prefix, 0},
  [63] =
    {field_name, 1},
    {field_underlying_type, 3},
  [65] =
    {field_body, 3},
    {field_name, 2},
  [67] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [70] =
    {field_type, 2},
  [71] =
    {field_assembly_code, 2},
  [72] =
    {field_name, 0},
    {field_type, 2},
  [74] =
    {field_declarator, 2},
  [75] =
    {field_declarator, 0},
  [76] =
    {field_declarator, 0},
    {field_value, 2},
  [78] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [81] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [83] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [86] =
    {field_argument, 0},
    {field_index, 2},
  [88] =
    {field_alternative, 3},
    {field_condition, 0},
  [90] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [93] =
    {field_alternative, 3},
    {field_condition, 1},
  [95] =
    {field_alternative, 3},
    {field_name, 1},
  [97] =
    {field_size, 1},
  [98] =
    {field_declarator, 3},
    {field_type, 1},
  [100] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 1},
  [103] =
    {field_declarator, 3},
    {field_type, 2},
  [105] =
    {field_name, 0},
    {field_value, 2},
  [107] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [110] =
    {field_body, 1},
    {field_condition, 3},
  [112] =
    {field_operand, 1},
  [113] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [115] =
    {field_assembly_code, 3},
  [116] =
    {field_declarator, 3},
  [117] =
    {field_declarator, 0},
    {field_size, 2},
  [119] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [122] =
    {field_alternative, 4},
    {field_condition, 1},
  [124] =
    {field_size, 2},
  [125] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 1},
  [128] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 2},
  [131] =
    {field_declarator, 4},
    {field_type, 2},
  [133] =
    {field_body, 5},
  [134] =
    {field_body, 5},
    {field_initializer, 2},
  [136] =
    {field_member, 4},
    {field_type, 2},
  [138] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [140] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [143] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [145] =
    {field_declarator, 4},
  [146] =
    {field_declarator, 0},
    {field_size, 3},
  [148] =
    {field_designator, 0},
    {field_value, 2},
  [150] =
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
    {field_type, 2},
  [153] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [156] =
    {field_body, 6},
    {field_update, 4},
  [158] =
    {field_body, 6},
    {field_condition, 3},
  [160] =
    {field_body, 6},
    {field_initializer, 2},
    {field_update, 4},
  [163] =
    {field_body, 6},
    {field_condition, 3},
    {field_initializer, 2},
  [166] =
    {field_body, 6},
    {field_initializer, 2},
  [168] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [170] =
    {field_register, 1},
  [171] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [175] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [178] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [181] =
    {field_body, 7},
    {field_condition, 3},
    {field_initializer, 2},
    {field_update, 5},
  [185] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [188] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [191] =
    {field_constraint, 0},
    {field_value, 2},
  [193] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [195] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [200] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [204] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [208] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [210] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [212] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [217] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [219] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [5] = {
    [0] = sym_sized_type_specifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [13] = {
    [1] = alias_sym_type_identifier,
  },
  [20] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [2] = alias_sym_type_identifier,
  },
  [25] = {
    [1] = alias_sym_statement_identifier,
  },
  [27] = {
    [0] = alias_sym_statement_identifier,
  },
  [32] = {
    [2] = alias_sym_field_identifier,
  },
  [43] = {
    [1] = alias_sym_type_identifier,
  },
  [44] = {
    [0] = alias_sym_field_identifier,
  },
  [45] = {
    [2] = alias_sym_type_identifier,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [82] = {
    [4] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__typedef_sized_type_specifier, 2,
    aux_sym__typedef_sized_type_specifier,
    sym_sized_type_specifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 4,
  [7] = 2,
  [8] = 2,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 12,
  [14] = 14,
  [15] = 15,
  [16] = 14,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 12,
  [21] = 14,
  [22] = 14,
  [23] = 12,
  [24] = 12,
  [25] = 25,
  [26] = 14,
  [27] = 25,
  [28] = 28,
  [29] = 28,
  [30] = 30,
  [31] = 25,
  [32] = 32,
  [33] = 33,
  [34] = 28,
  [35] = 32,
  [36] = 32,
  [37] = 33,
  [38] = 30,
  [39] = 30,
  [40] = 32,
  [41] = 41,
  [42] = 30,
  [43] = 32,
  [44] = 28,
  [45] = 30,
  [46] = 28,
  [47] = 33,
  [48] = 48,
  [49] = 33,
  [50] = 25,
  [51] = 33,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 58,
  [60] = 57,
  [61] = 55,
  [62] = 54,
  [63] = 56,
  [64] = 58,
  [65] = 54,
  [66] = 54,
  [67] = 54,
  [68] = 55,
  [69] = 58,
  [70] = 56,
  [71] = 56,
  [72] = 57,
  [73] = 55,
  [74] = 55,
  [75] = 56,
  [76] = 58,
  [77] = 57,
  [78] = 57,
  [79] = 58,
  [80] = 57,
  [81] = 55,
  [82] = 54,
  [83] = 56,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 84,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 91,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 130,
  [155] = 92,
  [156] = 103,
  [157] = 121,
  [158] = 131,
  [159] = 122,
  [160] = 122,
  [161] = 129,
  [162] = 99,
  [163] = 128,
  [164] = 93,
  [165] = 100,
  [166] = 105,
  [167] = 101,
  [168] = 124,
  [169] = 102,
  [170] = 104,
  [171] = 123,
  [172] = 94,
  [173] = 95,
  [174] = 125,
  [175] = 96,
  [176] = 97,
  [177] = 105,
  [178] = 126,
  [179] = 98,
  [180] = 120,
  [181] = 106,
  [182] = 119,
  [183] = 107,
  [184] = 108,
  [185] = 109,
  [186] = 110,
  [187] = 118,
  [188] = 111,
  [189] = 112,
  [190] = 113,
  [191] = 117,
  [192] = 114,
  [193] = 115,
  [194] = 116,
  [195] = 127,
  [196] = 144,
  [197] = 91,
  [198] = 136,
  [199] = 141,
  [200] = 147,
  [201] = 140,
  [202] = 135,
  [203] = 138,
  [204] = 91,
  [205] = 139,
  [206] = 91,
  [207] = 90,
  [208] = 142,
  [209] = 145,
  [210] = 133,
  [211] = 149,
  [212] = 150,
  [213] = 151,
  [214] = 146,
  [215] = 152,
  [216] = 153,
  [217] = 148,
  [218] = 132,
  [219] = 134,
  [220] = 137,
  [221] = 221,
  [222] = 222,
  [223] = 112,
  [224] = 111,
  [225] = 92,
  [226] = 110,
  [227] = 109,
  [228] = 108,
  [229] = 107,
  [230] = 106,
  [231] = 231,
  [232] = 97,
  [233] = 96,
  [234] = 108,
  [235] = 107,
  [236] = 95,
  [237] = 94,
  [238] = 123,
  [239] = 106,
  [240] = 109,
  [241] = 241,
  [242] = 242,
  [243] = 126,
  [244] = 110,
  [245] = 130,
  [246] = 246,
  [247] = 131,
  [248] = 248,
  [249] = 249,
  [250] = 92,
  [251] = 111,
  [252] = 112,
  [253] = 99,
  [254] = 100,
  [255] = 101,
  [256] = 102,
  [257] = 104,
  [258] = 102,
  [259] = 104,
  [260] = 249,
  [261] = 105,
  [262] = 126,
  [263] = 221,
  [264] = 101,
  [265] = 100,
  [266] = 114,
  [267] = 113,
  [268] = 115,
  [269] = 114,
  [270] = 127,
  [271] = 271,
  [272] = 125,
  [273] = 124,
  [274] = 93,
  [275] = 116,
  [276] = 122,
  [277] = 121,
  [278] = 99,
  [279] = 117,
  [280] = 118,
  [281] = 115,
  [282] = 119,
  [283] = 120,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 116,
  [288] = 117,
  [289] = 98,
  [290] = 290,
  [291] = 98,
  [292] = 97,
  [293] = 103,
  [294] = 96,
  [295] = 118,
  [296] = 103,
  [297] = 129,
  [298] = 128,
  [299] = 119,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 222,
  [304] = 304,
  [305] = 120,
  [306] = 306,
  [307] = 121,
  [308] = 122,
  [309] = 302,
  [310] = 306,
  [311] = 127,
  [312] = 231,
  [313] = 313,
  [314] = 222,
  [315] = 93,
  [316] = 124,
  [317] = 125,
  [318] = 304,
  [319] = 290,
  [320] = 286,
  [321] = 127,
  [322] = 306,
  [323] = 126,
  [324] = 241,
  [325] = 242,
  [326] = 246,
  [327] = 105,
  [328] = 248,
  [329] = 313,
  [330] = 231,
  [331] = 271,
  [332] = 284,
  [333] = 285,
  [334] = 104,
  [335] = 300,
  [336] = 95,
  [337] = 94,
  [338] = 302,
  [339] = 222,
  [340] = 304,
  [341] = 306,
  [342] = 123,
  [343] = 102,
  [344] = 101,
  [345] = 304,
  [346] = 290,
  [347] = 286,
  [348] = 241,
  [349] = 242,
  [350] = 246,
  [351] = 248,
  [352] = 249,
  [353] = 221,
  [354] = 271,
  [355] = 100,
  [356] = 99,
  [357] = 98,
  [358] = 284,
  [359] = 285,
  [360] = 125,
  [361] = 124,
  [362] = 103,
  [363] = 300,
  [364] = 131,
  [365] = 93,
  [366] = 301,
  [367] = 222,
  [368] = 302,
  [369] = 302,
  [370] = 222,
  [371] = 304,
  [372] = 306,
  [373] = 131,
  [374] = 313,
  [375] = 130,
  [376] = 129,
  [377] = 313,
  [378] = 121,
  [379] = 128,
  [380] = 123,
  [381] = 94,
  [382] = 290,
  [383] = 286,
  [384] = 95,
  [385] = 241,
  [386] = 96,
  [387] = 242,
  [388] = 246,
  [389] = 248,
  [390] = 249,
  [391] = 221,
  [392] = 231,
  [393] = 271,
  [394] = 284,
  [395] = 285,
  [396] = 97,
  [397] = 300,
  [398] = 290,
  [399] = 301,
  [400] = 286,
  [401] = 302,
  [402] = 113,
  [403] = 304,
  [404] = 306,
  [405] = 301,
  [406] = 106,
  [407] = 107,
  [408] = 313,
  [409] = 108,
  [410] = 109,
  [411] = 290,
  [412] = 286,
  [413] = 241,
  [414] = 242,
  [415] = 313,
  [416] = 130,
  [417] = 241,
  [418] = 242,
  [419] = 110,
  [420] = 246,
  [421] = 248,
  [422] = 249,
  [423] = 221,
  [424] = 271,
  [425] = 284,
  [426] = 285,
  [427] = 300,
  [428] = 246,
  [429] = 248,
  [430] = 301,
  [431] = 231,
  [432] = 301,
  [433] = 249,
  [434] = 128,
  [435] = 92,
  [436] = 120,
  [437] = 300,
  [438] = 119,
  [439] = 118,
  [440] = 117,
  [441] = 116,
  [442] = 285,
  [443] = 284,
  [444] = 115,
  [445] = 271,
  [446] = 114,
  [447] = 111,
  [448] = 113,
  [449] = 221,
  [450] = 112,
  [451] = 129,
  [452] = 145,
  [453] = 141,
  [454] = 144,
  [455] = 148,
  [456] = 149,
  [457] = 150,
  [458] = 152,
  [459] = 132,
  [460] = 134,
  [461] = 137,
  [462] = 142,
  [463] = 153,
  [464] = 139,
  [465] = 136,
  [466] = 141,
  [467] = 133,
  [468] = 140,
  [469] = 147,
  [470] = 135,
  [471] = 138,
  [472] = 146,
  [473] = 145,
  [474] = 151,
  [475] = 147,
  [476] = 140,
  [477] = 133,
  [478] = 144,
  [479] = 135,
  [480] = 136,
  [481] = 138,
  [482] = 148,
  [483] = 149,
  [484] = 150,
  [485] = 151,
  [486] = 152,
  [487] = 139,
  [488] = 146,
  [489] = 132,
  [490] = 153,
  [491] = 134,
  [492] = 137,
  [493] = 142,
  [494] = 153,
  [495] = 151,
  [496] = 152,
  [497] = 146,
  [498] = 141,
  [499] = 139,
  [500] = 133,
  [501] = 132,
  [502] = 135,
  [503] = 148,
  [504] = 147,
  [505] = 144,
  [506] = 138,
  [507] = 145,
  [508] = 134,
  [509] = 137,
  [510] = 150,
  [511] = 142,
  [512] = 512,
  [513] = 149,
  [514] = 140,
  [515] = 136,
  [516] = 516,
  [517] = 516,
  [518] = 518,
  [519] = 518,
  [520] = 518,
  [521] = 516,
  [522] = 518,
  [523] = 516,
  [524] = 90,
  [525] = 525,
  [526] = 526,
  [527] = 90,
  [528] = 91,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 541,
  [543] = 543,
  [544] = 544,
  [545] = 544,
  [546] = 541,
  [547] = 541,
  [548] = 544,
  [549] = 544,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 556,
  [558] = 556,
  [559] = 554,
  [560] = 554,
  [561] = 554,
  [562] = 556,
  [563] = 563,
  [564] = 564,
  [565] = 564,
  [566] = 564,
  [567] = 564,
  [568] = 564,
  [569] = 564,
  [570] = 564,
  [571] = 564,
  [572] = 564,
  [573] = 564,
  [574] = 553,
  [575] = 564,
  [576] = 576,
  [577] = 577,
  [578] = 553,
  [579] = 579,
  [580] = 580,
  [581] = 580,
  [582] = 582,
  [583] = 553,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 590,
  [592] = 592,
  [593] = 587,
  [594] = 592,
  [595] = 592,
  [596] = 588,
  [597] = 585,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 599,
  [602] = 600,
  [603] = 603,
  [604] = 590,
  [605] = 590,
  [606] = 599,
  [607] = 587,
  [608] = 608,
  [609] = 600,
  [610] = 589,
  [611] = 588,
  [612] = 587,
  [613] = 592,
  [614] = 586,
  [615] = 608,
  [616] = 616,
  [617] = 590,
  [618] = 600,
  [619] = 585,
  [620] = 603,
  [621] = 621,
  [622] = 586,
  [623] = 588,
  [624] = 608,
  [625] = 585,
  [626] = 589,
  [627] = 603,
  [628] = 603,
  [629] = 587,
  [630] = 630,
  [631] = 592,
  [632] = 589,
  [633] = 589,
  [634] = 585,
  [635] = 600,
  [636] = 603,
  [637] = 608,
  [638] = 585,
  [639] = 589,
  [640] = 603,
  [641] = 586,
  [642] = 599,
  [643] = 592,
  [644] = 587,
  [645] = 608,
  [646] = 608,
  [647] = 600,
  [648] = 586,
  [649] = 586,
  [650] = 588,
  [651] = 588,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 652,
  [656] = 656,
  [657] = 653,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 653,
  [664] = 653,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 670,
  [679] = 670,
  [680] = 677,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 686,
  [688] = 670,
  [689] = 675,
  [690] = 690,
  [691] = 676,
  [692] = 673,
  [693] = 676,
  [694] = 671,
  [695] = 695,
  [696] = 686,
  [697] = 697,
  [698] = 698,
  [699] = 675,
  [700] = 700,
  [701] = 673,
  [702] = 681,
  [703] = 676,
  [704] = 671,
  [705] = 695,
  [706] = 669,
  [707] = 669,
  [708] = 708,
  [709] = 681,
  [710] = 684,
  [711] = 690,
  [712] = 698,
  [713] = 713,
  [714] = 682,
  [715] = 695,
  [716] = 669,
  [717] = 677,
  [718] = 713,
  [719] = 698,
  [720] = 681,
  [721] = 695,
  [722] = 698,
  [723] = 723,
  [724] = 690,
  [725] = 671,
  [726] = 682,
  [727] = 673,
  [728] = 728,
  [729] = 675,
  [730] = 684,
  [731] = 683,
  [732] = 676,
  [733] = 733,
  [734] = 682,
  [735] = 690,
  [736] = 683,
  [737] = 713,
  [738] = 708,
  [739] = 684,
  [740] = 740,
  [741] = 741,
  [742] = 685,
  [743] = 685,
  [744] = 740,
  [745] = 745,
  [746] = 677,
  [747] = 686,
  [748] = 677,
  [749] = 683,
  [750] = 685,
  [751] = 713,
  [752] = 676,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 576,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 525,
  [763] = 526,
  [764] = 761,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 812,
  [815] = 812,
  [816] = 812,
  [817] = 812,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 820,
  [823] = 820,
  [824] = 820,
  [825] = 820,
  [826] = 820,
  [827] = 790,
  [828] = 782,
  [829] = 786,
  [830] = 769,
  [831] = 792,
  [832] = 774,
  [833] = 788,
  [834] = 768,
  [835] = 803,
  [836] = 767,
  [837] = 809,
  [838] = 798,
  [839] = 793,
  [840] = 840,
  [841] = 777,
  [842] = 787,
  [843] = 778,
  [844] = 806,
  [845] = 807,
  [846] = 805,
  [847] = 811,
  [848] = 770,
  [849] = 780,
  [850] = 151,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 147,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 135,
  [869] = 869,
  [870] = 138,
  [871] = 146,
  [872] = 872,
  [873] = 145,
  [874] = 874,
  [875] = 821,
  [876] = 151,
  [877] = 858,
  [878] = 867,
  [879] = 862,
  [880] = 863,
  [881] = 864,
  [882] = 882,
  [883] = 865,
  [884] = 861,
  [885] = 866,
  [886] = 869,
  [887] = 872,
  [888] = 874,
  [889] = 856,
  [890] = 857,
  [891] = 145,
  [892] = 146,
  [893] = 855,
  [894] = 138,
  [895] = 135,
  [896] = 147,
  [897] = 851,
  [898] = 854,
  [899] = 853,
  [900] = 852,
  [901] = 757,
  [902] = 902,
  [903] = 525,
  [904] = 756,
  [905] = 526,
  [906] = 874,
  [907] = 856,
  [908] = 863,
  [909] = 862,
  [910] = 803,
  [911] = 872,
  [912] = 851,
  [913] = 858,
  [914] = 806,
  [915] = 864,
  [916] = 916,
  [917] = 865,
  [918] = 861,
  [919] = 866,
  [920] = 916,
  [921] = 151,
  [922] = 916,
  [923] = 853,
  [924] = 145,
  [925] = 853,
  [926] = 926,
  [927] = 872,
  [928] = 869,
  [929] = 869,
  [930] = 857,
  [931] = 852,
  [932] = 782,
  [933] = 856,
  [934] = 934,
  [935] = 145,
  [936] = 768,
  [937] = 146,
  [938] = 146,
  [939] = 863,
  [940] = 852,
  [941] = 862,
  [942] = 855,
  [943] = 851,
  [944] = 854,
  [945] = 945,
  [946] = 790,
  [947] = 947,
  [948] = 807,
  [949] = 866,
  [950] = 861,
  [951] = 916,
  [952] = 857,
  [953] = 916,
  [954] = 786,
  [955] = 858,
  [956] = 769,
  [957] = 138,
  [958] = 867,
  [959] = 864,
  [960] = 135,
  [961] = 792,
  [962] = 147,
  [963] = 788,
  [964] = 798,
  [965] = 855,
  [966] = 966,
  [967] = 147,
  [968] = 854,
  [969] = 867,
  [970] = 874,
  [971] = 135,
  [972] = 138,
  [973] = 793,
  [974] = 151,
  [975] = 767,
  [976] = 865,
  [977] = 98,
  [978] = 103,
  [979] = 129,
  [980] = 128,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 983,
  [985] = 985,
  [986] = 986,
  [987] = 983,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 983,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 983,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 992,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1013,
  [1015] = 1015,
  [1016] = 1012,
  [1017] = 1011,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1011,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1013,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1020,
  [1030] = 1015,
  [1031] = 1028,
  [1032] = 1020,
  [1033] = 1027,
  [1034] = 1018,
  [1035] = 1020,
  [1036] = 1012,
  [1037] = 1015,
  [1038] = 1038,
  [1039] = 1018,
  [1040] = 1040,
  [1041] = 1018,
  [1042] = 1012,
  [1043] = 1043,
  [1044] = 1043,
  [1045] = 1028,
  [1046] = 1046,
  [1047] = 1011,
  [1048] = 1020,
  [1049] = 1027,
  [1050] = 1011,
  [1051] = 1038,
  [1052] = 1043,
  [1053] = 1011,
  [1054] = 1020,
  [1055] = 1013,
  [1056] = 1027,
  [1057] = 1028,
  [1058] = 1038,
  [1059] = 1018,
  [1060] = 1040,
  [1061] = 1040,
  [1062] = 1046,
  [1063] = 1063,
  [1064] = 1046,
  [1065] = 1013,
  [1066] = 1046,
  [1067] = 1012,
  [1068] = 1046,
  [1069] = 1018,
  [1070] = 1012,
  [1071] = 1015,
  [1072] = 1040,
  [1073] = 1038,
  [1074] = 1027,
  [1075] = 1043,
  [1076] = 1028,
  [1077] = 1015,
  [1078] = 1025,
  [1079] = 1027,
  [1080] = 1028,
  [1081] = 1038,
  [1082] = 1040,
  [1083] = 1043,
  [1084] = 1038,
  [1085] = 1085,
  [1086] = 1013,
  [1087] = 1087,
  [1088] = 1046,
  [1089] = 1040,
  [1090] = 1090,
  [1091] = 798,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 768,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 793,
  [1107] = 1095,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 782,
  [1120] = 1095,
  [1121] = 1096,
  [1122] = 1096,
  [1123] = 1095,
  [1124] = 807,
  [1125] = 1096,
  [1126] = 806,
  [1127] = 1095,
  [1128] = 790,
  [1129] = 803,
  [1130] = 1130,
  [1131] = 1095,
  [1132] = 1132,
  [1133] = 786,
  [1134] = 769,
  [1135] = 767,
  [1136] = 788,
  [1137] = 792,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 813,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1154,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1177,
  [1180] = 1178,
  [1181] = 1178,
  [1182] = 1177,
  [1183] = 1178,
  [1184] = 1177,
  [1185] = 1177,
  [1186] = 1178,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 981,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1197,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1198,
  [1204] = 1204,
  [1205] = 1197,
  [1206] = 1198,
  [1207] = 1202,
  [1208] = 1200,
  [1209] = 1209,
  [1210] = 1202,
  [1211] = 1209,
  [1212] = 1198,
  [1213] = 1213,
  [1214] = 1202,
  [1215] = 1197,
  [1216] = 1209,
  [1217] = 1213,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1189,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1209,
  [1225] = 1202,
  [1226] = 1198,
  [1227] = 1227,
  [1228] = 1197,
  [1229] = 1209,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 990,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1232,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1236,
  [1254] = 1230,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1256,
  [1259] = 1252,
  [1260] = 1260,
  [1261] = 1234,
  [1262] = 1257,
  [1263] = 1263,
  [1264] = 1245,
  [1265] = 1022,
  [1266] = 1244,
  [1267] = 1243,
  [1268] = 1242,
  [1269] = 808,
  [1270] = 1235,
  [1271] = 1271,
  [1272] = 1236,
  [1273] = 1273,
  [1274] = 1241,
  [1275] = 1236,
  [1276] = 1240,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1236,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1235,
  [1286] = 1235,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1278,
  [1292] = 808,
  [1293] = 1293,
  [1294] = 1271,
  [1295] = 1260,
  [1296] = 1248,
  [1297] = 1297,
  [1298] = 1273,
  [1299] = 1231,
  [1300] = 1263,
  [1301] = 1237,
  [1302] = 1277,
  [1303] = 1303,
  [1304] = 1287,
  [1305] = 1297,
  [1306] = 1279,
  [1307] = 1280,
  [1308] = 1297,
  [1309] = 1282,
  [1310] = 1283,
  [1311] = 1250,
  [1312] = 1284,
  [1313] = 1290,
  [1314] = 1293,
  [1315] = 1288,
  [1316] = 1290,
  [1317] = 1290,
  [1318] = 1255,
  [1319] = 1297,
  [1320] = 1320,
  [1321] = 1297,
  [1322] = 1140,
  [1323] = 1148,
  [1324] = 1167,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 990,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1331,
  [1333] = 1331,
  [1334] = 1331,
  [1335] = 1335,
  [1336] = 1335,
  [1337] = 1335,
  [1338] = 1335,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1339,
  [1342] = 1340,
  [1343] = 1339,
  [1344] = 1340,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1346,
  [1348] = 1340,
  [1349] = 1339,
  [1350] = 1340,
  [1351] = 1340,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1346,
  [1355] = 1339,
  [1356] = 1346,
  [1357] = 1346,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1358,
  [1369] = 1369,
  [1370] = 1358,
  [1371] = 1358,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1358,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1383,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1383,
  [1390] = 1383,
  [1391] = 1383,
  [1392] = 1392,
  [1393] = 1383,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1398,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1398,
  [1404] = 1396,
  [1405] = 1401,
  [1406] = 1406,
  [1407] = 1397,
  [1408] = 1408,
  [1409] = 1397,
  [1410] = 1399,
  [1411] = 1397,
  [1412] = 1396,
  [1413] = 1399,
  [1414] = 1399,
  [1415] = 1415,
  [1416] = 1401,
  [1417] = 1401,
  [1418] = 1397,
  [1419] = 1398,
  [1420] = 1401,
  [1421] = 1396,
  [1422] = 1398,
  [1423] = 1399,
  [1424] = 1396,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1425,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1425,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1425,
  [1449] = 1425,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1477,
  [1482] = 1482,
  [1483] = 1480,
  [1484] = 1477,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1477,
  [1494] = 1480,
  [1495] = 1485,
  [1496] = 1480,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1485,
  [1502] = 1502,
  [1503] = 1485,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1505,
  [1507] = 1505,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1509,
  [1517] = 1517,
  [1518] = 1505,
  [1519] = 1509,
  [1520] = 1505,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1505,
  [1524] = 1524,
  [1525] = 1517,
  [1526] = 1526,
  [1527] = 1517,
  [1528] = 1505,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1505,
  [1534] = 1505,
  [1535] = 1535,
  [1536] = 1535,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1539,
  [1541] = 1541,
  [1542] = 1541,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1547,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1535,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1541,
  [1565] = 1547,
  [1566] = 1559,
  [1567] = 1567,
  [1568] = 1545,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1562,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1569,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1547,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1535,
  [1584] = 1541,
  [1585] = 1559,
  [1586] = 1562,
  [1587] = 1559,
  [1588] = 1562,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1539,
  [1592] = 1592,
  [1593] = 1545,
  [1594] = 1594,
  [1595] = 1576,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1569,
  [1600] = 1600,
  [1601] = 1570,
  [1602] = 1545,
  [1603] = 1539,
  [1604] = 1541,
  [1605] = 1605,
  [1606] = 1569,
  [1607] = 1539,
  [1608] = 1535,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1551,
  [1612] = 1559,
  [1613] = 1562,
  [1614] = 1547,
  [1615] = 1576,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1570,
  [1620] = 1569,
  [1621] = 1543,
  [1622] = 1548,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1562,
  [1626] = 1559,
  [1627] = 1627,
  [1628] = 1569,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1553,
  [1635] = 1635,
  [1636] = 1551,
  [1637] = 1545,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1645,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1641,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1648,
  [1655] = 1647,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1648,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1641,
  [1663] = 1649,
  [1664] = 1648,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1639,
  [1668] = 1652,
  [1669] = 1652,
  [1670] = 1648,
  [1671] = 1641,
  [1672] = 1648,
  [1673] = 1639,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1652,
  [1678] = 1649,
  [1679] = 1639,
  [1680] = 1661,
  [1681] = 1681,
  [1682] = 1649,
  [1683] = 1661,
  [1684] = 1639,
  [1685] = 1645,
  [1686] = 1661,
  [1687] = 1641,
  [1688] = 1661,
  [1689] = 1674,
  [1690] = 1690,
  [1691] = 1651,
  [1692] = 1652,
  [1693] = 1661,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1645,
  [1698] = 1645,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1645,
  [1702] = 1661,
  [1703] = 1647,
  [1704] = 1645,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1645,
  [1708] = 1661,
  [1709] = 1651,
  [1710] = 1645,
  [1711] = 1641,
  [1712] = 1649,
  [1713] = 1713,
  [1714] = 1661,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1715,
  [1720] = 1720,
  [1721] = 1717,
  [1722] = 1722,
  [1723] = 1715,
  [1724] = 1720,
  [1725] = 1717,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1717,
  [1738] = 1738,
  [1739] = 1715,
  [1740] = 1717,
  [1741] = 1720,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1715,
  [1747] = 1747,
  [1748] = 1720,
  [1749] = 1720,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1731,
  [1758] = 1752,
  [1759] = 1732,
  [1760] = 1742,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1761,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1734,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1718,
  [1774] = 1774,
  [1775] = 1750,
  [1776] = 1776,
  [1777] = 1735,
  [1778] = 1717,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1767,
  [1783] = 1745,
  [1784] = 1774,
  [1785] = 1785,
  [1786] = 1779,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1716,
  [1790] = 1790,
  [1791] = 1750,
  [1792] = 1755,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1745,
  [1796] = 1796,
  [1797] = 1743,
  [1798] = 1756,
  [1799] = 1799,
  [1800] = 1742,
  [1801] = 1801,
  [1802] = 1720,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1716,
  [1806] = 1754,
  [1807] = 1727,
  [1808] = 1728,
  [1809] = 1809,
  [1810] = 1755,
  [1811] = 1811,
  [1812] = 1753,
  [1813] = 1761,
  [1814] = 1769,
  [1815] = 1754,
  [1816] = 1730,
  [1817] = 1755,
  [1818] = 1715,
  [1819] = 1772,
  [1820] = 1717,
  [1821] = 1736,
  [1822] = 1735,
  [1823] = 1734,
  [1824] = 1770,
  [1825] = 1771,
  [1826] = 1756,
  [1827] = 1771,
  [1828] = 1772,
  [1829] = 1750,
  [1830] = 1750,
  [1831] = 1730,
  [1832] = 1772,
  [1833] = 1733,
  [1834] = 1766,
  [1835] = 1835,
  [1836] = 1732,
  [1837] = 1769,
  [1838] = 1766,
  [1839] = 1771,
  [1840] = 1718,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1776,
  [1844] = 1844,
  [1845] = 1738,
  [1846] = 1790,
  [1847] = 1780,
  [1848] = 1770,
  [1849] = 1767,
  [1850] = 1850,
  [1851] = 1774,
  [1852] = 1715,
  [1853] = 1779,
  [1854] = 1763,
  [1855] = 1762,
  [1856] = 1720,
  [1857] = 1751,
  [1858] = 1727,
  [1859] = 1728,
  [1860] = 1731,
  [1861] = 1747,
  [1862] = 1761,
  [1863] = 1863,
  [1864] = 1744,
  [1865] = 1730,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1790,
  [1870] = 757,
  [1871] = 1776,
  [1872] = 1716,
  [1873] = 1756,
  [1874] = 1722,
  [1875] = 1753,
  [1876] = 1729,
  [1877] = 1731,
  [1878] = 1732,
  [1879] = 1720,
  [1880] = 1718,
  [1881] = 1729,
  [1882] = 756,
  [1883] = 1776,
  [1884] = 1722,
  [1885] = 1733,
  [1886] = 1745,
  [1887] = 1767,
  [1888] = 1742,
  [1889] = 1774,
  [1890] = 1734,
  [1891] = 1779,
  [1892] = 1892,
  [1893] = 1770,
  [1894] = 1716,
  [1895] = 1895,
  [1896] = 1727,
  [1897] = 1728,
  [1898] = 1735,
  [1899] = 1717,
  [1900] = 1717,
  [1901] = 1730,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1754,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1779,
  [1909] = 1745,
  [1910] = 1727,
  [1911] = 1718,
  [1912] = 1727,
  [1913] = 1727,
  [1914] = 1727,
  [1915] = 1720,
  [1916] = 1916,
  [1917] = 1735,
  [1918] = 1718,
  [1919] = 1919,
  [1920] = 1776,
  [1921] = 1774,
  [1922] = 1922,
  [1923] = 1763,
  [1924] = 1754,
  [1925] = 1844,
  [1926] = 1926,
  [1927] = 1755,
  [1928] = 1928,
  [1929] = 1732,
  [1930] = 1767,
  [1931] = 1722,
  [1932] = 1780,
  [1933] = 1799,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1766,
  [1937] = 1937,
  [1938] = 1769,
  [1939] = 1939,
  [1940] = 1738,
  [1941] = 1780,
  [1942] = 1715,
  [1943] = 1790,
  [1944] = 1761,
  [1945] = 1945,
  [1946] = 1844,
  [1947] = 1947,
  [1948] = 1729,
  [1949] = 1715,
  [1950] = 1762,
  [1951] = 1951,
  [1952] = 1799,
  [1953] = 1734,
  [1954] = 1766,
  [1955] = 1770,
  [1956] = 1769,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1780,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1779,
  [1963] = 1774,
  [1964] = 1844,
  [1965] = 1751,
  [1966] = 1767,
  [1967] = 1762,
  [1968] = 1751,
  [1969] = 1766,
  [1970] = 1747,
  [1971] = 1769,
  [1972] = 1744,
  [1973] = 1747,
  [1974] = 1780,
  [1975] = 1771,
  [1976] = 1772,
  [1977] = 1750,
  [1978] = 1744,
  [1979] = 1844,
  [1980] = 1764,
  [1981] = 1981,
  [1982] = 1796,
  [1983] = 1983,
  [1984] = 1763,
  [1985] = 1799,
  [1986] = 1716,
  [1987] = 1796,
  [1988] = 1733,
  [1989] = 1776,
  [1990] = 1799,
  [1991] = 1728,
  [1992] = 1731,
  [1993] = 1738,
  [1994] = 1799,
  [1995] = 1727,
  [1996] = 1796,
  [1997] = 1796,
  [1998] = 1796,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43642
    ? (c < 4206
      ? (c < 2730
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'v'
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 't')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2602
              ? (c < 2544
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3261
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3133
              ? (c < 3024
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))
              : (c <= 3133 || (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))))))
          : (c <= 3261 || (c < 3716
            ? (c < 3450
              ? (c < 3346
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))
              : (c <= 3455 || (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))))
            : (c <= 3716 || (c < 3840
              ? (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))
              : (c <= 3840 || (c < 4159
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))))))))))
      : (c <= 4208 || (c < 8178
        ? (c < 6320
          ? (c < 4882
            ? (c < 4698
              ? (c < 4304
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))
              : (c <= 4701 || (c < 4792
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))))
            : (c <= 4885 || (c < 5919
              ? (c < 5743
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))
              : (c <= 5937 || (c < 6103
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))))))
          : (c <= 6389 || (c < 7406
            ? (c < 7043
              ? (c < 6656
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))
              : (c <= 7072 || (c < 7258
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))))
            : (c <= 7411 || (c < 8029
              ? (c < 7968
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))
              : (c <= 8029 || (c < 8130
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))))))))
        : (c <= 8180 || (c < 12540
          ? (c < 11520
            ? (c < 8486
              ? (c < 8455
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))
              : (c <= 8486 || (c < 8526
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))))
            : (c <= 11557 || (c < 11720
              ? (c < 11680
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || (c < 11648
                    ? c == 11631
                    : c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))
              : (c <= 11726 || (c < 12337
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))))))
          : (c <= 12543 || (c < 43011
            ? (c < 42560
              ? (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))
              : (c <= 42606 || (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))))
            : (c <= 43013 || (c < 43360
              ? (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))
              : (c <= 43388 || (c < 43514
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))))))))))))
    : (c <= 43642 || (c < 71168
      ? (c < 67392
        ? (c < 65147
          ? (c < 63744
            ? (c < 43785
              ? (c < 43714
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))
              : (c <= 43790 || (c < 43868
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))))
            : (c <= 64109 || (c < 64326
              ? (c < 64298
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64287
                    ? c == 64285
                    : c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))
              : (c <= 64433 || (c < 65008
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))))))
          : (c <= 65147 || (c < 66304
            ? (c < 65536
              ? (c < 65440
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))
              : (c <= 65547 || (c < 65616
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))))
            : (c <= 66335 || (c < 66864
              ? (c < 66513
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))
              : (c <= 66915 || (c < 66967
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))))))))
        : (c <= 67413 || (c < 69600
          ? (c < 68117
            ? (c < 67680
              ? (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))
              : (c <= 67702 || (c < 67872
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c >= 67840 && c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))))
            : (c <= 68119 || (c < 68736
              ? (c < 68352
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))
              : (c <= 68786 || (c < 69376
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c >= 69296 && c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))))))
          : (c <= 69622 || (c < 70287
            ? (c < 70019
              ? (c < 69891
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))
              : (c <= 70066 || (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70207 && c <= 70208)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))))
            : (c <= 70301 || (c < 70480
              ? (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))
              : (c <= 70480 || (c < 70784
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c >= 70751 && c <= 70753)))
                : (c <= 70831 || (c < 71040
                  ? (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)
                  : (c <= 71086 || (c >= 71128 && c <= 71131)))))))))))))
      : (c <= 71215 || (c < 119973
        ? (c < 73648
          ? (c < 72250
            ? (c < 71957
              ? (c < 71680
                ? (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))
              : (c <= 71958 || (c < 72106
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c >= 72096 && c <= 72103)))
                : (c <= 72144 || (c < 72192
                  ? (c < 72163
                    ? c == 72161
                    : c <= 72163)
                  : (c <= 72192 || (c >= 72203 && c <= 72242)))))))
            : (c <= 72250 || (c < 72971
              ? (c < 72714
                ? (c < 72349
                  ? (c < 72284
                    ? c == 72272
                    : c <= 72329)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))
              : (c <= 73008 || (c < 73112
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c >= 73066 && c <= 73097)))
                : (c <= 73112 || (c < 73476
                  ? (c < 73474
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73474)
                  : (c <= 73488 || (c >= 73490 && c <= 73523)))))))))
          : (c <= 73648 || (c < 94179
            ? (c < 92880
              ? (c < 78913
                ? (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78895)))
                : (c <= 78918 || (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))))
              : (c <= 92909 || (c < 93760
                ? (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))
                : (c <= 93823 || (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))))))
            : (c <= 94179 || (c < 110948
              ? (c < 110589
                ? (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43642
    ? (c < 4206
      ? (c < 2707
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 't' || (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2579
              ? (c < 2527
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || (c < 2524
                    ? c == 2510
                    : c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3253
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3114
              ? (c < 2990
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3840
              ? (c < 3762
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))
              : (c <= 3840 || (c < 4159
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))))))))))
      : (c <= 4208 || (c < 8178
        ? (c < 6320
          ? (c < 4882
            ? (c < 4698
              ? (c < 4304
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))
              : (c <= 4701 || (c < 4792
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))))
            : (c <= 4885 || (c < 5919
              ? (c < 5743
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))
              : (c <= 5937 || (c < 6103
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))))))
          : (c <= 6389 || (c < 7406
            ? (c < 7043
              ? (c < 6656
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))
              : (c <= 7072 || (c < 7258
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))))
            : (c <= 7411 || (c < 8029
              ? (c < 7968
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))
              : (c <= 8029 || (c < 8130
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))))))))
        : (c <= 8180 || (c < 12540
          ? (c < 11520
            ? (c < 8486
              ? (c < 8455
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))
              : (c <= 8486 || (c < 8526
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))))
            : (c <= 11557 || (c < 11720
              ? (c < 11680
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || (c < 11648
                    ? c == 11631
                    : c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))
              : (c <= 11726 || (c < 12337
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))))))
          : (c <= 12543 || (c < 43011
            ? (c < 42560
              ? (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))
              : (c <= 42606 || (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))))
            : (c <= 43013 || (c < 43360
              ? (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))
              : (c <= 43388 || (c < 43514
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))))))))))))
    : (c <= 43642 || (c < 71168
      ? (c < 67392
        ? (c < 65147
          ? (c < 63744
            ? (c < 43785
              ? (c < 43714
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))
              : (c <= 43790 || (c < 43868
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))))
            : (c <= 64109 || (c < 64326
              ? (c < 64298
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64287
                    ? c == 64285
                    : c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))
              : (c <= 64433 || (c < 65008
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))))))
          : (c <= 65147 || (c < 66304
            ? (c < 65536
              ? (c < 65440
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))
              : (c <= 65547 || (c < 65616
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))))
            : (c <= 66335 || (c < 66864
              ? (c < 66513
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))
              : (c <= 66915 || (c < 66967
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))))))))
        : (c <= 67413 || (c < 69600
          ? (c < 68117
            ? (c < 67680
              ? (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))
              : (c <= 67702 || (c < 67872
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c >= 67840 && c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))))
            : (c <= 68119 || (c < 68736
              ? (c < 68352
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))
              : (c <= 68786 || (c < 69376
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c >= 69296 && c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))))))
          : (c <= 69622 || (c < 70287
            ? (c < 70019
              ? (c < 69891
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))
              : (c <= 70066 || (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70207 && c <= 70208)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))))
            : (c <= 70301 || (c < 70480
              ? (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))
              : (c <= 70480 || (c < 70784
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c >= 70751 && c <= 70753)))
                : (c <= 70831 || (c < 71040
                  ? (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)
                  : (c <= 71086 || (c >= 71128 && c <= 71131)))))))))))))
      : (c <= 71215 || (c < 119973
        ? (c < 73648
          ? (c < 72250
            ? (c < 71957
              ? (c < 71680
                ? (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))
              : (c <= 71958 || (c < 72106
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c >= 72096 && c <= 72103)))
                : (c <= 72144 || (c < 72192
                  ? (c < 72163
                    ? c == 72161
                    : c <= 72163)
                  : (c <= 72192 || (c >= 72203 && c <= 72242)))))))
            : (c <= 72250 || (c < 72971
              ? (c < 72714
                ? (c < 72349
                  ? (c < 72284
                    ? c == 72272
                    : c <= 72329)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))
              : (c <= 73008 || (c < 73112
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c >= 73066 && c <= 73097)))
                : (c <= 73112 || (c < 73476
                  ? (c < 73474
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73474)
                  : (c <= 73488 || (c >= 73490 && c <= 73523)))))))))
          : (c <= 73648 || (c < 94179
            ? (c < 92880
              ? (c < 78913
                ? (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78895)))
                : (c <= 78918 || (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))))
              : (c <= 92909 || (c < 93760
                ? (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))
                : (c <= 93823 || (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))))))
            : (c <= 94179 || (c < 110948
              ? (c < 110589
                ? (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43646
    ? (c < 4213
      ? (c < 2738
        ? (c < 2036
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1749
              ? (c < 1488
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2610
              ? (c < 2556
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)))
                : (c <= 2556 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c >= 2602 && c <= 2608)))))
              : (c <= 2611 || (c < 2674
                ? (c < 2649
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2652 || c == 2654))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))))))))
        : (c <= 2739 || (c < 3293
          ? (c < 2972
            ? (c < 2869
              ? (c < 2821
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)))
                : (c <= 2828 || (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c >= 2866 && c <= 2867)))))
              : (c <= 2873 || (c < 2947
                ? (c < 2911
                  ? (c < 2908
                    ? c == 2877
                    : c <= 2909)
                  : (c <= 2913 || c == 2929))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))))
            : (c <= 2972 || (c < 3160
              ? (c < 3077
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || c == 3133))))
              : (c <= 3162 || (c < 3214
                ? (c < 3200
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3169)
                  : (c <= 3200 || (c >= 3205 && c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))))))
          : (c <= 3294 || (c < 3718
            ? (c < 3461
              ? (c < 3389
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)))
                : (c <= 3389 || (c < 3423
                  ? (c < 3412
                    ? c == 3406
                    : c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))))
              : (c <= 3478 || (c < 3585
                ? (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c >= 3520 && c <= 3526)))
                : (c <= 3632 || (c < 3713
                  ? (c < 3648
                    ? c == 3634
                    : c <= 3654)
                  : (c <= 3714 || c == 3716))))))
            : (c <= 3722 || (c < 3904
              ? (c < 3773
                ? (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3760 || c == 3762))
                : (c <= 3773 || (c < 3804
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3807 || c == 3840))))
              : (c <= 3911 || (c < 4176
                ? (c < 4096
                  ? (c < 3976
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3980)
                  : (c <= 4138 || c == 4159))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))))))))))
      : (c <= 4225 || (c < 8182
        ? (c < 6400
          ? (c < 4888
            ? (c < 4704
              ? (c < 4348
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))
                : (c <= 4680 || (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c >= 4698 && c <= 4701)))))
              : (c <= 4744 || (c < 4800
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c >= 4792 && c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))))
            : (c <= 4954 || (c < 5952
              ? (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))))
              : (c <= 5969 || (c < 6108
                ? (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))))))
          : (c <= 6430 || (c < 7413
            ? (c < 7086
              ? (c < 6688
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)))
                : (c <= 6740 || (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))))
              : (c <= 7087 || (c < 7296
                ? (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))))
            : (c <= 7414 || (c < 8031
              ? (c < 8008
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))
              : (c <= 8061 || (c < 8134
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))))))))
        : (c <= 8188 || (c < 12549
          ? (c < 11559
            ? (c < 8488
              ? (c < 8458
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))
              : (c <= 8488 || (c < 8544
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))))
            : (c <= 11559 || (c < 11728
              ? (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))
              : (c <= 11734 || (c < 12344
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))))))
          : (c <= 12591 || (c < 43015
            ? (c < 42623
              ? (c < 42192
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))
              : (c <= 42653 || (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))))
            : (c <= 43018 || (c < 43396
              ? (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))
              : (c <= 43442 || (c < 43520
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))))))))))))
    : (c <= 43695 || (c < 71236
      ? (c < 67424
        ? (c < 65149
          ? (c < 64112
            ? (c < 43793
              ? (c < 43739
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || (c < 43714
                    ? c == 43712
                    : c <= 43714)))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))
              : (c <= 43798 || (c < 43888
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))))
            : (c <= 64217 || (c < 64467
              ? (c < 64312
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))
              : (c <= 64605 || (c < 65137
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c >= 65008 && c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))))))
          : (c <= 65149 || (c < 66349
            ? (c < 65549
              ? (c < 65474
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))
              : (c <= 65574 || (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))))
            : (c <= 66378 || (c < 66928
              ? (c < 66560
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))
              : (c <= 66938 || (c < 66979
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))))))))
        : (c <= 67431 || (c < 69635
          ? (c < 68121
            ? (c < 67712
              ? (c < 67594
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))
              : (c <= 67742 || (c < 67968
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c >= 67872 && c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))))
            : (c <= 68149 || (c < 68800
              ? (c < 68416
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))
              : (c <= 68850 || (c < 69415
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c >= 69376 && c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))))))
          : (c <= 69687 || (c < 70303
            ? (c < 70081
              ? (c < 69956
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))
              : (c <= 70084 || (c < 70207
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70208 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))))
            : (c <= 70312 || (c < 70493
              ? (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))
              : (c <= 70497 || (c < 70852
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c >= 70784 && c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))))))))))
      : (c <= 71236 || (c < 119973
        ? (c < 73728
          ? (c < 72272
            ? (c < 71960
              ? (c < 71840
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))
              : (c <= 71983 || (c < 72161
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c >= 72106 && c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))))
            : (c <= 72272 || (c < 73030
              ? (c < 72768
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))
              : (c <= 73030 || (c < 73440
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || c == 73112))
                : (c <= 73458 || (c < 73490
                  ? (c < 73476
                    ? c == 73474
                    : c <= 73488)
                  : (c <= 73523 || c == 73648))))))))
          : (c <= 74649 || (c < 94208
            ? (c < 92928
              ? (c < 82944
                ? (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 78913
                    ? (c >= 77824 && c <= 78895)
                    : c <= 78918)))
                : (c <= 83526 || (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))))
              : (c <= 92975 || (c < 93952
                ? (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))
                : (c <= 94026 || (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))))))
            : (c <= 100343 || (c < 110948
              ? (c < 110589
                ? (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43642
    ? (c < 4206
      ? (c < 2730
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2602
              ? (c < 2544
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3261
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3133
              ? (c < 3024
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))
              : (c <= 3133 || (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))))))
          : (c <= 3261 || (c < 3716
            ? (c < 3450
              ? (c < 3346
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))
              : (c <= 3455 || (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))))
            : (c <= 3716 || (c < 3840
              ? (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))
              : (c <= 3840 || (c < 4159
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))))))))))
      : (c <= 4208 || (c < 8178
        ? (c < 6320
          ? (c < 4882
            ? (c < 4698
              ? (c < 4304
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))
              : (c <= 4701 || (c < 4792
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))))
            : (c <= 4885 || (c < 5919
              ? (c < 5743
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))
              : (c <= 5937 || (c < 6103
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))))))
          : (c <= 6389 || (c < 7406
            ? (c < 7043
              ? (c < 6656
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))
              : (c <= 7072 || (c < 7258
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))))
            : (c <= 7411 || (c < 8029
              ? (c < 7968
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))
              : (c <= 8029 || (c < 8130
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))))))))
        : (c <= 8180 || (c < 12540
          ? (c < 11520
            ? (c < 8486
              ? (c < 8455
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))
              : (c <= 8486 || (c < 8526
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))))
            : (c <= 11557 || (c < 11720
              ? (c < 11680
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || (c < 11648
                    ? c == 11631
                    : c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))
              : (c <= 11726 || (c < 12337
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))))))
          : (c <= 12543 || (c < 43011
            ? (c < 42560
              ? (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))
              : (c <= 42606 || (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))))
            : (c <= 43013 || (c < 43360
              ? (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))
              : (c <= 43388 || (c < 43514
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))))))))))))
    : (c <= 43642 || (c < 71168
      ? (c < 67392
        ? (c < 65147
          ? (c < 63744
            ? (c < 43785
              ? (c < 43714
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))
              : (c <= 43790 || (c < 43868
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))))
            : (c <= 64109 || (c < 64326
              ? (c < 64298
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64287
                    ? c == 64285
                    : c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))
              : (c <= 64433 || (c < 65008
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))))))
          : (c <= 65147 || (c < 66304
            ? (c < 65536
              ? (c < 65440
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))
              : (c <= 65547 || (c < 65616
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))))
            : (c <= 66335 || (c < 66864
              ? (c < 66513
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))
              : (c <= 66915 || (c < 66967
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))))))))
        : (c <= 67413 || (c < 69600
          ? (c < 68117
            ? (c < 67680
              ? (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))
              : (c <= 67702 || (c < 67872
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c >= 67840 && c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))))
            : (c <= 68119 || (c < 68736
              ? (c < 68352
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))
              : (c <= 68786 || (c < 69376
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c >= 69296 && c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))))))
          : (c <= 69622 || (c < 70287
            ? (c < 70019
              ? (c < 69891
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))
              : (c <= 70066 || (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70207 && c <= 70208)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))))
            : (c <= 70301 || (c < 70480
              ? (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))
              : (c <= 70480 || (c < 70784
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c >= 70751 && c <= 70753)))
                : (c <= 70831 || (c < 71040
                  ? (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)
                  : (c <= 71086 || (c >= 71128 && c <= 71131)))))))))))))
      : (c <= 71215 || (c < 119973
        ? (c < 73648
          ? (c < 72250
            ? (c < 71957
              ? (c < 71680
                ? (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))
              : (c <= 71958 || (c < 72106
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c >= 72096 && c <= 72103)))
                : (c <= 72144 || (c < 72192
                  ? (c < 72163
                    ? c == 72161
                    : c <= 72163)
                  : (c <= 72192 || (c >= 72203 && c <= 72242)))))))
            : (c <= 72250 || (c < 72971
              ? (c < 72714
                ? (c < 72349
                  ? (c < 72284
                    ? c == 72272
                    : c <= 72329)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))
              : (c <= 73008 || (c < 73112
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c >= 73066 && c <= 73097)))
                : (c <= 73112 || (c < 73476
                  ? (c < 73474
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73474)
                  : (c <= 73488 || (c >= 73490 && c <= 73523)))))))))
          : (c <= 73648 || (c < 94179
            ? (c < 92880
              ? (c < 78913
                ? (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78895)))
                : (c <= 78918 || (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))))
              : (c <= 92909 || (c < 93760
                ? (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))
                : (c <= 93823 || (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))))))
            : (c <= 94179 || (c < 110948
              ? (c < 110589
                ? (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))
                : (c <= 110590 || (c < 110928
                  ? (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)
                  : (c <= 110930 || c == 110933))))
              : (c <= 110951 || (c < 113808
                ? (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c >= 113792 && c <= 113800)))
                : (c <= 113817 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 126464
          ? (c < 120656
            ? (c < 120128
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c >= 120123 && c <= 120126)))))
              : (c <= 120132 || (c < 120514
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c >= 120488 && c <= 120512)))
                : (c <= 120538 || (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c >= 120630 && c <= 120654)))))))
            : (c <= 120686 || (c < 123536
              ? (c < 122661
                ? (c < 120746
                  ? (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)
                  : (c <= 120770 || (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)))
                : (c <= 122666 || (c < 123191
                  ? (c < 123136
                    ? (c >= 122928 && c <= 122989)
                    : c <= 123180)
                  : (c <= 123197 || c == 123214))))
              : (c <= 123565 || (c < 124909
                ? (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123627)
                    : c <= 124139)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126561
            ? (c < 126537
              ? (c < 126516
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))
                : (c <= 126519 || (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || c == 126535))))
              : (c <= 126537 || (c < 126551
                ? (c < 126545
                  ? (c < 126541
                    ? c == 126539
                    : c <= 126543)
                  : (c <= 126546 || c == 126548))
                : (c <= 126551 || (c < 126557
                  ? (c < 126555
                    ? c == 126553
                    : c <= 126555)
                  : (c <= 126557 || c == 126559))))))
            : (c <= 126562 || (c < 126629
              ? (c < 126585
                ? (c < 126572
                  ? (c < 126567
                    ? c == 126564
                    : c <= 126570)
                  : (c <= 126578 || (c >= 126580 && c <= 126583)))
                : (c <= 126588 || (c < 126603
                  ? (c < 126592
                    ? c == 126590
                    : c <= 126601)
                  : (c <= 126619 || (c >= 126625 && c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 173824
                  ? (c < 131072
                    ? (c >= 126635 && c <= 126651)
                    : c <= 173791)
                  : (c <= 177977 || (c >= 177984 && c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 201552 && c <= 205743)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43785
    ? (c < 3804
      ? (c < 2759
        ? (c < 2048
          ? (c < 1155
            ? (c < 736
              ? (c < 183
                ? (c < 'a'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : (c <= 'Z' || c == '_'))
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 183 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))))
              : (c <= 740 || (c < 895
                ? (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))))))
            : (c <= 1159 || (c < 1552
              ? (c < 1471
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))
                : (c <= 1471 || (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))))
              : (c <= 1562 || (c < 1791
                ? (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))))))))
          : (c <= 2093 || (c < 2561
            ? (c < 2474
              ? (c < 2275
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))
                : (c <= 2403 || (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))))
              : (c <= 2480 || (c < 2519
                ? (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))
                : (c <= 2519 || (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))))))
            : (c <= 2563 || (c < 2641
              ? (c < 2613
                ? (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))
                : (c <= 2614 || (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))))
              : (c <= 2641 || (c < 2703
                ? (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))))))))))
        : (c <= 2761 || (c < 3200
          ? (c < 2969
            ? (c < 2876
              ? (c < 2821
                ? (c < 2790
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : (c <= 2768 || (c >= 2784 && c <= 2787)))
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))
                : (c <= 2828 || (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))))
              : (c <= 2884 || (c < 2918
                ? (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))
                : (c <= 2927 || (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))))))
            : (c <= 2970 || (c < 3072
              ? (c < 3006
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))
                : (c <= 3010 || (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))))
              : (c <= 3084 || (c < 3146
                ? (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))
                : (c <= 3149 || (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))))))))
          : (c <= 3203 || (c < 3461
            ? (c < 3302
              ? (c < 3260
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3268 || (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))))
              : (c <= 3311 || (c < 3402
                ? (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3315)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))
                : (c <= 3406 || (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))))))
            : (c <= 3478 || (c < 3648
              ? (c < 3535
                ? (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))
                : (c <= 3540 || (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))))
              : (c <= 3662 || (c < 3749
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))
                : (c <= 3749 || (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3790)
                    : c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8064
        ? (c < 5998
          ? (c < 4746
            ? (c < 4096
              ? (c < 3902
                ? (c < 3893
                  ? (c < 3864
                    ? c == 3840
                    : (c <= 3865 || (c >= 3872 && c <= 3881)))
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))
                : (c <= 3911 || (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))))
              : (c <= 4169 || (c < 4348
                ? (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))
                : (c <= 4680 || (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))))))
            : (c <= 4749 || (c < 4992
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))))
              : (c <= 5007 || (c < 5792
                ? (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))))))))
          : (c <= 6000 || (c < 6823
            ? (c < 6432
              ? (c < 6155
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))
                : (c <= 6157 || (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))))
              : (c <= 6443 || (c < 6608
                ? (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))
                : (c <= 6618 || (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))))))
            : (c <= 6823 || (c < 7357
              ? (c < 7040
                ? (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))
                : (c <= 7155 || (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))))
              : (c <= 7359 || (c < 8008
                ? (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))))))))))
        : (c <= 8116 || (c < 12321
          ? (c < 8488
            ? (c < 8319
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : (c <= 8126 || (c >= 8130 && c <= 8132)))
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))))
              : (c <= 8319 || (c < 8455
                ? (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))))))
            : (c <= 8488 || (c < 11631
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))))
              : (c <= 11631 || (c < 11712
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))))))))
          : (c <= 12335 || (c < 42963
            ? (c < 13312
              ? (c < 12449
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))))
              : (c <= 19903 || (c < 42612
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))
                : (c <= 42621 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))))))
            : (c <= 42963 || (c < 43392
              ? (c < 43216
                ? (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))
                : (c <= 43225 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))))
              : (c <= 43456 || (c < 43616
                ? (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)))
                : (c <= 43638 || (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))))))))))))))
    : (c <= 43790 || (c < 71960
      ? (c < 67840
        ? (c < 65549
          ? (c < 64848
            ? (c < 64112
              ? (c < 44012
                ? (c < 43824
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : (c <= 43814 || (c >= 43816 && c <= 43822)))
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)))
                : (c <= 44013 || (c < 55216
                  ? (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)
                  : (c <= 55238 || (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)))))
              : (c <= 64217 || (c < 64318
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64296 || (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)))))))
            : (c <= 64911 || (c < 65149
              ? (c < 65101
                ? (c < 65024
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65039 || (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)))
                : (c <= 65103 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))))
              : (c <= 65149 || (c < 65382
                ? (c < 65313
                  ? (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)
                  : (c <= 65338 || (c < 65345
                    ? c == 65343
                    : c <= 65370)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)))))))))
          : (c <= 65574 || (c < 66928
            ? (c < 66349
              ? (c < 65856
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)))
                : (c <= 65908 || (c < 66208
                  ? (c < 66176
                    ? c == 66045
                    : c <= 66204)
                  : (c <= 66256 || (c < 66304
                    ? c == 66272
                    : c <= 66335)))))
              : (c <= 66378 || (c < 66560
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)
                  : (c <= 66499 || (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)))
                : (c <= 66717 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)
                  : (c <= 66811 || (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)))))))
            : (c <= 66938 || (c < 67463
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)))))
              : (c <= 67504 || (c < 67644
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))))))))))
        : (c <= 67861 || (c < 70163
          ? (c < 69291
            ? (c < 68288
              ? (c < 68117
                ? (c < 68096
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : (c <= 68023 || (c >= 68030 && c <= 68031)))
                  : (c <= 68099 || (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)))
                : (c <= 68119 || (c < 68159
                  ? (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)
                  : (c <= 68159 || (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)))))
              : (c <= 68295 || (c < 68608
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)
                  : (c <= 68437 || (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)))
                : (c <= 68680 || (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68903 || (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)))))))
            : (c <= 69292 || (c < 69840
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69373
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)))
                : (c <= 69572 || (c < 69734
                  ? (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)
                  : (c <= 69749 || (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)))))
              : (c <= 69864 || (c < 70006
                ? (c < 69942
                  ? (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)
                  : (c <= 69951 || (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)))
                : (c <= 70006 || (c < 70094
                  ? (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)
                  : (c <= 70106 || (c < 70144
                    ? c == 70108
                    : c <= 70161)))))))))
          : (c <= 70199 || (c < 70656
            ? (c < 70419
              ? (c < 70303
                ? (c < 70280
                  ? (c < 70272
                    ? (c >= 70206 && c <= 70209)
                    : c <= 70278)
                  : (c <= 70280 || (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)))
                : (c <= 70312 || (c < 70400
                  ? (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)
                  : (c <= 70403 || (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)))))
              : (c <= 70440 || (c < 70475
                ? (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)))
                : (c <= 70477 || (c < 70493
                  ? (c < 70487
                    ? c == 70480
                    : c <= 70487)
                  : (c <= 70499 || (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)))))))
            : (c <= 70730 || (c < 71296
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)
                  : (c <= 70853 || (c < 70864
                    ? c == 70855
                    : c <= 70873)))
                : (c <= 71093 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)
                  : (c <= 71232 || (c < 71248
                    ? c == 71236
                    : c <= 71257)))))
              : (c <= 71352 || (c < 71680
                ? (c < 71453
                  ? (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)
                  : (c <= 71467 || (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)))
                : (c <= 71738 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)
                  : (c <= 71945 || (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)))))))))))))
      : (c <= 71989 || (c < 119995
        ? (c < 92784
          ? (c < 73023
            ? (c < 72704
              ? (c < 72163
                ? (c < 72096
                  ? (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : (c <= 72003 || (c >= 72016 && c <= 72025)))
                  : (c <= 72103 || (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)))
                : (c <= 72164 || (c < 72272
                  ? (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)
                  : (c <= 72345 || (c < 72368
                    ? c == 72349
                    : c <= 72440)))))
              : (c <= 72712 || (c < 72873
                ? (c < 72784
                  ? (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)
                  : (c <= 72793 || (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)))
                : (c <= 72886 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73014 || (c < 73020
                    ? c == 73018
                    : c <= 73021)))))))
            : (c <= 73031 || (c < 73552
              ? (c < 73107
                ? (c < 73063
                  ? (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)
                  : (c <= 73064 || (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)))
                : (c <= 73112 || (c < 73472
                  ? (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)
                  : (c <= 73488 || (c < 73534
                    ? (c >= 73490 && c <= 73530)
                    : c <= 73538)))))
              : (c <= 73561 || (c < 77824
                ? (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))
                : (c <= 78895 || (c < 92160
                  ? (c < 82944
                    ? (c >= 78912 && c <= 78933)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))))))))
          : (c <= 92862 || (c < 110928
            ? (c < 94095
              ? (c < 93008
                ? (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))
                : (c <= 93017 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))))
              : (c <= 94111 || (c < 101632
                ? (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))
                : (c <= 101640 || (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110898
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110898)))))))
            : (c <= 110930 || (c < 119149
              ? (c < 113792
                ? (c < 110960
                  ? (c < 110948
                    ? c == 110933
                    : c <= 110951)
                  : (c <= 111355 || (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)))
                : (c <= 113800 || (c < 118528
                  ? (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)
                  : (c <= 118573 || (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)))))
              : (c <= 119154 || (c < 119894
                ? (c < 119210
                  ? (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)
                  : (c <= 119213 || (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)))
                : (c <= 119964 || (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))))))))))
        : (c <= 119995 || (c < 124912
          ? (c < 121403
            ? (c < 120514
              ? (c < 120123
                ? (c < 120077
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : (c <= 120069 || (c >= 120071 && c <= 120074)))
                  : (c <= 120084 || (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)))
                : (c <= 120126 || (c < 120138
                  ? (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)
                  : (c <= 120144 || (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)))))
              : (c <= 120538 || (c < 120688
                ? (c < 120598
                  ? (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)
                  : (c <= 120628 || (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)))
                : (c <= 120712 || (c < 120772
                  ? (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)
                  : (c <= 120779 || (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)))))))
            : (c <= 121452 || (c < 122928
              ? (c < 122661
                ? (c < 121499
                  ? (c < 121476
                    ? c == 121461
                    : c <= 121476)
                  : (c <= 121503 || (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)))
                : (c <= 122666 || (c < 122907
                  ? (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)
                  : (c <= 122913 || (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)))))
              : (c <= 122989 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? c == 123023
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124896
                  ? (c < 124112
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124153)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177977)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c < 917760
                    ? (c >= 201552 && c <= 205743)
                    : c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(103);
      if (lookahead == '!') ADVANCE(169);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(65);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(108);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(177);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(35)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(35)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(38)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(38)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(37)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(37)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(40)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(40)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(44)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(44)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(45)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(45)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(43)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(43)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(48)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(48)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(42)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(42)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(41)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(41)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(23)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(23)
      if (lookahead == '\r') SKIP(21)
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(105);
      if (lookahead == '!') ADVANCE(58);
      if (lookahead == '%') ADVANCE(185);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(176);
      if (lookahead == '-') ADVANCE(171);
      if (lookahead == '/') ADVANCE(183);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(199);
      if (lookahead == '\\') SKIP(22)
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '|') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(46)
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(46)
      if (lookahead == '\r') SKIP(24)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '(') ADVANCE(108);
      if (lookahead == '/') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '/') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(27)
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(47)
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '/') ADVANCE(266);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(269);
      if (lookahead != 0) ADVANCE(270);
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(272);
      if (lookahead == '\r') ADVANCE(271);
      if (lookahead == 'U') ADVANCE(99);
      if (lookahead == 'u') ADVANCE(91);
      if (lookahead == 'x') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(274);
      if (lookahead != 0) ADVANCE(271);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(56)
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(258);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(260);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(257);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(36)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(36)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(39)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(39)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(169);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(65);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(177);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(169);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(74);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(177);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(168);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(65);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(178);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(64);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(168);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(71);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(178);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '=') ADVANCE(217);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(216);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(168);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(67);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(178);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(34);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(168);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(69);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(178);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(8);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '+') ADVANCE(180);
      if (lookahead == '-') ADVANCE(175);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == 'L') ADVANCE(285);
      if (lookahead == 'U') ADVANCE(286);
      if (lookahead == '\\') ADVANCE(20);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(287);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(58);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(179);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(174);
      if (lookahead == '.') ADVANCE(233);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == 'L') ADVANCE(278);
      if (lookahead == 'U') ADVANCE(280);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(282);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(58);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(179);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(174);
      if (lookahead == '.') ADVANCE(233);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == ']') ADVANCE(64);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(289);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(58);
      if (lookahead == '#') ADVANCE(66);
      if (lookahead == '%') ADVANCE(185);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(176);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(171);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '/') ADVANCE(183);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(203);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(199);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(191);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(289);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '|') ADVANCE(190);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(58);
      if (lookahead == '#') ADVANCE(70);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(179);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(174);
      if (lookahead == '.') ADVANCE(233);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(289);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      END_STATE();
    case 46:
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '<') ADVANCE(60);
      if (lookahead == 'L') ADVANCE(278);
      if (lookahead == 'U') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(25);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(282);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(46)
      END_STATE();
    case 47:
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      END_STATE();
    case 48:
      if (lookahead == '#') ADVANCE(68);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(16);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(289);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      END_STATE();
    case 49:
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(291);
      END_STATE();
    case 50:
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead != 0) ADVANCE(51);
      END_STATE();
    case 51:
      if (lookahead == '*') ADVANCE(50);
      if (lookahead != 0) ADVANCE(51);
      END_STATE();
    case 52:
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(238);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(239);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 53:
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(241);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 54:
      if (lookahead == '.') ADVANCE(55);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(109);
      END_STATE();
    case 56:
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(56)
      END_STATE();
    case 57:
      if (lookahead == ':') ADVANCE(209);
      END_STATE();
    case 58:
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 59:
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 60:
      if (lookahead == '>') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(60);
      END_STATE();
    case 61:
      if (lookahead == '>') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == 'U') ADVANCE(98);
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 63:
      if (lookahead == '[') ADVANCE(210);
      END_STATE();
    case 64:
      if (lookahead == ']') ADVANCE(211);
      END_STATE();
    case 65:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'e') ADVANCE(160);
      if (lookahead == 'i') ADVANCE(146);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 66:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'e') ADVANCE(160);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 67:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == 'i') ADVANCE(146);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 68:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 69:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'e') ADVANCE(162);
      if (lookahead == 'i') ADVANCE(146);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 70:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'e') ADVANCE(162);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 71:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'i') ADVANCE(146);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 72:
      if (lookahead == 'd') ADVANCE(138);
      if (lookahead == 'i') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 73:
      if (lookahead == 'd') ADVANCE(76);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(74);
      END_STATE();
    case 75:
      if (lookahead == 'f') ADVANCE(113);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(289);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(248);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(243);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(271);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(94);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(95);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 100:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(291);
      if (lookahead == '\r') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(293);
      END_STATE();
    case 101:
      if (eof) ADVANCE(103);
      if (lookahead == '!') ADVANCE(169);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(65);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '&') ADVANCE(195);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '+') ADVANCE(177);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(172);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '?') ADVANCE(220);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '^') ADVANCE(192);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '|') ADVANCE(189);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 102:
      if (eof) ADVANCE(103);
      if (lookahead == '!') ADVANCE(168);
      if (lookahead == '"') ADVANCE(265);
      if (lookahead == '#') ADVANCE(71);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '\'') ADVANCE(256);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '+') ADVANCE(178);
      if (lookahead == ',') ADVANCE(110);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '/') ADVANCE(49);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == ':') ADVANCE(219);
      if (lookahead == ';') ADVANCE(208);
      if (lookahead == '=') ADVANCE(217);
      if (lookahead == 'L') ADVANCE(277);
      if (lookahead == 'U') ADVANCE(279);
      if (lookahead == '[') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(216);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(289);
      if (lookahead == 'u') ADVANCE(281);
      if (lookahead == '{') ADVANCE(212);
      if (lookahead == '}') ADVANCE(213);
      if (lookahead == '~') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(102)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '\\') ADVANCE(124);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(142);
      if (lookahead == 'n') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(144);
      if (lookahead == 'n') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(51);
      if (lookahead == '*') ADVANCE(122);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead == '\\') ADVANCE(128);
      if (lookahead != 0) ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(51);
      if (lookahead == '*') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(128);
      if (lookahead != 0) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(27)
      if (lookahead == '\r') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(27)
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(123);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '\\') ADVANCE(123);
      if (lookahead == '\r') ADVANCE(131);
      if (lookahead == '*') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(127);
      if (lookahead == '\r') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(292);
      if (lookahead == '\r') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(294);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '\\') ADVANCE(123);
      if (lookahead == '*') ADVANCE(122);
      if (lookahead == '\\') ADVANCE(128);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(129);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'n') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 's') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 's') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(157);
      if (lookahead == 'n') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == '=') ADVANCE(225);
      if (lookahead == '>') ADVANCE(236);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(240);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '=') ADVANCE(225);
      if (lookahead == '>') ADVANCE(236);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(240);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(232);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(240);
      if (lookahead == '=') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(232);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(240);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(232);
      if (lookahead == '=') ADVANCE(224);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '0') ADVANCE(240);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(291);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(223);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(230);
      if (lookahead == '|') ADVANCE(187);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(187);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(188);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(188);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(207);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(200);
      if (lookahead == '>') ADVANCE(206);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(205);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(204);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(226);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(210);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(79);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(80);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'b') ADVANCE(247);
      if (lookahead == 'x') ADVANCE(83);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(80);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(78);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'b') ADVANCE(53);
      if (lookahead == 'x') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(78);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'b') ADVANCE(78);
      if (lookahead == 'x') ADVANCE(83);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(78);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(84);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(243);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(82);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(245);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(84);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(245);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(82);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(245);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(245);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(83);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(84);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(248);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(83);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(83);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(245);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(245);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(243);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(243);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(272);
      if (lookahead == '\r') ADVANCE(271);
      if (lookahead == 'U') ADVANCE(99);
      if (lookahead == 'u') ADVANCE(91);
      if (lookahead == 'x') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(274);
      if (lookahead != 0) ADVANCE(271);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '/') ADVANCE(291);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(29);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(268);
      if (lookahead == '/') ADVANCE(270);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(270);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(270);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(266);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(270);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(270);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(29);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(271);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(273);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(60);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(261);
      if (lookahead == '\'') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(261);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(263);
      if (lookahead == '\'') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(263);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(262);
      if (lookahead == '\'') ADVANCE(253);
      if (lookahead == '8') ADVANCE(283);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(262);
      if (lookahead == '8') ADVANCE(284);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(264);
      if (lookahead == '\'') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(264);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(253);
      if (lookahead == '8') ADVANCE(288);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(62);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(289);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(130);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(291);
      if (lookahead == '\r') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(293);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(292);
      if (lookahead == '\r') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(100);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(130);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(28)
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 6:
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'h') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(46);
      if (lookahead == 'l') ADVANCE(47);
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(56);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == 's') ADVANCE(61);
      if (lookahead == 't') ADVANCE(62);
      if (lookahead == 'w') ADVANCE(63);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(67);
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(71);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(72);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(73);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(77);
      if (lookahead == 'b') ADVANCE(78);
      if (lookahead == 'c') ADVANCE(79);
      if (lookahead == 'd') ADVANCE(80);
      if (lookahead == 'f') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 's') ADVANCE(83);
      if (lookahead == 't') ADVANCE(84);
      if (lookahead == 'u') ADVANCE(85);
      if (lookahead == 'v') ADVANCE(86);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(87);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(88);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(93);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(95);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(97);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(98);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 53:
      if (lookahead == 'x') ADVANCE(107);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 56:
      if (lookahead == 'f') ADVANCE(110);
      END_STATE();
    case 57:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 58:
      if (lookahead == 'g') ADVANCE(112);
      if (lookahead == 's') ADVANCE(113);
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 59:
      if (lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(116);
      if (lookahead == 'z') ADVANCE(117);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(119);
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(121);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 65:
      if (lookahead == 'u') ADVANCE(123);
      END_STATE();
    case 66:
      if (lookahead == 'p') ADVANCE(124);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(126);
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 69:
      if (lookahead == 'i') ADVANCE(128);
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 71:
      if (lookahead == 'S') ADVANCE(131);
      END_STATE();
    case 72:
      if (lookahead == 'L') ADVANCE(132);
      END_STATE();
    case 73:
      if (lookahead == 'E') ADVANCE(133);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 75:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 76:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(137);
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(140);
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(143);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(145);
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 84:
      if (lookahead == 'h') ADVANCE(147);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(148);
      if (lookahead == 'p') ADVANCE(149);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 89:
      if (lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 93:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 94:
      if (lookahead == 's') ADVANCE(157);
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 96:
      if (lookahead == 'b') ADVANCE(161);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 98:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 100:
      if (lookahead == 's') ADVANCE(165);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(166);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 103:
      if (lookahead == 'o') ADVANCE(167);
      END_STATE();
    case 104:
      if (lookahead == 'i') ADVANCE(168);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(169);
      if (lookahead == '3') ADVANCE(170);
      if (lookahead == '6') ADVANCE(171);
      if (lookahead == '8') ADVANCE(172);
      if (lookahead == 'p') ADVANCE(173);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(174);
      END_STATE();
    case 107:
      if (lookahead == '_') ADVANCE(175);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 109:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(178);
      END_STATE();
    case 111:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(180);
      END_STATE();
    case 113:
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 114:
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 115:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 116:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 118:
      if (lookahead == 'z') ADVANCE(186);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 120:
      if (lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(194);
      END_STATE();
    case 128:
      if (lookahead == 'd') ADVANCE(153);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'E') ADVANCE(197);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 134:
      if (lookahead == 'm') ADVANCE(198);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 137:
      if (lookahead == 'm') ADVANCE(201);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(202);
      END_STATE();
    case 139:
      if (lookahead == 's') ADVANCE(203);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 141:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 142:
      if (lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 143:
      if (lookahead == 's') ADVANCE(207);
      END_STATE();
    case 144:
      if (lookahead == 's') ADVANCE(208);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 146:
      if (lookahead == 'd') ADVANCE(210);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(211);
      END_STATE();
    case 148:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 150:
      if (lookahead == 'c') ADVANCE(214);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 154:
      if (lookahead == 'k') ADVANCE(216);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(217);
      if (lookahead == '3') ADVANCE(218);
      if (lookahead == '6') ADVANCE(219);
      if (lookahead == '8') ADVANCE(220);
      if (lookahead == 'p') ADVANCE(221);
      END_STATE();
    case 157:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(223);
      END_STATE();
    case 159:
      if (lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 161:
      if (lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 168:
      if (lookahead == 'n') ADVANCE(228);
      END_STATE();
    case 169:
      if (lookahead == '6') ADVANCE(229);
      END_STATE();
    case 170:
      if (lookahead == '2') ADVANCE(230);
      END_STATE();
    case 171:
      if (lookahead == '4') ADVANCE(231);
      END_STATE();
    case 172:
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(233);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 175:
      if (lookahead == 'a') ADVANCE(234);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 177:
      if (lookahead == 'p') ADVANCE(236);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(238);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(239);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(240);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 183:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 185:
      if (lookahead == '_') ADVANCE(244);
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 187:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 188:
      if (lookahead == 'c') ADVANCE(248);
      END_STATE();
    case 189:
      if (lookahead == 'c') ADVANCE(249);
      END_STATE();
    case 190:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 191:
      if (lookahead == 'd') ADVANCE(251);
      END_STATE();
    case 192:
      if (lookahead == '1') ADVANCE(252);
      if (lookahead == '3') ADVANCE(253);
      if (lookahead == '6') ADVANCE(254);
      if (lookahead == '8') ADVANCE(255);
      if (lookahead == 'p') ADVANCE(256);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 194:
      if (lookahead == 'g') ADVANCE(258);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 198:
      if (lookahead == 'i') ADVANCE(261);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 201:
      if (lookahead == '_') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'r') ADVANCE(265);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(267);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      END_STATE();
    case 206:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(273);
      END_STATE();
    case 211:
      if (lookahead == 's') ADVANCE(274);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 213:
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 215:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 217:
      if (lookahead == '6') ADVANCE(279);
      END_STATE();
    case 218:
      if (lookahead == '2') ADVANCE(280);
      END_STATE();
    case 219:
      if (lookahead == '4') ADVANCE(281);
      END_STATE();
    case 220:
      if (lookahead == '_') ADVANCE(282);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(283);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 224:
      if (lookahead == 'l') ADVANCE(286);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 227:
      if (lookahead == 'n') ADVANCE(288);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 229:
      if (lookahead == '_') ADVANCE(290);
      END_STATE();
    case 230:
      if (lookahead == '_') ADVANCE(291);
      END_STATE();
    case 231:
      if (lookahead == '_') ADVANCE(292);
      END_STATE();
    case 232:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 235:
      if (lookahead == 'u') ADVANCE(295);
      END_STATE();
    case 236:
      if (lookahead == 't') ADVANCE(296);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 238:
      if (lookahead == 'f') ADVANCE(298);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 240:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 241:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 243:
      if (lookahead == 'd') ADVANCE(302);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 245:
      if (lookahead == 'f') ADVANCE(303);
      END_STATE();
    case 246:
      if (lookahead == '_') ADVANCE(304);
      END_STATE();
    case 247:
      if (lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 248:
      if (lookahead == 't') ADVANCE(306);
      END_STATE();
    case 249:
      if (lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 250:
      if (lookahead == 'd') ADVANCE(308);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 252:
      if (lookahead == '6') ADVANCE(310);
      END_STATE();
    case 253:
      if (lookahead == '2') ADVANCE(311);
      END_STATE();
    case 254:
      if (lookahead == '4') ADVANCE(312);
      END_STATE();
    case 255:
      if (lookahead == '_') ADVANCE(313);
      END_STATE();
    case 256:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 258:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 259:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 262:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 263:
      if (lookahead == 'u') ADVANCE(319);
      END_STATE();
    case 264:
      if (lookahead == '_') ADVANCE(320);
      END_STATE();
    case 265:
      if (lookahead == 'i') ADVANCE(321);
      END_STATE();
    case 266:
      if (lookahead == 'd') ADVANCE(322);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(324);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(325);
      END_STATE();
    case 270:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 273:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(329);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(330);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 277:
      if (lookahead == 'o') ADVANCE(331);
      END_STATE();
    case 278:
      if (lookahead == 'g') ADVANCE(332);
      END_STATE();
    case 279:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 280:
      if (lookahead == '_') ADVANCE(334);
      END_STATE();
    case 281:
      if (lookahead == '_') ADVANCE(335);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(336);
      END_STATE();
    case 284:
      if (lookahead == 'x') ADVANCE(337);
      END_STATE();
    case 285:
      if (lookahead == 'u') ADVANCE(338);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 292:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 293:
      if (lookahead == '_') ADVANCE(341);
      END_STATE();
    case 294:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 295:
      if (lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 296:
      if (lookahead == 'r') ADVANCE(344);
      END_STATE();
    case 297:
      if (lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 300:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 308:
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 309:
      if (lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 310:
      if (lookahead == '_') ADVANCE(351);
      END_STATE();
    case 311:
      if (lookahead == '_') ADVANCE(352);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(353);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 314:
      if (lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 316:
      if (lookahead == 'l') ADVANCE(356);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(357);
      END_STATE();
    case 319:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 321:
      if (lookahead == 'b') ADVANCE(359);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 324:
      if (lookahead == 'l') ADVANCE(360);
      END_STATE();
    case 325:
      if (lookahead == 'p') ADVANCE(361);
      END_STATE();
    case 326:
      if (lookahead == 'a') ADVANCE(362);
      END_STATE();
    case 327:
      if (lookahead == 'i') ADVANCE(363);
      END_STATE();
    case 328:
      if (lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 329:
      if (lookahead == 'a') ADVANCE(365);
      END_STATE();
    case 330:
      if (lookahead == 'g') ADVANCE(366);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(368);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 335:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 336:
      if (lookahead == '_') ADVANCE(369);
      END_STATE();
    case 337:
      if (lookahead == 'p') ADVANCE(370);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 342:
      if (lookahead == 'g') ADVANCE(372);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(373);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 345:
      if (lookahead == 'f') ADVANCE(375);
      END_STATE();
    case 346:
      if (lookahead == '_') ADVANCE(376);
      END_STATE();
    case 347:
      if (lookahead == 'r') ADVANCE(377);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(378);
      END_STATE();
    case 349:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 351:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 352:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 353:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 354:
      if (lookahead == '_') ADVANCE(380);
      END_STATE();
    case 355:
      if (lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 359:
      if (lookahead == 'u') ADVANCE(384);
      END_STATE();
    case 360:
      if (lookahead == 'l') ADVANCE(385);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 362:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 363:
      if (lookahead == 'c') ADVANCE(388);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(389);
      END_STATE();
    case 365:
      if (lookahead == 'l') ADVANCE(390);
      END_STATE();
    case 366:
      if (lookahead == 'n') ADVANCE(391);
      END_STATE();
    case 367:
      if (lookahead == 'c') ADVANCE(392);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 370:
      if (lookahead == 'r') ADVANCE(394);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 376:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 379:
      if (lookahead == 'o') ADVANCE(396);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(397);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 386:
      if (lookahead == 'c') ADVANCE(398);
      END_STATE();
    case 387:
      if (lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(400);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 390:
      if (lookahead == 'l') ADVANCE(401);
      END_STATE();
    case 391:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 392:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 393:
      if (lookahead == 'd') ADVANCE(404);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 395:
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 396:
      if (lookahead == 'c') ADVANCE(406);
      END_STATE();
    case 397:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(408);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 402:
      if (lookahead == 'd') ADVANCE(409);
      END_STATE();
    case 403:
      if (lookahead == 'l') ADVANCE(410);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 406:
      if (lookahead == 'a') ADVANCE(411);
      END_STATE();
    case 407:
      if (lookahead == '_') ADVANCE(412);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(413);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 410:
      if (lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 411:
      if (lookahead == 'l') ADVANCE(415);
      END_STATE();
    case 412:
      if (lookahead == '_') ADVANCE(416);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 102},
  [2] = {.lex_state = 37},
  [3] = {.lex_state = 37},
  [4] = {.lex_state = 37},
  [5] = {.lex_state = 37},
  [6] = {.lex_state = 37},
  [7] = {.lex_state = 37},
  [8] = {.lex_state = 37},
  [9] = {.lex_state = 37},
  [10] = {.lex_state = 37},
  [11] = {.lex_state = 37},
  [12] = {.lex_state = 40},
  [13] = {.lex_state = 40},
  [14] = {.lex_state = 40},
  [15] = {.lex_state = 40},
  [16] = {.lex_state = 40},
  [17] = {.lex_state = 40},
  [18] = {.lex_state = 40},
  [19] = {.lex_state = 40},
  [20] = {.lex_state = 40},
  [21] = {.lex_state = 40},
  [22] = {.lex_state = 40},
  [23] = {.lex_state = 40},
  [24] = {.lex_state = 40},
  [25] = {.lex_state = 37},
  [26] = {.lex_state = 40},
  [27] = {.lex_state = 40},
  [28] = {.lex_state = 102},
  [29] = {.lex_state = 102},
  [30] = {.lex_state = 102},
  [31] = {.lex_state = 102},
  [32] = {.lex_state = 102},
  [33] = {.lex_state = 102},
  [34] = {.lex_state = 102},
  [35] = {.lex_state = 102},
  [36] = {.lex_state = 102},
  [37] = {.lex_state = 102},
  [38] = {.lex_state = 102},
  [39] = {.lex_state = 102},
  [40] = {.lex_state = 102},
  [41] = {.lex_state = 39},
  [42] = {.lex_state = 102},
  [43] = {.lex_state = 102},
  [44] = {.lex_state = 102},
  [45] = {.lex_state = 102},
  [46] = {.lex_state = 102},
  [47] = {.lex_state = 102},
  [48] = {.lex_state = 39},
  [49] = {.lex_state = 102},
  [50] = {.lex_state = 39},
  [51] = {.lex_state = 102},
  [52] = {.lex_state = 102},
  [53] = {.lex_state = 102},
  [54] = {.lex_state = 37},
  [55] = {.lex_state = 37},
  [56] = {.lex_state = 37},
  [57] = {.lex_state = 37},
  [58] = {.lex_state = 37},
  [59] = {.lex_state = 40},
  [60] = {.lex_state = 40},
  [61] = {.lex_state = 40},
  [62] = {.lex_state = 40},
  [63] = {.lex_state = 40},
  [64] = {.lex_state = 102},
  [65] = {.lex_state = 102},
  [66] = {.lex_state = 39},
  [67] = {.lex_state = 102},
  [68] = {.lex_state = 39},
  [69] = {.lex_state = 39},
  [70] = {.lex_state = 102},
  [71] = {.lex_state = 102},
  [72] = {.lex_state = 39},
  [73] = {.lex_state = 102},
  [74] = {.lex_state = 102},
  [75] = {.lex_state = 39},
  [76] = {.lex_state = 102},
  [77] = {.lex_state = 102},
  [78] = {.lex_state = 102},
  [79] = {.lex_state = 102},
  [80] = {.lex_state = 102},
  [81] = {.lex_state = 102},
  [82] = {.lex_state = 102},
  [83] = {.lex_state = 102},
  [84] = {.lex_state = 102},
  [85] = {.lex_state = 102},
  [86] = {.lex_state = 102},
  [87] = {.lex_state = 102},
  [88] = {.lex_state = 102},
  [89] = {.lex_state = 102},
  [90] = {.lex_state = 36},
  [91] = {.lex_state = 37},
  [92] = {.lex_state = 37},
  [93] = {.lex_state = 37},
  [94] = {.lex_state = 37},
  [95] = {.lex_state = 37},
  [96] = {.lex_state = 37},
  [97] = {.lex_state = 37},
  [98] = {.lex_state = 37},
  [99] = {.lex_state = 37},
  [100] = {.lex_state = 37},
  [101] = {.lex_state = 37},
  [102] = {.lex_state = 37},
  [103] = {.lex_state = 37},
  [104] = {.lex_state = 37},
  [105] = {.lex_state = 37},
  [106] = {.lex_state = 37},
  [107] = {.lex_state = 37},
  [108] = {.lex_state = 37},
  [109] = {.lex_state = 37},
  [110] = {.lex_state = 37},
  [111] = {.lex_state = 37},
  [112] = {.lex_state = 37},
  [113] = {.lex_state = 37},
  [114] = {.lex_state = 37},
  [115] = {.lex_state = 37},
  [116] = {.lex_state = 37},
  [117] = {.lex_state = 37},
  [118] = {.lex_state = 37},
  [119] = {.lex_state = 37},
  [120] = {.lex_state = 37},
  [121] = {.lex_state = 37},
  [122] = {.lex_state = 37},
  [123] = {.lex_state = 37},
  [124] = {.lex_state = 37},
  [125] = {.lex_state = 37},
  [126] = {.lex_state = 37},
  [127] = {.lex_state = 37},
  [128] = {.lex_state = 37},
  [129] = {.lex_state = 37},
  [130] = {.lex_state = 37},
  [131] = {.lex_state = 37},
  [132] = {.lex_state = 37},
  [133] = {.lex_state = 37},
  [134] = {.lex_state = 37},
  [135] = {.lex_state = 37},
  [136] = {.lex_state = 37},
  [137] = {.lex_state = 37},
  [138] = {.lex_state = 37},
  [139] = {.lex_state = 37},
  [140] = {.lex_state = 37},
  [141] = {.lex_state = 37},
  [142] = {.lex_state = 37},
  [143] = {.lex_state = 40},
  [144] = {.lex_state = 37},
  [145] = {.lex_state = 37},
  [146] = {.lex_state = 37},
  [147] = {.lex_state = 37},
  [148] = {.lex_state = 37},
  [149] = {.lex_state = 37},
  [150] = {.lex_state = 37},
  [151] = {.lex_state = 37},
  [152] = {.lex_state = 37},
  [153] = {.lex_state = 37},
  [154] = {.lex_state = 40},
  [155] = {.lex_state = 40},
  [156] = {.lex_state = 40},
  [157] = {.lex_state = 40},
  [158] = {.lex_state = 40},
  [159] = {.lex_state = 40},
  [160] = {.lex_state = 102},
  [161] = {.lex_state = 40},
  [162] = {.lex_state = 40},
  [163] = {.lex_state = 40},
  [164] = {.lex_state = 40},
  [165] = {.lex_state = 40},
  [166] = {.lex_state = 102},
  [167] = {.lex_state = 40},
  [168] = {.lex_state = 40},
  [169] = {.lex_state = 40},
  [170] = {.lex_state = 40},
  [171] = {.lex_state = 40},
  [172] = {.lex_state = 40},
  [173] = {.lex_state = 40},
  [174] = {.lex_state = 40},
  [175] = {.lex_state = 40},
  [176] = {.lex_state = 40},
  [177] = {.lex_state = 40},
  [178] = {.lex_state = 40},
  [179] = {.lex_state = 40},
  [180] = {.lex_state = 40},
  [181] = {.lex_state = 40},
  [182] = {.lex_state = 40},
  [183] = {.lex_state = 40},
  [184] = {.lex_state = 40},
  [185] = {.lex_state = 40},
  [186] = {.lex_state = 40},
  [187] = {.lex_state = 40},
  [188] = {.lex_state = 40},
  [189] = {.lex_state = 40},
  [190] = {.lex_state = 40},
  [191] = {.lex_state = 40},
  [192] = {.lex_state = 40},
  [193] = {.lex_state = 40},
  [194] = {.lex_state = 40},
  [195] = {.lex_state = 40},
  [196] = {.lex_state = 40},
  [197] = {.lex_state = 102},
  [198] = {.lex_state = 40},
  [199] = {.lex_state = 40},
  [200] = {.lex_state = 40},
  [201] = {.lex_state = 40},
  [202] = {.lex_state = 40},
  [203] = {.lex_state = 40},
  [204] = {.lex_state = 39},
  [205] = {.lex_state = 40},
  [206] = {.lex_state = 102},
  [207] = {.lex_state = 36},
  [208] = {.lex_state = 40},
  [209] = {.lex_state = 40},
  [210] = {.lex_state = 40},
  [211] = {.lex_state = 40},
  [212] = {.lex_state = 40},
  [213] = {.lex_state = 40},
  [214] = {.lex_state = 40},
  [215] = {.lex_state = 40},
  [216] = {.lex_state = 40},
  [217] = {.lex_state = 40},
  [218] = {.lex_state = 40},
  [219] = {.lex_state = 40},
  [220] = {.lex_state = 40},
  [221] = {.lex_state = 102},
  [222] = {.lex_state = 102},
  [223] = {.lex_state = 39},
  [224] = {.lex_state = 39},
  [225] = {.lex_state = 39},
  [226] = {.lex_state = 39},
  [227] = {.lex_state = 39},
  [228] = {.lex_state = 39},
  [229] = {.lex_state = 39},
  [230] = {.lex_state = 39},
  [231] = {.lex_state = 102},
  [232] = {.lex_state = 39},
  [233] = {.lex_state = 39},
  [234] = {.lex_state = 102},
  [235] = {.lex_state = 102},
  [236] = {.lex_state = 39},
  [237] = {.lex_state = 39},
  [238] = {.lex_state = 39},
  [239] = {.lex_state = 102},
  [240] = {.lex_state = 102},
  [241] = {.lex_state = 102},
  [242] = {.lex_state = 102},
  [243] = {.lex_state = 102},
  [244] = {.lex_state = 102},
  [245] = {.lex_state = 39},
  [246] = {.lex_state = 102},
  [247] = {.lex_state = 39},
  [248] = {.lex_state = 102},
  [249] = {.lex_state = 102},
  [250] = {.lex_state = 102},
  [251] = {.lex_state = 102},
  [252] = {.lex_state = 102},
  [253] = {.lex_state = 39},
  [254] = {.lex_state = 39},
  [255] = {.lex_state = 39},
  [256] = {.lex_state = 39},
  [257] = {.lex_state = 102},
  [258] = {.lex_state = 102},
  [259] = {.lex_state = 39},
  [260] = {.lex_state = 102},
  [261] = {.lex_state = 39},
  [262] = {.lex_state = 39},
  [263] = {.lex_state = 102},
  [264] = {.lex_state = 102},
  [265] = {.lex_state = 102},
  [266] = {.lex_state = 39},
  [267] = {.lex_state = 102},
  [268] = {.lex_state = 39},
  [269] = {.lex_state = 102},
  [270] = {.lex_state = 39},
  [271] = {.lex_state = 102},
  [272] = {.lex_state = 39},
  [273] = {.lex_state = 39},
  [274] = {.lex_state = 39},
  [275] = {.lex_state = 39},
  [276] = {.lex_state = 39},
  [277] = {.lex_state = 39},
  [278] = {.lex_state = 102},
  [279] = {.lex_state = 39},
  [280] = {.lex_state = 39},
  [281] = {.lex_state = 102},
  [282] = {.lex_state = 39},
  [283] = {.lex_state = 39},
  [284] = {.lex_state = 102},
  [285] = {.lex_state = 102},
  [286] = {.lex_state = 102},
  [287] = {.lex_state = 102},
  [288] = {.lex_state = 102},
  [289] = {.lex_state = 102},
  [290] = {.lex_state = 102},
  [291] = {.lex_state = 39},
  [292] = {.lex_state = 102},
  [293] = {.lex_state = 39},
  [294] = {.lex_state = 102},
  [295] = {.lex_state = 102},
  [296] = {.lex_state = 102},
  [297] = {.lex_state = 39},
  [298] = {.lex_state = 39},
  [299] = {.lex_state = 102},
  [300] = {.lex_state = 102},
  [301] = {.lex_state = 102},
  [302] = {.lex_state = 102},
  [303] = {.lex_state = 102},
  [304] = {.lex_state = 102},
  [305] = {.lex_state = 102},
  [306] = {.lex_state = 102},
  [307] = {.lex_state = 102},
  [308] = {.lex_state = 102},
  [309] = {.lex_state = 102},
  [310] = {.lex_state = 102},
  [311] = {.lex_state = 102},
  [312] = {.lex_state = 102},
  [313] = {.lex_state = 102},
  [314] = {.lex_state = 102},
  [315] = {.lex_state = 102},
  [316] = {.lex_state = 102},
  [317] = {.lex_state = 102},
  [318] = {.lex_state = 102},
  [319] = {.lex_state = 102},
  [320] = {.lex_state = 102},
  [321] = {.lex_state = 102},
  [322] = {.lex_state = 102},
  [323] = {.lex_state = 102},
  [324] = {.lex_state = 102},
  [325] = {.lex_state = 102},
  [326] = {.lex_state = 102},
  [327] = {.lex_state = 102},
  [328] = {.lex_state = 102},
  [329] = {.lex_state = 102},
  [330] = {.lex_state = 102},
  [331] = {.lex_state = 102},
  [332] = {.lex_state = 102},
  [333] = {.lex_state = 102},
  [334] = {.lex_state = 102},
  [335] = {.lex_state = 102},
  [336] = {.lex_state = 102},
  [337] = {.lex_state = 102},
  [338] = {.lex_state = 102},
  [339] = {.lex_state = 102},
  [340] = {.lex_state = 102},
  [341] = {.lex_state = 102},
  [342] = {.lex_state = 102},
  [343] = {.lex_state = 102},
  [344] = {.lex_state = 102},
  [345] = {.lex_state = 102},
  [346] = {.lex_state = 102},
  [347] = {.lex_state = 102},
  [348] = {.lex_state = 102},
  [349] = {.lex_state = 102},
  [350] = {.lex_state = 102},
  [351] = {.lex_state = 102},
  [352] = {.lex_state = 102},
  [353] = {.lex_state = 102},
  [354] = {.lex_state = 102},
  [355] = {.lex_state = 102},
  [356] = {.lex_state = 102},
  [357] = {.lex_state = 102},
  [358] = {.lex_state = 102},
  [359] = {.lex_state = 102},
  [360] = {.lex_state = 102},
  [361] = {.lex_state = 102},
  [362] = {.lex_state = 102},
  [363] = {.lex_state = 102},
  [364] = {.lex_state = 102},
  [365] = {.lex_state = 102},
  [366] = {.lex_state = 102},
  [367] = {.lex_state = 102},
  [368] = {.lex_state = 102},
  [369] = {.lex_state = 102},
  [370] = {.lex_state = 102},
  [371] = {.lex_state = 102},
  [372] = {.lex_state = 102},
  [373] = {.lex_state = 102},
  [374] = {.lex_state = 102},
  [375] = {.lex_state = 102},
  [376] = {.lex_state = 102},
  [377] = {.lex_state = 102},
  [378] = {.lex_state = 102},
  [379] = {.lex_state = 102},
  [380] = {.lex_state = 102},
  [381] = {.lex_state = 102},
  [382] = {.lex_state = 102},
  [383] = {.lex_state = 102},
  [384] = {.lex_state = 102},
  [385] = {.lex_state = 102},
  [386] = {.lex_state = 102},
  [387] = {.lex_state = 102},
  [388] = {.lex_state = 102},
  [389] = {.lex_state = 102},
  [390] = {.lex_state = 102},
  [391] = {.lex_state = 102},
  [392] = {.lex_state = 102},
  [393] = {.lex_state = 102},
  [394] = {.lex_state = 102},
  [395] = {.lex_state = 102},
  [396] = {.lex_state = 102},
  [397] = {.lex_state = 102},
  [398] = {.lex_state = 102},
  [399] = {.lex_state = 102},
  [400] = {.lex_state = 102},
  [401] = {.lex_state = 102},
  [402] = {.lex_state = 39},
  [403] = {.lex_state = 102},
  [404] = {.lex_state = 102},
  [405] = {.lex_state = 102},
  [406] = {.lex_state = 102},
  [407] = {.lex_state = 102},
  [408] = {.lex_state = 102},
  [409] = {.lex_state = 102},
  [410] = {.lex_state = 102},
  [411] = {.lex_state = 102},
  [412] = {.lex_state = 102},
  [413] = {.lex_state = 102},
  [414] = {.lex_state = 102},
  [415] = {.lex_state = 102},
  [416] = {.lex_state = 102},
  [417] = {.lex_state = 102},
  [418] = {.lex_state = 102},
  [419] = {.lex_state = 102},
  [420] = {.lex_state = 102},
  [421] = {.lex_state = 102},
  [422] = {.lex_state = 102},
  [423] = {.lex_state = 102},
  [424] = {.lex_state = 102},
  [425] = {.lex_state = 102},
  [426] = {.lex_state = 102},
  [427] = {.lex_state = 102},
  [428] = {.lex_state = 102},
  [429] = {.lex_state = 102},
  [430] = {.lex_state = 102},
  [431] = {.lex_state = 102},
  [432] = {.lex_state = 102},
  [433] = {.lex_state = 102},
  [434] = {.lex_state = 102},
  [435] = {.lex_state = 102},
  [436] = {.lex_state = 102},
  [437] = {.lex_state = 102},
  [438] = {.lex_state = 102},
  [439] = {.lex_state = 102},
  [440] = {.lex_state = 102},
  [441] = {.lex_state = 102},
  [442] = {.lex_state = 102},
  [443] = {.lex_state = 102},
  [444] = {.lex_state = 102},
  [445] = {.lex_state = 102},
  [446] = {.lex_state = 102},
  [447] = {.lex_state = 102},
  [448] = {.lex_state = 102},
  [449] = {.lex_state = 102},
  [450] = {.lex_state = 102},
  [451] = {.lex_state = 102},
  [452] = {.lex_state = 102},
  [453] = {.lex_state = 39},
  [454] = {.lex_state = 39},
  [455] = {.lex_state = 39},
  [456] = {.lex_state = 39},
  [457] = {.lex_state = 39},
  [458] = {.lex_state = 39},
  [459] = {.lex_state = 39},
  [460] = {.lex_state = 39},
  [461] = {.lex_state = 39},
  [462] = {.lex_state = 39},
  [463] = {.lex_state = 39},
  [464] = {.lex_state = 39},
  [465] = {.lex_state = 39},
  [466] = {.lex_state = 102},
  [467] = {.lex_state = 39},
  [468] = {.lex_state = 39},
  [469] = {.lex_state = 39},
  [470] = {.lex_state = 39},
  [471] = {.lex_state = 39},
  [472] = {.lex_state = 39},
  [473] = {.lex_state = 39},
  [474] = {.lex_state = 39},
  [475] = {.lex_state = 102},
  [476] = {.lex_state = 102},
  [477] = {.lex_state = 102},
  [478] = {.lex_state = 102},
  [479] = {.lex_state = 102},
  [480] = {.lex_state = 102},
  [481] = {.lex_state = 102},
  [482] = {.lex_state = 102},
  [483] = {.lex_state = 102},
  [484] = {.lex_state = 102},
  [485] = {.lex_state = 102},
  [486] = {.lex_state = 102},
  [487] = {.lex_state = 102},
  [488] = {.lex_state = 102},
  [489] = {.lex_state = 102},
  [490] = {.lex_state = 102},
  [491] = {.lex_state = 102},
  [492] = {.lex_state = 102},
  [493] = {.lex_state = 102},
  [494] = {.lex_state = 102},
  [495] = {.lex_state = 102},
  [496] = {.lex_state = 102},
  [497] = {.lex_state = 102},
  [498] = {.lex_state = 102},
  [499] = {.lex_state = 102},
  [500] = {.lex_state = 102},
  [501] = {.lex_state = 102},
  [502] = {.lex_state = 102},
  [503] = {.lex_state = 102},
  [504] = {.lex_state = 102},
  [505] = {.lex_state = 102},
  [506] = {.lex_state = 102},
  [507] = {.lex_state = 102},
  [508] = {.lex_state = 102},
  [509] = {.lex_state = 102},
  [510] = {.lex_state = 102},
  [511] = {.lex_state = 102},
  [512] = {.lex_state = 102},
  [513] = {.lex_state = 102},
  [514] = {.lex_state = 102},
  [515] = {.lex_state = 102},
  [516] = {.lex_state = 102},
  [517] = {.lex_state = 102},
  [518] = {.lex_state = 102},
  [519] = {.lex_state = 102},
  [520] = {.lex_state = 102},
  [521] = {.lex_state = 102},
  [522] = {.lex_state = 102},
  [523] = {.lex_state = 102},
  [524] = {.lex_state = 36},
  [525] = {.lex_state = 102},
  [526] = {.lex_state = 102},
  [527] = {.lex_state = 36},
  [528] = {.lex_state = 102},
  [529] = {.lex_state = 102},
  [530] = {.lex_state = 102},
  [531] = {.lex_state = 102},
  [532] = {.lex_state = 102},
  [533] = {.lex_state = 102},
  [534] = {.lex_state = 102},
  [535] = {.lex_state = 102},
  [536] = {.lex_state = 102},
  [537] = {.lex_state = 102},
  [538] = {.lex_state = 102},
  [539] = {.lex_state = 102},
  [540] = {.lex_state = 102},
  [541] = {.lex_state = 44},
  [542] = {.lex_state = 44},
  [543] = {.lex_state = 44},
  [544] = {.lex_state = 44},
  [545] = {.lex_state = 44},
  [546] = {.lex_state = 44},
  [547] = {.lex_state = 44},
  [548] = {.lex_state = 44},
  [549] = {.lex_state = 44},
  [550] = {.lex_state = 102},
  [551] = {.lex_state = 102},
  [552] = {.lex_state = 102},
  [553] = {.lex_state = 44},
  [554] = {.lex_state = 45},
  [555] = {.lex_state = 45},
  [556] = {.lex_state = 45},
  [557] = {.lex_state = 45},
  [558] = {.lex_state = 45},
  [559] = {.lex_state = 45},
  [560] = {.lex_state = 45},
  [561] = {.lex_state = 45},
  [562] = {.lex_state = 45},
  [563] = {.lex_state = 45},
  [564] = {.lex_state = 45},
  [565] = {.lex_state = 45},
  [566] = {.lex_state = 45},
  [567] = {.lex_state = 45},
  [568] = {.lex_state = 45},
  [569] = {.lex_state = 45},
  [570] = {.lex_state = 45},
  [571] = {.lex_state = 45},
  [572] = {.lex_state = 45},
  [573] = {.lex_state = 45},
  [574] = {.lex_state = 45},
  [575] = {.lex_state = 45},
  [576] = {.lex_state = 45},
  [577] = {.lex_state = 43},
  [578] = {.lex_state = 43},
  [579] = {.lex_state = 48},
  [580] = {.lex_state = 102},
  [581] = {.lex_state = 102},
  [582] = {.lex_state = 48},
  [583] = {.lex_state = 48},
  [584] = {.lex_state = 43},
  [585] = {.lex_state = 102},
  [586] = {.lex_state = 102},
  [587] = {.lex_state = 102},
  [588] = {.lex_state = 102},
  [589] = {.lex_state = 102},
  [590] = {.lex_state = 102},
  [591] = {.lex_state = 102},
  [592] = {.lex_state = 102},
  [593] = {.lex_state = 102},
  [594] = {.lex_state = 102},
  [595] = {.lex_state = 102},
  [596] = {.lex_state = 102},
  [597] = {.lex_state = 102},
  [598] = {.lex_state = 44},
  [599] = {.lex_state = 102},
  [600] = {.lex_state = 102},
  [601] = {.lex_state = 102},
  [602] = {.lex_state = 102},
  [603] = {.lex_state = 102},
  [604] = {.lex_state = 102},
  [605] = {.lex_state = 102},
  [606] = {.lex_state = 102},
  [607] = {.lex_state = 102},
  [608] = {.lex_state = 102},
  [609] = {.lex_state = 102},
  [610] = {.lex_state = 102},
  [611] = {.lex_state = 102},
  [612] = {.lex_state = 102},
  [613] = {.lex_state = 102},
  [614] = {.lex_state = 102},
  [615] = {.lex_state = 102},
  [616] = {.lex_state = 102},
  [617] = {.lex_state = 102},
  [618] = {.lex_state = 102},
  [619] = {.lex_state = 102},
  [620] = {.lex_state = 102},
  [621] = {.lex_state = 102},
  [622] = {.lex_state = 102},
  [623] = {.lex_state = 102},
  [624] = {.lex_state = 102},
  [625] = {.lex_state = 102},
  [626] = {.lex_state = 102},
  [627] = {.lex_state = 102},
  [628] = {.lex_state = 102},
  [629] = {.lex_state = 102},
  [630] = {.lex_state = 102},
  [631] = {.lex_state = 102},
  [632] = {.lex_state = 102},
  [633] = {.lex_state = 102},
  [634] = {.lex_state = 102},
  [635] = {.lex_state = 102},
  [636] = {.lex_state = 102},
  [637] = {.lex_state = 102},
  [638] = {.lex_state = 102},
  [639] = {.lex_state = 102},
  [640] = {.lex_state = 102},
  [641] = {.lex_state = 102},
  [642] = {.lex_state = 102},
  [643] = {.lex_state = 102},
  [644] = {.lex_state = 102},
  [645] = {.lex_state = 102},
  [646] = {.lex_state = 102},
  [647] = {.lex_state = 102},
  [648] = {.lex_state = 102},
  [649] = {.lex_state = 102},
  [650] = {.lex_state = 102},
  [651] = {.lex_state = 102},
  [652] = {.lex_state = 102},
  [653] = {.lex_state = 102},
  [654] = {.lex_state = 102},
  [655] = {.lex_state = 102},
  [656] = {.lex_state = 102},
  [657] = {.lex_state = 102},
  [658] = {.lex_state = 102},
  [659] = {.lex_state = 102},
  [660] = {.lex_state = 102},
  [661] = {.lex_state = 102},
  [662] = {.lex_state = 102},
  [663] = {.lex_state = 102},
  [664] = {.lex_state = 102},
  [665] = {.lex_state = 102},
  [666] = {.lex_state = 102},
  [667] = {.lex_state = 102},
  [668] = {.lex_state = 102},
  [669] = {.lex_state = 102},
  [670] = {.lex_state = 102},
  [671] = {.lex_state = 102},
  [672] = {.lex_state = 102},
  [673] = {.lex_state = 102},
  [674] = {.lex_state = 102},
  [675] = {.lex_state = 102},
  [676] = {.lex_state = 102},
  [677] = {.lex_state = 44},
  [678] = {.lex_state = 102},
  [679] = {.lex_state = 102},
  [680] = {.lex_state = 44},
  [681] = {.lex_state = 102},
  [682] = {.lex_state = 102},
  [683] = {.lex_state = 102},
  [684] = {.lex_state = 102},
  [685] = {.lex_state = 102},
  [686] = {.lex_state = 102},
  [687] = {.lex_state = 102},
  [688] = {.lex_state = 102},
  [689] = {.lex_state = 102},
  [690] = {.lex_state = 102},
  [691] = {.lex_state = 102},
  [692] = {.lex_state = 102},
  [693] = {.lex_state = 102},
  [694] = {.lex_state = 102},
  [695] = {.lex_state = 102},
  [696] = {.lex_state = 102},
  [697] = {.lex_state = 102},
  [698] = {.lex_state = 102},
  [699] = {.lex_state = 102},
  [700] = {.lex_state = 102},
  [701] = {.lex_state = 102},
  [702] = {.lex_state = 102},
  [703] = {.lex_state = 102},
  [704] = {.lex_state = 102},
  [705] = {.lex_state = 102},
  [706] = {.lex_state = 102},
  [707] = {.lex_state = 102},
  [708] = {.lex_state = 102},
  [709] = {.lex_state = 102},
  [710] = {.lex_state = 102},
  [711] = {.lex_state = 102},
  [712] = {.lex_state = 102},
  [713] = {.lex_state = 102},
  [714] = {.lex_state = 102},
  [715] = {.lex_state = 102},
  [716] = {.lex_state = 102},
  [717] = {.lex_state = 44},
  [718] = {.lex_state = 102},
  [719] = {.lex_state = 102},
  [720] = {.lex_state = 102},
  [721] = {.lex_state = 102},
  [722] = {.lex_state = 102},
  [723] = {.lex_state = 102},
  [724] = {.lex_state = 102},
  [725] = {.lex_state = 102},
  [726] = {.lex_state = 102},
  [727] = {.lex_state = 102},
  [728] = {.lex_state = 102},
  [729] = {.lex_state = 102},
  [730] = {.lex_state = 102},
  [731] = {.lex_state = 102},
  [732] = {.lex_state = 102},
  [733] = {.lex_state = 102},
  [734] = {.lex_state = 102},
  [735] = {.lex_state = 102},
  [736] = {.lex_state = 102},
  [737] = {.lex_state = 102},
  [738] = {.lex_state = 102},
  [739] = {.lex_state = 102},
  [740] = {.lex_state = 102},
  [741] = {.lex_state = 102},
  [742] = {.lex_state = 102},
  [743] = {.lex_state = 102},
  [744] = {.lex_state = 102},
  [745] = {.lex_state = 102},
  [746] = {.lex_state = 44},
  [747] = {.lex_state = 102},
  [748] = {.lex_state = 44},
  [749] = {.lex_state = 102},
  [750] = {.lex_state = 102},
  [751] = {.lex_state = 102},
  [752] = {.lex_state = 102},
  [753] = {.lex_state = 42},
  [754] = {.lex_state = 42},
  [755] = {.lex_state = 42},
  [756] = {.lex_state = 42},
  [757] = {.lex_state = 42},
  [758] = {.lex_state = 45},
  [759] = {.lex_state = 44},
  [760] = {.lex_state = 44},
  [761] = {.lex_state = 45},
  [762] = {.lex_state = 102},
  [763] = {.lex_state = 102},
  [764] = {.lex_state = 102},
  [765] = {.lex_state = 45},
  [766] = {.lex_state = 45},
  [767] = {.lex_state = 45},
  [768] = {.lex_state = 45},
  [769] = {.lex_state = 45},
  [770] = {.lex_state = 43},
  [771] = {.lex_state = 45},
  [772] = {.lex_state = 45},
  [773] = {.lex_state = 45},
  [774] = {.lex_state = 45},
  [775] = {.lex_state = 45},
  [776] = {.lex_state = 45},
  [777] = {.lex_state = 45},
  [778] = {.lex_state = 45},
  [779] = {.lex_state = 45},
  [780] = {.lex_state = 43},
  [781] = {.lex_state = 45},
  [782] = {.lex_state = 45},
  [783] = {.lex_state = 45},
  [784] = {.lex_state = 45},
  [785] = {.lex_state = 45},
  [786] = {.lex_state = 45},
  [787] = {.lex_state = 45},
  [788] = {.lex_state = 45},
  [789] = {.lex_state = 45},
  [790] = {.lex_state = 45},
  [791] = {.lex_state = 45},
  [792] = {.lex_state = 45},
  [793] = {.lex_state = 45},
  [794] = {.lex_state = 45},
  [795] = {.lex_state = 45},
  [796] = {.lex_state = 45},
  [797] = {.lex_state = 45},
  [798] = {.lex_state = 45},
  [799] = {.lex_state = 45},
  [800] = {.lex_state = 45},
  [801] = {.lex_state = 45},
  [802] = {.lex_state = 45},
  [803] = {.lex_state = 45},
  [804] = {.lex_state = 45},
  [805] = {.lex_state = 43},
  [806] = {.lex_state = 45},
  [807] = {.lex_state = 45},
  [808] = {.lex_state = 45},
  [809] = {.lex_state = 45},
  [810] = {.lex_state = 45},
  [811] = {.lex_state = 45},
  [812] = {.lex_state = 44},
  [813] = {.lex_state = 102},
  [814] = {.lex_state = 44},
  [815] = {.lex_state = 44},
  [816] = {.lex_state = 44},
  [817] = {.lex_state = 44},
  [818] = {.lex_state = 44},
  [819] = {.lex_state = 44},
  [820] = {.lex_state = 45},
  [821] = {.lex_state = 102},
  [822] = {.lex_state = 45},
  [823] = {.lex_state = 45},
  [824] = {.lex_state = 45},
  [825] = {.lex_state = 45},
  [826] = {.lex_state = 45},
  [827] = {.lex_state = 45},
  [828] = {.lex_state = 45},
  [829] = {.lex_state = 45},
  [830] = {.lex_state = 45},
  [831] = {.lex_state = 45},
  [832] = {.lex_state = 45},
  [833] = {.lex_state = 45},
  [834] = {.lex_state = 45},
  [835] = {.lex_state = 45},
  [836] = {.lex_state = 45},
  [837] = {.lex_state = 45},
  [838] = {.lex_state = 45},
  [839] = {.lex_state = 45},
  [840] = {.lex_state = 44},
  [841] = {.lex_state = 45},
  [842] = {.lex_state = 45},
  [843] = {.lex_state = 45},
  [844] = {.lex_state = 45},
  [845] = {.lex_state = 45},
  [846] = {.lex_state = 45},
  [847] = {.lex_state = 45},
  [848] = {.lex_state = 45},
  [849] = {.lex_state = 45},
  [850] = {.lex_state = 44},
  [851] = {.lex_state = 44},
  [852] = {.lex_state = 44},
  [853] = {.lex_state = 44},
  [854] = {.lex_state = 44},
  [855] = {.lex_state = 44},
  [856] = {.lex_state = 44},
  [857] = {.lex_state = 44},
  [858] = {.lex_state = 44},
  [859] = {.lex_state = 44},
  [860] = {.lex_state = 44},
  [861] = {.lex_state = 44},
  [862] = {.lex_state = 44},
  [863] = {.lex_state = 44},
  [864] = {.lex_state = 44},
  [865] = {.lex_state = 44},
  [866] = {.lex_state = 44},
  [867] = {.lex_state = 44},
  [868] = {.lex_state = 44},
  [869] = {.lex_state = 44},
  [870] = {.lex_state = 44},
  [871] = {.lex_state = 44},
  [872] = {.lex_state = 44},
  [873] = {.lex_state = 44},
  [874] = {.lex_state = 44},
  [875] = {.lex_state = 44},
  [876] = {.lex_state = 45},
  [877] = {.lex_state = 45},
  [878] = {.lex_state = 45},
  [879] = {.lex_state = 45},
  [880] = {.lex_state = 45},
  [881] = {.lex_state = 45},
  [882] = {.lex_state = 44},
  [883] = {.lex_state = 45},
  [884] = {.lex_state = 45},
  [885] = {.lex_state = 45},
  [886] = {.lex_state = 45},
  [887] = {.lex_state = 45},
  [888] = {.lex_state = 45},
  [889] = {.lex_state = 45},
  [890] = {.lex_state = 45},
  [891] = {.lex_state = 45},
  [892] = {.lex_state = 45},
  [893] = {.lex_state = 45},
  [894] = {.lex_state = 45},
  [895] = {.lex_state = 45},
  [896] = {.lex_state = 45},
  [897] = {.lex_state = 45},
  [898] = {.lex_state = 45},
  [899] = {.lex_state = 45},
  [900] = {.lex_state = 45},
  [901] = {.lex_state = 44},
  [902] = {.lex_state = 44},
  [903] = {.lex_state = 44},
  [904] = {.lex_state = 44},
  [905] = {.lex_state = 44},
  [906] = {.lex_state = 48},
  [907] = {.lex_state = 48},
  [908] = {.lex_state = 43},
  [909] = {.lex_state = 43},
  [910] = {.lex_state = 45},
  [911] = {.lex_state = 43},
  [912] = {.lex_state = 48},
  [913] = {.lex_state = 48},
  [914] = {.lex_state = 45},
  [915] = {.lex_state = 48},
  [916] = {.lex_state = 42},
  [917] = {.lex_state = 48},
  [918] = {.lex_state = 48},
  [919] = {.lex_state = 48},
  [920] = {.lex_state = 42},
  [921] = {.lex_state = 43},
  [922] = {.lex_state = 42},
  [923] = {.lex_state = 43},
  [924] = {.lex_state = 48},
  [925] = {.lex_state = 48},
  [926] = {.lex_state = 44},
  [927] = {.lex_state = 48},
  [928] = {.lex_state = 48},
  [929] = {.lex_state = 43},
  [930] = {.lex_state = 48},
  [931] = {.lex_state = 43},
  [932] = {.lex_state = 45},
  [933] = {.lex_state = 43},
  [934] = {.lex_state = 44},
  [935] = {.lex_state = 43},
  [936] = {.lex_state = 45},
  [937] = {.lex_state = 48},
  [938] = {.lex_state = 43},
  [939] = {.lex_state = 48},
  [940] = {.lex_state = 48},
  [941] = {.lex_state = 48},
  [942] = {.lex_state = 43},
  [943] = {.lex_state = 43},
  [944] = {.lex_state = 43},
  [945] = {.lex_state = 44},
  [946] = {.lex_state = 45},
  [947] = {.lex_state = 44},
  [948] = {.lex_state = 45},
  [949] = {.lex_state = 43},
  [950] = {.lex_state = 43},
  [951] = {.lex_state = 42},
  [952] = {.lex_state = 43},
  [953] = {.lex_state = 42},
  [954] = {.lex_state = 45},
  [955] = {.lex_state = 43},
  [956] = {.lex_state = 45},
  [957] = {.lex_state = 43},
  [958] = {.lex_state = 43},
  [959] = {.lex_state = 43},
  [960] = {.lex_state = 43},
  [961] = {.lex_state = 45},
  [962] = {.lex_state = 43},
  [963] = {.lex_state = 45},
  [964] = {.lex_state = 45},
  [965] = {.lex_state = 48},
  [966] = {.lex_state = 44},
  [967] = {.lex_state = 48},
  [968] = {.lex_state = 48},
  [969] = {.lex_state = 48},
  [970] = {.lex_state = 43},
  [971] = {.lex_state = 48},
  [972] = {.lex_state = 48},
  [973] = {.lex_state = 45},
  [974] = {.lex_state = 48},
  [975] = {.lex_state = 45},
  [976] = {.lex_state = 43},
  [977] = {.lex_state = 102},
  [978] = {.lex_state = 102},
  [979] = {.lex_state = 102},
  [980] = {.lex_state = 102},
  [981] = {.lex_state = 44},
  [982] = {.lex_state = 44},
  [983] = {.lex_state = 44},
  [984] = {.lex_state = 44},
  [985] = {.lex_state = 45},
  [986] = {.lex_state = 44},
  [987] = {.lex_state = 44},
  [988] = {.lex_state = 44},
  [989] = {.lex_state = 45},
  [990] = {.lex_state = 44},
  [991] = {.lex_state = 44},
  [992] = {.lex_state = 45},
  [993] = {.lex_state = 44},
  [994] = {.lex_state = 44},
  [995] = {.lex_state = 44},
  [996] = {.lex_state = 44},
  [997] = {.lex_state = 44},
  [998] = {.lex_state = 44},
  [999] = {.lex_state = 44},
  [1000] = {.lex_state = 44},
  [1001] = {.lex_state = 44},
  [1002] = {.lex_state = 44},
  [1003] = {.lex_state = 44},
  [1004] = {.lex_state = 44},
  [1005] = {.lex_state = 44},
  [1006] = {.lex_state = 45},
  [1007] = {.lex_state = 45},
  [1008] = {.lex_state = 44},
  [1009] = {.lex_state = 44},
  [1010] = {.lex_state = 45},
  [1011] = {.lex_state = 45},
  [1012] = {.lex_state = 45},
  [1013] = {.lex_state = 45},
  [1014] = {.lex_state = 45},
  [1015] = {.lex_state = 45},
  [1016] = {.lex_state = 45},
  [1017] = {.lex_state = 45},
  [1018] = {.lex_state = 45},
  [1019] = {.lex_state = 45},
  [1020] = {.lex_state = 45},
  [1021] = {.lex_state = 45},
  [1022] = {.lex_state = 44},
  [1023] = {.lex_state = 45},
  [1024] = {.lex_state = 45},
  [1025] = {.lex_state = 45},
  [1026] = {.lex_state = 45},
  [1027] = {.lex_state = 45},
  [1028] = {.lex_state = 45},
  [1029] = {.lex_state = 45},
  [1030] = {.lex_state = 45},
  [1031] = {.lex_state = 45},
  [1032] = {.lex_state = 45},
  [1033] = {.lex_state = 45},
  [1034] = {.lex_state = 45},
  [1035] = {.lex_state = 45},
  [1036] = {.lex_state = 45},
  [1037] = {.lex_state = 45},
  [1038] = {.lex_state = 45},
  [1039] = {.lex_state = 45},
  [1040] = {.lex_state = 45},
  [1041] = {.lex_state = 45},
  [1042] = {.lex_state = 45},
  [1043] = {.lex_state = 45},
  [1044] = {.lex_state = 45},
  [1045] = {.lex_state = 45},
  [1046] = {.lex_state = 45},
  [1047] = {.lex_state = 45},
  [1048] = {.lex_state = 45},
  [1049] = {.lex_state = 45},
  [1050] = {.lex_state = 45},
  [1051] = {.lex_state = 45},
  [1052] = {.lex_state = 45},
  [1053] = {.lex_state = 45},
  [1054] = {.lex_state = 45},
  [1055] = {.lex_state = 45},
  [1056] = {.lex_state = 45},
  [1057] = {.lex_state = 45},
  [1058] = {.lex_state = 45},
  [1059] = {.lex_state = 45},
  [1060] = {.lex_state = 45},
  [1061] = {.lex_state = 45},
  [1062] = {.lex_state = 45},
  [1063] = {.lex_state = 45},
  [1064] = {.lex_state = 45},
  [1065] = {.lex_state = 45},
  [1066] = {.lex_state = 45},
  [1067] = {.lex_state = 45},
  [1068] = {.lex_state = 45},
  [1069] = {.lex_state = 45},
  [1070] = {.lex_state = 45},
  [1071] = {.lex_state = 45},
  [1072] = {.lex_state = 45},
  [1073] = {.lex_state = 45},
  [1074] = {.lex_state = 45},
  [1075] = {.lex_state = 45},
  [1076] = {.lex_state = 45},
  [1077] = {.lex_state = 45},
  [1078] = {.lex_state = 45},
  [1079] = {.lex_state = 45},
  [1080] = {.lex_state = 45},
  [1081] = {.lex_state = 45},
  [1082] = {.lex_state = 45},
  [1083] = {.lex_state = 45},
  [1084] = {.lex_state = 45},
  [1085] = {.lex_state = 45},
  [1086] = {.lex_state = 45},
  [1087] = {.lex_state = 45},
  [1088] = {.lex_state = 45},
  [1089] = {.lex_state = 45},
  [1090] = {.lex_state = 44},
  [1091] = {.lex_state = 45},
  [1092] = {.lex_state = 44},
  [1093] = {.lex_state = 45},
  [1094] = {.lex_state = 44},
  [1095] = {.lex_state = 45},
  [1096] = {.lex_state = 45},
  [1097] = {.lex_state = 44},
  [1098] = {.lex_state = 45},
  [1099] = {.lex_state = 45},
  [1100] = {.lex_state = 44},
  [1101] = {.lex_state = 45},
  [1102] = {.lex_state = 45},
  [1103] = {.lex_state = 44},
  [1104] = {.lex_state = 45},
  [1105] = {.lex_state = 45},
  [1106] = {.lex_state = 45},
  [1107] = {.lex_state = 45},
  [1108] = {.lex_state = 45},
  [1109] = {.lex_state = 44},
  [1110] = {.lex_state = 45},
  [1111] = {.lex_state = 45},
  [1112] = {.lex_state = 45},
  [1113] = {.lex_state = 44},
  [1114] = {.lex_state = 45},
  [1115] = {.lex_state = 44},
  [1116] = {.lex_state = 44},
  [1117] = {.lex_state = 44},
  [1118] = {.lex_state = 45},
  [1119] = {.lex_state = 45},
  [1120] = {.lex_state = 45},
  [1121] = {.lex_state = 45},
  [1122] = {.lex_state = 45},
  [1123] = {.lex_state = 45},
  [1124] = {.lex_state = 45},
  [1125] = {.lex_state = 45},
  [1126] = {.lex_state = 45},
  [1127] = {.lex_state = 45},
  [1128] = {.lex_state = 45},
  [1129] = {.lex_state = 45},
  [1130] = {.lex_state = 45},
  [1131] = {.lex_state = 45},
  [1132] = {.lex_state = 45},
  [1133] = {.lex_state = 45},
  [1134] = {.lex_state = 45},
  [1135] = {.lex_state = 45},
  [1136] = {.lex_state = 45},
  [1137] = {.lex_state = 45},
  [1138] = {.lex_state = 44},
  [1139] = {.lex_state = 45},
  [1140] = {.lex_state = 44},
  [1141] = {.lex_state = 44},
  [1142] = {.lex_state = 44},
  [1143] = {.lex_state = 44},
  [1144] = {.lex_state = 44},
  [1145] = {.lex_state = 44},
  [1146] = {.lex_state = 44},
  [1147] = {.lex_state = 44},
  [1148] = {.lex_state = 44},
  [1149] = {.lex_state = 44},
  [1150] = {.lex_state = 44},
  [1151] = {.lex_state = 44},
  [1152] = {.lex_state = 44},
  [1153] = {.lex_state = 44},
  [1154] = {.lex_state = 44},
  [1155] = {.lex_state = 44},
  [1156] = {.lex_state = 44},
  [1157] = {.lex_state = 44},
  [1158] = {.lex_state = 44},
  [1159] = {.lex_state = 44},
  [1160] = {.lex_state = 44},
  [1161] = {.lex_state = 44},
  [1162] = {.lex_state = 44},
  [1163] = {.lex_state = 44},
  [1164] = {.lex_state = 44},
  [1165] = {.lex_state = 44},
  [1166] = {.lex_state = 45},
  [1167] = {.lex_state = 44},
  [1168] = {.lex_state = 44},
  [1169] = {.lex_state = 44},
  [1170] = {.lex_state = 44},
  [1171] = {.lex_state = 44},
  [1172] = {.lex_state = 44},
  [1173] = {.lex_state = 45},
  [1174] = {.lex_state = 44},
  [1175] = {.lex_state = 44},
  [1176] = {.lex_state = 44},
  [1177] = {.lex_state = 44},
  [1178] = {.lex_state = 44},
  [1179] = {.lex_state = 44},
  [1180] = {.lex_state = 44},
  [1181] = {.lex_state = 44},
  [1182] = {.lex_state = 44},
  [1183] = {.lex_state = 44},
  [1184] = {.lex_state = 44},
  [1185] = {.lex_state = 44},
  [1186] = {.lex_state = 44},
  [1187] = {.lex_state = 44},
  [1188] = {.lex_state = 44},
  [1189] = {.lex_state = 44},
  [1190] = {.lex_state = 44},
  [1191] = {.lex_state = 44},
  [1192] = {.lex_state = 44},
  [1193] = {.lex_state = 44},
  [1194] = {.lex_state = 44},
  [1195] = {.lex_state = 44},
  [1196] = {.lex_state = 44},
  [1197] = {.lex_state = 44},
  [1198] = {.lex_state = 44},
  [1199] = {.lex_state = 44},
  [1200] = {.lex_state = 41},
  [1201] = {.lex_state = 44},
  [1202] = {.lex_state = 44},
  [1203] = {.lex_state = 44},
  [1204] = {.lex_state = 44},
  [1205] = {.lex_state = 44},
  [1206] = {.lex_state = 44},
  [1207] = {.lex_state = 44},
  [1208] = {.lex_state = 41},
  [1209] = {.lex_state = 44},
  [1210] = {.lex_state = 44},
  [1211] = {.lex_state = 44},
  [1212] = {.lex_state = 44},
  [1213] = {.lex_state = 44},
  [1214] = {.lex_state = 44},
  [1215] = {.lex_state = 44},
  [1216] = {.lex_state = 44},
  [1217] = {.lex_state = 44},
  [1218] = {.lex_state = 44},
  [1219] = {.lex_state = 44},
  [1220] = {.lex_state = 44},
  [1221] = {.lex_state = 23},
  [1222] = {.lex_state = 44},
  [1223] = {.lex_state = 44},
  [1224] = {.lex_state = 44},
  [1225] = {.lex_state = 44},
  [1226] = {.lex_state = 44},
  [1227] = {.lex_state = 44},
  [1228] = {.lex_state = 44},
  [1229] = {.lex_state = 44},
  [1230] = {.lex_state = 41},
  [1231] = {.lex_state = 44},
  [1232] = {.lex_state = 41},
  [1233] = {.lex_state = 44},
  [1234] = {.lex_state = 41},
  [1235] = {.lex_state = 41},
  [1236] = {.lex_state = 41},
  [1237] = {.lex_state = 44},
  [1238] = {.lex_state = 44},
  [1239] = {.lex_state = 41},
  [1240] = {.lex_state = 41},
  [1241] = {.lex_state = 41},
  [1242] = {.lex_state = 41},
  [1243] = {.lex_state = 41},
  [1244] = {.lex_state = 41},
  [1245] = {.lex_state = 41},
  [1246] = {.lex_state = 41},
  [1247] = {.lex_state = 41},
  [1248] = {.lex_state = 44},
  [1249] = {.lex_state = 41},
  [1250] = {.lex_state = 44},
  [1251] = {.lex_state = 44},
  [1252] = {.lex_state = 41},
  [1253] = {.lex_state = 41},
  [1254] = {.lex_state = 41},
  [1255] = {.lex_state = 44},
  [1256] = {.lex_state = 41},
  [1257] = {.lex_state = 41},
  [1258] = {.lex_state = 41},
  [1259] = {.lex_state = 41},
  [1260] = {.lex_state = 44},
  [1261] = {.lex_state = 41},
  [1262] = {.lex_state = 41},
  [1263] = {.lex_state = 44},
  [1264] = {.lex_state = 41},
  [1265] = {.lex_state = 44},
  [1266] = {.lex_state = 41},
  [1267] = {.lex_state = 41},
  [1268] = {.lex_state = 41},
  [1269] = {.lex_state = 44},
  [1270] = {.lex_state = 41},
  [1271] = {.lex_state = 44},
  [1272] = {.lex_state = 41},
  [1273] = {.lex_state = 44},
  [1274] = {.lex_state = 41},
  [1275] = {.lex_state = 41},
  [1276] = {.lex_state = 41},
  [1277] = {.lex_state = 44},
  [1278] = {.lex_state = 44},
  [1279] = {.lex_state = 44},
  [1280] = {.lex_state = 44},
  [1281] = {.lex_state = 41},
  [1282] = {.lex_state = 44},
  [1283] = {.lex_state = 44},
  [1284] = {.lex_state = 44},
  [1285] = {.lex_state = 41},
  [1286] = {.lex_state = 41},
  [1287] = {.lex_state = 44},
  [1288] = {.lex_state = 44},
  [1289] = {.lex_state = 44},
  [1290] = {.lex_state = 23},
  [1291] = {.lex_state = 23},
  [1292] = {.lex_state = 23},
  [1293] = {.lex_state = 44},
  [1294] = {.lex_state = 23},
  [1295] = {.lex_state = 23},
  [1296] = {.lex_state = 23},
  [1297] = {.lex_state = 23},
  [1298] = {.lex_state = 23},
  [1299] = {.lex_state = 23},
  [1300] = {.lex_state = 23},
  [1301] = {.lex_state = 23},
  [1302] = {.lex_state = 23},
  [1303] = {.lex_state = 23},
  [1304] = {.lex_state = 23},
  [1305] = {.lex_state = 23},
  [1306] = {.lex_state = 23},
  [1307] = {.lex_state = 23},
  [1308] = {.lex_state = 23},
  [1309] = {.lex_state = 23},
  [1310] = {.lex_state = 23},
  [1311] = {.lex_state = 23},
  [1312] = {.lex_state = 23},
  [1313] = {.lex_state = 23},
  [1314] = {.lex_state = 44},
  [1315] = {.lex_state = 23},
  [1316] = {.lex_state = 23},
  [1317] = {.lex_state = 23},
  [1318] = {.lex_state = 23},
  [1319] = {.lex_state = 23},
  [1320] = {.lex_state = 23},
  [1321] = {.lex_state = 23},
  [1322] = {.lex_state = 44},
  [1323] = {.lex_state = 44},
  [1324] = {.lex_state = 44},
  [1325] = {.lex_state = 44},
  [1326] = {.lex_state = 44},
  [1327] = {.lex_state = 44},
  [1328] = {.lex_state = 44},
  [1329] = {.lex_state = 44},
  [1330] = {.lex_state = 44},
  [1331] = {.lex_state = 44},
  [1332] = {.lex_state = 44},
  [1333] = {.lex_state = 44},
  [1334] = {.lex_state = 44},
  [1335] = {.lex_state = 44},
  [1336] = {.lex_state = 44},
  [1337] = {.lex_state = 44},
  [1338] = {.lex_state = 44},
  [1339] = {.lex_state = 44},
  [1340] = {.lex_state = 44},
  [1341] = {.lex_state = 44},
  [1342] = {.lex_state = 44},
  [1343] = {.lex_state = 44},
  [1344] = {.lex_state = 44},
  [1345] = {.lex_state = 44},
  [1346] = {.lex_state = 102},
  [1347] = {.lex_state = 102},
  [1348] = {.lex_state = 44},
  [1349] = {.lex_state = 44},
  [1350] = {.lex_state = 44},
  [1351] = {.lex_state = 44},
  [1352] = {.lex_state = 44},
  [1353] = {.lex_state = 44},
  [1354] = {.lex_state = 102},
  [1355] = {.lex_state = 44},
  [1356] = {.lex_state = 102},
  [1357] = {.lex_state = 102},
  [1358] = {.lex_state = 44},
  [1359] = {.lex_state = 42},
  [1360] = {.lex_state = 44},
  [1361] = {.lex_state = 44},
  [1362] = {.lex_state = 44},
  [1363] = {.lex_state = 102},
  [1364] = {.lex_state = 44},
  [1365] = {.lex_state = 42},
  [1366] = {.lex_state = 44},
  [1367] = {.lex_state = 44},
  [1368] = {.lex_state = 44},
  [1369] = {.lex_state = 44},
  [1370] = {.lex_state = 44},
  [1371] = {.lex_state = 44},
  [1372] = {.lex_state = 44},
  [1373] = {.lex_state = 44},
  [1374] = {.lex_state = 44},
  [1375] = {.lex_state = 44},
  [1376] = {.lex_state = 44},
  [1377] = {.lex_state = 102},
  [1378] = {.lex_state = 44},
  [1379] = {.lex_state = 44},
  [1380] = {.lex_state = 102},
  [1381] = {.lex_state = 102},
  [1382] = {.lex_state = 44},
  [1383] = {.lex_state = 102},
  [1384] = {.lex_state = 44},
  [1385] = {.lex_state = 44},
  [1386] = {.lex_state = 102},
  [1387] = {.lex_state = 102},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 102},
  [1390] = {.lex_state = 102},
  [1391] = {.lex_state = 102},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 102},
  [1394] = {.lex_state = 44},
  [1395] = {.lex_state = 102},
  [1396] = {.lex_state = 102},
  [1397] = {.lex_state = 102},
  [1398] = {.lex_state = 102},
  [1399] = {.lex_state = 102},
  [1400] = {.lex_state = 102},
  [1401] = {.lex_state = 46},
  [1402] = {.lex_state = 102},
  [1403] = {.lex_state = 102},
  [1404] = {.lex_state = 102},
  [1405] = {.lex_state = 46},
  [1406] = {.lex_state = 102},
  [1407] = {.lex_state = 102},
  [1408] = {.lex_state = 102},
  [1409] = {.lex_state = 102},
  [1410] = {.lex_state = 102},
  [1411] = {.lex_state = 102},
  [1412] = {.lex_state = 102},
  [1413] = {.lex_state = 102},
  [1414] = {.lex_state = 102},
  [1415] = {.lex_state = 102},
  [1416] = {.lex_state = 46},
  [1417] = {.lex_state = 46},
  [1418] = {.lex_state = 102},
  [1419] = {.lex_state = 102},
  [1420] = {.lex_state = 46},
  [1421] = {.lex_state = 102},
  [1422] = {.lex_state = 102},
  [1423] = {.lex_state = 102},
  [1424] = {.lex_state = 102},
  [1425] = {.lex_state = 102},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 102},
  [1428] = {.lex_state = 44},
  [1429] = {.lex_state = 0},
  [1430] = {.lex_state = 102},
  [1431] = {.lex_state = 44},
  [1432] = {.lex_state = 102},
  [1433] = {.lex_state = 44},
  [1434] = {.lex_state = 44},
  [1435] = {.lex_state = 102},
  [1436] = {.lex_state = 44},
  [1437] = {.lex_state = 44},
  [1438] = {.lex_state = 102},
  [1439] = {.lex_state = 0},
  [1440] = {.lex_state = 102},
  [1441] = {.lex_state = 102},
  [1442] = {.lex_state = 102},
  [1443] = {.lex_state = 44},
  [1444] = {.lex_state = 102},
  [1445] = {.lex_state = 44},
  [1446] = {.lex_state = 102},
  [1447] = {.lex_state = 102},
  [1448] = {.lex_state = 102},
  [1449] = {.lex_state = 102},
  [1450] = {.lex_state = 102},
  [1451] = {.lex_state = 0},
  [1452] = {.lex_state = 102},
  [1453] = {.lex_state = 102},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 102},
  [1456] = {.lex_state = 102},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 102},
  [1459] = {.lex_state = 102},
  [1460] = {.lex_state = 102},
  [1461] = {.lex_state = 102},
  [1462] = {.lex_state = 102},
  [1463] = {.lex_state = 44},
  [1464] = {.lex_state = 44},
  [1465] = {.lex_state = 0},
  [1466] = {.lex_state = 102},
  [1467] = {.lex_state = 102},
  [1468] = {.lex_state = 102},
  [1469] = {.lex_state = 102},
  [1470] = {.lex_state = 102},
  [1471] = {.lex_state = 102},
  [1472] = {.lex_state = 102},
  [1473] = {.lex_state = 102},
  [1474] = {.lex_state = 44},
  [1475] = {.lex_state = 102},
  [1476] = {.lex_state = 0},
  [1477] = {.lex_state = 44},
  [1478] = {.lex_state = 102},
  [1479] = {.lex_state = 102},
  [1480] = {.lex_state = 44},
  [1481] = {.lex_state = 44},
  [1482] = {.lex_state = 102},
  [1483] = {.lex_state = 44},
  [1484] = {.lex_state = 44},
  [1485] = {.lex_state = 44},
  [1486] = {.lex_state = 44},
  [1487] = {.lex_state = 44},
  [1488] = {.lex_state = 102},
  [1489] = {.lex_state = 102},
  [1490] = {.lex_state = 102},
  [1491] = {.lex_state = 102},
  [1492] = {.lex_state = 102},
  [1493] = {.lex_state = 44},
  [1494] = {.lex_state = 44},
  [1495] = {.lex_state = 44},
  [1496] = {.lex_state = 44},
  [1497] = {.lex_state = 102},
  [1498] = {.lex_state = 102},
  [1499] = {.lex_state = 37},
  [1500] = {.lex_state = 102},
  [1501] = {.lex_state = 44},
  [1502] = {.lex_state = 102},
  [1503] = {.lex_state = 44},
  [1504] = {.lex_state = 102},
  [1505] = {.lex_state = 26},
  [1506] = {.lex_state = 26},
  [1507] = {.lex_state = 26},
  [1508] = {.lex_state = 44},
  [1509] = {.lex_state = 28},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 102},
  [1515] = {.lex_state = 44},
  [1516] = {.lex_state = 28},
  [1517] = {.lex_state = 28},
  [1518] = {.lex_state = 26},
  [1519] = {.lex_state = 28},
  [1520] = {.lex_state = 26},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 26},
  [1524] = {.lex_state = 37},
  [1525] = {.lex_state = 28},
  [1526] = {.lex_state = 44},
  [1527] = {.lex_state = 28},
  [1528] = {.lex_state = 26},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 28},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 26},
  [1534] = {.lex_state = 26},
  [1535] = {.lex_state = 23},
  [1536] = {.lex_state = 23},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 102},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 44},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 23},
  [1558] = {.lex_state = 102},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 44},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 37},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 37},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 44},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 23},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 37},
  [1596] = {.lex_state = 44},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 44},
  [1601] = {.lex_state = 37},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 44},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 23},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 44},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 37},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 37},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 37},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 44},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 44},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 102},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 102},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 27},
  [1644] = {.lex_state = 37},
  [1645] = {.lex_state = 27},
  [1646] = {.lex_state = 27},
  [1647] = {.lex_state = 30},
  [1648] = {.lex_state = 102},
  [1649] = {.lex_state = 102},
  [1650] = {.lex_state = 102},
  [1651] = {.lex_state = 44},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 102},
  [1654] = {.lex_state = 102},
  [1655] = {.lex_state = 30},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 102},
  [1659] = {.lex_state = 44},
  [1660] = {.lex_state = 27},
  [1661] = {.lex_state = 27},
  [1662] = {.lex_state = 102},
  [1663] = {.lex_state = 102},
  [1664] = {.lex_state = 102},
  [1665] = {.lex_state = 44},
  [1666] = {.lex_state = 37},
  [1667] = {.lex_state = 102},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 102},
  [1671] = {.lex_state = 102},
  [1672] = {.lex_state = 102},
  [1673] = {.lex_state = 102},
  [1674] = {.lex_state = 44},
  [1675] = {.lex_state = 37},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 102},
  [1679] = {.lex_state = 102},
  [1680] = {.lex_state = 27},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 102},
  [1683] = {.lex_state = 27},
  [1684] = {.lex_state = 102},
  [1685] = {.lex_state = 27},
  [1686] = {.lex_state = 27},
  [1687] = {.lex_state = 102},
  [1688] = {.lex_state = 27},
  [1689] = {.lex_state = 44},
  [1690] = {.lex_state = 44},
  [1691] = {.lex_state = 44},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 27},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 27},
  [1698] = {.lex_state = 27},
  [1699] = {.lex_state = 44},
  [1700] = {.lex_state = 102},
  [1701] = {.lex_state = 27},
  [1702] = {.lex_state = 27},
  [1703] = {.lex_state = 30},
  [1704] = {.lex_state = 27},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 27},
  [1707] = {.lex_state = 27},
  [1708] = {.lex_state = 27},
  [1709] = {.lex_state = 44},
  [1710] = {.lex_state = 27},
  [1711] = {.lex_state = 102},
  [1712] = {.lex_state = 102},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 27},
  [1715] = {.lex_state = 23},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 23},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 23},
  [1720] = {.lex_state = 23},
  [1721] = {.lex_state = 23},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 23},
  [1724] = {.lex_state = 23},
  [1725] = {.lex_state = 23},
  [1726] = {.lex_state = 44},
  [1727] = {.lex_state = 44},
  [1728] = {.lex_state = 44},
  [1729] = {.lex_state = 36},
  [1730] = {.lex_state = 44},
  [1731] = {.lex_state = 36},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 36},
  [1735] = {.lex_state = 36},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 23},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 23},
  [1740] = {.lex_state = 23},
  [1741] = {.lex_state = 23},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 44},
  [1744] = {.lex_state = 36},
  [1745] = {.lex_state = 36},
  [1746] = {.lex_state = 23},
  [1747] = {.lex_state = 36},
  [1748] = {.lex_state = 23},
  [1749] = {.lex_state = 23},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 44},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 44},
  [1757] = {.lex_state = 36},
  [1758] = {.lex_state = 44},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 36},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 23},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 36},
  [1778] = {.lex_state = 23},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 44},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 36},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 44},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 36},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 36},
  [1796] = {.lex_state = 102},
  [1797] = {.lex_state = 44},
  [1798] = {.lex_state = 44},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 23},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 44},
  [1808] = {.lex_state = 44},
  [1809] = {.lex_state = 102},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 44},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 23},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 23},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 36},
  [1823] = {.lex_state = 36},
  [1824] = {.lex_state = 23},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 44},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 44},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 102},
  [1842] = {.lex_state = 102},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 44},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 36},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 23},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 23},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 0},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 23},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 44},
  [1859] = {.lex_state = 44},
  [1860] = {.lex_state = 36},
  [1861] = {.lex_state = 36},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 36},
  [1864] = {.lex_state = 36},
  [1865] = {.lex_state = 44},
  [1866] = {.lex_state = 44},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 44},
  [1869] = {.lex_state = 36},
  [1870] = {.lex_state = 23},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 44},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 36},
  [1877] = {.lex_state = 36},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 23},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 36},
  [1882] = {.lex_state = 23},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 36},
  [1887] = {.lex_state = 0},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 36},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 23},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 44},
  [1896] = {.lex_state = 44},
  [1897] = {.lex_state = 44},
  [1898] = {.lex_state = 36},
  [1899] = {.lex_state = 23},
  [1900] = {.lex_state = 23},
  [1901] = {.lex_state = 44},
  [1902] = {.lex_state = 102},
  [1903] = {.lex_state = 44},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 36},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 36},
  [1910] = {.lex_state = 44},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 44},
  [1913] = {.lex_state = 44},
  [1914] = {.lex_state = 44},
  [1915] = {.lex_state = 23},
  [1916] = {.lex_state = 102},
  [1917] = {.lex_state = 36},
  [1918] = {.lex_state = 0},
  [1919] = {.lex_state = 36},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 44},
  [1926] = {.lex_state = 0},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 44},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 102},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 23},
  [1943] = {.lex_state = 36},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 44},
  [1946] = {.lex_state = 44},
  [1947] = {.lex_state = 102},
  [1948] = {.lex_state = 36},
  [1949] = {.lex_state = 23},
  [1950] = {.lex_state = 0},
  [1951] = {.lex_state = 36},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 36},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 23},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 102},
  [1958] = {.lex_state = 44},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 44},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 44},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 36},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 36},
  [1973] = {.lex_state = 36},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 36},
  [1979] = {.lex_state = 44},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 36},
  [1982] = {.lex_state = 102},
  [1983] = {.lex_state = 36},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 0},
  [1987] = {.lex_state = 102},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 0},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 44},
  [1992] = {.lex_state = 36},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 44},
  [1996] = {.lex_state = 102},
  [1997] = {.lex_state = 102},
  [1998] = {.lex_state = 102},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1850),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1343),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(984),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1173),
    [sym__expression_not_binary] = STATE(1166),
    [sym_conditional_expression] = STATE(1166),
    [sym_assignment_expression] = STATE(1166),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(1166),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(1166),
    [sym_cast_expression] = STATE(1166),
    [sym_sizeof_expression] = STATE(1166),
    [sym_offsetof_expression] = STATE(1166),
    [sym_generic_expression] = STATE(1166),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(1166),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(1166),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(1166),
    [sym_concatenated_string] = STATE(1166),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(1166),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(29),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(87),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(93),
    [sym_false] = ACTIONS(93),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(1890),
    [sym_preproc_elif] = STATE(1890),
    [sym_preproc_elifdef] = STATE(1890),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(1823),
    [sym_preproc_elif] = STATE(1823),
    [sym_preproc_elifdef] = STATE(1823),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_preproc_include] = STATE(7),
    [sym_preproc_def] = STATE(7),
    [sym_preproc_function_def] = STATE(7),
    [sym_preproc_call] = STATE(7),
    [sym_preproc_if] = STATE(7),
    [sym_preproc_ifdef] = STATE(7),
    [sym_preproc_else] = STATE(1886),
    [sym_preproc_elif] = STATE(1886),
    [sym_preproc_elifdef] = STATE(1886),
    [sym_function_definition] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_type_definition] = STATE(7),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(7),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(7),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_case_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_goto_statement] = STATE(7),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(7),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(7),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(153),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(1768),
    [sym_preproc_elif] = STATE(1768),
    [sym_preproc_elifdef] = STATE(1768),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(1745),
    [sym_preproc_elif] = STATE(1745),
    [sym_preproc_elifdef] = STATE(1745),
    [sym_function_definition] = STATE(8),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(8),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_case_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_goto_statement] = STATE(8),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(157),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(1953),
    [sym_preproc_elif] = STATE(1953),
    [sym_preproc_elifdef] = STATE(1953),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(1734),
    [sym_preproc_elif] = STATE(1734),
    [sym_preproc_elifdef] = STATE(1734),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(1795),
    [sym_preproc_elif] = STATE(1795),
    [sym_preproc_elifdef] = STATE(1795),
    [sym_function_definition] = STATE(5),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(5),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(5),
    [sym_labeled_statement] = STATE(5),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_switch_statement] = STATE(5),
    [sym_case_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_goto_statement] = STATE(5),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(1909),
    [sym_preproc_elif] = STATE(1909),
    [sym_preproc_elifdef] = STATE(1909),
    [sym_function_definition] = STATE(2),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(2),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(2),
    [sym_labeled_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_switch_statement] = STATE(2),
    [sym_case_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(1783),
    [sym_preproc_elif] = STATE(1783),
    [sym_preproc_elifdef] = STATE(1783),
    [sym_function_definition] = STATE(3),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(97),
    [aux_sym_preproc_include_token1] = ACTIONS(99),
    [aux_sym_preproc_def_token1] = ACTIONS(101),
    [aux_sym_preproc_if_token1] = ACTIONS(103),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(107),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(113),
    [sym_preproc_directive] = ACTIONS(115),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(121),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1757),
    [sym_preproc_elif] = STATE(1757),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1860),
    [sym_preproc_elif] = STATE(1860),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1898),
    [sym_preproc_elif] = STATE(1898),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1951),
    [sym_preproc_elif] = STATE(1951),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(1917),
    [sym_preproc_elif] = STATE(1917),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1981),
    [sym_preproc_elif] = STATE(1981),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(1983),
    [sym_preproc_elif] = STATE(1983),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(15),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_case_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(15),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1863),
    [sym_preproc_elif] = STATE(1863),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1731),
    [sym_preproc_elif] = STATE(1731),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(1735),
    [sym_preproc_elif] = STATE(1735),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(20),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_case_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_goto_statement] = STATE(20),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(1822),
    [sym_preproc_elif] = STATE(1822),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(13),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_case_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_goto_statement] = STATE(13),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1992),
    [sym_preproc_elif] = STATE(1992),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1877),
    [sym_preproc_elif] = STATE(1877),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1355),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(817),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(987),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(237),
    [aux_sym_preproc_include_token1] = ACTIONS(240),
    [aux_sym_preproc_def_token1] = ACTIONS(243),
    [aux_sym_preproc_if_token1] = ACTIONS(246),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(251),
    [aux_sym_preproc_else_token1] = ACTIONS(249),
    [aux_sym_preproc_elif_token1] = ACTIONS(249),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(249),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(249),
    [sym_preproc_directive] = ACTIONS(254),
    [anon_sym_LPAREN2] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_SEMI] = ACTIONS(269),
    [anon_sym_typedef] = ACTIONS(272),
    [anon_sym_extern] = ACTIONS(275),
    [anon_sym___attribute__] = ACTIONS(278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(281),
    [anon_sym___declspec] = ACTIONS(284),
    [anon_sym___cdecl] = ACTIONS(287),
    [anon_sym___clrcall] = ACTIONS(287),
    [anon_sym___stdcall] = ACTIONS(287),
    [anon_sym___fastcall] = ACTIONS(287),
    [anon_sym___thiscall] = ACTIONS(287),
    [anon_sym___vectorcall] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(290),
    [anon_sym_static] = ACTIONS(293),
    [anon_sym_auto] = ACTIONS(293),
    [anon_sym_register] = ACTIONS(293),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym_thread_local] = ACTIONS(293),
    [anon_sym_const] = ACTIONS(296),
    [anon_sym_constexpr] = ACTIONS(296),
    [anon_sym_volatile] = ACTIONS(296),
    [anon_sym_restrict] = ACTIONS(296),
    [anon_sym___restrict__] = ACTIONS(296),
    [anon_sym__Atomic] = ACTIONS(296),
    [anon_sym__Noreturn] = ACTIONS(296),
    [anon_sym_noreturn] = ACTIONS(296),
    [anon_sym_signed] = ACTIONS(299),
    [anon_sym_unsigned] = ACTIONS(299),
    [anon_sym_long] = ACTIONS(299),
    [anon_sym_short] = ACTIONS(299),
    [sym_primitive_type] = ACTIONS(302),
    [anon_sym_enum] = ACTIONS(305),
    [anon_sym_struct] = ACTIONS(308),
    [anon_sym_union] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(317),
    [anon_sym_case] = ACTIONS(320),
    [anon_sym_default] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(326),
    [anon_sym_do] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(332),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(338),
    [anon_sym_continue] = ACTIONS(341),
    [anon_sym_goto] = ACTIONS(344),
    [anon_sym_DASH_DASH] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(347),
    [anon_sym_sizeof] = ACTIONS(350),
    [anon_sym_offsetof] = ACTIONS(353),
    [anon_sym__Generic] = ACTIONS(356),
    [anon_sym_asm] = ACTIONS(359),
    [anon_sym___asm__] = ACTIONS(359),
    [sym_number_literal] = ACTIONS(362),
    [anon_sym_L_SQUOTE] = ACTIONS(365),
    [anon_sym_u_SQUOTE] = ACTIONS(365),
    [anon_sym_U_SQUOTE] = ACTIONS(365),
    [anon_sym_u8_SQUOTE] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_L_DQUOTE] = ACTIONS(368),
    [anon_sym_u_DQUOTE] = ACTIONS(368),
    [anon_sym_U_DQUOTE] = ACTIONS(368),
    [anon_sym_u8_DQUOTE] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(368),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [anon_sym_NULL] = ACTIONS(374),
    [anon_sym_nullptr] = ACTIONS(374),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_preproc_include] = STATE(12),
    [sym_preproc_def] = STATE(12),
    [sym_preproc_function_def] = STATE(12),
    [sym_preproc_call] = STATE(12),
    [sym_preproc_if] = STATE(12),
    [sym_preproc_ifdef] = STATE(12),
    [sym_preproc_else] = STATE(1777),
    [sym_preproc_elif] = STATE(1777),
    [sym_function_definition] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(12),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(12),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_case_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_goto_statement] = STATE(12),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(12),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(12),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(169),
    [aux_sym_preproc_include_token1] = ACTIONS(171),
    [aux_sym_preproc_def_token1] = ACTIONS(173),
    [aux_sym_preproc_if_token1] = ACTIONS(175),
    [aux_sym_preproc_if_token2] = ACTIONS(377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(179),
    [aux_sym_preproc_else_token1] = ACTIONS(109),
    [aux_sym_preproc_elif_token1] = ACTIONS(111),
    [sym_preproc_directive] = ACTIONS(181),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1339),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(816),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(999),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(379),
    [aux_sym_preproc_include_token1] = ACTIONS(382),
    [aux_sym_preproc_def_token1] = ACTIONS(385),
    [aux_sym_preproc_if_token1] = ACTIONS(388),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(391),
    [aux_sym_preproc_else_token1] = ACTIONS(249),
    [aux_sym_preproc_elif_token1] = ACTIONS(249),
    [sym_preproc_directive] = ACTIONS(394),
    [anon_sym_LPAREN2] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_SEMI] = ACTIONS(397),
    [anon_sym_typedef] = ACTIONS(400),
    [anon_sym_extern] = ACTIONS(403),
    [anon_sym___attribute__] = ACTIONS(278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(281),
    [anon_sym___declspec] = ACTIONS(284),
    [anon_sym___cdecl] = ACTIONS(287),
    [anon_sym___clrcall] = ACTIONS(287),
    [anon_sym___stdcall] = ACTIONS(287),
    [anon_sym___fastcall] = ACTIONS(287),
    [anon_sym___thiscall] = ACTIONS(287),
    [anon_sym___vectorcall] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(406),
    [anon_sym_static] = ACTIONS(293),
    [anon_sym_auto] = ACTIONS(293),
    [anon_sym_register] = ACTIONS(293),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym_thread_local] = ACTIONS(293),
    [anon_sym_const] = ACTIONS(296),
    [anon_sym_constexpr] = ACTIONS(296),
    [anon_sym_volatile] = ACTIONS(296),
    [anon_sym_restrict] = ACTIONS(296),
    [anon_sym___restrict__] = ACTIONS(296),
    [anon_sym__Atomic] = ACTIONS(296),
    [anon_sym__Noreturn] = ACTIONS(296),
    [anon_sym_noreturn] = ACTIONS(296),
    [anon_sym_signed] = ACTIONS(299),
    [anon_sym_unsigned] = ACTIONS(299),
    [anon_sym_long] = ACTIONS(299),
    [anon_sym_short] = ACTIONS(299),
    [sym_primitive_type] = ACTIONS(302),
    [anon_sym_enum] = ACTIONS(305),
    [anon_sym_struct] = ACTIONS(308),
    [anon_sym_union] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_switch] = ACTIONS(412),
    [anon_sym_case] = ACTIONS(415),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(424),
    [anon_sym_for] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(430),
    [anon_sym_break] = ACTIONS(433),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_goto] = ACTIONS(439),
    [anon_sym_DASH_DASH] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(347),
    [anon_sym_sizeof] = ACTIONS(350),
    [anon_sym_offsetof] = ACTIONS(353),
    [anon_sym__Generic] = ACTIONS(356),
    [anon_sym_asm] = ACTIONS(359),
    [anon_sym___asm__] = ACTIONS(359),
    [sym_number_literal] = ACTIONS(362),
    [anon_sym_L_SQUOTE] = ACTIONS(365),
    [anon_sym_u_SQUOTE] = ACTIONS(365),
    [anon_sym_U_SQUOTE] = ACTIONS(365),
    [anon_sym_u8_SQUOTE] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_L_DQUOTE] = ACTIONS(368),
    [anon_sym_u_DQUOTE] = ACTIONS(368),
    [anon_sym_U_DQUOTE] = ACTIONS(368),
    [anon_sym_u8_DQUOTE] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(368),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [anon_sym_NULL] = ACTIONS(374),
    [anon_sym_nullptr] = ACTIONS(374),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(49),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(47),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(40),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_case_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_goto_statement] = STATE(40),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(490),
    [aux_sym_preproc_include_token1] = ACTIONS(493),
    [aux_sym_preproc_def_token1] = ACTIONS(496),
    [aux_sym_preproc_if_token1] = ACTIONS(499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(502),
    [sym_preproc_directive] = ACTIONS(505),
    [anon_sym_LPAREN2] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_typedef] = ACTIONS(511),
    [anon_sym_extern] = ACTIONS(514),
    [anon_sym___attribute__] = ACTIONS(278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(281),
    [anon_sym___declspec] = ACTIONS(284),
    [anon_sym___cdecl] = ACTIONS(287),
    [anon_sym___clrcall] = ACTIONS(287),
    [anon_sym___stdcall] = ACTIONS(287),
    [anon_sym___fastcall] = ACTIONS(287),
    [anon_sym___thiscall] = ACTIONS(287),
    [anon_sym___vectorcall] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(517),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_static] = ACTIONS(293),
    [anon_sym_auto] = ACTIONS(293),
    [anon_sym_register] = ACTIONS(293),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym_thread_local] = ACTIONS(293),
    [anon_sym_const] = ACTIONS(296),
    [anon_sym_constexpr] = ACTIONS(296),
    [anon_sym_volatile] = ACTIONS(296),
    [anon_sym_restrict] = ACTIONS(296),
    [anon_sym___restrict__] = ACTIONS(296),
    [anon_sym__Atomic] = ACTIONS(296),
    [anon_sym__Noreturn] = ACTIONS(296),
    [anon_sym_noreturn] = ACTIONS(296),
    [anon_sym_signed] = ACTIONS(299),
    [anon_sym_unsigned] = ACTIONS(299),
    [anon_sym_long] = ACTIONS(299),
    [anon_sym_short] = ACTIONS(299),
    [sym_primitive_type] = ACTIONS(302),
    [anon_sym_enum] = ACTIONS(305),
    [anon_sym_struct] = ACTIONS(308),
    [anon_sym_union] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(522),
    [anon_sym_switch] = ACTIONS(525),
    [anon_sym_case] = ACTIONS(528),
    [anon_sym_default] = ACTIONS(531),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(537),
    [anon_sym_for] = ACTIONS(540),
    [anon_sym_return] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(549),
    [anon_sym_goto] = ACTIONS(552),
    [anon_sym_DASH_DASH] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(347),
    [anon_sym_sizeof] = ACTIONS(350),
    [anon_sym_offsetof] = ACTIONS(353),
    [anon_sym__Generic] = ACTIONS(356),
    [anon_sym_asm] = ACTIONS(359),
    [anon_sym___asm__] = ACTIONS(359),
    [sym_number_literal] = ACTIONS(362),
    [anon_sym_L_SQUOTE] = ACTIONS(365),
    [anon_sym_u_SQUOTE] = ACTIONS(365),
    [anon_sym_U_SQUOTE] = ACTIONS(365),
    [anon_sym_u8_SQUOTE] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_L_DQUOTE] = ACTIONS(368),
    [anon_sym_u_DQUOTE] = ACTIONS(368),
    [anon_sym_U_DQUOTE] = ACTIONS(368),
    [anon_sym_u8_DQUOTE] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(368),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [anon_sym_NULL] = ACTIONS(374),
    [anon_sym_nullptr] = ACTIONS(374),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(33),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(561),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(36),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(35),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(35),
    [sym_labeled_statement] = STATE(35),
    [sym_expression_statement] = STATE(35),
    [sym_if_statement] = STATE(35),
    [sym_switch_statement] = STATE(35),
    [sym_case_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_do_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_goto_statement] = STATE(35),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(35),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(571),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1349),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(991),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(573),
    [aux_sym_preproc_include_token1] = ACTIONS(575),
    [aux_sym_preproc_def_token1] = ACTIONS(577),
    [aux_sym_preproc_if_token1] = ACTIONS(579),
    [aux_sym_preproc_if_token2] = ACTIONS(581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(583),
    [sym_preproc_directive] = ACTIONS(585),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_typedef] = ACTIONS(589),
    [anon_sym_extern] = ACTIONS(591),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(619),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(51),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1349),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(991),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(573),
    [aux_sym_preproc_include_token1] = ACTIONS(575),
    [aux_sym_preproc_def_token1] = ACTIONS(577),
    [aux_sym_preproc_if_token1] = ACTIONS(579),
    [aux_sym_preproc_if_token2] = ACTIONS(629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(583),
    [sym_preproc_directive] = ACTIONS(585),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_typedef] = ACTIONS(589),
    [anon_sym_extern] = ACTIONS(591),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1349),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(812),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(991),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(633),
    [aux_sym_preproc_include_token1] = ACTIONS(636),
    [aux_sym_preproc_def_token1] = ACTIONS(639),
    [aux_sym_preproc_if_token1] = ACTIONS(642),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(645),
    [sym_preproc_directive] = ACTIONS(648),
    [anon_sym_LPAREN2] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(260),
    [anon_sym_TILDE] = ACTIONS(260),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_STAR] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_typedef] = ACTIONS(654),
    [anon_sym_extern] = ACTIONS(657),
    [anon_sym___attribute__] = ACTIONS(278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(281),
    [anon_sym___declspec] = ACTIONS(284),
    [anon_sym___cdecl] = ACTIONS(287),
    [anon_sym___clrcall] = ACTIONS(287),
    [anon_sym___stdcall] = ACTIONS(287),
    [anon_sym___fastcall] = ACTIONS(287),
    [anon_sym___thiscall] = ACTIONS(287),
    [anon_sym___vectorcall] = ACTIONS(287),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_static] = ACTIONS(293),
    [anon_sym_auto] = ACTIONS(293),
    [anon_sym_register] = ACTIONS(293),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym_thread_local] = ACTIONS(293),
    [anon_sym_const] = ACTIONS(296),
    [anon_sym_constexpr] = ACTIONS(296),
    [anon_sym_volatile] = ACTIONS(296),
    [anon_sym_restrict] = ACTIONS(296),
    [anon_sym___restrict__] = ACTIONS(296),
    [anon_sym__Atomic] = ACTIONS(296),
    [anon_sym__Noreturn] = ACTIONS(296),
    [anon_sym_noreturn] = ACTIONS(296),
    [anon_sym_signed] = ACTIONS(299),
    [anon_sym_unsigned] = ACTIONS(299),
    [anon_sym_long] = ACTIONS(299),
    [anon_sym_short] = ACTIONS(299),
    [sym_primitive_type] = ACTIONS(302),
    [anon_sym_enum] = ACTIONS(305),
    [anon_sym_struct] = ACTIONS(308),
    [anon_sym_union] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_switch] = ACTIONS(666),
    [anon_sym_case] = ACTIONS(669),
    [anon_sym_default] = ACTIONS(672),
    [anon_sym_while] = ACTIONS(675),
    [anon_sym_do] = ACTIONS(678),
    [anon_sym_for] = ACTIONS(681),
    [anon_sym_return] = ACTIONS(684),
    [anon_sym_break] = ACTIONS(687),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(347),
    [anon_sym_sizeof] = ACTIONS(350),
    [anon_sym_offsetof] = ACTIONS(353),
    [anon_sym__Generic] = ACTIONS(356),
    [anon_sym_asm] = ACTIONS(359),
    [anon_sym___asm__] = ACTIONS(359),
    [sym_number_literal] = ACTIONS(362),
    [anon_sym_L_SQUOTE] = ACTIONS(365),
    [anon_sym_u_SQUOTE] = ACTIONS(365),
    [anon_sym_U_SQUOTE] = ACTIONS(365),
    [anon_sym_u8_SQUOTE] = ACTIONS(365),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_L_DQUOTE] = ACTIONS(368),
    [anon_sym_u_DQUOTE] = ACTIONS(368),
    [anon_sym_U_DQUOTE] = ACTIONS(368),
    [anon_sym_u8_DQUOTE] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(368),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [anon_sym_NULL] = ACTIONS(374),
    [anon_sym_nullptr] = ACTIONS(374),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1341),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(814),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(983),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(442),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(446),
    [aux_sym_preproc_if_token1] = ACTIONS(448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(450),
    [sym_preproc_directive] = ACTIONS(452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(458),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1343),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(984),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1173),
    [sym__expression_not_binary] = STATE(1166),
    [sym_conditional_expression] = STATE(1166),
    [sym_assignment_expression] = STATE(1166),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(1166),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(1166),
    [sym_cast_expression] = STATE(1166),
    [sym_sizeof_expression] = STATE(1166),
    [sym_offsetof_expression] = STATE(1166),
    [sym_generic_expression] = STATE(1166),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(1166),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(1166),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(1166),
    [sym_concatenated_string] = STATE(1166),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(1166),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(698),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(29),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(37),
    [anon_sym___clrcall] = ACTIONS(37),
    [anon_sym___stdcall] = ACTIONS(37),
    [anon_sym___fastcall] = ACTIONS(37),
    [anon_sym___thiscall] = ACTIONS(37),
    [anon_sym___vectorcall] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(87),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(93),
    [sym_false] = ACTIONS(93),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1343),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_ms_call_modifier] = STATE(815),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(984),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1173),
    [sym__expression_not_binary] = STATE(1166),
    [sym_conditional_expression] = STATE(1166),
    [sym_assignment_expression] = STATE(1166),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(1166),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(1166),
    [sym_cast_expression] = STATE(1166),
    [sym_sizeof_expression] = STATE(1166),
    [sym_offsetof_expression] = STATE(1166),
    [sym_generic_expression] = STATE(1166),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(1166),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(1166),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(1166),
    [sym_concatenated_string] = STATE(1166),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(1166),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(700),
    [sym_identifier] = ACTIONS(702),
    [aux_sym_preproc_include_token1] = ACTIONS(705),
    [aux_sym_preproc_def_token1] = ACTIONS(708),
    [aux_sym_preproc_if_token1] = ACTIONS(711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(714),
    [sym_preproc_directive] = ACTIONS(717),
    [anon_sym_LPAREN2] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(726),
    [anon_sym_PLUS] = ACTIONS(726),
    [anon_sym_STAR] = ACTIONS(729),
    [anon_sym_AMP] = ACTIONS(729),
    [anon_sym_typedef] = ACTIONS(732),
    [anon_sym_extern] = ACTIONS(735),
    [anon_sym___attribute__] = ACTIONS(738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(741),
    [anon_sym___declspec] = ACTIONS(744),
    [anon_sym___cdecl] = ACTIONS(747),
    [anon_sym___clrcall] = ACTIONS(747),
    [anon_sym___stdcall] = ACTIONS(747),
    [anon_sym___fastcall] = ACTIONS(747),
    [anon_sym___thiscall] = ACTIONS(747),
    [anon_sym___vectorcall] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_static] = ACTIONS(753),
    [anon_sym_auto] = ACTIONS(753),
    [anon_sym_register] = ACTIONS(753),
    [anon_sym_inline] = ACTIONS(753),
    [anon_sym_thread_local] = ACTIONS(753),
    [anon_sym_const] = ACTIONS(756),
    [anon_sym_constexpr] = ACTIONS(756),
    [anon_sym_volatile] = ACTIONS(756),
    [anon_sym_restrict] = ACTIONS(756),
    [anon_sym___restrict__] = ACTIONS(756),
    [anon_sym__Atomic] = ACTIONS(756),
    [anon_sym__Noreturn] = ACTIONS(756),
    [anon_sym_noreturn] = ACTIONS(756),
    [anon_sym_signed] = ACTIONS(759),
    [anon_sym_unsigned] = ACTIONS(759),
    [anon_sym_long] = ACTIONS(759),
    [anon_sym_short] = ACTIONS(759),
    [sym_primitive_type] = ACTIONS(762),
    [anon_sym_enum] = ACTIONS(765),
    [anon_sym_struct] = ACTIONS(768),
    [anon_sym_union] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(774),
    [anon_sym_switch] = ACTIONS(777),
    [anon_sym_case] = ACTIONS(780),
    [anon_sym_default] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(789),
    [anon_sym_for] = ACTIONS(792),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(804),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_sizeof] = ACTIONS(810),
    [anon_sym_offsetof] = ACTIONS(813),
    [anon_sym__Generic] = ACTIONS(816),
    [anon_sym_asm] = ACTIONS(819),
    [anon_sym___asm__] = ACTIONS(819),
    [sym_number_literal] = ACTIONS(822),
    [anon_sym_L_SQUOTE] = ACTIONS(825),
    [anon_sym_u_SQUOTE] = ACTIONS(825),
    [anon_sym_U_SQUOTE] = ACTIONS(825),
    [anon_sym_u8_SQUOTE] = ACTIONS(825),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_L_DQUOTE] = ACTIONS(828),
    [anon_sym_u_DQUOTE] = ACTIONS(828),
    [anon_sym_U_DQUOTE] = ACTIONS(828),
    [anon_sym_u8_DQUOTE] = ACTIONS(828),
    [anon_sym_DQUOTE] = ACTIONS(828),
    [sym_true] = ACTIONS(831),
    [sym_false] = ACTIONS(831),
    [anon_sym_NULL] = ACTIONS(834),
    [anon_sym_nullptr] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token2] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [aux_sym_preproc_else_token1] = ACTIONS(839),
    [aux_sym_preproc_elif_token1] = ACTIONS(839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [aux_sym_preproc_else_token1] = ACTIONS(841),
    [aux_sym_preproc_elif_token1] = ACTIONS(841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token2] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [aux_sym_preproc_else_token1] = ACTIONS(843),
    [aux_sym_preproc_elif_token1] = ACTIONS(843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(837),
    [aux_sym_preproc_include_token1] = ACTIONS(845),
    [aux_sym_preproc_def_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token2] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(845),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(845),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(845),
    [sym_preproc_directive] = ACTIONS(845),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(845),
    [anon_sym___clrcall] = ACTIONS(845),
    [anon_sym___stdcall] = ACTIONS(845),
    [anon_sym___fastcall] = ACTIONS(845),
    [anon_sym___thiscall] = ACTIONS(845),
    [anon_sym___vectorcall] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1350),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(847),
    [aux_sym_preproc_include_token1] = ACTIONS(850),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token2] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(850),
    [aux_sym_preproc_else_token1] = ACTIONS(850),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(850),
    [sym_preproc_directive] = ACTIONS(850),
    [anon_sym_LPAREN2] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_typedef] = ACTIONS(867),
    [anon_sym_extern] = ACTIONS(870),
    [anon_sym___attribute__] = ACTIONS(873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(876),
    [anon_sym___declspec] = ACTIONS(879),
    [anon_sym___cdecl] = ACTIONS(850),
    [anon_sym___clrcall] = ACTIONS(850),
    [anon_sym___stdcall] = ACTIONS(850),
    [anon_sym___fastcall] = ACTIONS(850),
    [anon_sym___thiscall] = ACTIONS(850),
    [anon_sym___vectorcall] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_auto] = ACTIONS(870),
    [anon_sym_register] = ACTIONS(870),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym_thread_local] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_constexpr] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_restrict] = ACTIONS(885),
    [anon_sym___restrict__] = ACTIONS(885),
    [anon_sym__Atomic] = ACTIONS(885),
    [anon_sym__Noreturn] = ACTIONS(885),
    [anon_sym_noreturn] = ACTIONS(885),
    [anon_sym_signed] = ACTIONS(888),
    [anon_sym_unsigned] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [sym_primitive_type] = ACTIONS(891),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(903),
    [anon_sym_else] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(906),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_return] = ACTIONS(918),
    [anon_sym_break] = ACTIONS(921),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_goto] = ACTIONS(927),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_sizeof] = ACTIONS(933),
    [anon_sym_offsetof] = ACTIONS(936),
    [anon_sym__Generic] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(942),
    [anon_sym___asm__] = ACTIONS(942),
    [sym_number_literal] = ACTIONS(945),
    [anon_sym_L_SQUOTE] = ACTIONS(948),
    [anon_sym_u_SQUOTE] = ACTIONS(948),
    [anon_sym_U_SQUOTE] = ACTIONS(948),
    [anon_sym_u8_SQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_L_DQUOTE] = ACTIONS(951),
    [anon_sym_u_DQUOTE] = ACTIONS(951),
    [anon_sym_U_DQUOTE] = ACTIONS(951),
    [anon_sym_u8_DQUOTE] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [anon_sym_NULL] = ACTIONS(957),
    [anon_sym_nullptr] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1342),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(960),
    [aux_sym_preproc_include_token1] = ACTIONS(850),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token2] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(850),
    [aux_sym_preproc_else_token1] = ACTIONS(850),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [sym_preproc_directive] = ACTIONS(850),
    [anon_sym_LPAREN2] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_typedef] = ACTIONS(966),
    [anon_sym_extern] = ACTIONS(870),
    [anon_sym___attribute__] = ACTIONS(873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(876),
    [anon_sym___declspec] = ACTIONS(879),
    [anon_sym___cdecl] = ACTIONS(850),
    [anon_sym___clrcall] = ACTIONS(850),
    [anon_sym___stdcall] = ACTIONS(850),
    [anon_sym___fastcall] = ACTIONS(850),
    [anon_sym___thiscall] = ACTIONS(850),
    [anon_sym___vectorcall] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_auto] = ACTIONS(870),
    [anon_sym_register] = ACTIONS(870),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym_thread_local] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_constexpr] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_restrict] = ACTIONS(885),
    [anon_sym___restrict__] = ACTIONS(885),
    [anon_sym__Atomic] = ACTIONS(885),
    [anon_sym__Noreturn] = ACTIONS(885),
    [anon_sym_noreturn] = ACTIONS(885),
    [anon_sym_signed] = ACTIONS(888),
    [anon_sym_unsigned] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [sym_primitive_type] = ACTIONS(891),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_else] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(978),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(990),
    [anon_sym_continue] = ACTIONS(993),
    [anon_sym_goto] = ACTIONS(996),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_sizeof] = ACTIONS(933),
    [anon_sym_offsetof] = ACTIONS(936),
    [anon_sym__Generic] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(942),
    [anon_sym___asm__] = ACTIONS(942),
    [sym_number_literal] = ACTIONS(945),
    [anon_sym_L_SQUOTE] = ACTIONS(948),
    [anon_sym_u_SQUOTE] = ACTIONS(948),
    [anon_sym_U_SQUOTE] = ACTIONS(948),
    [anon_sym_u8_SQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_L_DQUOTE] = ACTIONS(951),
    [anon_sym_u_DQUOTE] = ACTIONS(951),
    [anon_sym_U_DQUOTE] = ACTIONS(951),
    [anon_sym_u8_DQUOTE] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [anon_sym_NULL] = ACTIONS(957),
    [anon_sym_nullptr] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1342),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(999),
    [aux_sym_preproc_include_token1] = ACTIONS(845),
    [aux_sym_preproc_def_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token2] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(845),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(845),
    [sym_preproc_directive] = ACTIONS(845),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(845),
    [anon_sym___clrcall] = ACTIONS(845),
    [anon_sym___stdcall] = ACTIONS(845),
    [anon_sym___fastcall] = ACTIONS(845),
    [anon_sym___thiscall] = ACTIONS(845),
    [anon_sym___vectorcall] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1342),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(999),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [aux_sym_preproc_else_token1] = ACTIONS(841),
    [aux_sym_preproc_elif_token1] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1342),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(999),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token2] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [aux_sym_preproc_else_token1] = ACTIONS(839),
    [aux_sym_preproc_elif_token1] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1342),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(999),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token2] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [aux_sym_preproc_else_token1] = ACTIONS(843),
    [aux_sym_preproc_elif_token1] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_typedef] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1351),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1001),
    [aux_sym_preproc_include_token1] = ACTIONS(850),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(850),
    [sym_preproc_directive] = ACTIONS(850),
    [anon_sym_LPAREN2] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(1004),
    [anon_sym_typedef] = ACTIONS(1007),
    [anon_sym_extern] = ACTIONS(870),
    [anon_sym___attribute__] = ACTIONS(873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(876),
    [anon_sym___declspec] = ACTIONS(879),
    [anon_sym___cdecl] = ACTIONS(850),
    [anon_sym___clrcall] = ACTIONS(850),
    [anon_sym___stdcall] = ACTIONS(850),
    [anon_sym___fastcall] = ACTIONS(850),
    [anon_sym___thiscall] = ACTIONS(850),
    [anon_sym___vectorcall] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_auto] = ACTIONS(870),
    [anon_sym_register] = ACTIONS(870),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym_thread_local] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_constexpr] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_restrict] = ACTIONS(885),
    [anon_sym___restrict__] = ACTIONS(885),
    [anon_sym__Atomic] = ACTIONS(885),
    [anon_sym__Noreturn] = ACTIONS(885),
    [anon_sym_noreturn] = ACTIONS(885),
    [anon_sym_signed] = ACTIONS(888),
    [anon_sym_unsigned] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [sym_primitive_type] = ACTIONS(891),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(1015),
    [anon_sym_else] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(1021),
    [anon_sym_do] = ACTIONS(1024),
    [anon_sym_for] = ACTIONS(1027),
    [anon_sym_return] = ACTIONS(1030),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1036),
    [anon_sym_goto] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_sizeof] = ACTIONS(933),
    [anon_sym_offsetof] = ACTIONS(936),
    [anon_sym__Generic] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(942),
    [anon_sym___asm__] = ACTIONS(942),
    [sym_number_literal] = ACTIONS(945),
    [anon_sym_L_SQUOTE] = ACTIONS(948),
    [anon_sym_u_SQUOTE] = ACTIONS(948),
    [anon_sym_U_SQUOTE] = ACTIONS(948),
    [anon_sym_u8_SQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_L_DQUOTE] = ACTIONS(951),
    [anon_sym_u_DQUOTE] = ACTIONS(951),
    [anon_sym_U_DQUOTE] = ACTIONS(951),
    [anon_sym_u8_DQUOTE] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [anon_sym_NULL] = ACTIONS(957),
    [anon_sym_nullptr] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1351),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(77),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1340),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(1046),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token2] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_typedef] = ACTIONS(589),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1048),
    [aux_sym_preproc_include_token1] = ACTIONS(839),
    [aux_sym_preproc_def_token1] = ACTIONS(839),
    [aux_sym_preproc_if_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(839),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(839),
    [anon_sym___clrcall] = ACTIONS(839),
    [anon_sym___stdcall] = ACTIONS(839),
    [anon_sym___fastcall] = ACTIONS(839),
    [anon_sym___thiscall] = ACTIONS(839),
    [anon_sym___vectorcall] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(839),
    [anon_sym_default] = ACTIONS(839),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1340),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1046),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_typedef] = ACTIONS(589),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1340),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1052),
    [aux_sym_preproc_include_token1] = ACTIONS(850),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token2] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(850),
    [sym_preproc_directive] = ACTIONS(850),
    [anon_sym_LPAREN2] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(1055),
    [anon_sym_typedef] = ACTIONS(1058),
    [anon_sym_extern] = ACTIONS(870),
    [anon_sym___attribute__] = ACTIONS(873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(876),
    [anon_sym___declspec] = ACTIONS(879),
    [anon_sym___cdecl] = ACTIONS(850),
    [anon_sym___clrcall] = ACTIONS(850),
    [anon_sym___stdcall] = ACTIONS(850),
    [anon_sym___fastcall] = ACTIONS(850),
    [anon_sym___thiscall] = ACTIONS(850),
    [anon_sym___vectorcall] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_auto] = ACTIONS(870),
    [anon_sym_register] = ACTIONS(870),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym_thread_local] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_constexpr] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_restrict] = ACTIONS(885),
    [anon_sym___restrict__] = ACTIONS(885),
    [anon_sym__Atomic] = ACTIONS(885),
    [anon_sym__Noreturn] = ACTIONS(885),
    [anon_sym_noreturn] = ACTIONS(885),
    [anon_sym_signed] = ACTIONS(888),
    [anon_sym_unsigned] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [sym_primitive_type] = ACTIONS(891),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(1064),
    [anon_sym_else] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(1067),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(1070),
    [anon_sym_do] = ACTIONS(1073),
    [anon_sym_for] = ACTIONS(1076),
    [anon_sym_return] = ACTIONS(1079),
    [anon_sym_break] = ACTIONS(1082),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_goto] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_sizeof] = ACTIONS(933),
    [anon_sym_offsetof] = ACTIONS(936),
    [anon_sym__Generic] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(942),
    [anon_sym___asm__] = ACTIONS(942),
    [sym_number_literal] = ACTIONS(945),
    [anon_sym_L_SQUOTE] = ACTIONS(948),
    [anon_sym_u_SQUOTE] = ACTIONS(948),
    [anon_sym_U_SQUOTE] = ACTIONS(948),
    [anon_sym_u8_SQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_L_DQUOTE] = ACTIONS(951),
    [anon_sym_u_DQUOTE] = ACTIONS(951),
    [anon_sym_U_DQUOTE] = ACTIONS(951),
    [anon_sym_u8_DQUOTE] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [anon_sym_NULL] = ACTIONS(957),
    [anon_sym_nullptr] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1351),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1048),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1340),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1046),
    [aux_sym_preproc_include_token1] = ACTIONS(845),
    [aux_sym_preproc_def_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token2] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(845),
    [sym_preproc_directive] = ACTIONS(845),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_typedef] = ACTIONS(589),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(845),
    [anon_sym___clrcall] = ACTIONS(845),
    [anon_sym___stdcall] = ACTIONS(845),
    [anon_sym___fastcall] = ACTIONS(845),
    [anon_sym___thiscall] = ACTIONS(845),
    [anon_sym___vectorcall] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1093),
    [sym_identifier] = ACTIONS(1048),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1351),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(841),
    [aux_sym_preproc_def_token1] = ACTIONS(841),
    [aux_sym_preproc_if_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(841),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(841),
    [anon_sym___clrcall] = ACTIONS(841),
    [anon_sym___stdcall] = ACTIONS(841),
    [anon_sym___fastcall] = ACTIONS(841),
    [anon_sym___thiscall] = ACTIONS(841),
    [anon_sym___vectorcall] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1093),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1340),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1046),
    [aux_sym_preproc_include_token1] = ACTIONS(843),
    [aux_sym_preproc_def_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token1] = ACTIONS(843),
    [aux_sym_preproc_if_token2] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(843),
    [sym_preproc_directive] = ACTIONS(843),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_typedef] = ACTIONS(589),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(843),
    [anon_sym___clrcall] = ACTIONS(843),
    [anon_sym___stdcall] = ACTIONS(843),
    [anon_sym___fastcall] = ACTIONS(843),
    [anon_sym___thiscall] = ACTIONS(843),
    [anon_sym___vectorcall] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(843),
    [anon_sym_default] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_identifier] = ACTIONS(1095),
    [aux_sym_preproc_include_token1] = ACTIONS(850),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(850),
    [sym_preproc_directive] = ACTIONS(850),
    [anon_sym_LPAREN2] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym_typedef] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(870),
    [anon_sym___attribute__] = ACTIONS(873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(876),
    [anon_sym___declspec] = ACTIONS(879),
    [anon_sym___cdecl] = ACTIONS(850),
    [anon_sym___clrcall] = ACTIONS(850),
    [anon_sym___stdcall] = ACTIONS(850),
    [anon_sym___fastcall] = ACTIONS(850),
    [anon_sym___thiscall] = ACTIONS(850),
    [anon_sym___vectorcall] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_auto] = ACTIONS(870),
    [anon_sym_register] = ACTIONS(870),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym_thread_local] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_constexpr] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_restrict] = ACTIONS(885),
    [anon_sym___restrict__] = ACTIONS(885),
    [anon_sym__Atomic] = ACTIONS(885),
    [anon_sym__Noreturn] = ACTIONS(885),
    [anon_sym_noreturn] = ACTIONS(885),
    [anon_sym_signed] = ACTIONS(888),
    [anon_sym_unsigned] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [sym_primitive_type] = ACTIONS(891),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(1110),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1119),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_sizeof] = ACTIONS(933),
    [anon_sym_offsetof] = ACTIONS(936),
    [anon_sym__Generic] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(942),
    [anon_sym___asm__] = ACTIONS(942),
    [sym_number_literal] = ACTIONS(945),
    [anon_sym_L_SQUOTE] = ACTIONS(948),
    [anon_sym_u_SQUOTE] = ACTIONS(948),
    [anon_sym_U_SQUOTE] = ACTIONS(948),
    [anon_sym_u8_SQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_L_DQUOTE] = ACTIONS(951),
    [anon_sym_u_DQUOTE] = ACTIONS(951),
    [anon_sym_U_DQUOTE] = ACTIONS(951),
    [anon_sym_u8_DQUOTE] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [anon_sym_NULL] = ACTIONS(957),
    [anon_sym_nullptr] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1351),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1042),
    [aux_sym_preproc_include_token1] = ACTIONS(845),
    [aux_sym_preproc_def_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(845),
    [sym_preproc_directive] = ACTIONS(845),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(456),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(845),
    [anon_sym___clrcall] = ACTIONS(845),
    [anon_sym___stdcall] = ACTIONS(845),
    [anon_sym___fastcall] = ACTIONS(845),
    [anon_sym___thiscall] = ACTIONS(845),
    [anon_sym___vectorcall] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(76),
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1048),
    [aux_sym_preproc_include_token1] = ACTIONS(845),
    [aux_sym_preproc_def_token1] = ACTIONS(845),
    [aux_sym_preproc_if_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(845),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(845),
    [sym_preproc_directive] = ACTIONS(845),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym___cdecl] = ACTIONS(845),
    [anon_sym___clrcall] = ACTIONS(845),
    [anon_sym___stdcall] = ACTIONS(845),
    [anon_sym___fastcall] = ACTIONS(845),
    [anon_sym___thiscall] = ACTIONS(845),
    [anon_sym___vectorcall] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(1004),
    [anon_sym_typedef] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(870),
    [anon_sym___attribute__] = ACTIONS(873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(876),
    [anon_sym___declspec] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_static] = ACTIONS(870),
    [anon_sym_auto] = ACTIONS(870),
    [anon_sym_register] = ACTIONS(870),
    [anon_sym_inline] = ACTIONS(870),
    [anon_sym_thread_local] = ACTIONS(870),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_constexpr] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_restrict] = ACTIONS(885),
    [anon_sym___restrict__] = ACTIONS(885),
    [anon_sym__Atomic] = ACTIONS(885),
    [anon_sym__Noreturn] = ACTIONS(885),
    [anon_sym_noreturn] = ACTIONS(885),
    [anon_sym_signed] = ACTIONS(888),
    [anon_sym_unsigned] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [sym_primitive_type] = ACTIONS(891),
    [anon_sym_enum] = ACTIONS(894),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(1110),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_sizeof] = ACTIONS(933),
    [anon_sym_offsetof] = ACTIONS(936),
    [anon_sym__Generic] = ACTIONS(939),
    [anon_sym_asm] = ACTIONS(942),
    [anon_sym___asm__] = ACTIONS(942),
    [sym_number_literal] = ACTIONS(945),
    [anon_sym_L_SQUOTE] = ACTIONS(948),
    [anon_sym_u_SQUOTE] = ACTIONS(948),
    [anon_sym_U_SQUOTE] = ACTIONS(948),
    [anon_sym_u8_SQUOTE] = ACTIONS(948),
    [anon_sym_SQUOTE] = ACTIONS(948),
    [anon_sym_L_DQUOTE] = ACTIONS(951),
    [anon_sym_u_DQUOTE] = ACTIONS(951),
    [anon_sym_U_DQUOTE] = ACTIONS(951),
    [anon_sym_u8_DQUOTE] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(951),
    [sym_true] = ACTIONS(954),
    [sym_false] = ACTIONS(954),
    [anon_sym_NULL] = ACTIONS(957),
    [anon_sym_nullptr] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(839),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1348),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(529),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [aux_sym_case_statement_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_typedef] = ACTIONS(27),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(33),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(843),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_declaration] = STATE(637),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1344),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(819),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1034),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1933),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_declaration] = STATE(645),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1344),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(819),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1994),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_declaration] = STATE(608),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1344),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(819),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1041),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1985),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_declaration] = STATE(624),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1344),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(819),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1990),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_declaration] = STATE(615),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1344),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(819),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1059),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_declaration] = STATE(646),
    [sym__declaration_modifiers] = STATE(819),
    [sym__declaration_specifiers] = STATE(1344),
    [sym_attribute_specifier] = STATE(819),
    [sym_attribute_declaration] = STATE(819),
    [sym_ms_declspec_modifier] = STATE(819),
    [sym_storage_class_specifier] = STATE(819),
    [sym_type_qualifier] = STATE(819),
    [sym__type_specifier] = STATE(945),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1069),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1952),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(819),
    [aux_sym_sized_type_specifier_repeat1] = STATE(981),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(31),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(41),
    [anon_sym_auto] = ACTIONS(41),
    [anon_sym_register] = ACTIONS(41),
    [anon_sym_inline] = ACTIONS(41),
    [anon_sym_thread_local] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__expression] = STATE(777),
    [sym__expression_not_binary] = STATE(797),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(797),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(797),
    [sym_call_expression] = STATE(797),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(797),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym_initializer_list] = STATE(776),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_COLON] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_sizeof] = ACTIONS(1188),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_else_clause] = STATE(130),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [aux_sym_preproc_else_token1] = ACTIONS(1190),
    [aux_sym_preproc_elif_token1] = ACTIONS(1190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [aux_sym_preproc_else_token1] = ACTIONS(1196),
    [aux_sym_preproc_elif_token1] = ACTIONS(1196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [aux_sym_preproc_else_token1] = ACTIONS(1204),
    [aux_sym_preproc_elif_token1] = ACTIONS(1204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [aux_sym_preproc_else_token1] = ACTIONS(1208),
    [aux_sym_preproc_elif_token1] = ACTIONS(1208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [aux_sym_preproc_else_token1] = ACTIONS(1216),
    [aux_sym_preproc_elif_token1] = ACTIONS(1216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [aux_sym_preproc_else_token1] = ACTIONS(1224),
    [aux_sym_preproc_elif_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [aux_sym_preproc_else_token1] = ACTIONS(1228),
    [aux_sym_preproc_elif_token1] = ACTIONS(1228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [aux_sym_preproc_else_token1] = ACTIONS(1232),
    [aux_sym_preproc_elif_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [aux_sym_preproc_else_token1] = ACTIONS(1236),
    [aux_sym_preproc_elif_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [aux_sym_preproc_else_token1] = ACTIONS(1240),
    [aux_sym_preproc_elif_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [aux_sym_preproc_else_token1] = ACTIONS(1244),
    [aux_sym_preproc_elif_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [aux_sym_preproc_else_token1] = ACTIONS(1252),
    [aux_sym_preproc_elif_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [aux_sym_preproc_else_token1] = ACTIONS(1260),
    [aux_sym_preproc_elif_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [aux_sym_preproc_else_token1] = ACTIONS(1264),
    [aux_sym_preproc_elif_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(1268),
    [aux_sym_preproc_elif_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(1272),
    [aux_sym_preproc_elif_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [aux_sym_preproc_else_token1] = ACTIONS(1288),
    [aux_sym_preproc_elif_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1296),
    [aux_sym_preproc_elif_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(1356),
    [aux_sym_preproc_elif_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(1360),
    [aux_sym_preproc_elif_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1364),
    [aux_sym_preproc_elif_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [aux_sym_preproc_else_token1] = ACTIONS(1368),
    [aux_sym_preproc_elif_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [aux_sym_preproc_else_token1] = ACTIONS(1372),
    [aux_sym_preproc_elif_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [aux_sym_preproc_else_token1] = ACTIONS(1376),
    [aux_sym_preproc_elif_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [aux_sym_preproc_else_token1] = ACTIONS(1380),
    [aux_sym_preproc_elif_token1] = ACTIONS(1380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [aux_sym_preproc_else_token1] = ACTIONS(1384),
    [aux_sym_preproc_elif_token1] = ACTIONS(1384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_else_clause] = STATE(154),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [aux_sym_preproc_else_token1] = ACTIONS(1190),
    [aux_sym_preproc_elif_token1] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [aux_sym_preproc_else_token1] = ACTIONS(1426),
    [aux_sym_preproc_elif_token1] = ACTIONS(1426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [aux_sym_preproc_else_token1] = ACTIONS(1196),
    [aux_sym_preproc_elif_token1] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [aux_sym_preproc_else_token1] = ACTIONS(1224),
    [aux_sym_preproc_elif_token1] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [aux_sym_preproc_else_token1] = ACTIONS(1200),
    [aux_sym_preproc_elif_token1] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [aux_sym_preproc_else_token1] = ACTIONS(1228),
    [aux_sym_preproc_elif_token1] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1246),
    [anon_sym_RPAREN] = ACTIONS(1246),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [aux_sym_preproc_else_token1] = ACTIONS(1232),
    [aux_sym_preproc_elif_token1] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [aux_sym_preproc_else_token1] = ACTIONS(1236),
    [aux_sym_preproc_elif_token1] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [aux_sym_preproc_else_token1] = ACTIONS(1240),
    [aux_sym_preproc_elif_token1] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [aux_sym_preproc_else_token1] = ACTIONS(1204),
    [aux_sym_preproc_elif_token1] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [aux_sym_preproc_else_token1] = ACTIONS(1208),
    [aux_sym_preproc_elif_token1] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [aux_sym_preproc_else_token1] = ACTIONS(1216),
    [aux_sym_preproc_elif_token1] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [aux_sym_preproc_else_token1] = ACTIONS(1244),
    [aux_sym_preproc_elif_token1] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [aux_sym_preproc_else_token1] = ACTIONS(1220),
    [aux_sym_preproc_elif_token1] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [aux_sym_preproc_else_token1] = ACTIONS(1248),
    [aux_sym_preproc_elif_token1] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [aux_sym_preproc_else_token1] = ACTIONS(1252),
    [aux_sym_preproc_elif_token1] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [aux_sym_preproc_else_token1] = ACTIONS(1256),
    [aux_sym_preproc_elif_token1] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [aux_sym_preproc_else_token1] = ACTIONS(1260),
    [aux_sym_preproc_elif_token1] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [aux_sym_preproc_else_token1] = ACTIONS(1264),
    [aux_sym_preproc_elif_token1] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [aux_sym_preproc_else_token1] = ACTIONS(1296),
    [aux_sym_preproc_elif_token1] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [aux_sym_preproc_else_token1] = ACTIONS(1268),
    [aux_sym_preproc_elif_token1] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [aux_sym_preproc_else_token1] = ACTIONS(1272),
    [aux_sym_preproc_elif_token1] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [aux_sym_preproc_else_token1] = ACTIONS(1276),
    [aux_sym_preproc_elif_token1] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [aux_sym_preproc_else_token1] = ACTIONS(1280),
    [aux_sym_preproc_elif_token1] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [aux_sym_preproc_else_token1] = ACTIONS(1284),
    [aux_sym_preproc_elif_token1] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [aux_sym_preproc_else_token1] = ACTIONS(1288),
    [aux_sym_preproc_elif_token1] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_else_clause] = STATE(375),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1364),
    [aux_sym_preproc_elif_token1] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [aux_sym_preproc_else_token1] = ACTIONS(1384),
    [aux_sym_preproc_elif_token1] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [aux_sym_preproc_else_token1] = ACTIONS(1380),
    [aux_sym_preproc_elif_token1] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(1360),
    [aux_sym_preproc_elif_token1] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [aux_sym_preproc_else_token1] = ACTIONS(1372),
    [aux_sym_preproc_elif_token1] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_else_clause] = STATE(245),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [aux_sym_preproc_else_token1] = ACTIONS(1376),
    [aux_sym_preproc_elif_token1] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_else_clause] = STATE(416),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__expression] = STATE(841),
    [sym__expression_not_binary] = STATE(797),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(797),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(797),
    [sym_call_expression] = STATE(797),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(797),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym_initializer_list] = STATE(776),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_RBRACK] = ACTIONS(1172),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_STAR_EQ] = ACTIONS(1172),
    [anon_sym_SLASH_EQ] = ACTIONS(1172),
    [anon_sym_PERCENT_EQ] = ACTIONS(1172),
    [anon_sym_PLUS_EQ] = ACTIONS(1172),
    [anon_sym_DASH_EQ] = ACTIONS(1172),
    [anon_sym_LT_LT_EQ] = ACTIONS(1172),
    [anon_sym_GT_GT_EQ] = ACTIONS(1172),
    [anon_sym_AMP_EQ] = ACTIONS(1172),
    [anon_sym_CARET_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_EQ] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [aux_sym_preproc_else_token1] = ACTIONS(1426),
    [aux_sym_preproc_elif_token1] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(1356),
    [aux_sym_preproc_elif_token1] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [aux_sym_preproc_else_token1] = ACTIONS(1368),
    [aux_sym_preproc_elif_token1] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(116),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_case_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(256),
    [sym_attributed_statement] = STATE(256),
    [sym_labeled_statement] = STATE(256),
    [sym_expression_statement] = STATE(256),
    [sym_if_statement] = STATE(256),
    [sym_switch_statement] = STATE(256),
    [sym_case_statement] = STATE(256),
    [sym_while_statement] = STATE(256),
    [sym_do_statement] = STATE(256),
    [sym_for_statement] = STATE(256),
    [sym_return_statement] = STATE(256),
    [sym_break_statement] = STATE(256),
    [sym_continue_statement] = STATE(256),
    [sym_goto_statement] = STATE(256),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token2] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token2] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token2] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token2] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token2] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token2] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token2] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token2] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1964),
    [sym_attributed_statement] = STATE(1964),
    [sym_labeled_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_if_statement] = STATE(1964),
    [sym_switch_statement] = STATE(1964),
    [sym_case_statement] = STATE(1964),
    [sym_while_statement] = STATE(1964),
    [sym_do_statement] = STATE(1964),
    [sym_for_statement] = STATE(1964),
    [sym_return_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_goto_statement] = STATE(1964),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token2] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token2] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token2] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(251),
    [sym_attributed_statement] = STATE(251),
    [sym_labeled_statement] = STATE(251),
    [sym_expression_statement] = STATE(251),
    [sym_if_statement] = STATE(251),
    [sym_switch_statement] = STATE(251),
    [sym_case_statement] = STATE(251),
    [sym_while_statement] = STATE(251),
    [sym_do_statement] = STATE(251),
    [sym_for_statement] = STATE(251),
    [sym_return_statement] = STATE(251),
    [sym_break_statement] = STATE(251),
    [sym_continue_statement] = STATE(251),
    [sym_goto_statement] = STATE(251),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(252),
    [sym_attributed_statement] = STATE(252),
    [sym_labeled_statement] = STATE(252),
    [sym_expression_statement] = STATE(252),
    [sym_if_statement] = STATE(252),
    [sym_switch_statement] = STATE(252),
    [sym_case_statement] = STATE(252),
    [sym_while_statement] = STATE(252),
    [sym_do_statement] = STATE(252),
    [sym_for_statement] = STATE(252),
    [sym_return_statement] = STATE(252),
    [sym_break_statement] = STATE(252),
    [sym_continue_statement] = STATE(252),
    [sym_goto_statement] = STATE(252),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(269),
    [sym_attributed_statement] = STATE(269),
    [sym_labeled_statement] = STATE(269),
    [sym_expression_statement] = STATE(269),
    [sym_if_statement] = STATE(269),
    [sym_switch_statement] = STATE(269),
    [sym_case_statement] = STATE(269),
    [sym_while_statement] = STATE(269),
    [sym_do_statement] = STATE(269),
    [sym_for_statement] = STATE(269),
    [sym_return_statement] = STATE(269),
    [sym_break_statement] = STATE(269),
    [sym_continue_statement] = STATE(269),
    [sym_goto_statement] = STATE(269),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(281),
    [sym_attributed_statement] = STATE(281),
    [sym_labeled_statement] = STATE(281),
    [sym_expression_statement] = STATE(281),
    [sym_if_statement] = STATE(281),
    [sym_switch_statement] = STATE(281),
    [sym_case_statement] = STATE(281),
    [sym_while_statement] = STATE(281),
    [sym_do_statement] = STATE(281),
    [sym_for_statement] = STATE(281),
    [sym_return_statement] = STATE(281),
    [sym_break_statement] = STATE(281),
    [sym_continue_statement] = STATE(281),
    [sym_goto_statement] = STATE(281),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token2] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(115),
    [sym_attributed_statement] = STATE(115),
    [sym_labeled_statement] = STATE(115),
    [sym_expression_statement] = STATE(115),
    [sym_if_statement] = STATE(115),
    [sym_switch_statement] = STATE(115),
    [sym_case_statement] = STATE(115),
    [sym_while_statement] = STATE(115),
    [sym_do_statement] = STATE(115),
    [sym_for_statement] = STATE(115),
    [sym_return_statement] = STATE(115),
    [sym_break_statement] = STATE(115),
    [sym_continue_statement] = STATE(115),
    [sym_goto_statement] = STATE(115),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token2] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(287),
    [sym_attributed_statement] = STATE(287),
    [sym_labeled_statement] = STATE(287),
    [sym_expression_statement] = STATE(287),
    [sym_if_statement] = STATE(287),
    [sym_switch_statement] = STATE(287),
    [sym_case_statement] = STATE(287),
    [sym_while_statement] = STATE(287),
    [sym_do_statement] = STATE(287),
    [sym_for_statement] = STATE(287),
    [sym_return_statement] = STATE(287),
    [sym_break_statement] = STATE(287),
    [sym_continue_statement] = STATE(287),
    [sym_goto_statement] = STATE(287),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token2] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token2] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(288),
    [sym_attributed_statement] = STATE(288),
    [sym_labeled_statement] = STATE(288),
    [sym_expression_statement] = STATE(288),
    [sym_if_statement] = STATE(288),
    [sym_switch_statement] = STATE(288),
    [sym_case_statement] = STATE(288),
    [sym_while_statement] = STATE(288),
    [sym_do_statement] = STATE(288),
    [sym_for_statement] = STATE(288),
    [sym_return_statement] = STATE(288),
    [sym_break_statement] = STATE(288),
    [sym_continue_statement] = STATE(288),
    [sym_goto_statement] = STATE(288),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token2] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token2] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token2] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(295),
    [sym_attributed_statement] = STATE(295),
    [sym_labeled_statement] = STATE(295),
    [sym_expression_statement] = STATE(295),
    [sym_if_statement] = STATE(295),
    [sym_switch_statement] = STATE(295),
    [sym_case_statement] = STATE(295),
    [sym_while_statement] = STATE(295),
    [sym_do_statement] = STATE(295),
    [sym_for_statement] = STATE(295),
    [sym_return_statement] = STATE(295),
    [sym_break_statement] = STATE(295),
    [sym_continue_statement] = STATE(295),
    [sym_goto_statement] = STATE(295),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(299),
    [sym_attributed_statement] = STATE(299),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(244),
    [sym_attributed_statement] = STATE(244),
    [sym_labeled_statement] = STATE(244),
    [sym_expression_statement] = STATE(244),
    [sym_if_statement] = STATE(244),
    [sym_switch_statement] = STATE(244),
    [sym_case_statement] = STATE(244),
    [sym_while_statement] = STATE(244),
    [sym_do_statement] = STATE(244),
    [sym_for_statement] = STATE(244),
    [sym_return_statement] = STATE(244),
    [sym_break_statement] = STATE(244),
    [sym_continue_statement] = STATE(244),
    [sym_goto_statement] = STATE(244),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(240),
    [sym_attributed_statement] = STATE(240),
    [sym_labeled_statement] = STATE(240),
    [sym_expression_statement] = STATE(240),
    [sym_if_statement] = STATE(240),
    [sym_switch_statement] = STATE(240),
    [sym_case_statement] = STATE(240),
    [sym_while_statement] = STATE(240),
    [sym_do_statement] = STATE(240),
    [sym_for_statement] = STATE(240),
    [sym_return_statement] = STATE(240),
    [sym_break_statement] = STATE(240),
    [sym_continue_statement] = STATE(240),
    [sym_goto_statement] = STATE(240),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token2] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(305),
    [sym_attributed_statement] = STATE(305),
    [sym_labeled_statement] = STATE(305),
    [sym_expression_statement] = STATE(305),
    [sym_if_statement] = STATE(305),
    [sym_switch_statement] = STATE(305),
    [sym_case_statement] = STATE(305),
    [sym_while_statement] = STATE(305),
    [sym_do_statement] = STATE(305),
    [sym_for_statement] = STATE(305),
    [sym_return_statement] = STATE(305),
    [sym_break_statement] = STATE(305),
    [sym_continue_statement] = STATE(305),
    [sym_goto_statement] = STATE(305),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_attribute_declaration] = STATE(322),
    [sym_compound_statement] = STATE(321),
    [sym_attributed_statement] = STATE(321),
    [sym_labeled_statement] = STATE(321),
    [sym_expression_statement] = STATE(321),
    [sym_if_statement] = STATE(321),
    [sym_switch_statement] = STATE(321),
    [sym_case_statement] = STATE(321),
    [sym_while_statement] = STATE(321),
    [sym_do_statement] = STATE(321),
    [sym_for_statement] = STATE(321),
    [sym_return_statement] = STATE(321),
    [sym_break_statement] = STATE(321),
    [sym_continue_statement] = STATE(321),
    [sym_goto_statement] = STATE(321),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(322),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(91),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_case_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(102),
    [sym_attributed_statement] = STATE(102),
    [sym_labeled_statement] = STATE(102),
    [sym_expression_statement] = STATE(102),
    [sym_if_statement] = STATE(102),
    [sym_switch_statement] = STATE(102),
    [sym_case_statement] = STATE(102),
    [sym_while_statement] = STATE(102),
    [sym_do_statement] = STATE(102),
    [sym_for_statement] = STATE(102),
    [sym_return_statement] = STATE(102),
    [sym_break_statement] = STATE(102),
    [sym_continue_statement] = STATE(102),
    [sym_goto_statement] = STATE(102),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(99),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_attribute_declaration] = STATE(306),
    [sym_compound_statement] = STATE(127),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_case_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(306),
    [sym_identifier] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1495),
    [anon_sym_case] = ACTIONS(1498),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1510),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1519),
    [anon_sym_goto] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(197),
    [sym_attributed_statement] = STATE(197),
    [sym_labeled_statement] = STATE(197),
    [sym_expression_statement] = STATE(197),
    [sym_if_statement] = STATE(197),
    [sym_switch_statement] = STATE(197),
    [sym_case_statement] = STATE(197),
    [sym_while_statement] = STATE(197),
    [sym_do_statement] = STATE(197),
    [sym_for_statement] = STATE(197),
    [sym_return_statement] = STATE(197),
    [sym_break_statement] = STATE(197),
    [sym_continue_statement] = STATE(197),
    [sym_goto_statement] = STATE(197),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_attribute_declaration] = STATE(310),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_switch_statement] = STATE(311),
    [sym_case_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_goto_statement] = STATE(311),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(310),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1564),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1579),
    [anon_sym_for] = ACTIONS(1582),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1946),
    [sym_attributed_statement] = STATE(1946),
    [sym_labeled_statement] = STATE(1946),
    [sym_expression_statement] = STATE(1946),
    [sym_if_statement] = STATE(1946),
    [sym_switch_statement] = STATE(1946),
    [sym_case_statement] = STATE(1946),
    [sym_while_statement] = STATE(1946),
    [sym_do_statement] = STATE(1946),
    [sym_for_statement] = STATE(1946),
    [sym_return_statement] = STATE(1946),
    [sym_break_statement] = STATE(1946),
    [sym_continue_statement] = STATE(1946),
    [sym_goto_statement] = STATE(1946),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(96),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(343),
    [sym_attributed_statement] = STATE(343),
    [sym_labeled_statement] = STATE(343),
    [sym_expression_statement] = STATE(343),
    [sym_if_statement] = STATE(343),
    [sym_switch_statement] = STATE(343),
    [sym_case_statement] = STATE(343),
    [sym_while_statement] = STATE(343),
    [sym_do_statement] = STATE(343),
    [sym_for_statement] = STATE(343),
    [sym_return_statement] = STATE(343),
    [sym_break_statement] = STATE(343),
    [sym_continue_statement] = STATE(343),
    [sym_goto_statement] = STATE(343),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(356),
    [sym_attributed_statement] = STATE(356),
    [sym_labeled_statement] = STATE(356),
    [sym_expression_statement] = STATE(356),
    [sym_if_statement] = STATE(356),
    [sym_switch_statement] = STATE(356),
    [sym_case_statement] = STATE(356),
    [sym_while_statement] = STATE(356),
    [sym_do_statement] = STATE(356),
    [sym_for_statement] = STATE(356),
    [sym_return_statement] = STATE(356),
    [sym_break_statement] = STATE(356),
    [sym_continue_statement] = STATE(356),
    [sym_goto_statement] = STATE(356),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(109),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_case_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(110),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_case_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_attribute_declaration] = STATE(322),
    [sym_compound_statement] = STATE(321),
    [sym_attributed_statement] = STATE(321),
    [sym_labeled_statement] = STATE(321),
    [sym_expression_statement] = STATE(321),
    [sym_if_statement] = STATE(321),
    [sym_switch_statement] = STATE(321),
    [sym_case_statement] = STATE(321),
    [sym_while_statement] = STATE(321),
    [sym_do_statement] = STATE(321),
    [sym_for_statement] = STATE(321),
    [sym_return_statement] = STATE(321),
    [sym_break_statement] = STATE(321),
    [sym_continue_statement] = STATE(321),
    [sym_goto_statement] = STATE(321),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(322),
    [sym_identifier] = ACTIONS(1597),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1609),
    [anon_sym_case] = ACTIONS(1612),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1618),
    [anon_sym_do] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1624),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1630),
    [anon_sym_continue] = ACTIONS(1633),
    [anon_sym_goto] = ACTIONS(1636),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_else] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(111),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_case_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(113),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_case_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1244),
    [aux_sym_preproc_def_token1] = ACTIONS(1244),
    [aux_sym_preproc_if_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1244),
    [sym_preproc_directive] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_extern] = ACTIONS(1244),
    [anon_sym___attribute__] = ACTIONS(1244),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1246),
    [anon_sym___declspec] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1244),
    [anon_sym___clrcall] = ACTIONS(1244),
    [anon_sym___stdcall] = ACTIONS(1244),
    [anon_sym___fastcall] = ACTIONS(1244),
    [anon_sym___thiscall] = ACTIONS(1244),
    [anon_sym___vectorcall] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_auto] = ACTIONS(1244),
    [anon_sym_register] = ACTIONS(1244),
    [anon_sym_inline] = ACTIONS(1244),
    [anon_sym_thread_local] = ACTIONS(1244),
    [anon_sym_const] = ACTIONS(1244),
    [anon_sym_constexpr] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_restrict] = ACTIONS(1244),
    [anon_sym___restrict__] = ACTIONS(1244),
    [anon_sym__Atomic] = ACTIONS(1244),
    [anon_sym__Noreturn] = ACTIONS(1244),
    [anon_sym_noreturn] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1244),
    [anon_sym_unsigned] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [sym_primitive_type] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(1244),
    [anon_sym_union] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_else] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_break] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_goto] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_sizeof] = ACTIONS(1244),
    [anon_sym_offsetof] = ACTIONS(1244),
    [anon_sym__Generic] = ACTIONS(1244),
    [anon_sym_asm] = ACTIONS(1244),
    [anon_sym___asm__] = ACTIONS(1244),
    [sym_number_literal] = ACTIONS(1246),
    [anon_sym_L_SQUOTE] = ACTIONS(1246),
    [anon_sym_u_SQUOTE] = ACTIONS(1246),
    [anon_sym_U_SQUOTE] = ACTIONS(1246),
    [anon_sym_u8_SQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_L_DQUOTE] = ACTIONS(1246),
    [anon_sym_u_DQUOTE] = ACTIONS(1246),
    [anon_sym_U_DQUOTE] = ACTIONS(1246),
    [anon_sym_u8_DQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [anon_sym_NULL] = ACTIONS(1244),
    [anon_sym_nullptr] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(114),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_case_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1925),
    [sym_attributed_statement] = STATE(1925),
    [sym_labeled_statement] = STATE(1925),
    [sym_expression_statement] = STATE(1925),
    [sym_if_statement] = STATE(1925),
    [sym_switch_statement] = STATE(1925),
    [sym_case_statement] = STATE(1925),
    [sym_while_statement] = STATE(1925),
    [sym_do_statement] = STATE(1925),
    [sym_for_statement] = STATE(1925),
    [sym_return_statement] = STATE(1925),
    [sym_break_statement] = STATE(1925),
    [sym_continue_statement] = STATE(1925),
    [sym_goto_statement] = STATE(1925),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(117),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_case_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(118),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_case_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(119),
    [sym_attributed_statement] = STATE(119),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_case_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1240),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_extern] = ACTIONS(1240),
    [anon_sym___attribute__] = ACTIONS(1240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1242),
    [anon_sym___declspec] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_auto] = ACTIONS(1240),
    [anon_sym_register] = ACTIONS(1240),
    [anon_sym_inline] = ACTIONS(1240),
    [anon_sym_thread_local] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_constexpr] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_restrict] = ACTIONS(1240),
    [anon_sym___restrict__] = ACTIONS(1240),
    [anon_sym__Atomic] = ACTIONS(1240),
    [anon_sym__Noreturn] = ACTIONS(1240),
    [anon_sym_noreturn] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1240),
    [anon_sym_unsigned] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [sym_primitive_type] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_struct] = ACTIONS(1240),
    [anon_sym_union] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_goto] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_sizeof] = ACTIONS(1240),
    [anon_sym_offsetof] = ACTIONS(1240),
    [anon_sym__Generic] = ACTIONS(1240),
    [anon_sym_asm] = ACTIONS(1240),
    [anon_sym___asm__] = ACTIONS(1240),
    [sym_number_literal] = ACTIONS(1242),
    [anon_sym_L_SQUOTE] = ACTIONS(1242),
    [anon_sym_u_SQUOTE] = ACTIONS(1242),
    [anon_sym_U_SQUOTE] = ACTIONS(1242),
    [anon_sym_u8_SQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_L_DQUOTE] = ACTIONS(1242),
    [anon_sym_u_DQUOTE] = ACTIONS(1242),
    [anon_sym_U_DQUOTE] = ACTIONS(1242),
    [anon_sym_u8_DQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_NULL] = ACTIONS(1240),
    [anon_sym_nullptr] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_attribute_declaration] = STATE(399),
    [sym_compound_statement] = STATE(120),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_case_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(399),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(528),
    [sym_attributed_statement] = STATE(528),
    [sym_labeled_statement] = STATE(528),
    [sym_expression_statement] = STATE(528),
    [sym_if_statement] = STATE(528),
    [sym_switch_statement] = STATE(528),
    [sym_case_statement] = STATE(528),
    [sym_while_statement] = STATE(528),
    [sym_do_statement] = STATE(528),
    [sym_for_statement] = STATE(528),
    [sym_return_statement] = STATE(528),
    [sym_break_statement] = STATE(528),
    [sym_continue_statement] = STATE(528),
    [sym_goto_statement] = STATE(528),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(258),
    [sym_attributed_statement] = STATE(258),
    [sym_labeled_statement] = STATE(258),
    [sym_expression_statement] = STATE(258),
    [sym_if_statement] = STATE(258),
    [sym_switch_statement] = STATE(258),
    [sym_case_statement] = STATE(258),
    [sym_while_statement] = STATE(258),
    [sym_do_statement] = STATE(258),
    [sym_for_statement] = STATE(258),
    [sym_return_statement] = STATE(258),
    [sym_break_statement] = STATE(258),
    [sym_continue_statement] = STATE(258),
    [sym_goto_statement] = STATE(258),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(278),
    [sym_attributed_statement] = STATE(278),
    [sym_labeled_statement] = STATE(278),
    [sym_expression_statement] = STATE(278),
    [sym_if_statement] = STATE(278),
    [sym_switch_statement] = STATE(278),
    [sym_case_statement] = STATE(278),
    [sym_while_statement] = STATE(278),
    [sym_do_statement] = STATE(278),
    [sym_for_statement] = STATE(278),
    [sym_return_statement] = STATE(278),
    [sym_break_statement] = STATE(278),
    [sym_continue_statement] = STATE(278),
    [sym_goto_statement] = STATE(278),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_attribute_declaration] = STATE(341),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_switch_statement] = STATE(311),
    [sym_case_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_goto_statement] = STATE(311),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(341),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1642),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1645),
    [anon_sym_default] = ACTIONS(1648),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1579),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1236),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_extern] = ACTIONS(1236),
    [anon_sym___attribute__] = ACTIONS(1236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_auto] = ACTIONS(1236),
    [anon_sym_register] = ACTIONS(1236),
    [anon_sym_inline] = ACTIONS(1236),
    [anon_sym_thread_local] = ACTIONS(1236),
    [anon_sym_const] = ACTIONS(1236),
    [anon_sym_constexpr] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_restrict] = ACTIONS(1236),
    [anon_sym___restrict__] = ACTIONS(1236),
    [anon_sym__Atomic] = ACTIONS(1236),
    [anon_sym__Noreturn] = ACTIONS(1236),
    [anon_sym_noreturn] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1236),
    [anon_sym_unsigned] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [sym_primitive_type] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_struct] = ACTIONS(1236),
    [anon_sym_union] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_goto] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_sizeof] = ACTIONS(1236),
    [anon_sym_offsetof] = ACTIONS(1236),
    [anon_sym__Generic] = ACTIONS(1236),
    [anon_sym_asm] = ACTIONS(1236),
    [anon_sym___asm__] = ACTIONS(1236),
    [sym_number_literal] = ACTIONS(1238),
    [anon_sym_L_SQUOTE] = ACTIONS(1238),
    [anon_sym_u_SQUOTE] = ACTIONS(1238),
    [anon_sym_U_SQUOTE] = ACTIONS(1238),
    [anon_sym_u8_SQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_L_DQUOTE] = ACTIONS(1238),
    [anon_sym_u_DQUOTE] = ACTIONS(1238),
    [anon_sym_U_DQUOTE] = ACTIONS(1238),
    [anon_sym_u8_DQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [anon_sym_NULL] = ACTIONS(1236),
    [anon_sym_nullptr] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1232),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1232),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1234),
    [anon_sym___declspec] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_auto] = ACTIONS(1232),
    [anon_sym_register] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1232),
    [anon_sym_thread_local] = ACTIONS(1232),
    [anon_sym_const] = ACTIONS(1232),
    [anon_sym_constexpr] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_restrict] = ACTIONS(1232),
    [anon_sym___restrict__] = ACTIONS(1232),
    [anon_sym__Atomic] = ACTIONS(1232),
    [anon_sym__Noreturn] = ACTIONS(1232),
    [anon_sym_noreturn] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1232),
    [anon_sym_unsigned] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [sym_primitive_type] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_struct] = ACTIONS(1232),
    [anon_sym_union] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_sizeof] = ACTIONS(1232),
    [anon_sym_offsetof] = ACTIONS(1232),
    [anon_sym__Generic] = ACTIONS(1232),
    [anon_sym_asm] = ACTIONS(1232),
    [anon_sym___asm__] = ACTIONS(1232),
    [sym_number_literal] = ACTIONS(1234),
    [anon_sym_L_SQUOTE] = ACTIONS(1234),
    [anon_sym_u_SQUOTE] = ACTIONS(1234),
    [anon_sym_U_SQUOTE] = ACTIONS(1234),
    [anon_sym_u8_SQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_L_DQUOTE] = ACTIONS(1234),
    [anon_sym_u_DQUOTE] = ACTIONS(1234),
    [anon_sym_U_DQUOTE] = ACTIONS(1234),
    [anon_sym_u8_DQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [anon_sym_NULL] = ACTIONS(1232),
    [anon_sym_nullptr] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(278),
    [sym_attributed_statement] = STATE(278),
    [sym_labeled_statement] = STATE(278),
    [sym_expression_statement] = STATE(278),
    [sym_if_statement] = STATE(278),
    [sym_switch_statement] = STATE(278),
    [sym_case_statement] = STATE(278),
    [sym_while_statement] = STATE(278),
    [sym_do_statement] = STATE(278),
    [sym_for_statement] = STATE(278),
    [sym_return_statement] = STATE(278),
    [sym_break_statement] = STATE(278),
    [sym_continue_statement] = STATE(278),
    [sym_goto_statement] = STATE(278),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(240),
    [sym_attributed_statement] = STATE(240),
    [sym_labeled_statement] = STATE(240),
    [sym_expression_statement] = STATE(240),
    [sym_if_statement] = STATE(240),
    [sym_switch_statement] = STATE(240),
    [sym_case_statement] = STATE(240),
    [sym_while_statement] = STATE(240),
    [sym_do_statement] = STATE(240),
    [sym_for_statement] = STATE(240),
    [sym_return_statement] = STATE(240),
    [sym_break_statement] = STATE(240),
    [sym_continue_statement] = STATE(240),
    [sym_goto_statement] = STATE(240),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(244),
    [sym_attributed_statement] = STATE(244),
    [sym_labeled_statement] = STATE(244),
    [sym_expression_statement] = STATE(244),
    [sym_if_statement] = STATE(244),
    [sym_switch_statement] = STATE(244),
    [sym_case_statement] = STATE(244),
    [sym_while_statement] = STATE(244),
    [sym_do_statement] = STATE(244),
    [sym_for_statement] = STATE(244),
    [sym_return_statement] = STATE(244),
    [sym_break_statement] = STATE(244),
    [sym_continue_statement] = STATE(244),
    [sym_goto_statement] = STATE(244),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(251),
    [sym_attributed_statement] = STATE(251),
    [sym_labeled_statement] = STATE(251),
    [sym_expression_statement] = STATE(251),
    [sym_if_statement] = STATE(251),
    [sym_switch_statement] = STATE(251),
    [sym_case_statement] = STATE(251),
    [sym_while_statement] = STATE(251),
    [sym_do_statement] = STATE(251),
    [sym_for_statement] = STATE(251),
    [sym_return_statement] = STATE(251),
    [sym_break_statement] = STATE(251),
    [sym_continue_statement] = STATE(251),
    [sym_goto_statement] = STATE(251),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(252),
    [sym_attributed_statement] = STATE(252),
    [sym_labeled_statement] = STATE(252),
    [sym_expression_statement] = STATE(252),
    [sym_if_statement] = STATE(252),
    [sym_switch_statement] = STATE(252),
    [sym_case_statement] = STATE(252),
    [sym_while_statement] = STATE(252),
    [sym_do_statement] = STATE(252),
    [sym_for_statement] = STATE(252),
    [sym_return_statement] = STATE(252),
    [sym_break_statement] = STATE(252),
    [sym_continue_statement] = STATE(252),
    [sym_goto_statement] = STATE(252),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(269),
    [sym_attributed_statement] = STATE(269),
    [sym_labeled_statement] = STATE(269),
    [sym_expression_statement] = STATE(269),
    [sym_if_statement] = STATE(269),
    [sym_switch_statement] = STATE(269),
    [sym_case_statement] = STATE(269),
    [sym_while_statement] = STATE(269),
    [sym_do_statement] = STATE(269),
    [sym_for_statement] = STATE(269),
    [sym_return_statement] = STATE(269),
    [sym_break_statement] = STATE(269),
    [sym_continue_statement] = STATE(269),
    [sym_goto_statement] = STATE(269),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(281),
    [sym_attributed_statement] = STATE(281),
    [sym_labeled_statement] = STATE(281),
    [sym_expression_statement] = STATE(281),
    [sym_if_statement] = STATE(281),
    [sym_switch_statement] = STATE(281),
    [sym_case_statement] = STATE(281),
    [sym_while_statement] = STATE(281),
    [sym_do_statement] = STATE(281),
    [sym_for_statement] = STATE(281),
    [sym_return_statement] = STATE(281),
    [sym_break_statement] = STATE(281),
    [sym_continue_statement] = STATE(281),
    [sym_goto_statement] = STATE(281),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(287),
    [sym_attributed_statement] = STATE(287),
    [sym_labeled_statement] = STATE(287),
    [sym_expression_statement] = STATE(287),
    [sym_if_statement] = STATE(287),
    [sym_switch_statement] = STATE(287),
    [sym_case_statement] = STATE(287),
    [sym_while_statement] = STATE(287),
    [sym_do_statement] = STATE(287),
    [sym_for_statement] = STATE(287),
    [sym_return_statement] = STATE(287),
    [sym_break_statement] = STATE(287),
    [sym_continue_statement] = STATE(287),
    [sym_goto_statement] = STATE(287),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(288),
    [sym_attributed_statement] = STATE(288),
    [sym_labeled_statement] = STATE(288),
    [sym_expression_statement] = STATE(288),
    [sym_if_statement] = STATE(288),
    [sym_switch_statement] = STATE(288),
    [sym_case_statement] = STATE(288),
    [sym_while_statement] = STATE(288),
    [sym_do_statement] = STATE(288),
    [sym_for_statement] = STATE(288),
    [sym_return_statement] = STATE(288),
    [sym_break_statement] = STATE(288),
    [sym_continue_statement] = STATE(288),
    [sym_goto_statement] = STATE(288),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1228),
    [aux_sym_preproc_include_token1] = ACTIONS(1228),
    [aux_sym_preproc_def_token1] = ACTIONS(1228),
    [aux_sym_preproc_if_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1228),
    [sym_preproc_directive] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1230),
    [anon_sym_AMP] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_extern] = ACTIONS(1228),
    [anon_sym___attribute__] = ACTIONS(1228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1230),
    [anon_sym___declspec] = ACTIONS(1228),
    [anon_sym___cdecl] = ACTIONS(1228),
    [anon_sym___clrcall] = ACTIONS(1228),
    [anon_sym___stdcall] = ACTIONS(1228),
    [anon_sym___fastcall] = ACTIONS(1228),
    [anon_sym___thiscall] = ACTIONS(1228),
    [anon_sym___vectorcall] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_auto] = ACTIONS(1228),
    [anon_sym_register] = ACTIONS(1228),
    [anon_sym_inline] = ACTIONS(1228),
    [anon_sym_thread_local] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_constexpr] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_restrict] = ACTIONS(1228),
    [anon_sym___restrict__] = ACTIONS(1228),
    [anon_sym__Atomic] = ACTIONS(1228),
    [anon_sym__Noreturn] = ACTIONS(1228),
    [anon_sym_noreturn] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1228),
    [anon_sym_unsigned] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_struct] = ACTIONS(1228),
    [anon_sym_union] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_goto] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_sizeof] = ACTIONS(1228),
    [anon_sym_offsetof] = ACTIONS(1228),
    [anon_sym__Generic] = ACTIONS(1228),
    [anon_sym_asm] = ACTIONS(1228),
    [anon_sym___asm__] = ACTIONS(1228),
    [sym_number_literal] = ACTIONS(1230),
    [anon_sym_L_SQUOTE] = ACTIONS(1230),
    [anon_sym_u_SQUOTE] = ACTIONS(1230),
    [anon_sym_U_SQUOTE] = ACTIONS(1230),
    [anon_sym_u8_SQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_L_DQUOTE] = ACTIONS(1230),
    [anon_sym_u_DQUOTE] = ACTIONS(1230),
    [anon_sym_U_DQUOTE] = ACTIONS(1230),
    [anon_sym_u8_DQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [anon_sym_NULL] = ACTIONS(1228),
    [anon_sym_nullptr] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1224),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1224),
    [anon_sym___attribute__] = ACTIONS(1224),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1224),
    [anon_sym_auto] = ACTIONS(1224),
    [anon_sym_register] = ACTIONS(1224),
    [anon_sym_inline] = ACTIONS(1224),
    [anon_sym_thread_local] = ACTIONS(1224),
    [anon_sym_const] = ACTIONS(1224),
    [anon_sym_constexpr] = ACTIONS(1224),
    [anon_sym_volatile] = ACTIONS(1224),
    [anon_sym_restrict] = ACTIONS(1224),
    [anon_sym___restrict__] = ACTIONS(1224),
    [anon_sym__Atomic] = ACTIONS(1224),
    [anon_sym__Noreturn] = ACTIONS(1224),
    [anon_sym_noreturn] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1224),
    [anon_sym_unsigned] = ACTIONS(1224),
    [anon_sym_long] = ACTIONS(1224),
    [anon_sym_short] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1224),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_struct] = ACTIONS(1224),
    [anon_sym_union] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_break] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_goto] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_sizeof] = ACTIONS(1224),
    [anon_sym_offsetof] = ACTIONS(1224),
    [anon_sym__Generic] = ACTIONS(1224),
    [anon_sym_asm] = ACTIONS(1224),
    [anon_sym___asm__] = ACTIONS(1224),
    [sym_number_literal] = ACTIONS(1226),
    [anon_sym_L_SQUOTE] = ACTIONS(1226),
    [anon_sym_u_SQUOTE] = ACTIONS(1226),
    [anon_sym_U_SQUOTE] = ACTIONS(1226),
    [anon_sym_u8_SQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_L_DQUOTE] = ACTIONS(1226),
    [anon_sym_u_DQUOTE] = ACTIONS(1226),
    [anon_sym_U_DQUOTE] = ACTIONS(1226),
    [anon_sym_u8_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [anon_sym_NULL] = ACTIONS(1224),
    [anon_sym_nullptr] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(295),
    [sym_attributed_statement] = STATE(295),
    [sym_labeled_statement] = STATE(295),
    [sym_expression_statement] = STATE(295),
    [sym_if_statement] = STATE(295),
    [sym_switch_statement] = STATE(295),
    [sym_case_statement] = STATE(295),
    [sym_while_statement] = STATE(295),
    [sym_do_statement] = STATE(295),
    [sym_for_statement] = STATE(295),
    [sym_return_statement] = STATE(295),
    [sym_break_statement] = STATE(295),
    [sym_continue_statement] = STATE(295),
    [sym_goto_statement] = STATE(295),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(299),
    [sym_attributed_statement] = STATE(299),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_else] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1220),
    [aux_sym_preproc_include_token1] = ACTIONS(1220),
    [aux_sym_preproc_def_token1] = ACTIONS(1220),
    [aux_sym_preproc_if_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1220),
    [sym_preproc_directive] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_extern] = ACTIONS(1220),
    [anon_sym___attribute__] = ACTIONS(1220),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(1220),
    [anon_sym___cdecl] = ACTIONS(1220),
    [anon_sym___clrcall] = ACTIONS(1220),
    [anon_sym___stdcall] = ACTIONS(1220),
    [anon_sym___fastcall] = ACTIONS(1220),
    [anon_sym___thiscall] = ACTIONS(1220),
    [anon_sym___vectorcall] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1220),
    [anon_sym_auto] = ACTIONS(1220),
    [anon_sym_register] = ACTIONS(1220),
    [anon_sym_inline] = ACTIONS(1220),
    [anon_sym_thread_local] = ACTIONS(1220),
    [anon_sym_const] = ACTIONS(1220),
    [anon_sym_constexpr] = ACTIONS(1220),
    [anon_sym_volatile] = ACTIONS(1220),
    [anon_sym_restrict] = ACTIONS(1220),
    [anon_sym___restrict__] = ACTIONS(1220),
    [anon_sym__Atomic] = ACTIONS(1220),
    [anon_sym__Noreturn] = ACTIONS(1220),
    [anon_sym_noreturn] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1220),
    [anon_sym_unsigned] = ACTIONS(1220),
    [anon_sym_long] = ACTIONS(1220),
    [anon_sym_short] = ACTIONS(1220),
    [sym_primitive_type] = ACTIONS(1220),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(1220),
    [anon_sym_union] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_break] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_goto] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_sizeof] = ACTIONS(1220),
    [anon_sym_offsetof] = ACTIONS(1220),
    [anon_sym__Generic] = ACTIONS(1220),
    [anon_sym_asm] = ACTIONS(1220),
    [anon_sym___asm__] = ACTIONS(1220),
    [sym_number_literal] = ACTIONS(1222),
    [anon_sym_L_SQUOTE] = ACTIONS(1222),
    [anon_sym_u_SQUOTE] = ACTIONS(1222),
    [anon_sym_U_SQUOTE] = ACTIONS(1222),
    [anon_sym_u8_SQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_L_DQUOTE] = ACTIONS(1222),
    [anon_sym_u_DQUOTE] = ACTIONS(1222),
    [anon_sym_U_DQUOTE] = ACTIONS(1222),
    [anon_sym_u8_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_true] = ACTIONS(1220),
    [sym_false] = ACTIONS(1220),
    [anon_sym_NULL] = ACTIONS(1220),
    [anon_sym_nullptr] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(305),
    [sym_attributed_statement] = STATE(305),
    [sym_labeled_statement] = STATE(305),
    [sym_expression_statement] = STATE(305),
    [sym_if_statement] = STATE(305),
    [sym_switch_statement] = STATE(305),
    [sym_case_statement] = STATE(305),
    [sym_while_statement] = STATE(305),
    [sym_do_statement] = STATE(305),
    [sym_for_statement] = STATE(305),
    [sym_return_statement] = STATE(305),
    [sym_break_statement] = STATE(305),
    [sym_continue_statement] = STATE(305),
    [sym_goto_statement] = STATE(305),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_identifier] = ACTIONS(1200),
    [aux_sym_preproc_include_token1] = ACTIONS(1200),
    [aux_sym_preproc_def_token1] = ACTIONS(1200),
    [aux_sym_preproc_if_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1200),
    [sym_preproc_directive] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_extern] = ACTIONS(1200),
    [anon_sym___attribute__] = ACTIONS(1200),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1202),
    [anon_sym___declspec] = ACTIONS(1200),
    [anon_sym___cdecl] = ACTIONS(1200),
    [anon_sym___clrcall] = ACTIONS(1200),
    [anon_sym___stdcall] = ACTIONS(1200),
    [anon_sym___fastcall] = ACTIONS(1200),
    [anon_sym___thiscall] = ACTIONS(1200),
    [anon_sym___vectorcall] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1200),
    [anon_sym_auto] = ACTIONS(1200),
    [anon_sym_register] = ACTIONS(1200),
    [anon_sym_inline] = ACTIONS(1200),
    [anon_sym_thread_local] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_constexpr] = ACTIONS(1200),
    [anon_sym_volatile] = ACTIONS(1200),
    [anon_sym_restrict] = ACTIONS(1200),
    [anon_sym___restrict__] = ACTIONS(1200),
    [anon_sym__Atomic] = ACTIONS(1200),
    [anon_sym__Noreturn] = ACTIONS(1200),
    [anon_sym_noreturn] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1200),
    [anon_sym_unsigned] = ACTIONS(1200),
    [anon_sym_long] = ACTIONS(1200),
    [anon_sym_short] = ACTIONS(1200),
    [sym_primitive_type] = ACTIONS(1200),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_struct] = ACTIONS(1200),
    [anon_sym_union] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_goto] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_sizeof] = ACTIONS(1200),
    [anon_sym_offsetof] = ACTIONS(1200),
    [anon_sym__Generic] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1200),
    [anon_sym___asm__] = ACTIONS(1200),
    [sym_number_literal] = ACTIONS(1202),
    [anon_sym_L_SQUOTE] = ACTIONS(1202),
    [anon_sym_u_SQUOTE] = ACTIONS(1202),
    [anon_sym_U_SQUOTE] = ACTIONS(1202),
    [anon_sym_u8_SQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_L_DQUOTE] = ACTIONS(1202),
    [anon_sym_u_DQUOTE] = ACTIONS(1202),
    [anon_sym_U_DQUOTE] = ACTIONS(1202),
    [anon_sym_u8_DQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_true] = ACTIONS(1200),
    [sym_false] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1200),
    [anon_sym_nullptr] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_attribute_declaration] = STATE(341),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_switch_statement] = STATE(311),
    [sym_case_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_goto_statement] = STATE(311),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(341),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(258),
    [sym_attributed_statement] = STATE(258),
    [sym_labeled_statement] = STATE(258),
    [sym_expression_statement] = STATE(258),
    [sym_if_statement] = STATE(258),
    [sym_switch_statement] = STATE(258),
    [sym_case_statement] = STATE(258),
    [sym_while_statement] = STATE(258),
    [sym_do_statement] = STATE(258),
    [sym_for_statement] = STATE(258),
    [sym_return_statement] = STATE(258),
    [sym_break_statement] = STATE(258),
    [sym_continue_statement] = STATE(258),
    [sym_goto_statement] = STATE(258),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(143),
    [sym_attributed_statement] = STATE(143),
    [sym_labeled_statement] = STATE(143),
    [sym_expression_statement] = STATE(143),
    [sym_if_statement] = STATE(143),
    [sym_switch_statement] = STATE(143),
    [sym_case_statement] = STATE(143),
    [sym_while_statement] = STATE(143),
    [sym_do_statement] = STATE(143),
    [sym_for_statement] = STATE(143),
    [sym_return_statement] = STATE(143),
    [sym_break_statement] = STATE(143),
    [sym_continue_statement] = STATE(143),
    [sym_goto_statement] = STATE(143),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(169),
    [sym_attributed_statement] = STATE(169),
    [sym_labeled_statement] = STATE(169),
    [sym_expression_statement] = STATE(169),
    [sym_if_statement] = STATE(169),
    [sym_switch_statement] = STATE(169),
    [sym_case_statement] = STATE(169),
    [sym_while_statement] = STATE(169),
    [sym_do_statement] = STATE(169),
    [sym_for_statement] = STATE(169),
    [sym_return_statement] = STATE(169),
    [sym_break_statement] = STATE(169),
    [sym_continue_statement] = STATE(169),
    [sym_goto_statement] = STATE(169),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(162),
    [sym_attributed_statement] = STATE(162),
    [sym_labeled_statement] = STATE(162),
    [sym_expression_statement] = STATE(162),
    [sym_if_statement] = STATE(162),
    [sym_switch_statement] = STATE(162),
    [sym_case_statement] = STATE(162),
    [sym_while_statement] = STATE(162),
    [sym_do_statement] = STATE(162),
    [sym_for_statement] = STATE(162),
    [sym_return_statement] = STATE(162),
    [sym_break_statement] = STATE(162),
    [sym_continue_statement] = STATE(162),
    [sym_goto_statement] = STATE(162),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_attribute_declaration] = STATE(372),
    [sym_compound_statement] = STATE(195),
    [sym_attributed_statement] = STATE(195),
    [sym_labeled_statement] = STATE(195),
    [sym_expression_statement] = STATE(195),
    [sym_if_statement] = STATE(195),
    [sym_switch_statement] = STATE(195),
    [sym_case_statement] = STATE(195),
    [sym_while_statement] = STATE(195),
    [sym_do_statement] = STATE(195),
    [sym_for_statement] = STATE(195),
    [sym_return_statement] = STATE(195),
    [sym_break_statement] = STATE(195),
    [sym_continue_statement] = STATE(195),
    [sym_goto_statement] = STATE(195),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1668),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1686),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_else] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(386),
    [sym_attributed_statement] = STATE(386),
    [sym_labeled_statement] = STATE(386),
    [sym_expression_statement] = STATE(386),
    [sym_if_statement] = STATE(386),
    [sym_switch_statement] = STATE(386),
    [sym_case_statement] = STATE(386),
    [sym_while_statement] = STATE(386),
    [sym_do_statement] = STATE(386),
    [sym_for_statement] = STATE(386),
    [sym_return_statement] = STATE(386),
    [sym_break_statement] = STATE(386),
    [sym_continue_statement] = STATE(386),
    [sym_goto_statement] = STATE(386),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(175),
    [sym_attributed_statement] = STATE(175),
    [sym_labeled_statement] = STATE(175),
    [sym_expression_statement] = STATE(175),
    [sym_if_statement] = STATE(175),
    [sym_switch_statement] = STATE(175),
    [sym_case_statement] = STATE(175),
    [sym_while_statement] = STATE(175),
    [sym_do_statement] = STATE(175),
    [sym_for_statement] = STATE(175),
    [sym_return_statement] = STATE(175),
    [sym_break_statement] = STATE(175),
    [sym_continue_statement] = STATE(175),
    [sym_goto_statement] = STATE(175),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_else] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1204),
    [aux_sym_preproc_def_token1] = ACTIONS(1204),
    [aux_sym_preproc_if_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1204),
    [sym_preproc_directive] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_extern] = ACTIONS(1204),
    [anon_sym___attribute__] = ACTIONS(1204),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1206),
    [anon_sym___declspec] = ACTIONS(1204),
    [anon_sym___cdecl] = ACTIONS(1204),
    [anon_sym___clrcall] = ACTIONS(1204),
    [anon_sym___stdcall] = ACTIONS(1204),
    [anon_sym___fastcall] = ACTIONS(1204),
    [anon_sym___thiscall] = ACTIONS(1204),
    [anon_sym___vectorcall] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1204),
    [anon_sym_auto] = ACTIONS(1204),
    [anon_sym_register] = ACTIONS(1204),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_thread_local] = ACTIONS(1204),
    [anon_sym_const] = ACTIONS(1204),
    [anon_sym_constexpr] = ACTIONS(1204),
    [anon_sym_volatile] = ACTIONS(1204),
    [anon_sym_restrict] = ACTIONS(1204),
    [anon_sym___restrict__] = ACTIONS(1204),
    [anon_sym__Atomic] = ACTIONS(1204),
    [anon_sym__Noreturn] = ACTIONS(1204),
    [anon_sym_noreturn] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1204),
    [anon_sym_unsigned] = ACTIONS(1204),
    [anon_sym_long] = ACTIONS(1204),
    [anon_sym_short] = ACTIONS(1204),
    [sym_primitive_type] = ACTIONS(1204),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_struct] = ACTIONS(1204),
    [anon_sym_union] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_case] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_break] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_sizeof] = ACTIONS(1204),
    [anon_sym_offsetof] = ACTIONS(1204),
    [anon_sym__Generic] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1204),
    [anon_sym___asm__] = ACTIONS(1204),
    [sym_number_literal] = ACTIONS(1206),
    [anon_sym_L_SQUOTE] = ACTIONS(1206),
    [anon_sym_u_SQUOTE] = ACTIONS(1206),
    [anon_sym_U_SQUOTE] = ACTIONS(1206),
    [anon_sym_u8_SQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_L_DQUOTE] = ACTIONS(1206),
    [anon_sym_u_DQUOTE] = ACTIONS(1206),
    [anon_sym_U_DQUOTE] = ACTIONS(1206),
    [anon_sym_u8_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [sym_true] = ACTIONS(1204),
    [sym_false] = ACTIONS(1204),
    [anon_sym_NULL] = ACTIONS(1204),
    [anon_sym_nullptr] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(185),
    [sym_attributed_statement] = STATE(185),
    [sym_labeled_statement] = STATE(185),
    [sym_expression_statement] = STATE(185),
    [sym_if_statement] = STATE(185),
    [sym_switch_statement] = STATE(185),
    [sym_case_statement] = STATE(185),
    [sym_while_statement] = STATE(185),
    [sym_do_statement] = STATE(185),
    [sym_for_statement] = STATE(185),
    [sym_return_statement] = STATE(185),
    [sym_break_statement] = STATE(185),
    [sym_continue_statement] = STATE(185),
    [sym_goto_statement] = STATE(185),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(186),
    [sym_attributed_statement] = STATE(186),
    [sym_labeled_statement] = STATE(186),
    [sym_expression_statement] = STATE(186),
    [sym_if_statement] = STATE(186),
    [sym_switch_statement] = STATE(186),
    [sym_case_statement] = STATE(186),
    [sym_while_statement] = STATE(186),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(186),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(186),
    [sym_continue_statement] = STATE(186),
    [sym_goto_statement] = STATE(186),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1208),
    [aux_sym_preproc_def_token1] = ACTIONS(1208),
    [aux_sym_preproc_if_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1208),
    [sym_preproc_directive] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1210),
    [anon_sym_AMP] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym___attribute__] = ACTIONS(1208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1210),
    [anon_sym___declspec] = ACTIONS(1208),
    [anon_sym___cdecl] = ACTIONS(1208),
    [anon_sym___clrcall] = ACTIONS(1208),
    [anon_sym___stdcall] = ACTIONS(1208),
    [anon_sym___fastcall] = ACTIONS(1208),
    [anon_sym___thiscall] = ACTIONS(1208),
    [anon_sym___vectorcall] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_auto] = ACTIONS(1208),
    [anon_sym_register] = ACTIONS(1208),
    [anon_sym_inline] = ACTIONS(1208),
    [anon_sym_thread_local] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_constexpr] = ACTIONS(1208),
    [anon_sym_volatile] = ACTIONS(1208),
    [anon_sym_restrict] = ACTIONS(1208),
    [anon_sym___restrict__] = ACTIONS(1208),
    [anon_sym__Atomic] = ACTIONS(1208),
    [anon_sym__Noreturn] = ACTIONS(1208),
    [anon_sym_noreturn] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1208),
    [anon_sym_unsigned] = ACTIONS(1208),
    [anon_sym_long] = ACTIONS(1208),
    [anon_sym_short] = ACTIONS(1208),
    [sym_primitive_type] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_goto] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_sizeof] = ACTIONS(1208),
    [anon_sym_offsetof] = ACTIONS(1208),
    [anon_sym__Generic] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1208),
    [anon_sym___asm__] = ACTIONS(1208),
    [sym_number_literal] = ACTIONS(1210),
    [anon_sym_L_SQUOTE] = ACTIONS(1210),
    [anon_sym_u_SQUOTE] = ACTIONS(1210),
    [anon_sym_U_SQUOTE] = ACTIONS(1210),
    [anon_sym_u8_SQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_L_DQUOTE] = ACTIONS(1210),
    [anon_sym_u_DQUOTE] = ACTIONS(1210),
    [anon_sym_U_DQUOTE] = ACTIONS(1210),
    [anon_sym_u8_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_true] = ACTIONS(1208),
    [sym_false] = ACTIONS(1208),
    [anon_sym_NULL] = ACTIONS(1208),
    [anon_sym_nullptr] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(188),
    [sym_attributed_statement] = STATE(188),
    [sym_labeled_statement] = STATE(188),
    [sym_expression_statement] = STATE(188),
    [sym_if_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_case_statement] = STATE(188),
    [sym_while_statement] = STATE(188),
    [sym_do_statement] = STATE(188),
    [sym_for_statement] = STATE(188),
    [sym_return_statement] = STATE(188),
    [sym_break_statement] = STATE(188),
    [sym_continue_statement] = STATE(188),
    [sym_goto_statement] = STATE(188),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1212),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_extern] = ACTIONS(1212),
    [anon_sym___attribute__] = ACTIONS(1212),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1214),
    [anon_sym___declspec] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1212),
    [anon_sym_auto] = ACTIONS(1212),
    [anon_sym_register] = ACTIONS(1212),
    [anon_sym_inline] = ACTIONS(1212),
    [anon_sym_thread_local] = ACTIONS(1212),
    [anon_sym_const] = ACTIONS(1212),
    [anon_sym_constexpr] = ACTIONS(1212),
    [anon_sym_volatile] = ACTIONS(1212),
    [anon_sym_restrict] = ACTIONS(1212),
    [anon_sym___restrict__] = ACTIONS(1212),
    [anon_sym__Atomic] = ACTIONS(1212),
    [anon_sym__Noreturn] = ACTIONS(1212),
    [anon_sym_noreturn] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1212),
    [anon_sym_unsigned] = ACTIONS(1212),
    [anon_sym_long] = ACTIONS(1212),
    [anon_sym_short] = ACTIONS(1212),
    [sym_primitive_type] = ACTIONS(1212),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_struct] = ACTIONS(1212),
    [anon_sym_union] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_sizeof] = ACTIONS(1212),
    [anon_sym_offsetof] = ACTIONS(1212),
    [anon_sym__Generic] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1212),
    [anon_sym___asm__] = ACTIONS(1212),
    [sym_number_literal] = ACTIONS(1214),
    [anon_sym_L_SQUOTE] = ACTIONS(1214),
    [anon_sym_u_SQUOTE] = ACTIONS(1214),
    [anon_sym_U_SQUOTE] = ACTIONS(1214),
    [anon_sym_u8_SQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_L_DQUOTE] = ACTIONS(1214),
    [anon_sym_u_DQUOTE] = ACTIONS(1214),
    [anon_sym_U_DQUOTE] = ACTIONS(1214),
    [anon_sym_u8_DQUOTE] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_true] = ACTIONS(1212),
    [sym_false] = ACTIONS(1212),
    [anon_sym_NULL] = ACTIONS(1212),
    [anon_sym_nullptr] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(189),
    [sym_attributed_statement] = STATE(189),
    [sym_labeled_statement] = STATE(189),
    [sym_expression_statement] = STATE(189),
    [sym_if_statement] = STATE(189),
    [sym_switch_statement] = STATE(189),
    [sym_case_statement] = STATE(189),
    [sym_while_statement] = STATE(189),
    [sym_do_statement] = STATE(189),
    [sym_for_statement] = STATE(189),
    [sym_return_statement] = STATE(189),
    [sym_break_statement] = STATE(189),
    [sym_continue_statement] = STATE(189),
    [sym_goto_statement] = STATE(189),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(190),
    [sym_attributed_statement] = STATE(190),
    [sym_labeled_statement] = STATE(190),
    [sym_expression_statement] = STATE(190),
    [sym_if_statement] = STATE(190),
    [sym_switch_statement] = STATE(190),
    [sym_case_statement] = STATE(190),
    [sym_while_statement] = STATE(190),
    [sym_do_statement] = STATE(190),
    [sym_for_statement] = STATE(190),
    [sym_return_statement] = STATE(190),
    [sym_break_statement] = STATE(190),
    [sym_continue_statement] = STATE(190),
    [sym_goto_statement] = STATE(190),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(192),
    [sym_attributed_statement] = STATE(192),
    [sym_labeled_statement] = STATE(192),
    [sym_expression_statement] = STATE(192),
    [sym_if_statement] = STATE(192),
    [sym_switch_statement] = STATE(192),
    [sym_case_statement] = STATE(192),
    [sym_while_statement] = STATE(192),
    [sym_do_statement] = STATE(192),
    [sym_for_statement] = STATE(192),
    [sym_return_statement] = STATE(192),
    [sym_break_statement] = STATE(192),
    [sym_continue_statement] = STATE(192),
    [sym_goto_statement] = STATE(192),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(193),
    [sym_attributed_statement] = STATE(193),
    [sym_labeled_statement] = STATE(193),
    [sym_expression_statement] = STATE(193),
    [sym_if_statement] = STATE(193),
    [sym_switch_statement] = STATE(193),
    [sym_case_statement] = STATE(193),
    [sym_while_statement] = STATE(193),
    [sym_do_statement] = STATE(193),
    [sym_for_statement] = STATE(193),
    [sym_return_statement] = STATE(193),
    [sym_break_statement] = STATE(193),
    [sym_continue_statement] = STATE(193),
    [sym_goto_statement] = STATE(193),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(194),
    [sym_attributed_statement] = STATE(194),
    [sym_labeled_statement] = STATE(194),
    [sym_expression_statement] = STATE(194),
    [sym_if_statement] = STATE(194),
    [sym_switch_statement] = STATE(194),
    [sym_case_statement] = STATE(194),
    [sym_while_statement] = STATE(194),
    [sym_do_statement] = STATE(194),
    [sym_for_statement] = STATE(194),
    [sym_return_statement] = STATE(194),
    [sym_break_statement] = STATE(194),
    [sym_continue_statement] = STATE(194),
    [sym_goto_statement] = STATE(194),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1979),
    [sym_attributed_statement] = STATE(1979),
    [sym_labeled_statement] = STATE(1979),
    [sym_expression_statement] = STATE(1979),
    [sym_if_statement] = STATE(1979),
    [sym_switch_statement] = STATE(1979),
    [sym_case_statement] = STATE(1979),
    [sym_while_statement] = STATE(1979),
    [sym_do_statement] = STATE(1979),
    [sym_for_statement] = STATE(1979),
    [sym_return_statement] = STATE(1979),
    [sym_break_statement] = STATE(1979),
    [sym_continue_statement] = STATE(1979),
    [sym_goto_statement] = STATE(1979),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(191),
    [sym_attributed_statement] = STATE(191),
    [sym_labeled_statement] = STATE(191),
    [sym_expression_statement] = STATE(191),
    [sym_if_statement] = STATE(191),
    [sym_switch_statement] = STATE(191),
    [sym_case_statement] = STATE(191),
    [sym_while_statement] = STATE(191),
    [sym_do_statement] = STATE(191),
    [sym_for_statement] = STATE(191),
    [sym_return_statement] = STATE(191),
    [sym_break_statement] = STATE(191),
    [sym_continue_statement] = STATE(191),
    [sym_goto_statement] = STATE(191),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(187),
    [sym_attributed_statement] = STATE(187),
    [sym_labeled_statement] = STATE(187),
    [sym_expression_statement] = STATE(187),
    [sym_if_statement] = STATE(187),
    [sym_switch_statement] = STATE(187),
    [sym_case_statement] = STATE(187),
    [sym_while_statement] = STATE(187),
    [sym_do_statement] = STATE(187),
    [sym_for_statement] = STATE(187),
    [sym_return_statement] = STATE(187),
    [sym_break_statement] = STATE(187),
    [sym_continue_statement] = STATE(187),
    [sym_goto_statement] = STATE(187),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(182),
    [sym_attributed_statement] = STATE(182),
    [sym_labeled_statement] = STATE(182),
    [sym_expression_statement] = STATE(182),
    [sym_if_statement] = STATE(182),
    [sym_switch_statement] = STATE(182),
    [sym_case_statement] = STATE(182),
    [sym_while_statement] = STATE(182),
    [sym_do_statement] = STATE(182),
    [sym_for_statement] = STATE(182),
    [sym_return_statement] = STATE(182),
    [sym_break_statement] = STATE(182),
    [sym_continue_statement] = STATE(182),
    [sym_goto_statement] = STATE(182),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1216),
    [aux_sym_preproc_include_token1] = ACTIONS(1216),
    [aux_sym_preproc_def_token1] = ACTIONS(1216),
    [aux_sym_preproc_if_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1216),
    [sym_preproc_directive] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1216),
    [anon_sym___attribute__] = ACTIONS(1216),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1218),
    [anon_sym___declspec] = ACTIONS(1216),
    [anon_sym___cdecl] = ACTIONS(1216),
    [anon_sym___clrcall] = ACTIONS(1216),
    [anon_sym___stdcall] = ACTIONS(1216),
    [anon_sym___fastcall] = ACTIONS(1216),
    [anon_sym___thiscall] = ACTIONS(1216),
    [anon_sym___vectorcall] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1216),
    [anon_sym_auto] = ACTIONS(1216),
    [anon_sym_register] = ACTIONS(1216),
    [anon_sym_inline] = ACTIONS(1216),
    [anon_sym_thread_local] = ACTIONS(1216),
    [anon_sym_const] = ACTIONS(1216),
    [anon_sym_constexpr] = ACTIONS(1216),
    [anon_sym_volatile] = ACTIONS(1216),
    [anon_sym_restrict] = ACTIONS(1216),
    [anon_sym___restrict__] = ACTIONS(1216),
    [anon_sym__Atomic] = ACTIONS(1216),
    [anon_sym__Noreturn] = ACTIONS(1216),
    [anon_sym_noreturn] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1216),
    [anon_sym_unsigned] = ACTIONS(1216),
    [anon_sym_long] = ACTIONS(1216),
    [anon_sym_short] = ACTIONS(1216),
    [sym_primitive_type] = ACTIONS(1216),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(1216),
    [anon_sym_union] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_case] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_goto] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_sizeof] = ACTIONS(1216),
    [anon_sym_offsetof] = ACTIONS(1216),
    [anon_sym__Generic] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1216),
    [anon_sym___asm__] = ACTIONS(1216),
    [sym_number_literal] = ACTIONS(1218),
    [anon_sym_L_SQUOTE] = ACTIONS(1218),
    [anon_sym_u_SQUOTE] = ACTIONS(1218),
    [anon_sym_U_SQUOTE] = ACTIONS(1218),
    [anon_sym_u8_SQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_L_DQUOTE] = ACTIONS(1218),
    [anon_sym_u_DQUOTE] = ACTIONS(1218),
    [anon_sym_U_DQUOTE] = ACTIONS(1218),
    [anon_sym_u8_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_true] = ACTIONS(1216),
    [sym_false] = ACTIONS(1216),
    [anon_sym_NULL] = ACTIONS(1216),
    [anon_sym_nullptr] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(180),
    [sym_attributed_statement] = STATE(180),
    [sym_labeled_statement] = STATE(180),
    [sym_expression_statement] = STATE(180),
    [sym_if_statement] = STATE(180),
    [sym_switch_statement] = STATE(180),
    [sym_case_statement] = STATE(180),
    [sym_while_statement] = STATE(180),
    [sym_do_statement] = STATE(180),
    [sym_for_statement] = STATE(180),
    [sym_return_statement] = STATE(180),
    [sym_break_statement] = STATE(180),
    [sym_continue_statement] = STATE(180),
    [sym_goto_statement] = STATE(180),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(410),
    [sym_attributed_statement] = STATE(410),
    [sym_labeled_statement] = STATE(410),
    [sym_expression_statement] = STATE(410),
    [sym_if_statement] = STATE(410),
    [sym_switch_statement] = STATE(410),
    [sym_case_statement] = STATE(410),
    [sym_while_statement] = STATE(410),
    [sym_do_statement] = STATE(410),
    [sym_for_statement] = STATE(410),
    [sym_return_statement] = STATE(410),
    [sym_break_statement] = STATE(410),
    [sym_continue_statement] = STATE(410),
    [sym_goto_statement] = STATE(410),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_attribute_declaration] = STATE(306),
    [sym_compound_statement] = STATE(127),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_case_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym__expression] = STATE(1043),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1862),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(306),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_switch] = ACTIONS(127),
    [anon_sym_case] = ACTIONS(129),
    [anon_sym_default] = ACTIONS(131),
    [anon_sym_while] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(139),
    [anon_sym_break] = ACTIONS(141),
    [anon_sym_continue] = ACTIONS(143),
    [anon_sym_goto] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(419),
    [sym_attributed_statement] = STATE(419),
    [sym_labeled_statement] = STATE(419),
    [sym_expression_statement] = STATE(419),
    [sym_if_statement] = STATE(419),
    [sym_switch_statement] = STATE(419),
    [sym_case_statement] = STATE(419),
    [sym_while_statement] = STATE(419),
    [sym_do_statement] = STATE(419),
    [sym_for_statement] = STATE(419),
    [sym_return_statement] = STATE(419),
    [sym_break_statement] = STATE(419),
    [sym_continue_statement] = STATE(419),
    [sym_goto_statement] = STATE(419),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(204),
    [sym_attributed_statement] = STATE(204),
    [sym_labeled_statement] = STATE(204),
    [sym_expression_statement] = STATE(204),
    [sym_if_statement] = STATE(204),
    [sym_switch_statement] = STATE(204),
    [sym_case_statement] = STATE(204),
    [sym_while_statement] = STATE(204),
    [sym_do_statement] = STATE(204),
    [sym_for_statement] = STATE(204),
    [sym_return_statement] = STATE(204),
    [sym_break_statement] = STATE(204),
    [sym_continue_statement] = STATE(204),
    [sym_goto_statement] = STATE(204),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token2] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(253),
    [sym_attributed_statement] = STATE(253),
    [sym_labeled_statement] = STATE(253),
    [sym_expression_statement] = STATE(253),
    [sym_if_statement] = STATE(253),
    [sym_switch_statement] = STATE(253),
    [sym_case_statement] = STATE(253),
    [sym_while_statement] = STATE(253),
    [sym_do_statement] = STATE(253),
    [sym_for_statement] = STATE(253),
    [sym_return_statement] = STATE(253),
    [sym_break_statement] = STATE(253),
    [sym_continue_statement] = STATE(253),
    [sym_goto_statement] = STATE(253),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_attribute_declaration] = STATE(404),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(404),
    [sym_identifier] = ACTIONS(1701),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1710),
    [anon_sym_switch] = ACTIONS(1713),
    [anon_sym_case] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1722),
    [anon_sym_do] = ACTIONS(1725),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1731),
    [anon_sym_break] = ACTIONS(1734),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1525),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_sizeof] = ACTIONS(1528),
    [anon_sym_offsetof] = ACTIONS(1531),
    [anon_sym__Generic] = ACTIONS(1534),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1540),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1546),
    [anon_sym_u_DQUOTE] = ACTIONS(1546),
    [anon_sym_U_DQUOTE] = ACTIONS(1546),
    [anon_sym_u8_DQUOTE] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1552),
    [anon_sym_nullptr] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_attribute_declaration] = STATE(310),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(311),
    [sym_labeled_statement] = STATE(311),
    [sym_expression_statement] = STATE(311),
    [sym_if_statement] = STATE(311),
    [sym_switch_statement] = STATE(311),
    [sym_case_statement] = STATE(311),
    [sym_while_statement] = STATE(311),
    [sym_do_statement] = STATE(311),
    [sym_for_statement] = STATE(311),
    [sym_return_statement] = STATE(311),
    [sym_break_statement] = STATE(311),
    [sym_continue_statement] = STATE(311),
    [sym_goto_statement] = STATE(311),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(310),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1248),
    [aux_sym_preproc_include_token1] = ACTIONS(1248),
    [aux_sym_preproc_def_token1] = ACTIONS(1248),
    [aux_sym_preproc_if_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1248),
    [sym_preproc_directive] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1248),
    [anon_sym___attribute__] = ACTIONS(1248),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1250),
    [anon_sym___declspec] = ACTIONS(1248),
    [anon_sym___cdecl] = ACTIONS(1248),
    [anon_sym___clrcall] = ACTIONS(1248),
    [anon_sym___stdcall] = ACTIONS(1248),
    [anon_sym___fastcall] = ACTIONS(1248),
    [anon_sym___thiscall] = ACTIONS(1248),
    [anon_sym___vectorcall] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_auto] = ACTIONS(1248),
    [anon_sym_register] = ACTIONS(1248),
    [anon_sym_inline] = ACTIONS(1248),
    [anon_sym_thread_local] = ACTIONS(1248),
    [anon_sym_const] = ACTIONS(1248),
    [anon_sym_constexpr] = ACTIONS(1248),
    [anon_sym_volatile] = ACTIONS(1248),
    [anon_sym_restrict] = ACTIONS(1248),
    [anon_sym___restrict__] = ACTIONS(1248),
    [anon_sym__Atomic] = ACTIONS(1248),
    [anon_sym__Noreturn] = ACTIONS(1248),
    [anon_sym_noreturn] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1248),
    [anon_sym_unsigned] = ACTIONS(1248),
    [anon_sym_long] = ACTIONS(1248),
    [anon_sym_short] = ACTIONS(1248),
    [sym_primitive_type] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_struct] = ACTIONS(1248),
    [anon_sym_union] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_else] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_case] = ACTIONS(1248),
    [anon_sym_default] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_break] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_goto] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_sizeof] = ACTIONS(1248),
    [anon_sym_offsetof] = ACTIONS(1248),
    [anon_sym__Generic] = ACTIONS(1248),
    [anon_sym_asm] = ACTIONS(1248),
    [anon_sym___asm__] = ACTIONS(1248),
    [sym_number_literal] = ACTIONS(1250),
    [anon_sym_L_SQUOTE] = ACTIONS(1250),
    [anon_sym_u_SQUOTE] = ACTIONS(1250),
    [anon_sym_U_SQUOTE] = ACTIONS(1250),
    [anon_sym_u8_SQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_L_DQUOTE] = ACTIONS(1250),
    [anon_sym_u_DQUOTE] = ACTIONS(1250),
    [anon_sym_U_DQUOTE] = ACTIONS(1250),
    [anon_sym_u8_DQUOTE] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_true] = ACTIONS(1248),
    [sym_false] = ACTIONS(1248),
    [anon_sym_NULL] = ACTIONS(1248),
    [anon_sym_nullptr] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_identifier] = ACTIONS(1252),
    [aux_sym_preproc_include_token1] = ACTIONS(1252),
    [aux_sym_preproc_def_token1] = ACTIONS(1252),
    [aux_sym_preproc_if_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1252),
    [sym_preproc_directive] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym___attribute__] = ACTIONS(1252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1254),
    [anon_sym___declspec] = ACTIONS(1252),
    [anon_sym___cdecl] = ACTIONS(1252),
    [anon_sym___clrcall] = ACTIONS(1252),
    [anon_sym___stdcall] = ACTIONS(1252),
    [anon_sym___fastcall] = ACTIONS(1252),
    [anon_sym___thiscall] = ACTIONS(1252),
    [anon_sym___vectorcall] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_auto] = ACTIONS(1252),
    [anon_sym_register] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_thread_local] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_constexpr] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_restrict] = ACTIONS(1252),
    [anon_sym___restrict__] = ACTIONS(1252),
    [anon_sym__Atomic] = ACTIONS(1252),
    [anon_sym__Noreturn] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1252),
    [anon_sym_unsigned] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [sym_primitive_type] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_sizeof] = ACTIONS(1252),
    [anon_sym_offsetof] = ACTIONS(1252),
    [anon_sym__Generic] = ACTIONS(1252),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym___asm__] = ACTIONS(1252),
    [sym_number_literal] = ACTIONS(1254),
    [anon_sym_L_SQUOTE] = ACTIONS(1254),
    [anon_sym_u_SQUOTE] = ACTIONS(1254),
    [anon_sym_U_SQUOTE] = ACTIONS(1254),
    [anon_sym_u8_SQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_L_DQUOTE] = ACTIONS(1254),
    [anon_sym_u_DQUOTE] = ACTIONS(1254),
    [anon_sym_U_DQUOTE] = ACTIONS(1254),
    [anon_sym_u8_DQUOTE] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_NULL] = ACTIONS(1252),
    [anon_sym_nullptr] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(233),
    [sym_attributed_statement] = STATE(233),
    [sym_labeled_statement] = STATE(233),
    [sym_expression_statement] = STATE(233),
    [sym_if_statement] = STATE(233),
    [sym_switch_statement] = STATE(233),
    [sym_case_statement] = STATE(233),
    [sym_while_statement] = STATE(233),
    [sym_do_statement] = STATE(233),
    [sym_for_statement] = STATE(233),
    [sym_return_statement] = STATE(233),
    [sym_break_statement] = STATE(233),
    [sym_continue_statement] = STATE(233),
    [sym_goto_statement] = STATE(233),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_identifier] = ACTIONS(1256),
    [aux_sym_preproc_include_token1] = ACTIONS(1256),
    [aux_sym_preproc_def_token1] = ACTIONS(1256),
    [aux_sym_preproc_if_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1256),
    [sym_preproc_directive] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym___attribute__] = ACTIONS(1256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1258),
    [anon_sym___declspec] = ACTIONS(1256),
    [anon_sym___cdecl] = ACTIONS(1256),
    [anon_sym___clrcall] = ACTIONS(1256),
    [anon_sym___stdcall] = ACTIONS(1256),
    [anon_sym___fastcall] = ACTIONS(1256),
    [anon_sym___thiscall] = ACTIONS(1256),
    [anon_sym___vectorcall] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_auto] = ACTIONS(1256),
    [anon_sym_register] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_thread_local] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_constexpr] = ACTIONS(1256),
    [anon_sym_volatile] = ACTIONS(1256),
    [anon_sym_restrict] = ACTIONS(1256),
    [anon_sym___restrict__] = ACTIONS(1256),
    [anon_sym__Atomic] = ACTIONS(1256),
    [anon_sym__Noreturn] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1256),
    [anon_sym_unsigned] = ACTIONS(1256),
    [anon_sym_long] = ACTIONS(1256),
    [anon_sym_short] = ACTIONS(1256),
    [sym_primitive_type] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_else] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_goto] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_sizeof] = ACTIONS(1256),
    [anon_sym_offsetof] = ACTIONS(1256),
    [anon_sym__Generic] = ACTIONS(1256),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym___asm__] = ACTIONS(1256),
    [sym_number_literal] = ACTIONS(1258),
    [anon_sym_L_SQUOTE] = ACTIONS(1258),
    [anon_sym_u_SQUOTE] = ACTIONS(1258),
    [anon_sym_U_SQUOTE] = ACTIONS(1258),
    [anon_sym_u8_SQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_L_DQUOTE] = ACTIONS(1258),
    [anon_sym_u_DQUOTE] = ACTIONS(1258),
    [anon_sym_U_DQUOTE] = ACTIONS(1258),
    [anon_sym_u8_DQUOTE] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_true] = ACTIONS(1256),
    [sym_false] = ACTIONS(1256),
    [anon_sym_NULL] = ACTIONS(1256),
    [anon_sym_nullptr] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_identifier] = ACTIONS(1260),
    [aux_sym_preproc_include_token1] = ACTIONS(1260),
    [aux_sym_preproc_def_token1] = ACTIONS(1260),
    [aux_sym_preproc_if_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1260),
    [sym_preproc_directive] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_extern] = ACTIONS(1260),
    [anon_sym___attribute__] = ACTIONS(1260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1262),
    [anon_sym___declspec] = ACTIONS(1260),
    [anon_sym___cdecl] = ACTIONS(1260),
    [anon_sym___clrcall] = ACTIONS(1260),
    [anon_sym___stdcall] = ACTIONS(1260),
    [anon_sym___fastcall] = ACTIONS(1260),
    [anon_sym___thiscall] = ACTIONS(1260),
    [anon_sym___vectorcall] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_auto] = ACTIONS(1260),
    [anon_sym_register] = ACTIONS(1260),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_thread_local] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_constexpr] = ACTIONS(1260),
    [anon_sym_volatile] = ACTIONS(1260),
    [anon_sym_restrict] = ACTIONS(1260),
    [anon_sym___restrict__] = ACTIONS(1260),
    [anon_sym__Atomic] = ACTIONS(1260),
    [anon_sym__Noreturn] = ACTIONS(1260),
    [anon_sym_noreturn] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1260),
    [anon_sym_unsigned] = ACTIONS(1260),
    [anon_sym_long] = ACTIONS(1260),
    [anon_sym_short] = ACTIONS(1260),
    [sym_primitive_type] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_struct] = ACTIONS(1260),
    [anon_sym_union] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [anon_sym_default] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_goto] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_sizeof] = ACTIONS(1260),
    [anon_sym_offsetof] = ACTIONS(1260),
    [anon_sym__Generic] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1260),
    [anon_sym___asm__] = ACTIONS(1260),
    [sym_number_literal] = ACTIONS(1262),
    [anon_sym_L_SQUOTE] = ACTIONS(1262),
    [anon_sym_u_SQUOTE] = ACTIONS(1262),
    [anon_sym_U_SQUOTE] = ACTIONS(1262),
    [anon_sym_u8_SQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_L_DQUOTE] = ACTIONS(1262),
    [anon_sym_u_DQUOTE] = ACTIONS(1262),
    [anon_sym_U_DQUOTE] = ACTIONS(1262),
    [anon_sym_u8_DQUOTE] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_true] = ACTIONS(1260),
    [sym_false] = ACTIONS(1260),
    [anon_sym_NULL] = ACTIONS(1260),
    [anon_sym_nullptr] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(227),
    [sym_attributed_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_case_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_goto_statement] = STATE(227),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(226),
    [sym_attributed_statement] = STATE(226),
    [sym_labeled_statement] = STATE(226),
    [sym_expression_statement] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_case_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_return_statement] = STATE(226),
    [sym_break_statement] = STATE(226),
    [sym_continue_statement] = STATE(226),
    [sym_goto_statement] = STATE(226),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(447),
    [sym_attributed_statement] = STATE(447),
    [sym_labeled_statement] = STATE(447),
    [sym_expression_statement] = STATE(447),
    [sym_if_statement] = STATE(447),
    [sym_switch_statement] = STATE(447),
    [sym_case_statement] = STATE(447),
    [sym_while_statement] = STATE(447),
    [sym_do_statement] = STATE(447),
    [sym_for_statement] = STATE(447),
    [sym_return_statement] = STATE(447),
    [sym_break_statement] = STATE(447),
    [sym_continue_statement] = STATE(447),
    [sym_goto_statement] = STATE(447),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(450),
    [sym_attributed_statement] = STATE(450),
    [sym_labeled_statement] = STATE(450),
    [sym_expression_statement] = STATE(450),
    [sym_if_statement] = STATE(450),
    [sym_switch_statement] = STATE(450),
    [sym_case_statement] = STATE(450),
    [sym_while_statement] = STATE(450),
    [sym_do_statement] = STATE(450),
    [sym_for_statement] = STATE(450),
    [sym_return_statement] = STATE(450),
    [sym_break_statement] = STATE(450),
    [sym_continue_statement] = STATE(450),
    [sym_goto_statement] = STATE(450),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym__expression] = STATE(1044),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1761),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(59),
    [anon_sym_default] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(224),
    [sym_attributed_statement] = STATE(224),
    [sym_labeled_statement] = STATE(224),
    [sym_expression_statement] = STATE(224),
    [sym_if_statement] = STATE(224),
    [sym_switch_statement] = STATE(224),
    [sym_case_statement] = STATE(224),
    [sym_while_statement] = STATE(224),
    [sym_do_statement] = STATE(224),
    [sym_for_statement] = STATE(224),
    [sym_return_statement] = STATE(224),
    [sym_break_statement] = STATE(224),
    [sym_continue_statement] = STATE(224),
    [sym_goto_statement] = STATE(224),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(223),
    [sym_attributed_statement] = STATE(223),
    [sym_labeled_statement] = STATE(223),
    [sym_expression_statement] = STATE(223),
    [sym_if_statement] = STATE(223),
    [sym_switch_statement] = STATE(223),
    [sym_case_statement] = STATE(223),
    [sym_while_statement] = STATE(223),
    [sym_do_statement] = STATE(223),
    [sym_for_statement] = STATE(223),
    [sym_return_statement] = STATE(223),
    [sym_break_statement] = STATE(223),
    [sym_continue_statement] = STATE(223),
    [sym_goto_statement] = STATE(223),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_identifier] = ACTIONS(1264),
    [aux_sym_preproc_include_token1] = ACTIONS(1264),
    [aux_sym_preproc_def_token1] = ACTIONS(1264),
    [aux_sym_preproc_if_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1264),
    [sym_preproc_directive] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_extern] = ACTIONS(1264),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1266),
    [anon_sym___declspec] = ACTIONS(1264),
    [anon_sym___cdecl] = ACTIONS(1264),
    [anon_sym___clrcall] = ACTIONS(1264),
    [anon_sym___stdcall] = ACTIONS(1264),
    [anon_sym___fastcall] = ACTIONS(1264),
    [anon_sym___thiscall] = ACTIONS(1264),
    [anon_sym___vectorcall] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1264),
    [anon_sym_auto] = ACTIONS(1264),
    [anon_sym_register] = ACTIONS(1264),
    [anon_sym_inline] = ACTIONS(1264),
    [anon_sym_thread_local] = ACTIONS(1264),
    [anon_sym_const] = ACTIONS(1264),
    [anon_sym_constexpr] = ACTIONS(1264),
    [anon_sym_volatile] = ACTIONS(1264),
    [anon_sym_restrict] = ACTIONS(1264),
    [anon_sym___restrict__] = ACTIONS(1264),
    [anon_sym__Atomic] = ACTIONS(1264),
    [anon_sym__Noreturn] = ACTIONS(1264),
    [anon_sym_noreturn] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1264),
    [anon_sym_unsigned] = ACTIONS(1264),
    [anon_sym_long] = ACTIONS(1264),
    [anon_sym_short] = ACTIONS(1264),
    [sym_primitive_type] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_struct] = ACTIONS(1264),
    [anon_sym_union] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_else] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_case] = ACTIONS(1264),
    [anon_sym_default] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_break] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_goto] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_sizeof] = ACTIONS(1264),
    [anon_sym_offsetof] = ACTIONS(1264),
    [anon_sym__Generic] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1264),
    [anon_sym___asm__] = ACTIONS(1264),
    [sym_number_literal] = ACTIONS(1266),
    [anon_sym_L_SQUOTE] = ACTIONS(1266),
    [anon_sym_u_SQUOTE] = ACTIONS(1266),
    [anon_sym_U_SQUOTE] = ACTIONS(1266),
    [anon_sym_u8_SQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_L_DQUOTE] = ACTIONS(1266),
    [anon_sym_u_DQUOTE] = ACTIONS(1266),
    [anon_sym_U_DQUOTE] = ACTIONS(1266),
    [anon_sym_u8_DQUOTE] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_true] = ACTIONS(1264),
    [sym_false] = ACTIONS(1264),
    [anon_sym_NULL] = ACTIONS(1264),
    [anon_sym_nullptr] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(402),
    [sym_attributed_statement] = STATE(402),
    [sym_labeled_statement] = STATE(402),
    [sym_expression_statement] = STATE(402),
    [sym_if_statement] = STATE(402),
    [sym_switch_statement] = STATE(402),
    [sym_case_statement] = STATE(402),
    [sym_while_statement] = STATE(402),
    [sym_do_statement] = STATE(402),
    [sym_for_statement] = STATE(402),
    [sym_return_statement] = STATE(402),
    [sym_break_statement] = STATE(402),
    [sym_continue_statement] = STATE(402),
    [sym_goto_statement] = STATE(402),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(268),
    [sym_attributed_statement] = STATE(268),
    [sym_labeled_statement] = STATE(268),
    [sym_expression_statement] = STATE(268),
    [sym_if_statement] = STATE(268),
    [sym_switch_statement] = STATE(268),
    [sym_case_statement] = STATE(268),
    [sym_while_statement] = STATE(268),
    [sym_do_statement] = STATE(268),
    [sym_for_statement] = STATE(268),
    [sym_return_statement] = STATE(268),
    [sym_break_statement] = STATE(268),
    [sym_continue_statement] = STATE(268),
    [sym_goto_statement] = STATE(268),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(275),
    [sym_attributed_statement] = STATE(275),
    [sym_labeled_statement] = STATE(275),
    [sym_expression_statement] = STATE(275),
    [sym_if_statement] = STATE(275),
    [sym_switch_statement] = STATE(275),
    [sym_case_statement] = STATE(275),
    [sym_while_statement] = STATE(275),
    [sym_do_statement] = STATE(275),
    [sym_for_statement] = STATE(275),
    [sym_return_statement] = STATE(275),
    [sym_break_statement] = STATE(275),
    [sym_continue_statement] = STATE(275),
    [sym_goto_statement] = STATE(275),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(279),
    [sym_attributed_statement] = STATE(279),
    [sym_labeled_statement] = STATE(279),
    [sym_expression_statement] = STATE(279),
    [sym_if_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_case_statement] = STATE(279),
    [sym_while_statement] = STATE(279),
    [sym_do_statement] = STATE(279),
    [sym_for_statement] = STATE(279),
    [sym_return_statement] = STATE(279),
    [sym_break_statement] = STATE(279),
    [sym_continue_statement] = STATE(279),
    [sym_goto_statement] = STATE(279),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(280),
    [sym_attributed_statement] = STATE(280),
    [sym_labeled_statement] = STATE(280),
    [sym_expression_statement] = STATE(280),
    [sym_if_statement] = STATE(280),
    [sym_switch_statement] = STATE(280),
    [sym_case_statement] = STATE(280),
    [sym_while_statement] = STATE(280),
    [sym_do_statement] = STATE(280),
    [sym_for_statement] = STATE(280),
    [sym_return_statement] = STATE(280),
    [sym_break_statement] = STATE(280),
    [sym_continue_statement] = STATE(280),
    [sym_goto_statement] = STATE(280),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(282),
    [sym_attributed_statement] = STATE(282),
    [sym_labeled_statement] = STATE(282),
    [sym_expression_statement] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_case_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_return_statement] = STATE(282),
    [sym_break_statement] = STATE(282),
    [sym_continue_statement] = STATE(282),
    [sym_goto_statement] = STATE(282),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_attribute_declaration] = STATE(432),
    [sym_compound_statement] = STATE(283),
    [sym_attributed_statement] = STATE(283),
    [sym_labeled_statement] = STATE(283),
    [sym_expression_statement] = STATE(283),
    [sym_if_statement] = STATE(283),
    [sym_switch_statement] = STATE(283),
    [sym_case_statement] = STATE(283),
    [sym_while_statement] = STATE(283),
    [sym_do_statement] = STATE(283),
    [sym_for_statement] = STATE(283),
    [sym_return_statement] = STATE(283),
    [sym_break_statement] = STATE(283),
    [sym_continue_statement] = STATE(283),
    [sym_goto_statement] = STATE(283),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(432),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(448),
    [sym_attributed_statement] = STATE(448),
    [sym_labeled_statement] = STATE(448),
    [sym_expression_statement] = STATE(448),
    [sym_if_statement] = STATE(448),
    [sym_switch_statement] = STATE(448),
    [sym_case_statement] = STATE(448),
    [sym_while_statement] = STATE(448),
    [sym_do_statement] = STATE(448),
    [sym_for_statement] = STATE(448),
    [sym_return_statement] = STATE(448),
    [sym_break_statement] = STATE(448),
    [sym_continue_statement] = STATE(448),
    [sym_goto_statement] = STATE(448),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(446),
    [sym_attributed_statement] = STATE(446),
    [sym_labeled_statement] = STATE(446),
    [sym_expression_statement] = STATE(446),
    [sym_if_statement] = STATE(446),
    [sym_switch_statement] = STATE(446),
    [sym_case_statement] = STATE(446),
    [sym_while_statement] = STATE(446),
    [sym_do_statement] = STATE(446),
    [sym_for_statement] = STATE(446),
    [sym_return_statement] = STATE(446),
    [sym_break_statement] = STATE(446),
    [sym_continue_statement] = STATE(446),
    [sym_goto_statement] = STATE(446),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_attribute_declaration] = STATE(372),
    [sym_compound_statement] = STATE(195),
    [sym_attributed_statement] = STATE(195),
    [sym_labeled_statement] = STATE(195),
    [sym_expression_statement] = STATE(195),
    [sym_if_statement] = STATE(195),
    [sym_switch_statement] = STATE(195),
    [sym_case_statement] = STATE(195),
    [sym_while_statement] = STATE(195),
    [sym_do_statement] = STATE(195),
    [sym_for_statement] = STATE(195),
    [sym_return_statement] = STATE(195),
    [sym_break_statement] = STATE(195),
    [sym_continue_statement] = STATE(195),
    [sym_goto_statement] = STATE(195),
    [sym__expression] = STATE(1075),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1944),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(1657),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_if] = ACTIONS(191),
    [anon_sym_switch] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_attribute_declaration] = STATE(366),
    [sym_compound_statement] = STATE(1844),
    [sym_attributed_statement] = STATE(1844),
    [sym_labeled_statement] = STATE(1844),
    [sym_expression_statement] = STATE(1844),
    [sym_if_statement] = STATE(1844),
    [sym_switch_statement] = STATE(1844),
    [sym_case_statement] = STATE(1844),
    [sym_while_statement] = STATE(1844),
    [sym_do_statement] = STATE(1844),
    [sym_for_statement] = STATE(1844),
    [sym_return_statement] = STATE(1844),
    [sym_break_statement] = STATE(1844),
    [sym_continue_statement] = STATE(1844),
    [sym_goto_statement] = STATE(1844),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(366),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_break] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(73),
    [anon_sym_goto] = ACTIONS(75),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_attribute_declaration] = STATE(404),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym__expression] = STATE(1083),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1813),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(404),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_if] = ACTIONS(595),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(599),
    [anon_sym_default] = ACTIONS(601),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(605),
    [anon_sym_for] = ACTIONS(607),
    [anon_sym_return] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_continue] = ACTIONS(613),
    [anon_sym_goto] = ACTIONS(615),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(444),
    [sym_attributed_statement] = STATE(444),
    [sym_labeled_statement] = STATE(444),
    [sym_expression_statement] = STATE(444),
    [sym_if_statement] = STATE(444),
    [sym_switch_statement] = STATE(444),
    [sym_case_statement] = STATE(444),
    [sym_while_statement] = STATE(444),
    [sym_do_statement] = STATE(444),
    [sym_for_statement] = STATE(444),
    [sym_return_statement] = STATE(444),
    [sym_break_statement] = STATE(444),
    [sym_continue_statement] = STATE(444),
    [sym_goto_statement] = STATE(444),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_identifier] = ACTIONS(1196),
    [aux_sym_preproc_include_token1] = ACTIONS(1196),
    [aux_sym_preproc_def_token1] = ACTIONS(1196),
    [aux_sym_preproc_if_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym___attribute__] = ACTIONS(1196),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1198),
    [anon_sym___declspec] = ACTIONS(1196),
    [anon_sym___cdecl] = ACTIONS(1196),
    [anon_sym___clrcall] = ACTIONS(1196),
    [anon_sym___stdcall] = ACTIONS(1196),
    [anon_sym___fastcall] = ACTIONS(1196),
    [anon_sym___thiscall] = ACTIONS(1196),
    [anon_sym___vectorcall] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_auto] = ACTIONS(1196),
    [anon_sym_register] = ACTIONS(1196),
    [anon_sym_inline] = ACTIONS(1196),
    [anon_sym_thread_local] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_constexpr] = ACTIONS(1196),
    [anon_sym_volatile] = ACTIONS(1196),
    [anon_sym_restrict] = ACTIONS(1196),
    [anon_sym___restrict__] = ACTIONS(1196),
    [anon_sym__Atomic] = ACTIONS(1196),
    [anon_sym__Noreturn] = ACTIONS(1196),
    [anon_sym_noreturn] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1196),
    [anon_sym_unsigned] = ACTIONS(1196),
    [anon_sym_long] = ACTIONS(1196),
    [anon_sym_short] = ACTIONS(1196),
    [sym_primitive_type] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_goto] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_sizeof] = ACTIONS(1196),
    [anon_sym_offsetof] = ACTIONS(1196),
    [anon_sym__Generic] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1196),
    [anon_sym___asm__] = ACTIONS(1196),
    [sym_number_literal] = ACTIONS(1198),
    [anon_sym_L_SQUOTE] = ACTIONS(1198),
    [anon_sym_u_SQUOTE] = ACTIONS(1198),
    [anon_sym_U_SQUOTE] = ACTIONS(1198),
    [anon_sym_u8_SQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_L_DQUOTE] = ACTIONS(1198),
    [anon_sym_u_DQUOTE] = ACTIONS(1198),
    [anon_sym_U_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8_DQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_true] = ACTIONS(1196),
    [sym_false] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1196),
    [anon_sym_nullptr] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_else] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(436),
    [sym_attributed_statement] = STATE(436),
    [sym_labeled_statement] = STATE(436),
    [sym_expression_statement] = STATE(436),
    [sym_if_statement] = STATE(436),
    [sym_switch_statement] = STATE(436),
    [sym_case_statement] = STATE(436),
    [sym_while_statement] = STATE(436),
    [sym_do_statement] = STATE(436),
    [sym_for_statement] = STATE(436),
    [sym_return_statement] = STATE(436),
    [sym_break_statement] = STATE(436),
    [sym_continue_statement] = STATE(436),
    [sym_goto_statement] = STATE(436),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_identifier] = ACTIONS(1296),
    [aux_sym_preproc_include_token1] = ACTIONS(1296),
    [aux_sym_preproc_def_token1] = ACTIONS(1296),
    [aux_sym_preproc_if_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1296),
    [sym_preproc_directive] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_AMP] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_extern] = ACTIONS(1296),
    [anon_sym___attribute__] = ACTIONS(1296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1298),
    [anon_sym___declspec] = ACTIONS(1296),
    [anon_sym___cdecl] = ACTIONS(1296),
    [anon_sym___clrcall] = ACTIONS(1296),
    [anon_sym___stdcall] = ACTIONS(1296),
    [anon_sym___fastcall] = ACTIONS(1296),
    [anon_sym___thiscall] = ACTIONS(1296),
    [anon_sym___vectorcall] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_auto] = ACTIONS(1296),
    [anon_sym_register] = ACTIONS(1296),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_thread_local] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(1296),
    [anon_sym_constexpr] = ACTIONS(1296),
    [anon_sym_volatile] = ACTIONS(1296),
    [anon_sym_restrict] = ACTIONS(1296),
    [anon_sym___restrict__] = ACTIONS(1296),
    [anon_sym__Atomic] = ACTIONS(1296),
    [anon_sym__Noreturn] = ACTIONS(1296),
    [anon_sym_noreturn] = ACTIONS(1296),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [sym_primitive_type] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_struct] = ACTIONS(1296),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_case] = ACTIONS(1296),
    [anon_sym_default] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_break] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_goto] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_sizeof] = ACTIONS(1296),
    [anon_sym_offsetof] = ACTIONS(1296),
    [anon_sym__Generic] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1296),
    [anon_sym___asm__] = ACTIONS(1296),
    [sym_number_literal] = ACTIONS(1298),
    [anon_sym_L_SQUOTE] = ACTIONS(1298),
    [anon_sym_u_SQUOTE] = ACTIONS(1298),
    [anon_sym_U_SQUOTE] = ACTIONS(1298),
    [anon_sym_u8_SQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_L_DQUOTE] = ACTIONS(1298),
    [anon_sym_u_DQUOTE] = ACTIONS(1298),
    [anon_sym_U_DQUOTE] = ACTIONS(1298),
    [anon_sym_u8_DQUOTE] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [sym_true] = ACTIONS(1296),
    [sym_false] = ACTIONS(1296),
    [anon_sym_NULL] = ACTIONS(1296),
    [anon_sym_nullptr] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_identifier] = ACTIONS(1288),
    [aux_sym_preproc_include_token1] = ACTIONS(1288),
    [aux_sym_preproc_def_token1] = ACTIONS(1288),
    [aux_sym_preproc_if_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1288),
    [sym_preproc_directive] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1290),
    [anon_sym_AMP] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_extern] = ACTIONS(1288),
    [anon_sym___attribute__] = ACTIONS(1288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(1288),
    [anon_sym___cdecl] = ACTIONS(1288),
    [anon_sym___clrcall] = ACTIONS(1288),
    [anon_sym___stdcall] = ACTIONS(1288),
    [anon_sym___fastcall] = ACTIONS(1288),
    [anon_sym___thiscall] = ACTIONS(1288),
    [anon_sym___vectorcall] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1288),
    [anon_sym_auto] = ACTIONS(1288),
    [anon_sym_register] = ACTIONS(1288),
    [anon_sym_inline] = ACTIONS(1288),
    [anon_sym_thread_local] = ACTIONS(1288),
    [anon_sym_const] = ACTIONS(1288),
    [anon_sym_constexpr] = ACTIONS(1288),
    [anon_sym_volatile] = ACTIONS(1288),
    [anon_sym_restrict] = ACTIONS(1288),
    [anon_sym___restrict__] = ACTIONS(1288),
    [anon_sym__Atomic] = ACTIONS(1288),
    [anon_sym__Noreturn] = ACTIONS(1288),
    [anon_sym_noreturn] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1288),
    [anon_sym_unsigned] = ACTIONS(1288),
    [anon_sym_long] = ACTIONS(1288),
    [anon_sym_short] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_struct] = ACTIONS(1288),
    [anon_sym_union] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_else] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_case] = ACTIONS(1288),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_break] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_goto] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_sizeof] = ACTIONS(1288),
    [anon_sym_offsetof] = ACTIONS(1288),
    [anon_sym__Generic] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1288),
    [anon_sym___asm__] = ACTIONS(1288),
    [sym_number_literal] = ACTIONS(1290),
    [anon_sym_L_SQUOTE] = ACTIONS(1290),
    [anon_sym_u_SQUOTE] = ACTIONS(1290),
    [anon_sym_U_SQUOTE] = ACTIONS(1290),
    [anon_sym_u8_SQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_L_DQUOTE] = ACTIONS(1290),
    [anon_sym_u_DQUOTE] = ACTIONS(1290),
    [anon_sym_U_DQUOTE] = ACTIONS(1290),
    [anon_sym_u8_DQUOTE] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [anon_sym_NULL] = ACTIONS(1288),
    [anon_sym_nullptr] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(438),
    [sym_attributed_statement] = STATE(438),
    [sym_labeled_statement] = STATE(438),
    [sym_expression_statement] = STATE(438),
    [sym_if_statement] = STATE(438),
    [sym_switch_statement] = STATE(438),
    [sym_case_statement] = STATE(438),
    [sym_while_statement] = STATE(438),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(438),
    [sym_return_statement] = STATE(438),
    [sym_break_statement] = STATE(438),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(438),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(439),
    [sym_attributed_statement] = STATE(439),
    [sym_labeled_statement] = STATE(439),
    [sym_expression_statement] = STATE(439),
    [sym_if_statement] = STATE(439),
    [sym_switch_statement] = STATE(439),
    [sym_case_statement] = STATE(439),
    [sym_while_statement] = STATE(439),
    [sym_do_statement] = STATE(439),
    [sym_for_statement] = STATE(439),
    [sym_return_statement] = STATE(439),
    [sym_break_statement] = STATE(439),
    [sym_continue_statement] = STATE(439),
    [sym_goto_statement] = STATE(439),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_identifier] = ACTIONS(1284),
    [aux_sym_preproc_include_token1] = ACTIONS(1284),
    [aux_sym_preproc_def_token1] = ACTIONS(1284),
    [aux_sym_preproc_if_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1284),
    [sym_preproc_directive] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1286),
    [anon_sym_AMP] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1284),
    [anon_sym___attribute__] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1286),
    [anon_sym___declspec] = ACTIONS(1284),
    [anon_sym___cdecl] = ACTIONS(1284),
    [anon_sym___clrcall] = ACTIONS(1284),
    [anon_sym___stdcall] = ACTIONS(1284),
    [anon_sym___fastcall] = ACTIONS(1284),
    [anon_sym___thiscall] = ACTIONS(1284),
    [anon_sym___vectorcall] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1284),
    [anon_sym_auto] = ACTIONS(1284),
    [anon_sym_register] = ACTIONS(1284),
    [anon_sym_inline] = ACTIONS(1284),
    [anon_sym_thread_local] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_constexpr] = ACTIONS(1284),
    [anon_sym_volatile] = ACTIONS(1284),
    [anon_sym_restrict] = ACTIONS(1284),
    [anon_sym___restrict__] = ACTIONS(1284),
    [anon_sym__Atomic] = ACTIONS(1284),
    [anon_sym__Noreturn] = ACTIONS(1284),
    [anon_sym_noreturn] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1284),
    [anon_sym_unsigned] = ACTIONS(1284),
    [anon_sym_long] = ACTIONS(1284),
    [anon_sym_short] = ACTIONS(1284),
    [sym_primitive_type] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_struct] = ACTIONS(1284),
    [anon_sym_union] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_else] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_break] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_goto] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_sizeof] = ACTIONS(1284),
    [anon_sym_offsetof] = ACTIONS(1284),
    [anon_sym__Generic] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1284),
    [anon_sym___asm__] = ACTIONS(1284),
    [sym_number_literal] = ACTIONS(1286),
    [anon_sym_L_SQUOTE] = ACTIONS(1286),
    [anon_sym_u_SQUOTE] = ACTIONS(1286),
    [anon_sym_U_SQUOTE] = ACTIONS(1286),
    [anon_sym_u8_SQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_L_DQUOTE] = ACTIONS(1286),
    [anon_sym_u_DQUOTE] = ACTIONS(1286),
    [anon_sym_U_DQUOTE] = ACTIONS(1286),
    [anon_sym_u8_DQUOTE] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [anon_sym_NULL] = ACTIONS(1284),
    [anon_sym_nullptr] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(440),
    [sym_attributed_statement] = STATE(440),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_identifier] = ACTIONS(1280),
    [aux_sym_preproc_include_token1] = ACTIONS(1280),
    [aux_sym_preproc_def_token1] = ACTIONS(1280),
    [aux_sym_preproc_if_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1280),
    [sym_preproc_directive] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1282),
    [anon_sym_AMP] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_extern] = ACTIONS(1280),
    [anon_sym___attribute__] = ACTIONS(1280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1282),
    [anon_sym___declspec] = ACTIONS(1280),
    [anon_sym___cdecl] = ACTIONS(1280),
    [anon_sym___clrcall] = ACTIONS(1280),
    [anon_sym___stdcall] = ACTIONS(1280),
    [anon_sym___fastcall] = ACTIONS(1280),
    [anon_sym___thiscall] = ACTIONS(1280),
    [anon_sym___vectorcall] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1280),
    [anon_sym_auto] = ACTIONS(1280),
    [anon_sym_register] = ACTIONS(1280),
    [anon_sym_inline] = ACTIONS(1280),
    [anon_sym_thread_local] = ACTIONS(1280),
    [anon_sym_const] = ACTIONS(1280),
    [anon_sym_constexpr] = ACTIONS(1280),
    [anon_sym_volatile] = ACTIONS(1280),
    [anon_sym_restrict] = ACTIONS(1280),
    [anon_sym___restrict__] = ACTIONS(1280),
    [anon_sym__Atomic] = ACTIONS(1280),
    [anon_sym__Noreturn] = ACTIONS(1280),
    [anon_sym_noreturn] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1280),
    [anon_sym_unsigned] = ACTIONS(1280),
    [anon_sym_long] = ACTIONS(1280),
    [anon_sym_short] = ACTIONS(1280),
    [sym_primitive_type] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_struct] = ACTIONS(1280),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_else] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_case] = ACTIONS(1280),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_break] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_goto] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_sizeof] = ACTIONS(1280),
    [anon_sym_offsetof] = ACTIONS(1280),
    [anon_sym__Generic] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1280),
    [anon_sym___asm__] = ACTIONS(1280),
    [sym_number_literal] = ACTIONS(1282),
    [anon_sym_L_SQUOTE] = ACTIONS(1282),
    [anon_sym_u_SQUOTE] = ACTIONS(1282),
    [anon_sym_U_SQUOTE] = ACTIONS(1282),
    [anon_sym_u8_SQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_L_DQUOTE] = ACTIONS(1282),
    [anon_sym_u_DQUOTE] = ACTIONS(1282),
    [anon_sym_U_DQUOTE] = ACTIONS(1282),
    [anon_sym_u8_DQUOTE] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_true] = ACTIONS(1280),
    [sym_false] = ACTIONS(1280),
    [anon_sym_NULL] = ACTIONS(1280),
    [anon_sym_nullptr] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_identifier] = ACTIONS(1268),
    [aux_sym_preproc_include_token1] = ACTIONS(1268),
    [aux_sym_preproc_def_token1] = ACTIONS(1268),
    [aux_sym_preproc_if_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1268),
    [sym_preproc_directive] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1270),
    [anon_sym_AMP] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1268),
    [anon_sym___cdecl] = ACTIONS(1268),
    [anon_sym___clrcall] = ACTIONS(1268),
    [anon_sym___stdcall] = ACTIONS(1268),
    [anon_sym___fastcall] = ACTIONS(1268),
    [anon_sym___thiscall] = ACTIONS(1268),
    [anon_sym___vectorcall] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1268),
    [anon_sym_auto] = ACTIONS(1268),
    [anon_sym_register] = ACTIONS(1268),
    [anon_sym_inline] = ACTIONS(1268),
    [anon_sym_thread_local] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_constexpr] = ACTIONS(1268),
    [anon_sym_volatile] = ACTIONS(1268),
    [anon_sym_restrict] = ACTIONS(1268),
    [anon_sym___restrict__] = ACTIONS(1268),
    [anon_sym__Atomic] = ACTIONS(1268),
    [anon_sym__Noreturn] = ACTIONS(1268),
    [anon_sym_noreturn] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1268),
    [anon_sym_unsigned] = ACTIONS(1268),
    [anon_sym_long] = ACTIONS(1268),
    [anon_sym_short] = ACTIONS(1268),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_struct] = ACTIONS(1268),
    [anon_sym_union] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_else] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_break] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_goto] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_sizeof] = ACTIONS(1268),
    [anon_sym_offsetof] = ACTIONS(1268),
    [anon_sym__Generic] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1268),
    [anon_sym___asm__] = ACTIONS(1268),
    [sym_number_literal] = ACTIONS(1270),
    [anon_sym_L_SQUOTE] = ACTIONS(1270),
    [anon_sym_u_SQUOTE] = ACTIONS(1270),
    [anon_sym_U_SQUOTE] = ACTIONS(1270),
    [anon_sym_u8_SQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_L_DQUOTE] = ACTIONS(1270),
    [anon_sym_u_DQUOTE] = ACTIONS(1270),
    [anon_sym_U_DQUOTE] = ACTIONS(1270),
    [anon_sym_u8_DQUOTE] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_true] = ACTIONS(1268),
    [sym_false] = ACTIONS(1268),
    [anon_sym_NULL] = ACTIONS(1268),
    [anon_sym_nullptr] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_identifier] = ACTIONS(1276),
    [aux_sym_preproc_include_token1] = ACTIONS(1276),
    [aux_sym_preproc_def_token1] = ACTIONS(1276),
    [aux_sym_preproc_if_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1276),
    [sym_preproc_directive] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1278),
    [anon_sym_AMP] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_extern] = ACTIONS(1276),
    [anon_sym___attribute__] = ACTIONS(1276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1278),
    [anon_sym___declspec] = ACTIONS(1276),
    [anon_sym___cdecl] = ACTIONS(1276),
    [anon_sym___clrcall] = ACTIONS(1276),
    [anon_sym___stdcall] = ACTIONS(1276),
    [anon_sym___fastcall] = ACTIONS(1276),
    [anon_sym___thiscall] = ACTIONS(1276),
    [anon_sym___vectorcall] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_auto] = ACTIONS(1276),
    [anon_sym_register] = ACTIONS(1276),
    [anon_sym_inline] = ACTIONS(1276),
    [anon_sym_thread_local] = ACTIONS(1276),
    [anon_sym_const] = ACTIONS(1276),
    [anon_sym_constexpr] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_restrict] = ACTIONS(1276),
    [anon_sym___restrict__] = ACTIONS(1276),
    [anon_sym__Atomic] = ACTIONS(1276),
    [anon_sym__Noreturn] = ACTIONS(1276),
    [anon_sym_noreturn] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1276),
    [anon_sym_unsigned] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [sym_primitive_type] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_struct] = ACTIONS(1276),
    [anon_sym_union] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_goto] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_sizeof] = ACTIONS(1276),
    [anon_sym_offsetof] = ACTIONS(1276),
    [anon_sym__Generic] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1276),
    [anon_sym___asm__] = ACTIONS(1276),
    [sym_number_literal] = ACTIONS(1278),
    [anon_sym_L_SQUOTE] = ACTIONS(1278),
    [anon_sym_u_SQUOTE] = ACTIONS(1278),
    [anon_sym_U_SQUOTE] = ACTIONS(1278),
    [anon_sym_u8_SQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_L_DQUOTE] = ACTIONS(1278),
    [anon_sym_u_DQUOTE] = ACTIONS(1278),
    [anon_sym_U_DQUOTE] = ACTIONS(1278),
    [anon_sym_u8_DQUOTE] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_NULL] = ACTIONS(1276),
    [anon_sym_nullptr] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_attribute_declaration] = STATE(301),
    [sym_compound_statement] = STATE(441),
    [sym_attributed_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_case_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_goto_statement] = STATE(441),
    [sym__expression] = STATE(1052),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1765),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [aux_sym_attributed_declarator_repeat1] = STATE(301),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_case] = ACTIONS(468),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(472),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(480),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_goto] = ACTIONS(484),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_identifier] = ACTIONS(1272),
    [aux_sym_preproc_include_token1] = ACTIONS(1272),
    [aux_sym_preproc_def_token1] = ACTIONS(1272),
    [aux_sym_preproc_if_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1272),
    [sym_preproc_directive] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1274),
    [anon_sym_AMP] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_extern] = ACTIONS(1272),
    [anon_sym___attribute__] = ACTIONS(1272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1272),
    [anon_sym___cdecl] = ACTIONS(1272),
    [anon_sym___clrcall] = ACTIONS(1272),
    [anon_sym___stdcall] = ACTIONS(1272),
    [anon_sym___fastcall] = ACTIONS(1272),
    [anon_sym___thiscall] = ACTIONS(1272),
    [anon_sym___vectorcall] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1272),
    [anon_sym_auto] = ACTIONS(1272),
    [anon_sym_register] = ACTIONS(1272),
    [anon_sym_inline] = ACTIONS(1272),
    [anon_sym_thread_local] = ACTIONS(1272),
    [anon_sym_const] = ACTIONS(1272),
    [anon_sym_constexpr] = ACTIONS(1272),
    [anon_sym_volatile] = ACTIONS(1272),
    [anon_sym_restrict] = ACTIONS(1272),
    [anon_sym___restrict__] = ACTIONS(1272),
    [anon_sym__Atomic] = ACTIONS(1272),
    [anon_sym__Noreturn] = ACTIONS(1272),
    [anon_sym_noreturn] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1272),
    [anon_sym_unsigned] = ACTIONS(1272),
    [anon_sym_long] = ACTIONS(1272),
    [anon_sym_short] = ACTIONS(1272),
    [sym_primitive_type] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1272),
    [anon_sym_union] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_else] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_case] = ACTIONS(1272),
    [anon_sym_default] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_goto] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_sizeof] = ACTIONS(1272),
    [anon_sym_offsetof] = ACTIONS(1272),
    [anon_sym__Generic] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1272),
    [anon_sym___asm__] = ACTIONS(1272),
    [sym_number_literal] = ACTIONS(1274),
    [anon_sym_L_SQUOTE] = ACTIONS(1274),
    [anon_sym_u_SQUOTE] = ACTIONS(1274),
    [anon_sym_U_SQUOTE] = ACTIONS(1274),
    [anon_sym_u8_SQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_L_DQUOTE] = ACTIONS(1274),
    [anon_sym_u_DQUOTE] = ACTIONS(1274),
    [anon_sym_U_DQUOTE] = ACTIONS(1274),
    [anon_sym_u8_DQUOTE] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_true] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_NULL] = ACTIONS(1272),
    [anon_sym_nullptr] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_else] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token2] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token2] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1384),
    [aux_sym_preproc_include_token1] = ACTIONS(1384),
    [aux_sym_preproc_def_token1] = ACTIONS(1384),
    [aux_sym_preproc_if_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1384),
    [sym_preproc_directive] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1386),
    [anon_sym_AMP] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym___attribute__] = ACTIONS(1384),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1386),
    [anon_sym___declspec] = ACTIONS(1384),
    [anon_sym___cdecl] = ACTIONS(1384),
    [anon_sym___clrcall] = ACTIONS(1384),
    [anon_sym___stdcall] = ACTIONS(1384),
    [anon_sym___fastcall] = ACTIONS(1384),
    [anon_sym___thiscall] = ACTIONS(1384),
    [anon_sym___vectorcall] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_auto] = ACTIONS(1384),
    [anon_sym_register] = ACTIONS(1384),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_thread_local] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_constexpr] = ACTIONS(1384),
    [anon_sym_volatile] = ACTIONS(1384),
    [anon_sym_restrict] = ACTIONS(1384),
    [anon_sym___restrict__] = ACTIONS(1384),
    [anon_sym__Atomic] = ACTIONS(1384),
    [anon_sym__Noreturn] = ACTIONS(1384),
    [anon_sym_noreturn] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1384),
    [anon_sym_unsigned] = ACTIONS(1384),
    [anon_sym_long] = ACTIONS(1384),
    [anon_sym_short] = ACTIONS(1384),
    [sym_primitive_type] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1384),
    [anon_sym_case] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_do] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_goto] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_sizeof] = ACTIONS(1384),
    [anon_sym_offsetof] = ACTIONS(1384),
    [anon_sym__Generic] = ACTIONS(1384),
    [anon_sym_asm] = ACTIONS(1384),
    [anon_sym___asm__] = ACTIONS(1384),
    [sym_number_literal] = ACTIONS(1386),
    [anon_sym_L_SQUOTE] = ACTIONS(1386),
    [anon_sym_u_SQUOTE] = ACTIONS(1386),
    [anon_sym_U_SQUOTE] = ACTIONS(1386),
    [anon_sym_u8_SQUOTE] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_L_DQUOTE] = ACTIONS(1386),
    [anon_sym_u_DQUOTE] = ACTIONS(1386),
    [anon_sym_U_DQUOTE] = ACTIONS(1386),
    [anon_sym_u8_DQUOTE] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [sym_true] = ACTIONS(1384),
    [sym_false] = ACTIONS(1384),
    [anon_sym_NULL] = ACTIONS(1384),
    [anon_sym_nullptr] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1388),
    [aux_sym_preproc_include_token1] = ACTIONS(1388),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1388),
    [sym_preproc_directive] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym___attribute__] = ACTIONS(1388),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1390),
    [anon_sym___declspec] = ACTIONS(1388),
    [anon_sym___cdecl] = ACTIONS(1388),
    [anon_sym___clrcall] = ACTIONS(1388),
    [anon_sym___stdcall] = ACTIONS(1388),
    [anon_sym___fastcall] = ACTIONS(1388),
    [anon_sym___thiscall] = ACTIONS(1388),
    [anon_sym___vectorcall] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_auto] = ACTIONS(1388),
    [anon_sym_register] = ACTIONS(1388),
    [anon_sym_inline] = ACTIONS(1388),
    [anon_sym_thread_local] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_constexpr] = ACTIONS(1388),
    [anon_sym_volatile] = ACTIONS(1388),
    [anon_sym_restrict] = ACTIONS(1388),
    [anon_sym___restrict__] = ACTIONS(1388),
    [anon_sym__Atomic] = ACTIONS(1388),
    [anon_sym__Noreturn] = ACTIONS(1388),
    [anon_sym_noreturn] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1388),
    [anon_sym_unsigned] = ACTIONS(1388),
    [anon_sym_long] = ACTIONS(1388),
    [anon_sym_short] = ACTIONS(1388),
    [sym_primitive_type] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_switch] = ACTIONS(1388),
    [anon_sym_case] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_do] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_goto] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_sizeof] = ACTIONS(1388),
    [anon_sym_offsetof] = ACTIONS(1388),
    [anon_sym__Generic] = ACTIONS(1388),
    [anon_sym_asm] = ACTIONS(1388),
    [anon_sym___asm__] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(1390),
    [anon_sym_L_SQUOTE] = ACTIONS(1390),
    [anon_sym_u_SQUOTE] = ACTIONS(1390),
    [anon_sym_U_SQUOTE] = ACTIONS(1390),
    [anon_sym_u8_SQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_L_DQUOTE] = ACTIONS(1390),
    [anon_sym_u_DQUOTE] = ACTIONS(1390),
    [anon_sym_U_DQUOTE] = ACTIONS(1390),
    [anon_sym_u8_DQUOTE] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [sym_true] = ACTIONS(1388),
    [sym_false] = ACTIONS(1388),
    [anon_sym_NULL] = ACTIONS(1388),
    [anon_sym_nullptr] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1745),
    [aux_sym_preproc_include_token1] = ACTIONS(1745),
    [aux_sym_preproc_def_token1] = ACTIONS(1745),
    [aux_sym_preproc_if_token1] = ACTIONS(1745),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1745),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1745),
    [sym_preproc_directive] = ACTIONS(1745),
    [anon_sym_LPAREN2] = ACTIONS(1743),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1743),
    [anon_sym_typedef] = ACTIONS(1745),
    [anon_sym_extern] = ACTIONS(1745),
    [anon_sym___attribute__] = ACTIONS(1745),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1743),
    [anon_sym___declspec] = ACTIONS(1745),
    [anon_sym___cdecl] = ACTIONS(1745),
    [anon_sym___clrcall] = ACTIONS(1745),
    [anon_sym___stdcall] = ACTIONS(1745),
    [anon_sym___fastcall] = ACTIONS(1745),
    [anon_sym___thiscall] = ACTIONS(1745),
    [anon_sym___vectorcall] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1745),
    [anon_sym_auto] = ACTIONS(1745),
    [anon_sym_register] = ACTIONS(1745),
    [anon_sym_inline] = ACTIONS(1745),
    [anon_sym_thread_local] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_constexpr] = ACTIONS(1745),
    [anon_sym_volatile] = ACTIONS(1745),
    [anon_sym_restrict] = ACTIONS(1745),
    [anon_sym___restrict__] = ACTIONS(1745),
    [anon_sym__Atomic] = ACTIONS(1745),
    [anon_sym__Noreturn] = ACTIONS(1745),
    [anon_sym_noreturn] = ACTIONS(1745),
    [anon_sym_signed] = ACTIONS(1745),
    [anon_sym_unsigned] = ACTIONS(1745),
    [anon_sym_long] = ACTIONS(1745),
    [anon_sym_short] = ACTIONS(1745),
    [sym_primitive_type] = ACTIONS(1745),
    [anon_sym_enum] = ACTIONS(1745),
    [anon_sym_struct] = ACTIONS(1745),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_goto] = ACTIONS(1745),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_sizeof] = ACTIONS(1745),
    [anon_sym_offsetof] = ACTIONS(1745),
    [anon_sym__Generic] = ACTIONS(1745),
    [anon_sym_asm] = ACTIONS(1745),
    [anon_sym___asm__] = ACTIONS(1745),
    [sym_number_literal] = ACTIONS(1743),
    [anon_sym_L_SQUOTE] = ACTIONS(1743),
    [anon_sym_u_SQUOTE] = ACTIONS(1743),
    [anon_sym_U_SQUOTE] = ACTIONS(1743),
    [anon_sym_u8_SQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [anon_sym_L_DQUOTE] = ACTIONS(1743),
    [anon_sym_u_DQUOTE] = ACTIONS(1743),
    [anon_sym_U_DQUOTE] = ACTIONS(1743),
    [anon_sym_u8_DQUOTE] = ACTIONS(1743),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [anon_sym_NULL] = ACTIONS(1745),
    [anon_sym_nullptr] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_identifier] = ACTIONS(1380),
    [aux_sym_preproc_include_token1] = ACTIONS(1380),
    [aux_sym_preproc_def_token1] = ACTIONS(1380),
    [aux_sym_preproc_if_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1380),
    [sym_preproc_directive] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_AMP] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym___attribute__] = ACTIONS(1380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1382),
    [anon_sym___declspec] = ACTIONS(1380),
    [anon_sym___cdecl] = ACTIONS(1380),
    [anon_sym___clrcall] = ACTIONS(1380),
    [anon_sym___stdcall] = ACTIONS(1380),
    [anon_sym___fastcall] = ACTIONS(1380),
    [anon_sym___thiscall] = ACTIONS(1380),
    [anon_sym___vectorcall] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_thread_local] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_constexpr] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym___restrict__] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym__Noreturn] = ACTIONS(1380),
    [anon_sym_noreturn] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_do] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_goto] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_sizeof] = ACTIONS(1380),
    [anon_sym_offsetof] = ACTIONS(1380),
    [anon_sym__Generic] = ACTIONS(1380),
    [anon_sym_asm] = ACTIONS(1380),
    [anon_sym___asm__] = ACTIONS(1380),
    [sym_number_literal] = ACTIONS(1382),
    [anon_sym_L_SQUOTE] = ACTIONS(1382),
    [anon_sym_u_SQUOTE] = ACTIONS(1382),
    [anon_sym_U_SQUOTE] = ACTIONS(1382),
    [anon_sym_u8_SQUOTE] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_L_DQUOTE] = ACTIONS(1382),
    [anon_sym_u_DQUOTE] = ACTIONS(1382),
    [anon_sym_U_DQUOTE] = ACTIONS(1382),
    [anon_sym_u8_DQUOTE] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [sym_true] = ACTIONS(1380),
    [sym_false] = ACTIONS(1380),
    [anon_sym_NULL] = ACTIONS(1380),
    [anon_sym_nullptr] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1984),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1923),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1888),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1760),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1742),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1854),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1800),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_type_qualifier] = STATE(1154),
    [sym__type_specifier] = STATE(1188),
    [sym_sized_type_specifier] = STATE(1147),
    [sym_enum_specifier] = STATE(1147),
    [sym_struct_specifier] = STATE(1147),
    [sym_union_specifier] = STATE(1147),
    [sym__expression] = STATE(1078),
    [sym__expression_not_binary] = STATE(797),
    [sym_comma_expression] = STATE(1980),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_type_descriptor] = STATE(1763),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_macro_type_specifier] = STATE(1147),
    [aux_sym_type_definition_repeat1] = STATE(1154),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1196),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_constexpr] = ACTIONS(43),
    [anon_sym_volatile] = ACTIONS(43),
    [anon_sym_restrict] = ACTIONS(43),
    [anon_sym___restrict__] = ACTIONS(43),
    [anon_sym__Atomic] = ACTIONS(43),
    [anon_sym__Noreturn] = ACTIONS(43),
    [anon_sym_noreturn] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1749),
    [anon_sym_unsigned] = ACTIONS(1749),
    [anon_sym_long] = ACTIONS(1749),
    [anon_sym_short] = ACTIONS(1749),
    [sym_primitive_type] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(1751),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_union] = ACTIONS(53),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym__expression] = STATE(777),
    [sym__expression_not_binary] = STATE(797),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(811),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(811),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(811),
    [sym_initializer_list] = STATE(776),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1172),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1172),
    [anon_sym_GT_GT] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_COLON] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_sizeof] = ACTIONS(79),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_identifier] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_RPAREN] = ACTIONS(1757),
    [anon_sym_LPAREN2] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_extern] = ACTIONS(1755),
    [anon_sym___attribute__] = ACTIONS(1755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1757),
    [anon_sym___declspec] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_static] = ACTIONS(1755),
    [anon_sym_auto] = ACTIONS(1755),
    [anon_sym_register] = ACTIONS(1755),
    [anon_sym_inline] = ACTIONS(1755),
    [anon_sym_thread_local] = ACTIONS(1755),
    [anon_sym_const] = ACTIONS(1755),
    [anon_sym_constexpr] = ACTIONS(1755),
    [anon_sym_volatile] = ACTIONS(1755),
    [anon_sym_restrict] = ACTIONS(1755),
    [anon_sym___restrict__] = ACTIONS(1755),
    [anon_sym__Atomic] = ACTIONS(1755),
    [anon_sym__Noreturn] = ACTIONS(1755),
    [anon_sym_noreturn] = ACTIONS(1755),
    [anon_sym_signed] = ACTIONS(1755),
    [anon_sym_unsigned] = ACTIONS(1755),
    [anon_sym_long] = ACTIONS(1755),
    [anon_sym_short] = ACTIONS(1755),
    [sym_primitive_type] = ACTIONS(1755),
    [anon_sym_enum] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1757),
    [anon_sym_struct] = ACTIONS(1755),
    [anon_sym_union] = ACTIONS(1755),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_switch] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1755),
    [anon_sym_default] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1755),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_sizeof] = ACTIONS(1755),
    [anon_sym_offsetof] = ACTIONS(1755),
    [anon_sym__Generic] = ACTIONS(1755),
    [anon_sym_asm] = ACTIONS(1755),
    [anon_sym___asm__] = ACTIONS(1755),
    [sym_number_literal] = ACTIONS(1757),
    [anon_sym_L_SQUOTE] = ACTIONS(1757),
    [anon_sym_u_SQUOTE] = ACTIONS(1757),
    [anon_sym_U_SQUOTE] = ACTIONS(1757),
    [anon_sym_u8_SQUOTE] = ACTIONS(1757),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_L_DQUOTE] = ACTIONS(1757),
    [anon_sym_u_DQUOTE] = ACTIONS(1757),
    [anon_sym_U_DQUOTE] = ACTIONS(1757),
    [anon_sym_u8_DQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1757),
    [sym_true] = ACTIONS(1755),
    [sym_false] = ACTIONS(1755),
    [anon_sym_NULL] = ACTIONS(1755),
    [anon_sym_nullptr] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_LPAREN2] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_extern] = ACTIONS(1759),
    [anon_sym___attribute__] = ACTIONS(1759),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1761),
    [anon_sym___declspec] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_auto] = ACTIONS(1759),
    [anon_sym_register] = ACTIONS(1759),
    [anon_sym_inline] = ACTIONS(1759),
    [anon_sym_thread_local] = ACTIONS(1759),
    [anon_sym_const] = ACTIONS(1759),
    [anon_sym_constexpr] = ACTIONS(1759),
    [anon_sym_volatile] = ACTIONS(1759),
    [anon_sym_restrict] = ACTIONS(1759),
    [anon_sym___restrict__] = ACTIONS(1759),
    [anon_sym__Atomic] = ACTIONS(1759),
    [anon_sym__Noreturn] = ACTIONS(1759),
    [anon_sym_noreturn] = ACTIONS(1759),
    [anon_sym_signed] = ACTIONS(1759),
    [anon_sym_unsigned] = ACTIONS(1759),
    [anon_sym_long] = ACTIONS(1759),
    [anon_sym_short] = ACTIONS(1759),
    [sym_primitive_type] = ACTIONS(1759),
    [anon_sym_enum] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1761),
    [anon_sym_struct] = ACTIONS(1759),
    [anon_sym_union] = ACTIONS(1759),
    [anon_sym_if] = ACTIONS(1759),
    [anon_sym_switch] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1759),
    [anon_sym_default] = ACTIONS(1759),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1759),
    [anon_sym_for] = ACTIONS(1759),
    [anon_sym_return] = ACTIONS(1759),
    [anon_sym_break] = ACTIONS(1759),
    [anon_sym_continue] = ACTIONS(1759),
    [anon_sym_goto] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_sizeof] = ACTIONS(1759),
    [anon_sym_offsetof] = ACTIONS(1759),
    [anon_sym__Generic] = ACTIONS(1759),
    [anon_sym_asm] = ACTIONS(1759),
    [anon_sym___asm__] = ACTIONS(1759),
    [sym_number_literal] = ACTIONS(1761),
    [anon_sym_L_SQUOTE] = ACTIONS(1761),
    [anon_sym_u_SQUOTE] = ACTIONS(1761),
    [anon_sym_U_SQUOTE] = ACTIONS(1761),
    [anon_sym_u8_SQUOTE] = ACTIONS(1761),
    [anon_sym_SQUOTE] = ACTIONS(1761),
    [anon_sym_L_DQUOTE] = ACTIONS(1761),
    [anon_sym_u_DQUOTE] = ACTIONS(1761),
    [anon_sym_U_DQUOTE] = ACTIONS(1761),
    [anon_sym_u8_DQUOTE] = ACTIONS(1761),
    [anon_sym_DQUOTE] = ACTIONS(1761),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [anon_sym_NULL] = ACTIONS(1759),
    [anon_sym_nullptr] = ACTIONS(1759),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym__expression] = STATE(841),
    [sym__expression_not_binary] = STATE(797),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(847),
    [sym_unary_expression] = STATE(797),
    [sym_binary_expression] = STATE(797),
    [sym_update_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_offsetof_expression] = STATE(797),
    [sym_generic_expression] = STATE(797),
    [sym_subscript_expression] = STATE(847),
    [sym_call_expression] = STATE(847),
    [sym_gnu_asm_expression] = STATE(797),
    [sym_field_expression] = STATE(847),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(847),
    [sym_initializer_list] = STATE(776),
    [sym_char_literal] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [sym_string_literal] = STATE(753),
    [sym_null] = STATE(797),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_LPAREN2] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1172),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1172),
    [anon_sym_GT_GT] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_RBRACK] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_sizeof] = ACTIONS(1775),
    [anon_sym_offsetof] = ACTIONS(81),
    [anon_sym__Generic] = ACTIONS(83),
    [anon_sym_asm] = ACTIONS(85),
    [anon_sym___asm__] = ACTIONS(85),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [sym_number_literal] = ACTIONS(147),
    [anon_sym_L_SQUOTE] = ACTIONS(89),
    [anon_sym_u_SQUOTE] = ACTIONS(89),
    [anon_sym_U_SQUOTE] = ACTIONS(89),
    [anon_sym_u8_SQUOTE] = ACTIONS(89),
    [anon_sym_SQUOTE] = ACTIONS(89),
    [anon_sym_L_DQUOTE] = ACTIONS(91),
    [anon_sym_u_DQUOTE] = ACTIONS(91),
    [anon_sym_U_DQUOTE] = ACTIONS(91),
    [anon_sym_u8_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [anon_sym_NULL] = ACTIONS(95),
    [anon_sym_nullptr] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym_else_clause] = STATE(416),
    [sym_identifier] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1777),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_LPAREN2] = ACTIONS(1782),
    [anon_sym_BANG] = ACTIONS(1782),
    [anon_sym_TILDE] = ACTIONS(1782),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1782),
    [anon_sym_extern] = ACTIONS(1786),
    [anon_sym___attribute__] = ACTIONS(1786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1788),
    [anon_sym___declspec] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1782),
    [anon_sym_static] = ACTIONS(1786),
    [anon_sym_auto] = ACTIONS(1786),
    [anon_sym_register] = ACTIONS(1786),
    [anon_sym_inline] = ACTIONS(1786),
    [anon_sym_thread_local] = ACTIONS(1786),
    [anon_sym_const] = ACTIONS(1786),
    [anon_sym_constexpr] = ACTIONS(1786),
    [anon_sym_volatile] = ACTIONS(1786),
    [anon_sym_restrict] = ACTIONS(1786),
    [anon_sym___restrict__] = ACTIONS(1786),
    [anon_sym__Atomic] = ACTIONS(1786),
    [anon_sym__Noreturn] = ACTIONS(1786),
    [anon_sym_noreturn] = ACTIONS(1786),
    [anon_sym_signed] = ACTIONS(1786),
    [anon_sym_unsigned] = ACTIONS(1786),
    [anon_sym_long] = ACTIONS(1786),
    [anon_sym_short] = ACTIONS(1786),
    [sym_primitive_type] = ACTIONS(1786),
    [anon_sym_enum] = ACTIONS(1786),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1786),
    [anon_sym_if] = ACTIONS(1784),
    [anon_sym_switch] = ACTIONS(1784),
    [anon_sym_case] = ACTIONS(1784),
    [anon_sym_default] = ACTIONS(1784),
    [anon_sym_while] = ACTIONS(1784),
    [anon_sym_do] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_return] = ACTIONS(1784),
    [anon_sym_break] = ACTIONS(1784),
    [anon_sym_continue] = ACTIONS(1784),
    [anon_sym_goto] = ACTIONS(1784),
    [anon_sym_DASH_DASH] = ACTIONS(1782),
    [anon_sym_PLUS_PLUS] = ACTIONS(1782),
    [anon_sym_sizeof] = ACTIONS(1784),
    [anon_sym_offsetof] = ACTIONS(1784),
    [anon_sym__Generic] = ACTIONS(1784),
    [anon_sym_asm] = ACTIONS(1784),
    [anon_sym___asm__] = ACTIONS(1784),
    [sym_number_literal] = ACTIONS(1782),
    [anon_sym_L_SQUOTE] = ACTIONS(1782),
    [anon_sym_u_SQUOTE] = ACTIONS(1782),
    [anon_sym_U_SQUOTE] = ACTIONS(1782),
    [anon_sym_u8_SQUOTE] = ACTIONS(1782),
    [anon_sym_SQUOTE] = ACTIONS(1782),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1784),
    [anon_sym_nullptr] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1791), 1,
      anon_sym_STAR,
    ACTIONS(1793), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1110), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(534), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1797), 1,
      anon_sym_STAR,
    ACTIONS(1799), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1132), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(813), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1801), 1,
      anon_sym_STAR,
    ACTIONS(1803), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1101), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(813), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1805), 1,
      anon_sym_STAR,
    ACTIONS(1807), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1111), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(532), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [452] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1809), 1,
      anon_sym_STAR,
    ACTIONS(1811), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1108), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(813), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1813), 1,
      anon_sym_STAR,
    ACTIONS(1815), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1139), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(813), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1817), 1,
      anon_sym_STAR,
    ACTIONS(1819), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1114), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(537), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1821), 1,
      anon_sym_STAR,
    ACTIONS(1823), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1118), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(813), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [904] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1130), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(535), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1771), 1,
      anon_sym_AMP,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(1829), 1,
      anon_sym_STAR,
    ACTIONS(1831), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(1093), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    STATE(531), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    ACTIONS(1795), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1130] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1833), 1,
      anon_sym_COMMA,
    ACTIONS(1835), 1,
      anon_sym_RBRACE,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_DOT,
    STATE(753), 1,
      sym_string_literal,
    STATE(1010), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1610), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1462), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1248] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1847), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1881), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(545), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1366] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1857), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1876), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(549), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1484] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1859), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1289), 1,
      sym__declaration_specifiers,
    STATE(1452), 1,
      sym__declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1514), 1,
      sym__abstract_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1638), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [1608] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1873), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1973), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(553), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1726] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1875), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1970), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(553), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1844] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1877), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1729), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(548), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [1962] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1879), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1948), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(544), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2080] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1881), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1747), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(553), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2198] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1843), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1845), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1855), 1,
      sym_preproc_directive,
    ACTIONS(1883), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(113), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(1849), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1861), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(553), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_DOT,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    STATE(753), 1,
      sym_string_literal,
    STATE(1087), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1696), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1462), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2431] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_DOT,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    STATE(753), 1,
      sym_string_literal,
    STATE(1087), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1696), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1462), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2546] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_DOT,
    STATE(753), 1,
      sym_string_literal,
    STATE(1087), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    STATE(1696), 2,
      sym_initializer_list,
      sym_initializer_pair,
    STATE(1462), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2658] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      sym_identifier,
    ACTIONS(1892), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1895), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1903), 1,
      sym_preproc_directive,
    ACTIONS(1909), 1,
      anon_sym___attribute__,
    ACTIONS(1912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1915), 1,
      anon_sym___declspec,
    ACTIONS(1924), 1,
      sym_primitive_type,
    ACTIONS(1927), 1,
      anon_sym_enum,
    ACTIONS(1930), 1,
      anon_sym_struct,
    ACTIONS(1933), 1,
      anon_sym_union,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1334), 1,
      sym__declaration_specifiers,
    ACTIONS(1900), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1898), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1906), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1918), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(553), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1744), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(557), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1946), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1906), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(574), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [2991] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1948), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1869), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(574), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3104] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1950), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1790), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(574), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3217] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1952), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1846), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(574), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3330] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1954), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1978), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(556), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1956), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1864), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(558), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3556] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1958), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1972), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(562), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1960), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1943), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(574), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(1853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1936), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1938), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1944), 1,
      sym_preproc_directive,
    ACTIONS(1962), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(1942), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1919), 2,
      sym_preproc_else_in_field_declaration_list,
      sym_preproc_elif_in_field_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(555), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [3895] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1981), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [3975] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4055] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4215] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1991), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4295] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1993), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4375] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    ACTIONS(1995), 1,
      anon_sym_SEMI,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4457] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_COLON,
    ACTIONS(1995), 1,
      anon_sym_SEMI,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1993), 1,
      anon_sym_COLON,
    ACTIONS(1995), 1,
      anon_sym_SEMI,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    ACTIONS(1995), 1,
      anon_sym_SEMI,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4703] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      sym_identifier,
    ACTIONS(1909), 1,
      anon_sym___attribute__,
    ACTIONS(1912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1915), 1,
      anon_sym___declspec,
    ACTIONS(1924), 1,
      sym_primitive_type,
    ACTIONS(1927), 1,
      anon_sym_enum,
    ACTIONS(1930), 1,
      anon_sym_struct,
    ACTIONS(1933), 1,
      anon_sym_union,
    ACTIONS(1998), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2001), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2007), 1,
      sym_preproc_directive,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1331), 1,
      sym__declaration_specifiers,
    ACTIONS(2004), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1898), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1906), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1918), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(574), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [4808] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1981), 1,
      anon_sym_COLON,
    ACTIONS(1995), 1,
      anon_sym_SEMI,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1966), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1977), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
    ACTIONS(1966), 13,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [4966] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2010), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2012), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2016), 1,
      sym_preproc_directive,
    ACTIONS(2018), 1,
      anon_sym_RBRACE,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1333), 1,
      sym__declaration_specifiers,
    ACTIONS(2014), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(578), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5069] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      sym_identifier,
    ACTIONS(1909), 1,
      anon_sym___attribute__,
    ACTIONS(1912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1915), 1,
      anon_sym___declspec,
    ACTIONS(1924), 1,
      sym_primitive_type,
    ACTIONS(1927), 1,
      anon_sym_enum,
    ACTIONS(1930), 1,
      anon_sym_struct,
    ACTIONS(1933), 1,
      anon_sym_union,
    ACTIONS(2020), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2023), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2029), 1,
      sym_preproc_directive,
    ACTIONS(2032), 1,
      anon_sym_RBRACE,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1333), 1,
      sym__declaration_specifiers,
    ACTIONS(2026), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1906), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1918), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(578), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5172] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2034), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2036), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2038), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2042), 1,
      sym_preproc_directive,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1332), 1,
      sym__declaration_specifiers,
    ACTIONS(2040), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(582), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5275] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2044), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(992), 1,
      sym__expression,
    STATE(1634), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5378] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2046), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1007), 1,
      sym__expression,
    STATE(1553), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5481] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2034), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2036), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2042), 1,
      sym_preproc_directive,
    ACTIONS(2048), 1,
      aux_sym_preproc_if_token2,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1332), 1,
      sym__declaration_specifiers,
    ACTIONS(2040), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(583), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5584] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      sym_identifier,
    ACTIONS(1898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1909), 1,
      anon_sym___attribute__,
    ACTIONS(1912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1915), 1,
      anon_sym___declspec,
    ACTIONS(1924), 1,
      sym_primitive_type,
    ACTIONS(1927), 1,
      anon_sym_enum,
    ACTIONS(1930), 1,
      anon_sym_struct,
    ACTIONS(1933), 1,
      anon_sym_union,
    ACTIONS(2050), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2053), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2059), 1,
      sym_preproc_directive,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1332), 1,
      sym__declaration_specifiers,
    ACTIONS(2056), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(1906), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(1918), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(583), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5687] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2010), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2012), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2016), 1,
      sym_preproc_directive,
    ACTIONS(2062), 1,
      anon_sym_RBRACE,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1333), 1,
      sym__declaration_specifiers,
    ACTIONS(2014), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    STATE(577), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [5790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2064), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1016), 1,
      sym__expression,
    STATE(1989), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2066), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1035), 1,
      sym__expression,
    STATE(1936), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2068), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1061), 1,
      sym__expression,
    STATE(1889), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2070), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1058), 1,
      sym__expression,
    STATE(1891), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2072), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1065), 1,
      sym__expression,
    STATE(1780), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2074), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1071), 1,
      sym__expression,
    STATE(1817), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2076), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1077), 1,
      sym__expression,
    STATE(1755), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2078), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1066), 1,
      sym__expression,
    STATE(1782), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2080), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1072), 1,
      sym__expression,
    STATE(1784), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2082), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1062), 1,
      sym__expression,
    STATE(1887), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2084), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym__expression,
    STATE(1966), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2086), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1073), 1,
      sym__expression,
    STATE(1786), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2088), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1012), 1,
      sym__expression,
    STATE(1883), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1289), 1,
      sym__declaration_specifiers,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1514), 1,
      sym__abstract_declarator,
    STATE(1638), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [7198] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(776), 1,
      sym_initializer_list,
    STATE(777), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7294] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2094), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1056), 1,
      sym__expression,
    STATE(1894), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7394] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(776), 1,
      sym_initializer_list,
    STATE(777), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7494] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2096), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1074), 1,
      sym__expression,
    STATE(1789), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7594] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2098), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1080), 1,
      sym__expression,
    STATE(1880), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7694] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2100), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1030), 1,
      sym__expression,
    STATE(1810), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7794] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2102), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym__expression,
    STATE(1792), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7894] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(776), 1,
      sym_initializer_list,
    STATE(841), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2104), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym__expression,
    STATE(1963), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2106), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1011), 1,
      sym__expression,
    STATE(1938), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2108), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1033), 1,
      sym__expression,
    STATE(1805), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2110), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1055), 1,
      sym__expression,
    STATE(1941), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2112), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1038), 1,
      sym__expression,
    STATE(1779), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2114), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym__expression,
    STATE(1774), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1046), 1,
      sym__expression,
    STATE(1767), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym__expression,
    STATE(1838), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2120), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1053), 1,
      sym__expression,
    STATE(1814), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1019), 1,
      sym__expression,
    STATE(1695), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2122), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1015), 1,
      sym__expression,
    STATE(1927), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2124), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1079), 1,
      sym__expression,
    STATE(1716), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1067), 1,
      sym__expression,
    STATE(1871), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2128), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1076), 1,
      sym__expression,
    STATE(1718), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1023), 1,
      sym__expression,
    STATE(1694), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2130), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym__expression,
    STATE(1954), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2132), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1081), 1,
      sym__expression,
    STATE(1853), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2134), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym__expression,
    STATE(1956), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym__expression,
    STATE(1776), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1013), 1,
      sym__expression,
    STATE(1974), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2140), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1031), 1,
      sym__expression,
    STATE(1773), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1028), 1,
      sym__expression,
    STATE(1911), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2144), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1082), 1,
      sym__expression,
    STATE(1851), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1085), 1,
      sym__expression,
    STATE(1657), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2146), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1088), 1,
      sym__expression,
    STATE(1849), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2148), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1026), 1,
      sym__expression,
    STATE(1932), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1086), 1,
      sym__expression,
    STATE(1847), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1042), 1,
      sym__expression,
    STATE(1920), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2154), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1049), 1,
      sym__expression,
    STATE(1986), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1045), 1,
      sym__expression,
    STATE(1918), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2158), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1017), 1,
      sym__expression,
    STATE(1769), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1070), 1,
      sym__expression,
    STATE(1843), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2162), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1014), 1,
      sym__expression,
    STATE(1959), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2164), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1057), 1,
      sym__expression,
    STATE(1840), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2166), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym__expression,
    STATE(1766), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1184), 1,
      anon_sym_LBRACE,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(776), 1,
      sym_initializer_list,
    STATE(841), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2168), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1068), 1,
      sym__expression,
    STATE(1930), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2170), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1089), 1,
      sym__expression,
    STATE(1921), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11790] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2172), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1021), 1,
      sym__expression,
    STATE(1971), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2174), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1050), 1,
      sym__expression,
    STATE(1837), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11990] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2176), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1027), 1,
      sym__expression,
    STATE(1872), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2178), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym__expression,
    STATE(1969), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2180), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_string_literal,
    STATE(1029), 1,
      sym__expression,
    STATE(1834), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2182), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1051), 1,
      sym__expression,
    STATE(1962), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2184), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_string_literal,
    STATE(1084), 1,
      sym__expression,
    STATE(1908), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12490] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1078), 1,
      sym__expression,
    STATE(1980), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2186), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1096), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12684] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(985), 1,
      sym__expression,
    STATE(1640), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    STATE(1764), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12878] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2188), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2190), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1122), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13068] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2192), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13161] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2194), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13254] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2196), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13347] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2198), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13440] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2200), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13533] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1121), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2204), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_string_literal,
    STATE(1125), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13727] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2206), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13820] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2208), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13913] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2210), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14006] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2212), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14099] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(954), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(768), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14283] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14377] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1006), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14471] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1126), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14565] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1024), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14659] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1124), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14753] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1127), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2214), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_ms_call_modifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1349), 1,
      sym__declaration_specifiers,
    STATE(464), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [14943] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(936), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15037] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1102), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15131] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2216), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_ms_call_modifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1341), 1,
      sym__declaration_specifiers,
    STATE(487), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [15227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(769), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    ACTIONS(2218), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(827), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15407] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(837), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15497] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(792), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15587] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(842), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15677] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15861] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15951] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(845), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16041] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(788), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16131] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1095), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16225] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(844), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16315] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1120), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16409] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(835), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16499] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(838), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16589] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(793), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16679] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1098), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16773] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(774), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16863] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(948), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16957] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1099), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17051] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(914), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17145] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1134), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17239] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1123), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17333] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(910), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17427] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(964), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17521] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1133), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(829), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17705] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1119), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17799] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(956), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17893] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(961), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17987] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(963), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18081] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(774), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18175] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(975), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18269] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(790), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18359] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1091), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(786), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18543] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LBRACE,
    STATE(816), 1,
      sym_ms_call_modifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1339), 1,
      sym__declaration_specifiers,
    STATE(205), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [18639] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1135), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18823] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(830), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18913] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(798), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19003] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19097] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(989), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19191] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1136), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19285] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(803), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19375] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    ACTIONS(2224), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(946), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19469] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(806), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19559] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1112), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19653] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(807), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19743] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(831), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19833] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(809), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19927] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1131), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20021] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1104), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20115] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    ACTIONS(2226), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_string_literal,
    STATE(1128), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20209] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(833), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20299] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(837), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(836), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20483] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(932), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20577] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20671] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(778), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20761] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1063), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20855] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(787), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20949] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(787), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21039] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1440), 1,
      anon_sym_LPAREN2,
    ACTIONS(1450), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1442), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1444), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1448), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21129] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1105), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21223] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2228), 1,
      anon_sym_LBRACE,
    STATE(815), 1,
      sym_ms_call_modifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1343), 1,
      sym__declaration_specifiers,
    STATE(499), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [21319] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(1106), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_ms_call_modifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1355), 1,
      sym__declaration_specifiers,
    STATE(139), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(37), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [21509] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(809), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1763), 1,
      sym_identifier,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1775), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(842), 1,
      sym__expression,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1771), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1773), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(847), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21693] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1174), 1,
      anon_sym_LPAREN2,
    ACTIONS(1188), 1,
      anon_sym_sizeof,
    STATE(753), 1,
      sym_string_literal,
    STATE(767), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1178), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1186), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_identifier,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(797), 20,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21783] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(79), 1,
      anon_sym_sizeof,
    ACTIONS(81), 1,
      anon_sym_offsetof,
    ACTIONS(83), 1,
      anon_sym__Generic,
    ACTIONS(147), 1,
      sym_number_literal,
    ACTIONS(1753), 1,
      sym_identifier,
    STATE(753), 1,
      sym_string_literal,
    STATE(1107), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(77), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(95), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(149), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(811), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(797), 15,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_identifier,
    STATE(754), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1972), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(1966), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      sym_identifier,
    STATE(755), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2238), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2236), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_identifier,
    STATE(755), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2247), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2245), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2243), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2252), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2256), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_const,
    ACTIONS(1968), 1,
      anon_sym_LPAREN2,
    ACTIONS(1974), 1,
      anon_sym_STAR,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1995), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(1977), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22254] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1289), 1,
      sym__declaration_specifiers,
    STATE(1638), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [22341] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1289), 1,
      sym__declaration_specifiers,
    STATE(1705), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [22425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2258), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1755), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [22529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1759), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [22581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2260), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [22633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2262), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2266), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2270), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22798] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2288), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2308), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2284), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2274), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2310), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2314), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2318), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2322), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2274), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2270), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2326), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2330), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23327] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2336), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2334), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2340), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2338), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2342), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2350), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23602] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2288), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    ACTIONS(2356), 1,
      anon_sym_EQ,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2354), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2358), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2362), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2366), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23838] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2274), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23913] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2370), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [23972] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_EQ,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2374), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2380), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2382), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24222] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_EQ,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24301] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2288), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2290), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2292), 1,
      anon_sym_PIPE,
    ACTIONS(2294), 1,
      anon_sym_CARET,
    ACTIONS(2296), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_EQ,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2386), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2390), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2394), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2398), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2402), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24590] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2298), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2270), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2406), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2410), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2414), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2418), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24867] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2300), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2302), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2270), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2422), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2426), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2270), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2286), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2270), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2430), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2436), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2434), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2438), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1371), 1,
      sym__declaration_specifiers,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(813), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2446), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2442), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2444), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [25519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1370), 1,
      sym__declaration_specifiers,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1358), 1,
      sym__declaration_specifiers,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25673] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1375), 1,
      sym__declaration_specifiers,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25750] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(945), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1368), 1,
      sym__declaration_specifiers,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(819), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym___attribute__,
    ACTIONS(2459), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2462), 1,
      anon_sym___declspec,
    ACTIONS(2451), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(2453), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2465), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2449), 11,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(49), 1,
      anon_sym_enum,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(947), 1,
      sym__type_specifier,
    STATE(981), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [25961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1991), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [26061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1993), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1981), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_COLON,
    ACTIONS(1983), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26326] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2380), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26388] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2356), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2484), 1,
      anon_sym_PIPE,
    ACTIONS(2486), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2354), 12,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26466] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2274), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26536] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2486), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2274), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26608] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_EQ,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2484), 1,
      anon_sym_PIPE,
    ACTIONS(2486), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2274), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2270), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26738] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_EQ,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2484), 1,
      anon_sym_PIPE,
    ACTIONS(2486), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2270), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26814] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2484), 1,
      anon_sym_PIPE,
    ACTIONS(2486), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2496), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2284), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26894] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2270), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2270), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27018] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2436), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2434), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27074] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2270), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27142] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2388), 1,
      anon_sym_EQ,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2484), 1,
      anon_sym_PIPE,
    ACTIONS(2486), 1,
      anon_sym_CARET,
    ACTIONS(2488), 1,
      anon_sym_AMP,
    ACTIONS(2496), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2490), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2492), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2494), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2386), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27222] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1363), 1,
      sym__declarator,
    STATE(1469), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(982), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1003), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [27300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2336), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2334), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2370), 20,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [27410] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2340), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2338), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2478), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2270), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27528] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2474), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2476), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2274), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2270), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2426), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_EQ,
    ACTIONS(2510), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 14,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2310), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2346), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1422), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2516), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2520), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2540), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1406), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2548), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2552), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2568), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1360), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2572), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1372), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1402), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2576), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1398), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2580), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2468), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1422), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2568), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2548), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2552), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2584), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2572), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2576), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2580), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1398), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1402), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1372), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1360), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1406), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2520), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2516), 33,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2254), 31,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2588), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1755), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2250), 31,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1759), 27,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2580), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2532), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2552), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2548), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30329] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2274), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2576), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30511] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2270), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2556), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(680), 1,
      sym_string_literal,
    ACTIONS(2604), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2588), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2560), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2564), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(717), 1,
      sym_string_literal,
    ACTIONS(2604), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2588), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1422), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(748), 1,
      sym_string_literal,
    ACTIONS(2604), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2588), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2520), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1398), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2520), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2610), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2608), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2606), 20,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2576), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2572), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2572), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2536), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2516), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31265] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2354), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [31337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2532), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2625), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2627), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1398), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31469] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2284), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [31543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1402), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1402), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2552), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2516), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2548), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2528), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2512), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2524), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2631), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2633), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(966), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31915] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2380), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [31973] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2635), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2637), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(934), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [32025] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2270), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2564), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2544), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(746), 1,
      sym_string_literal,
    ACTIONS(2604), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2588), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2536), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(677), 1,
      sym_string_literal,
    ACTIONS(2604), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2588), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_PIPE,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2536), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32395] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2274), 1,
      anon_sym_PIPE,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1372), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2568), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2556), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1360), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32623] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1406), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32801] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2274), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2270), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [32865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2528), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2639), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2641), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(818), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [32957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1406), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2568), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2580), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1360), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1372), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33197] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2386), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [33271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1422), 31,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33311] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2274), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2270), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [33365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2560), 30,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1222), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [33444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1222), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [33483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1338), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [33522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1338), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [33561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      sym_identifier,
    ACTIONS(2652), 1,
      sym_primitive_type,
    STATE(926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2646), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2648), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33608] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1381), 1,
      sym__declarator,
    STATE(1470), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(2654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33670] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_SEMI,
    ACTIONS(2631), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2633), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(966), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33721] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2658), 1,
      anon_sym_SEMI,
    ACTIONS(2631), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2633), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(966), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33772] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2662), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [33845] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1408), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(996), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1227), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33904] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2670), 1,
      anon_sym_SEMI,
    ACTIONS(2631), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2633), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(966), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33955] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1377), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1201), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34014] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2676), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [34085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym___attribute__,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(2687), 1,
      anon_sym_COLON,
    STATE(1140), 1,
      sym_enumerator_list,
    STATE(1174), 1,
      sym_attribute_specifier,
    ACTIONS(2680), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2678), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2689), 1,
      anon_sym_SEMI,
    ACTIONS(2631), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2633), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(966), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34183] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    STATE(1622), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [34258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_field_declaration_list,
    STATE(1153), 1,
      sym_attribute_specifier,
    ACTIONS(2697), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2695), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1360), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1004), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1219), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34362] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1360), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1219), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34421] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1395), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1223), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34480] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1395), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1008), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1223), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      sym_field_declaration_list,
    STATE(1141), 1,
      sym_attribute_specifier,
    ACTIONS(2709), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2707), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34584] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(1160), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2711), 1,
      anon_sym_SEMI,
    ACTIONS(2631), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2633), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(41), 6,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
    STATE(966), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(1094), 1,
      sym_field_declaration_list,
    STATE(1169), 1,
      sym_attribute_specifier,
    ACTIONS(2715), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2713), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1372), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(995), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1218), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34739] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1363), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1003), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1204), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34798] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1381), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1195), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1361), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1220), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1381), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(988), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1195), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34975] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    STATE(1573), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35050] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    ACTIONS(2721), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    STATE(1548), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1415), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    ACTIONS(2504), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1222), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2502), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym_field_declaration_list,
    STATE(1164), 1,
      sym_attribute_specifier,
    ACTIONS(2725), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2723), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [35229] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    STATE(785), 1,
      sym_argument_list,
    STATE(1550), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2731), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2733), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2735), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2737), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2739), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2741), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35736] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2743), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2745), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35880] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2747), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [35950] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2749), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36022] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2751), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(2757), 1,
      anon_sym___attribute__,
    STATE(1144), 1,
      sym_attribute_specifier,
    STATE(1148), 1,
      sym_enumerator_list,
    ACTIONS(2755), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2753), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [36138] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [36208] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [36278] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36350] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2766), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36422] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2768), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36494] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2770), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36566] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2772), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36638] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2774), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36710] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2776), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2778), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2780), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36926] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2782), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2784), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37070] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2786), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37214] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2790), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37286] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2792), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37358] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2794), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2796), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2798), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37574] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2800), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37646] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2802), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37718] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2804), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37790] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2806), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37862] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2808), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37934] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2810), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2812), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38078] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2814), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2816), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2818), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38294] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2820), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2822), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38438] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2824), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38510] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38582] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38654] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38726] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2832), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38798] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2834), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38870] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2836), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38942] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39014] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2840), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [39084] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2842), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39156] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2844), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2848), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39372] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2850), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39444] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2852), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39516] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2854), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39588] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2856), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39660] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2858), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39732] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39804] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2862), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39876] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2864), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39948] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2866), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2868), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40092] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2870), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40164] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2872), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40236] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2874), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40308] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2876), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40380] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2878), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40452] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2880), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40524] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40596] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [40666] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2886), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40738] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40808] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2890), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40880] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2892), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [40952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2894), 1,
      anon_sym_enum,
    STATE(1188), 1,
      sym__type_specifier,
    STATE(1196), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1905), 1,
      sym_type_descriptor,
    STATE(1159), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41007] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2274), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1162), 1,
      sym_attribute_specifier,
    ACTIONS(2912), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2910), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41105] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1152), 1,
      sym_attribute_specifier,
    ACTIONS(2928), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2926), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41213] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2930), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [41282] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [41351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1176), 1,
      sym_attribute_specifier,
    ACTIONS(2936), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2934), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    ACTIONS(2938), 1,
      anon_sym_RBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41459] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    ACTIONS(2940), 1,
      anon_sym_RBRACK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41528] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(1188), 1,
      sym__type_specifier,
    STATE(1196), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1801), 1,
      sym_type_descriptor,
    STATE(1154), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41583] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41652] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2284), 1,
      anon_sym_RBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1165), 1,
      sym_attribute_specifier,
    ACTIONS(2944), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2942), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41760] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2946), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [41829] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2948), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [41898] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2386), 1,
      anon_sym_RBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41967] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2950), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42036] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42105] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2894), 1,
      anon_sym_enum,
    STATE(1188), 1,
      sym__type_specifier,
    STATE(1196), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1935), 1,
      sym_type_descriptor,
    STATE(1159), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42160] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42298] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2952), 1,
      anon_sym_RPAREN,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1160), 1,
      sym_attribute_specifier,
    ACTIONS(2956), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2954), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42406] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1158), 1,
      sym_attribute_specifier,
    ACTIONS(2960), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2958), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1171), 1,
      sym_attribute_specifier,
    ACTIONS(2964), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2962), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1163), 1,
      sym_attribute_specifier,
    ACTIONS(2968), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2966), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42661] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2354), 2,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42728] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2970), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42797] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2972), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42866] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42935] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2976), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43004] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2270), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43055] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2978), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43124] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2274), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2270), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43177] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2980), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43246] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2380), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2274), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43356] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43425] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    ACTIONS(2982), 1,
      anon_sym_COLON,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43494] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_PIPE,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_PIPE,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43687] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2274), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2270), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43736] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43801] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2270), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43864] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(1188), 1,
      sym__type_specifier,
    STATE(1196), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1803), 1,
      sym_type_descriptor,
    STATE(1154), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43919] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 1,
      anon_sym_RBRACK,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2472), 1,
      anon_sym_LPAREN2,
    ACTIONS(2900), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2916), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2918), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_CARET,
    ACTIONS(2922), 1,
      anon_sym_AMP,
    ACTIONS(2924), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2902), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2904), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2906), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym___attribute__,
    STATE(1143), 1,
      sym_attribute_specifier,
    ACTIONS(2986), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2984), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2991), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2997), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2995), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2999), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3005), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3003), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3007), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3011), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3015), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym___attribute__,
    STATE(1146), 1,
      sym_attribute_specifier,
    ACTIONS(3021), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3019), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3028), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3026), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN2,
    ACTIONS(1977), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1964), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3033), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3037), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3041), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44474] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(1841), 1,
      sym_identifier,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1196), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3045), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2444), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3049), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2442), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3052), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3056), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44666] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1841), 1,
      sym_identifier,
    ACTIONS(2894), 1,
      anon_sym_enum,
    STATE(1192), 1,
      sym__type_specifier,
    STATE(1196), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(1749), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1147), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3060), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3064), 25,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3068), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3072), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3076), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3080), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_SEMI,
    ACTIONS(2404), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2402), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [44958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym___attribute__,
    STATE(1172), 1,
      sym_attribute_specifier,
    ACTIONS(3088), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3086), 18,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3093), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3097), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3101), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3107), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3105), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3109), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45166] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_LBRACK,
    ACTIONS(2596), 1,
      anon_sym_SLASH,
    ACTIONS(2613), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2617), 1,
      anon_sym_PIPE,
    ACTIONS(2619), 1,
      anon_sym_CARET,
    ACTIONS(2621), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_QMARK,
    STATE(785), 1,
      sym_argument_list,
    ACTIONS(2280), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2282), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2592), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2594), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2598), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2600), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3113), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3117), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3121), 19,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3129), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1181), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1205), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3131), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1225), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45432] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3133), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1183), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1199), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45481] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3135), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1210), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45530] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1207), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3139), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1180), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1215), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45628] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3141), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1214), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45677] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3143), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1178), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1228), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45726] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3145), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1186), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1197), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_struct,
    ACTIONS(53), 1,
      anon_sym_union,
    ACTIONS(1751), 1,
      anon_sym_enum,
    ACTIONS(3125), 1,
      sym_identifier,
    ACTIONS(3147), 1,
      sym_primitive_type,
    STATE(1328), 1,
      aux_sym__typedef_sized_type_specifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1202), 5,
      sym__typedef_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_LPAREN2,
    ACTIONS(3156), 1,
      anon_sym_LBRACK,
    ACTIONS(1977), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3149), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1964), 18,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym_thread_local,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [45862] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_const,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1459), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1193), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3159), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3161), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_LPAREN2,
    STATE(1248), 1,
      sym_preproc_argument_list,
    ACTIONS(3167), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3163), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45942] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_const,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1470), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2654), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3161), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45988] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_const,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1458), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3169), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3161), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_const,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1471), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1191), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3171), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3161), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46080] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_const,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1455), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3173), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3161), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46126] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_const,
    ACTIONS(2090), 1,
      anon_sym_LPAREN2,
    ACTIONS(2092), 1,
      anon_sym_STAR,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1469), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1190), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(2500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3161), 7,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46172] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1377), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      sym_primitive_type,
    ACTIONS(3175), 1,
      sym_identifier,
    STATE(926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2646), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2648), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46252] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1423), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1198), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46295] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1424), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46338] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1399), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1212), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3189), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1213), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [46424] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1380), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46467] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1409), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1229), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46510] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1404), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1381), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46596] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1413), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1206), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46639] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1396), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1397), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1209), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46725] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(3195), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1217), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [46768] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1398), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1407), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1216), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46854] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1419), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46897] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1421), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3207), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3209), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    STATE(1543), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46995] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1418), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1211), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1410), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1203), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47081] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1422), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3207), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3209), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47179] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1360), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47222] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1361), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1376), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47308] = 5,
    ACTIONS(3163), 1,
      anon_sym_LF,
    ACTIONS(3227), 1,
      anon_sym_LPAREN2,
    ACTIONS(3229), 1,
      sym_comment,
    STATE(1296), 1,
      sym_preproc_argument_list,
    ACTIONS(3167), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47341] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1402), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47384] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1415), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47427] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1400), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47470] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1411), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1224), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1412), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47556] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1395), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47599] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1414), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1226), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1403), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1156), 2,
      sym_type_qualifier,
      aux_sym_type_definition_repeat1,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(43), 8,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3231), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1282), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3235), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3233), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3237), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1314), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 1,
      anon_sym_COLON,
    STATE(1174), 1,
      sym_attribute_specifier,
    STATE(1322), 1,
      sym_enumerator_list,
    ACTIONS(2680), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2678), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [47843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3251), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1318), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3255), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1317), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3257), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1305), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3259), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3207), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3209), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3263), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48041] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3265), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1303), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48081] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3267), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1294), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48121] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3269), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1298), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3271), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1299), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3273), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1302), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48241] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3275), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1291), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3277), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1306), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3279), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1238), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3281), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1320), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3283), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3287), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1293), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3289), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1327), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3295), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3300), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1251), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3297), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3293), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [48533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3303), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1307), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3305), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1297), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48613] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3307), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1309), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3309), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48681] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3313), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1310), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3315), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1284), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48761] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3317), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1283), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48801] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3319), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1280), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3321), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3325), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1255), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3327), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1312), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3331), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3329), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3333), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1279), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    STATE(1144), 1,
      sym_attribute_specifier,
    STATE(1323), 1,
      sym_enumerator_list,
    ACTIONS(2755), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2753), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [49053] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3335), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1278), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49093] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3337), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1277), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49133] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3339), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1231), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2430), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3341), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1316), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3235), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3233), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3343), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1308), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3235), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3233), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3345), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1273), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3347), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1319), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_LPAREN2,
    ACTIONS(3183), 1,
      anon_sym_defined,
    ACTIONS(3349), 1,
      sym_number_literal,
    ACTIONS(3185), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3191), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1271), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49471] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3235), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3233), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3235), 1,
      anon_sym_PIPE,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49557] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3235), 1,
      anon_sym_PIPE,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [49603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [49649] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3351), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1321), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49689] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3209), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3233), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [49737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3233), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3235), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3233), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3353), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1290), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49837] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_LPAREN2,
    ACTIONS(3245), 1,
      anon_sym_defined,
    ACTIONS(3355), 1,
      sym_number_literal,
    ACTIONS(3247), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3249), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3253), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1313), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3359), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3357), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3363), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3361), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49933] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN2,
    ACTIONS(1867), 1,
      anon_sym_STAR,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2506), 1,
      anon_sym_LBRACK,
    STATE(1440), 1,
      sym__declarator,
    STATE(1479), 1,
      sym__abstract_declarator,
    STATE(1504), 1,
      sym_parameter_list,
    STATE(1811), 1,
      sym_ms_based_modifier,
    ACTIONS(3365), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1482), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [49981] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LF,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50026] = 9,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3235), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50065] = 3,
    ACTIONS(2430), 1,
      anon_sym_LF,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(2432), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50092] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3207), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3209), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3389), 1,
      anon_sym_RPAREN,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50141] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3235), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50172] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym_LF,
    ACTIONS(3323), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50199] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_LF,
    ACTIONS(3285), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50226] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3391), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50271] = 6,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3235), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50304] = 7,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3235), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50339] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LF,
    ACTIONS(3331), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50366] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LF,
    ACTIONS(3261), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50393] = 8,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3235), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [50430] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3393), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50475] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LF,
    ACTIONS(3359), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50502] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3395), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50547] = 10,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3235), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50588] = 11,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50631] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3397), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50676] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50721] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3235), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50748] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_LF,
    ACTIONS(3291), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50775] = 4,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3235), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50804] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3399), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50849] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_SLASH,
    ACTIONS(3207), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3209), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3211), 1,
      anon_sym_PIPE,
    ACTIONS(3213), 1,
      anon_sym_CARET,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(3401), 1,
      anon_sym_RPAREN,
    ACTIONS(3201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3217), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3219), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3221), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3223), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50898] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_LF,
    ACTIONS(3363), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50925] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3403), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [50970] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3405), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51015] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_LF,
    ACTIONS(3311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51042] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3407), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51087] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3409), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51132] = 12,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    ACTIONS(3379), 1,
      anon_sym_CARET,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3411), 1,
      anon_sym_LF,
    ACTIONS(3369), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3371), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3385), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1143), 1,
      sym_attribute_specifier,
    ACTIONS(2986), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2984), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1146), 1,
      sym_attribute_specifier,
    ACTIONS(3021), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3019), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    STATE(1172), 1,
      sym_attribute_specifier,
    ACTIONS(3088), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3086), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3413), 15,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1326), 1,
      aux_sym__typedef_sized_type_specifier,
    ACTIONS(3419), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3417), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3424), 15,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1326), 1,
      aux_sym__typedef_sized_type_specifier,
    ACTIONS(3430), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3428), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51375] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_const,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3434), 1,
      anon_sym_COLON,
    STATE(1174), 1,
      sym_attribute_specifier,
    STATE(1322), 1,
      sym_enumerator_list,
    ACTIONS(2680), 10,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3437), 14,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_identifier,
  [51433] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(3441), 1,
      anon_sym_SEMI,
    STATE(1335), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1988), 1,
      sym_attribute_specifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [51471] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(3443), 1,
      anon_sym_SEMI,
    STATE(1338), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1885), 1,
      sym_attribute_specifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [51509] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(3445), 1,
      anon_sym_SEMI,
    STATE(1337), 1,
      sym__field_declarator,
    STATE(1833), 1,
      sym_attribute_specifier,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [51547] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym___attribute__,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_SEMI,
    STATE(1336), 1,
      sym__field_declarator,
    STATE(1733), 1,
      sym_attribute_specifier,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [51585] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3453), 1,
      anon_sym_SEMI,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1477), 1,
      sym_bitfield_clause,
    STATE(1496), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1931), 1,
      sym_attribute_specifier,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [51626] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    ACTIONS(3459), 1,
      anon_sym_SEMI,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1480), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1481), 1,
      sym_bitfield_clause,
    STATE(1722), 1,
      sym_attribute_specifier,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [51667] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    ACTIONS(3461), 1,
      anon_sym_SEMI,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1493), 1,
      sym_bitfield_clause,
    STATE(1494), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1884), 1,
      sym_attribute_specifier,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [51708] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    ACTIONS(3463), 1,
      anon_sym_SEMI,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1483), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1484), 1,
      sym_bitfield_clause,
    STATE(1874), 1,
      sym_attribute_specifier,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [51749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1354), 1,
      sym__declarator,
    STATE(1620), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1391), 1,
      sym__declarator,
    STATE(1569), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51813] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1357), 1,
      sym__declarator,
    STATE(1599), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1386), 1,
      sym__declarator,
    STATE(1620), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51877] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1347), 1,
      sym__declarator,
    STATE(1628), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1393), 1,
      sym__declarator,
    STATE(1575), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [51941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LPAREN2,
    ACTIONS(3470), 1,
      anon_sym_STAR,
    ACTIONS(3465), 10,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [51963] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3474), 1,
      anon_sym_SEMI,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    STATE(153), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1588), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52001] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3480), 1,
      anon_sym_SEMI,
    STATE(494), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1625), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1390), 1,
      sym__declarator,
    STATE(1628), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym__declarator,
    STATE(1569), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52103] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1383), 1,
      sym__declarator,
    STATE(1606), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1389), 1,
      sym__declarator,
    STATE(1599), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3484), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3487), 1,
      anon_sym_LBRACK,
    STATE(1352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3482), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [52191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1406), 1,
      sym__declarator,
    STATE(1656), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52223] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3489), 1,
      anon_sym_SEMI,
    STATE(216), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1613), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52261] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1346), 1,
      sym__declarator,
    STATE(1606), 1,
      sym_init_declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52293] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(593), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3491), 1,
      anon_sym_SEMI,
    STATE(463), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1562), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52331] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(460), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3493), 1,
      anon_sym_SEMI,
    STATE(490), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1571), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [52369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1430), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_identifier,
    ACTIONS(3495), 1,
      anon_sym_RPAREN,
    ACTIONS(3497), 1,
      anon_sym_COLON,
    STATE(1554), 1,
      sym_gnu_asm_output_operand_list,
    STATE(754), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [52425] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3499), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [52452] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3501), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [52479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3505), 1,
      anon_sym_LBRACK,
    STATE(1366), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3503), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3507), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym___attribute__,
    ACTIONS(3514), 1,
      anon_sym_LBRACK,
    STATE(1364), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3509), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_identifier,
    ACTIONS(3497), 1,
      anon_sym_COLON,
    ACTIONS(3516), 1,
      anon_sym_RPAREN,
    STATE(1629), 1,
      sym_gnu_asm_output_operand_list,
    STATE(754), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [52579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3520), 1,
      anon_sym_LBRACK,
    STATE(1364), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3518), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1563), 1,
      sym_bitfield_clause,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3522), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [52633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1448), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52662] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1450), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1425), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1427), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3524), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [52776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1367), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1452), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2498), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_LPAREN2,
    ACTIONS(2674), 1,
      anon_sym_STAR,
    STATE(1449), 1,
      sym__declarator,
    STATE(1811), 1,
      sym_ms_based_modifier,
    STATE(1438), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3526), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [52890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3528), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [52917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2701), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_LPAREN2,
    ACTIONS(2705), 1,
      anon_sym_STAR,
    STATE(1453), 1,
      sym__field_declarator,
    STATE(1835), 1,
      sym_ms_based_modifier,
    STATE(1445), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [52946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym___based,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2666), 1,
      anon_sym_LPAREN2,
    ACTIONS(2668), 1,
      anon_sym_STAR,
    STATE(1444), 1,
      sym__type_declarator,
    STATE(1785), 1,
      sym_ms_based_modifier,
    STATE(1460), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52975] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3530), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3532), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_LBRACK,
    ACTIONS(3534), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [53047] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3474), 1,
      anon_sym_SEMI,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1588), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3540), 1,
      anon_sym_LBRACK,
    STATE(1352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3538), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [53101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_LBRACK,
    ACTIONS(3542), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [53119] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3489), 1,
      anon_sym_SEMI,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1613), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3548), 1,
      anon_sym_LBRACK,
    STATE(1352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3546), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    STATE(1513), 1,
      sym_gnu_asm_input_operand,
    STATE(1957), 1,
      sym_string_literal,
    ACTIONS(3550), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53197] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3493), 1,
      anon_sym_SEMI,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1571), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3480), 1,
      anon_sym_SEMI,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1625), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53261] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3491), 1,
      anon_sym_SEMI,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1562), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_LBRACK,
    STATE(1521), 1,
      sym_gnu_asm_output_operand,
    STATE(1939), 1,
      sym_string_literal,
    ACTIONS(3554), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3558), 1,
      anon_sym_SEMI,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1586), 1,
      aux_sym_declaration_repeat1,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_LBRACK,
    ACTIONS(3560), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [53367] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3564), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [53392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3570), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1591), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3572), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1584), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53450] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3574), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1580), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3576), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1545), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3578), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1614), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      sym_identifier,
    ACTIONS(3584), 1,
      sym_system_lib_string,
    STATE(1824), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3586), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [53583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3588), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1552), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53612] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3590), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1540), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 1,
      sym_identifier,
    ACTIONS(3594), 1,
      sym_system_lib_string,
    STATE(1893), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53662] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    STATE(1362), 1,
      sym_parameter_list,
    ACTIONS(3596), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3598), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1542), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3600), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [53743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3602), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1564), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3604), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1568), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53801] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3606), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1604), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3608), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1603), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53859] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3610), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1602), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3612), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1593), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [53917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3614), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [53942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      sym_identifier,
    ACTIONS(3618), 1,
      sym_system_lib_string,
    STATE(1848), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      sym_system_lib_string,
    STATE(1770), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [53984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3624), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1541), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3626), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1565), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3630), 1,
      sym_system_lib_string,
    STATE(1955), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3632), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1539), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3634), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1547), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54121] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3636), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1637), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3638), 1,
      anon_sym_SEMI,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1607), 1,
      aux_sym_type_definition_repeat2,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54179] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(460), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(486), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1510), 1,
      sym_string_literal,
    ACTIONS(3640), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(593), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(458), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LBRACK,
    ACTIONS(3642), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    STATE(1577), 1,
      sym_gnu_asm_input_operand,
    STATE(1957), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(496), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_LBRACK,
    ACTIONS(3646), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_LBRACK,
    ACTIONS(3650), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_LBRACK,
    ACTIONS(3654), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK,
    ACTIONS(3658), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_LBRACK,
    ACTIONS(3662), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_LBRACK,
    ACTIONS(3674), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_LBRACK,
    STATE(1567), 1,
      sym_gnu_asm_output_operand,
    STATE(1939), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym_parameter_list,
    ACTIONS(3678), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3682), 1,
      anon_sym_LBRACK,
    STATE(1352), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3680), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [54503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_LBRACK,
    ACTIONS(3684), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3690), 1,
      anon_sym_LBRACK,
    ACTIONS(3688), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    STATE(1473), 1,
      sym_parameter_list,
    ACTIONS(3692), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACK,
    ACTIONS(3694), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [54575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_LBRACK,
    ACTIONS(3698), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_LBRACK,
    ACTIONS(3702), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(152), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    STATE(215), 1,
      sym_compound_statement,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3706), 1,
      anon_sym_RPAREN,
    STATE(1473), 1,
      sym_parameter_list,
    STATE(1441), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1365), 1,
      sym_string_literal,
    STATE(1624), 1,
      sym_concatenated_string,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3476), 1,
      anon_sym_LBRACK,
    ACTIONS(3708), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym_parameter_list,
    STATE(1387), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54722] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_LBRACK,
    ACTIONS(3710), 1,
      anon_sym_RPAREN,
    STATE(1433), 1,
      sym_parameter_list,
    STATE(1384), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1359), 1,
      sym_string_literal,
    STATE(1627), 1,
      sym_concatenated_string,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3712), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [54780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_LBRACK,
    ACTIONS(3716), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [54794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1902), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3720), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [54826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3722), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [54844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_LBRACK,
    ACTIONS(3724), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [54858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACK,
    ACTIONS(3728), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [54872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LBRACK,
    ACTIONS(3732), 1,
      anon_sym_EQ,
    ACTIONS(3734), 1,
      anon_sym_DOT,
    STATE(1466), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [54890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_LPAREN2,
    STATE(1463), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3738), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [54906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_LPAREN2,
    STATE(1463), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3743), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [54922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1916), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [54936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_LBRACK,
    ACTIONS(3748), 1,
      anon_sym_EQ,
    ACTIONS(3750), 1,
      anon_sym_DOT,
    STATE(1466), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [54954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3755), 1,
      anon_sym_LBRACK,
    ACTIONS(3753), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [54968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACK,
    ACTIONS(3757), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [54982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3761), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3763), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3765), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 1,
      anon_sym_LBRACK,
    ACTIONS(3767), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_LBRACK,
    ACTIONS(3771), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_LPAREN2,
    STATE(1464), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3743), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [55080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_LBRACK,
    ACTIONS(3777), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [55094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1589), 1,
      sym_string_literal,
    ACTIONS(91), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_SEMI,
    STATE(1503), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1965), 1,
      sym_attribute_specifier,
  [55127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3783), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    STATE(1500), 1,
      sym_parameter_list,
    ACTIONS(3678), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [55155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3785), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1762), 1,
      sym_attribute_specifier,
  [55174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3787), 1,
      anon_sym_SEMI,
    STATE(1495), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1751), 1,
      sym_attribute_specifier,
  [55193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1855), 1,
      sym_attribute_specifier,
  [55223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3793), 1,
      anon_sym_SEMI,
    STATE(1485), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1857), 1,
      sym_attribute_specifier,
  [55242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3795), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1845), 1,
      sym_attribute_specifier,
  [55261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(3797), 1,
      sym_identifier,
    STATE(1113), 1,
      sym_field_declaration_list,
    STATE(1605), 1,
      sym_ms_declspec_modifier,
  [55280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___declspec,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(3799), 1,
      sym_identifier,
    STATE(1103), 1,
      sym_field_declaration_list,
    STATE(1596), 1,
      sym_ms_declspec_modifier,
  [55299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    STATE(1501), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1968), 1,
      sym_attribute_specifier,
  [55373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3813), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1967), 1,
      sym_attribute_specifier,
  [55392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1738), 1,
      sym_attribute_specifier,
  [55411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3817), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1950), 1,
      sym_attribute_specifier,
  [55430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    ACTIONS(3825), 1,
      anon_sym_COLON_COLON,
    STATE(1666), 1,
      sym_argument_list,
    ACTIONS(3823), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [55469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3827), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3829), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1940), 1,
      sym_attribute_specifier,
  [55499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3831), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym___attribute__,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3833), 1,
      anon_sym_SEMI,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(1993), 1,
      sym_attribute_specifier,
  [55529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3835), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [55540] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_LF,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3841), 1,
      sym_preproc_arg,
    STATE(1693), 1,
      sym_preproc_params,
  [55556] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3843), 1,
      anon_sym_LF,
    ACTIONS(3845), 1,
      sym_preproc_arg,
    STATE(1686), 1,
      sym_preproc_params,
  [55572] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3847), 1,
      anon_sym_LF,
    ACTIONS(3849), 1,
      sym_preproc_arg,
    STATE(1683), 1,
      sym_preproc_params,
  [55588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3851), 1,
      anon_sym_COMMA,
    STATE(1508), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(3854), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55602] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3860), 1,
      sym_escape_sequence,
    STATE(1531), 1,
      aux_sym_string_literal_repeat1,
  [55618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_COMMA,
    STATE(1529), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3864), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_COMMA,
    STATE(1511), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3869), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1530), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3873), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_COMMA,
    STATE(1532), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3877), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_LPAREN2,
    ACTIONS(3714), 1,
      anon_sym_LBRACK,
    ACTIONS(3879), 1,
      anon_sym_RPAREN,
    STATE(1500), 1,
      sym_parameter_list,
  [55690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [55700] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3858), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3860), 1,
      sym_escape_sequence,
    ACTIONS(3883), 1,
      anon_sym_DQUOTE,
    STATE(1531), 1,
      aux_sym_string_literal_repeat1,
  [55716] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3885), 1,
      anon_sym_DQUOTE,
    ACTIONS(3887), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3889), 1,
      sym_escape_sequence,
    STATE(1519), 1,
      aux_sym_string_literal_repeat1,
  [55732] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3891), 1,
      anon_sym_LF,
    ACTIONS(3893), 1,
      sym_preproc_arg,
    STATE(1661), 1,
      sym_preproc_params,
  [55748] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3858), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3860), 1,
      sym_escape_sequence,
    ACTIONS(3895), 1,
      anon_sym_DQUOTE,
    STATE(1531), 1,
      aux_sym_string_literal_repeat1,
  [55764] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3897), 1,
      anon_sym_LF,
    ACTIONS(3899), 1,
      sym_preproc_arg,
    STATE(1702), 1,
      sym_preproc_params,
  [55780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1512), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3901), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3903), 1,
      anon_sym_COMMA,
    STATE(1522), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3906), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55808] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3908), 1,
      anon_sym_LF,
    ACTIONS(3910), 1,
      sym_preproc_arg,
    STATE(1688), 1,
      sym_preproc_params,
  [55824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(1675), 1,
      sym_argument_list,
    ACTIONS(3912), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [55838] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3914), 1,
      anon_sym_DQUOTE,
    ACTIONS(3916), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3918), 1,
      sym_escape_sequence,
    STATE(1509), 1,
      aux_sym_string_literal_repeat1,
  [55854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      sym_identifier,
    ACTIONS(3922), 1,
      anon_sym_COMMA,
    ACTIONS(3924), 1,
      anon_sym_RBRACE,
    STATE(1618), 1,
      sym_enumerator,
  [55870] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_DQUOTE,
    ACTIONS(3928), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3930), 1,
      sym_escape_sequence,
    STATE(1516), 1,
      aux_sym_string_literal_repeat1,
  [55886] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3932), 1,
      anon_sym_LF,
    ACTIONS(3934), 1,
      sym_preproc_arg,
    STATE(1680), 1,
      sym_preproc_params,
  [55902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_COMMA,
    STATE(1511), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3936), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_COMMA,
    STATE(1530), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3941), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55930] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_DQUOTE,
    ACTIONS(3945), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3948), 1,
      sym_escape_sequence,
    STATE(1531), 1,
      aux_sym_string_literal_repeat1,
  [55946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_COMMA,
    STATE(1522), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3951), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55960] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3953), 1,
      anon_sym_LF,
    ACTIONS(3955), 1,
      sym_preproc_arg,
    STATE(1714), 1,
      sym_preproc_params,
  [55976] = 5,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_LPAREN,
    ACTIONS(3957), 1,
      anon_sym_LF,
    ACTIONS(3959), 1,
      sym_preproc_arg,
    STATE(1708), 1,
      sym_preproc_params,
  [55992] = 4,
    ACTIONS(3227), 1,
      anon_sym_LPAREN2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LF,
    STATE(1296), 1,
      sym_preproc_argument_list,
  [56005] = 4,
    ACTIONS(3227), 1,
      anon_sym_LPAREN2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_LF,
    STATE(1296), 1,
      sym_preproc_argument_list,
  [56018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_RPAREN,
    ACTIONS(3965), 1,
      anon_sym_COMMA,
    STATE(1537), 1,
      aux_sym_argument_list_repeat1,
  [56031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
    ACTIONS(3968), 1,
      anon_sym_COMMA,
    STATE(1538), 1,
      aux_sym_preproc_argument_list_repeat1,
  [56044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3971), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3973), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3977), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    ACTIONS(3979), 1,
      anon_sym_RPAREN,
    STATE(1538), 1,
      aux_sym_preproc_argument_list_repeat1,
  [56109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_COMMA,
    ACTIONS(3984), 1,
      anon_sym_RPAREN,
    STATE(1544), 1,
      aux_sym_preproc_params_repeat1,
  [56122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3986), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_COMMA,
    ACTIONS(3991), 1,
      anon_sym_RPAREN,
    STATE(1546), 1,
      aux_sym_parameter_list_repeat1,
  [56148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3993), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    ACTIONS(3995), 1,
      anon_sym_RPAREN,
    STATE(1537), 1,
      aux_sym_argument_list_repeat1,
  [56174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [56183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(3999), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_initializer_list_repeat1,
  [56196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(4001), 1,
      sym_identifier,
    STATE(1167), 1,
      sym_enumerator_list,
  [56209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4003), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    ACTIONS(2721), 1,
      anon_sym_RPAREN,
    STATE(1548), 1,
      aux_sym_argument_list_repeat1,
  [56235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_RPAREN,
    ACTIONS(4007), 1,
      anon_sym_COLON,
    STATE(1556), 1,
      sym_gnu_asm_input_operand_list,
  [56248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_RPAREN,
    ACTIONS(4011), 1,
      anon_sym_COLON,
    STATE(1922), 1,
      sym_gnu_asm_goto_list,
  [56261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_RPAREN,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    STATE(1572), 1,
      sym_gnu_asm_clobber_list,
  [56274] = 4,
    ACTIONS(3227), 1,
      anon_sym_LPAREN2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_LF,
    STATE(1296), 1,
      sym_preproc_argument_list,
  [56287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [56296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4021), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COLON,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(1555), 1,
      sym_gnu_asm_clobber_list,
  [56322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_RBRACE,
    ACTIONS(4025), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_initializer_list_repeat1,
  [56335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4028), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4032), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4034), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4036), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4040), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4042), 1,
      anon_sym_SEMI,
    STATE(1559), 1,
      aux_sym_declaration_repeat1,
  [56431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1615), 1,
      aux_sym_attribute_declaration_repeat1,
  [56444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4048), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_COLON,
    ACTIONS(4050), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      sym_gnu_asm_goto_list,
  [56470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
    STATE(1581), 1,
      aux_sym_generic_expression_repeat1,
  [56483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4054), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4056), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [56505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4058), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1630), 1,
      aux_sym_attribute_declaration_repeat1,
  [56518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_RPAREN,
    ACTIONS(4062), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [56538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_COMMA,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    STATE(1590), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [56551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_COMMA,
    ACTIONS(4075), 1,
      anon_sym_RPAREN,
    STATE(1581), 1,
      aux_sym_generic_expression_repeat1,
  [56577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56586] = 4,
    ACTIONS(3227), 1,
      anon_sym_LPAREN2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_LF,
    STATE(1296), 1,
      sym_preproc_argument_list,
  [56599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4081), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4083), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4085), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4087), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4089), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_COMMA,
    ACTIONS(4093), 1,
      anon_sym_RPAREN,
    STATE(1592), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [56686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4095), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_COMMA,
    ACTIONS(4100), 1,
      anon_sym_RPAREN,
    STATE(1592), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [56712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4102), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4104), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4106), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1630), 1,
      aux_sym_attribute_declaration_repeat1,
  [56747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(4108), 1,
      sym_identifier,
    STATE(1115), 1,
      sym_field_declaration_list,
  [56760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4110), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4112), 1,
      anon_sym_COMMA,
    ACTIONS(4115), 1,
      anon_sym_RBRACE,
    STATE(1598), 1,
      aux_sym_enumerator_list_repeat1,
  [56782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4117), 1,
      anon_sym_SEMI,
    STATE(1566), 1,
      aux_sym_declaration_repeat1,
  [56795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      sym_identifier,
    ACTIONS(4119), 1,
      anon_sym_RBRACE,
    STATE(1676), 1,
      sym_enumerator,
  [56808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4121), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1576), 1,
      aux_sym_attribute_declaration_repeat1,
  [56821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4123), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4127), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(4129), 1,
      sym_identifier,
    STATE(1097), 1,
      sym_field_declaration_list,
  [56873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4131), 1,
      anon_sym_SEMI,
    STATE(1585), 1,
      aux_sym_declaration_repeat1,
  [56886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4133), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56899] = 4,
    ACTIONS(3227), 1,
      anon_sym_LPAREN2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4135), 1,
      anon_sym_LF,
    STATE(1296), 1,
      sym_preproc_argument_list,
  [56912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    STATE(1550), 1,
      aux_sym_initializer_list_repeat1,
  [56938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(4142), 1,
      sym_identifier,
    STATE(1324), 1,
      sym_enumerator_list,
  [56951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4144), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4146), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [56977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4148), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [56990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4150), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1630), 1,
      aux_sym_attribute_declaration_repeat1,
  [57003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_EQ,
    ACTIONS(4152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COMMA,
    ACTIONS(4158), 1,
      anon_sym_RPAREN,
    STATE(1544), 1,
      aux_sym_preproc_params_repeat1,
  [57027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RBRACE,
    STATE(1632), 1,
      aux_sym_enumerator_list_repeat1,
  [57040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4164), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1595), 1,
      aux_sym_attribute_declaration_repeat1,
  [57053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_SEMI,
    STATE(1612), 1,
      aux_sym_declaration_repeat1,
  [57066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    ACTIONS(4168), 1,
      anon_sym_RPAREN,
    STATE(1538), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    ACTIONS(4170), 1,
      anon_sym_RPAREN,
    STATE(1537), 1,
      aux_sym_argument_list_repeat1,
  [57092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4175), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [57105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_COLON,
    ACTIONS(3516), 1,
      anon_sym_RPAREN,
    STATE(1629), 1,
      sym_gnu_asm_output_operand_list,
  [57118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4177), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [57131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [57144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_RPAREN,
    ACTIONS(3497), 1,
      anon_sym_COLON,
    STATE(1554), 1,
      sym_gnu_asm_output_operand_list,
  [57157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(4181), 1,
      anon_sym_SEMI,
    STATE(1626), 1,
      aux_sym_declaration_repeat1,
  [57170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 1,
      anon_sym_COLON,
    ACTIONS(4183), 1,
      anon_sym_RPAREN,
    STATE(1560), 1,
      sym_gnu_asm_input_operand_list,
  [57183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_COMMA,
    ACTIONS(4188), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1630), 1,
      aux_sym_attribute_declaration_repeat1,
  [57196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    ACTIONS(4192), 1,
      anon_sym_RPAREN,
    STATE(1546), 1,
      aux_sym_parameter_list_repeat1,
  [57209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_COMMA,
    ACTIONS(4196), 1,
      anon_sym_RBRACE,
    STATE(1598), 1,
      aux_sym_enumerator_list_repeat1,
  [57222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      sym_identifier,
    ACTIONS(4196), 1,
      anon_sym_RBRACE,
    STATE(1676), 1,
      sym_enumerator,
  [57235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 1,
      anon_sym_COMMA,
    ACTIONS(2693), 1,
      anon_sym_RPAREN,
    STATE(1622), 1,
      aux_sym_argument_list_repeat1,
  [57248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COMMA,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    STATE(1617), 1,
      aux_sym_preproc_params_repeat1,
  [57261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      sym_identifier,
    STATE(1324), 1,
      sym_enumerator_list,
  [57274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(4202), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      aux_sym_type_definition_repeat2,
  [57287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    ACTIONS(4204), 1,
      anon_sym_RPAREN,
    STATE(1631), 1,
      aux_sym_parameter_list_repeat1,
  [57300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1929), 1,
      sym_parenthesized_expression,
  [57310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [57318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(338), 1,
      sym_parenthesized_expression,
  [57328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57336] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4212), 2,
      anon_sym_LF,
      sym_preproc_arg,
  [57344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4188), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [57352] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_LF,
    ACTIONS(4216), 1,
      sym_preproc_arg,
  [57362] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_LF,
    ACTIONS(4220), 1,
      sym_preproc_arg,
  [57372] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4222), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(370), 1,
      sym_parenthesized_expression,
  [57390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1669), 1,
      sym_parenthesized_expression,
  [57400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(369), 1,
      sym_parenthesized_expression,
  [57410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      sym_identifier,
    STATE(1619), 1,
      sym_attribute,
  [57420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(593), 1,
      anon_sym_LBRACE,
    STATE(259), 1,
      sym_compound_statement,
  [57430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(1804), 1,
      sym_argument_list,
  [57440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(339), 1,
      sym_parenthesized_expression,
  [57450] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4226), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [57466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [57474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(303), 1,
      sym_parenthesized_expression,
  [57484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [57492] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4230), 2,
      anon_sym_LF,
      sym_preproc_arg,
  [57500] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_LF,
    ACTIONS(4234), 1,
      sym_preproc_arg,
  [57510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(401), 1,
      sym_parenthesized_expression,
  [57520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1692), 1,
      sym_parenthesized_expression,
  [57530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(367), 1,
      sym_parenthesized_expression,
  [57540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      sym_identifier,
    STATE(1644), 1,
      sym_attribute,
  [57550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [57558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1836), 1,
      sym_parenthesized_expression,
  [57568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    STATE(257), 1,
      sym_compound_statement,
  [57578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(123), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym_compound_statement,
  [57588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(222), 1,
      sym_parenthesized_expression,
  [57598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(309), 1,
      sym_parenthesized_expression,
  [57608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(314), 1,
      sym_parenthesized_expression,
  [57618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1878), 1,
      sym_parenthesized_expression,
  [57628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4238), 1,
      sym_identifier,
    ACTIONS(4240), 1,
      anon_sym_LPAREN2,
  [57638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [57646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      anon_sym_LBRACE,
    STATE(334), 1,
      sym_compound_statement,
  [57664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1668), 1,
      sym_parenthesized_expression,
  [57674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1732), 1,
      sym_parenthesized_expression,
  [57684] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_LF,
    ACTIONS(4246), 1,
      sym_preproc_arg,
  [57694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1652), 1,
      sym_parenthesized_expression,
  [57712] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_LF,
    ACTIONS(4252), 1,
      sym_preproc_arg,
  [57722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1759), 1,
      sym_parenthesized_expression,
  [57732] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_LF,
    ACTIONS(4256), 1,
      sym_preproc_arg,
  [57742] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_LF,
    ACTIONS(4260), 1,
      sym_preproc_arg,
  [57752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(368), 1,
      sym_parenthesized_expression,
  [57762] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_LF,
    ACTIONS(4264), 1,
      sym_preproc_arg,
  [57772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4266), 1,
      sym_identifier,
    ACTIONS(4268), 1,
      anon_sym_LPAREN2,
  [57782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4270), 1,
      sym_identifier,
    ACTIONS(4272), 1,
      anon_sym_RPAREN,
  [57792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      sym_identifier,
    STATE(1570), 1,
      sym_attribute,
  [57802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_compound_statement,
  [57812] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_LF,
    ACTIONS(4276), 1,
      sym_preproc_arg,
  [57822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57846] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4278), 1,
      anon_sym_LF,
    ACTIONS(4280), 1,
      sym_preproc_arg,
  [57856] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_LF,
    ACTIONS(4284), 1,
      sym_preproc_arg,
  [57866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      sym_identifier,
    STATE(1676), 1,
      sym_enumerator,
  [57876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_LPAREN2,
    STATE(1787), 1,
      sym_argument_list,
  [57886] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_LF,
    ACTIONS(4288), 1,
      sym_preproc_arg,
  [57896] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_LF,
    ACTIONS(4292), 1,
      sym_preproc_arg,
  [57906] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4294), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57914] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_LF,
    ACTIONS(4298), 1,
      sym_preproc_arg,
  [57924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57932] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4300), 2,
      anon_sym_LF,
      sym_preproc_arg,
  [57940] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_LF,
    ACTIONS(4304), 1,
      sym_preproc_arg,
  [57950] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_LF,
    ACTIONS(4308), 1,
      sym_preproc_arg,
  [57960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      sym_identifier,
    STATE(1601), 1,
      sym_attribute,
  [57970] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_LF,
    ACTIONS(4312), 1,
      sym_preproc_arg,
  [57980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_LPAREN2,
    STATE(302), 1,
      sym_parenthesized_expression,
  [57990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN2,
    STATE(1677), 1,
      sym_parenthesized_expression,
  [58000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3984), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58008] = 3,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_LF,
    ACTIONS(4316), 1,
      sym_preproc_arg,
  [58018] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_LF,
  [58025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_RPAREN,
  [58032] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_LF,
  [58039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_RPAREN,
  [58046] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LF,
  [58053] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_LF,
  [58060] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_LF,
  [58067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_SEMI,
  [58074] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LF,
  [58081] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_LF,
  [58088] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LF,
  [58095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      sym_identifier,
  [58102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 1,
      sym_identifier,
  [58109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      sym_identifier,
  [58116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 1,
      aux_sym_preproc_if_token2,
  [58123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4344), 1,
      sym_identifier,
  [58130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4346), 1,
      aux_sym_preproc_if_token2,
  [58137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_SEMI,
  [58144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_SEMI,
  [58151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4352), 1,
      aux_sym_preproc_if_token2,
  [58158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      aux_sym_preproc_if_token2,
  [58165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_RPAREN,
  [58172] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_LF,
  [58179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_SEMI,
  [58186] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LF,
  [58193] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_LF,
  [58200] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4366), 1,
      anon_sym_LF,
  [58207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_RPAREN,
  [58214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      sym_primitive_type,
  [58221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      aux_sym_preproc_if_token2,
  [58228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      aux_sym_preproc_if_token2,
  [58235] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_LF,
  [58242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4378), 1,
      aux_sym_preproc_if_token2,
  [58249] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4380), 1,
      anon_sym_LF,
  [58256] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_LF,
  [58263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_COLON,
  [58270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_SEMI,
  [58277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 1,
      sym_identifier,
  [58284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_SQUOTE,
  [58291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_SEMI,
  [58298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_SEMI,
  [58305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      sym_identifier,
  [58312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4396), 1,
      aux_sym_preproc_if_token2,
  [58319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym_identifier,
  [58326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_SEMI,
  [58333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
  [58340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_SEMI,
  [58347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_SEMI,
  [58354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
  [58361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_RPAREN,
  [58368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_SEMI,
  [58375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2749), 1,
      anon_sym_SEMI,
  [58382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_RPAREN,
  [58389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      aux_sym_preproc_if_token2,
  [58396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_SEMI,
  [58403] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4135), 1,
      anon_sym_LF,
  [58410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_SEMI,
  [58417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_SEMI,
  [58424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 1,
      anon_sym_RPAREN,
  [58431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2794), 1,
      anon_sym_RPAREN,
  [58438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_COLON,
  [58445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 1,
      anon_sym_RPAREN,
  [58452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      aux_sym_preproc_if_token2,
  [58459] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LF,
  [58466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_RPAREN,
  [58473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_SEMI,
  [58480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      sym_identifier,
  [58487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
  [58494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      aux_sym_preproc_if_token2,
  [58501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_RPAREN,
  [58508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_STAR,
  [58515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_RPAREN,
  [58522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
  [58529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 1,
      sym_identifier,
  [58536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      anon_sym_RPAREN,
  [58543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      aux_sym_preproc_if_token2,
  [58550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_COLON,
  [58557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
  [58564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_RPAREN,
  [58571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_RBRACE,
  [58578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      aux_sym_preproc_if_token2,
  [58585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_LPAREN2,
  [58592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 1,
      sym_primitive_type,
  [58599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      sym_identifier,
  [58606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_SEMI,
  [58613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_RPAREN,
  [58620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_COMMA,
  [58627] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_LF,
  [58634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_RPAREN,
  [58641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_STAR,
  [58648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_RPAREN,
  [58655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_SEMI,
  [58662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      sym_identifier,
  [58669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4458), 1,
      sym_identifier,
  [58676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_LPAREN2,
  [58683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_SEMI,
  [58690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_STAR,
  [58697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_SQUOTE,
  [58704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      anon_sym_SEMI,
  [58711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_SEMI,
  [58718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_SEMI,
  [58725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_identifier,
  [58732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_SEMI,
  [58739] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_LF,
  [58746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_SEMI,
  [58753] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_LF,
  [58760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_RPAREN,
  [58767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_preproc_if_token2,
  [58774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 1,
      aux_sym_preproc_if_token2,
  [58781] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_LF,
  [58788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_SEMI,
  [58795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      sym_identifier,
  [58802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_SEMI,
  [58809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_SEMI,
  [58816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_COLON,
  [58823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_COLON,
  [58830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      sym_identifier,
  [58837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_SEMI,
  [58844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_SEMI,
  [58851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_SEMI,
  [58858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_STAR,
  [58865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_SEMI,
  [58872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 1,
      anon_sym_SEMI,
  [58879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_SEMI,
  [58886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_SEMI,
  [58893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
  [58900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_LPAREN2,
  [58907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LPAREN2,
  [58914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_RPAREN,
  [58921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_while,
  [58928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_SEMI,
  [58935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      aux_sym_preproc_if_token2,
  [58942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_SEMI,
  [58949] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_LF,
  [58956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_RPAREN,
  [58963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      ts_builtin_sym_end,
  [58970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_RPAREN,
  [58977] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_LF,
  [58984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      anon_sym_RPAREN,
  [58991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_RPAREN,
  [58998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_SEMI,
  [59005] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_LF,
  [59012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_SEMI,
  [59019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      sym_identifier,
  [59026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym_identifier,
  [59033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      aux_sym_preproc_if_token2,
  [59040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      aux_sym_preproc_if_token2,
  [59047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_SEMI,
  [59054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 1,
      aux_sym_preproc_if_token2,
  [59061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      aux_sym_preproc_if_token2,
  [59068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 1,
      sym_identifier,
  [59075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      sym_identifier,
  [59082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
  [59089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      sym_identifier,
  [59096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      aux_sym_preproc_if_token2,
  [59103] = 2,
    ACTIONS(2256), 1,
      anon_sym_LF,
    ACTIONS(3229), 1,
      sym_comment,
  [59110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_RPAREN,
  [59117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_RPAREN,
  [59124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      sym_identifier,
  [59131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_SEMI,
  [59138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_SQUOTE,
  [59145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      aux_sym_preproc_if_token2,
  [59152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 1,
      aux_sym_preproc_if_token2,
  [59159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_SEMI,
  [59166] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_LF,
  [59173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_RPAREN,
  [59180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      aux_sym_preproc_if_token2,
  [59187] = 2,
    ACTIONS(2252), 1,
      anon_sym_LF,
    ACTIONS(3229), 1,
      sym_comment,
  [59194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2733), 1,
      anon_sym_RPAREN,
  [59201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_SEMI,
  [59208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_SEMI,
  [59215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 1,
      aux_sym_preproc_if_token2,
  [59222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
  [59229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN,
  [59236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_RPAREN,
  [59243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      aux_sym_preproc_if_token2,
  [59250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
  [59257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_RPAREN,
  [59264] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_LF,
  [59271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
  [59278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      sym_identifier,
  [59285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      sym_identifier,
  [59292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      sym_identifier,
  [59299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      aux_sym_preproc_if_token2,
  [59306] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_LF,
  [59313] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_LF,
  [59320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4588), 1,
      sym_identifier,
  [59327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
  [59334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym_identifier,
  [59341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_SEMI,
  [59348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_COLON,
  [59355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 1,
      aux_sym_preproc_if_token2,
  [59362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_RPAREN,
  [59369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
  [59376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_preproc_if_token2,
  [59383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_identifier,
  [59390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 1,
      anon_sym_RPAREN,
  [59397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_identifier,
  [59404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      sym_identifier,
  [59411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 1,
      sym_identifier,
  [59418] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_LF,
  [59425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_LPAREN2,
  [59432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      aux_sym_preproc_if_token2,
  [59439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 1,
      anon_sym_RPAREN,
  [59446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_preproc_if_token2,
  [59453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 1,
      anon_sym_RPAREN,
  [59460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_RPAREN,
  [59467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_RPAREN,
  [59474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_RPAREN,
  [59481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_SEMI,
  [59488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_while,
  [59495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RBRACK,
  [59502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_SEMI,
  [59509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_RPAREN,
  [59516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_SEMI,
  [59523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_RPAREN,
  [59530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_SEMI,
  [59537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_SEMI,
  [59544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_SEMI,
  [59551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_RPAREN,
  [59558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_COLON,
  [59565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_SEMI,
  [59572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      sym_identifier,
  [59579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_SEMI,
  [59586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_LPAREN2,
  [59593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_SEMI,
  [59600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_SEMI,
  [59607] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_LF,
  [59614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      aux_sym_preproc_if_token2,
  [59621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_SEMI,
  [59628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_identifier,
  [59635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_while,
  [59642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_LPAREN2,
  [59649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      aux_sym_preproc_if_token2,
  [59656] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_LF,
  [59663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_SEMI,
  [59670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      aux_sym_preproc_if_token2,
  [59677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_SEMI,
  [59684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_preproc_if_token2,
  [59691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2822), 1,
      anon_sym_SEMI,
  [59698] = 2,
    ACTIONS(3229), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_LF,
  [59705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_SEMI,
  [59712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_LPAREN2,
  [59719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym_identifier,
  [59726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_SEMI,
  [59733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      sym_identifier,
  [59740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_RBRACK,
  [59747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      anon_sym_RPAREN,
  [59754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      anon_sym_RPAREN,
  [59761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_while,
  [59768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_SEMI,
  [59775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_RPAREN,
  [59782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_SEMI,
  [59789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_SEMI,
  [59796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_SEMI,
  [59803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_preproc_if_token2,
  [59810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      anon_sym_SEMI,
  [59817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      aux_sym_preproc_if_token2,
  [59824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_preproc_if_token2,
  [59831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_SEMI,
  [59838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_SEMI,
  [59845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_SEMI,
  [59852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_COLON,
  [59859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      aux_sym_preproc_if_token2,
  [59866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_while,
  [59873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_RPAREN,
  [59880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      aux_sym_preproc_if_token2,
  [59887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_LPAREN2,
  [59894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      aux_sym_preproc_if_token2,
  [59901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_RPAREN,
  [59908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 1,
      anon_sym_SEMI,
  [59915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 1,
      anon_sym_RPAREN,
  [59922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_LPAREN2,
  [59929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_SEMI,
  [59936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2741), 1,
      anon_sym_RPAREN,
  [59943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_SEMI,
  [59950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      sym_identifier,
  [59957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym_preproc_if_token2,
  [59964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_SEMI,
  [59971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2745), 1,
      anon_sym_SEMI,
  [59978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_identifier,
  [59985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LPAREN2,
  [59992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_LPAREN2,
  [59999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(530)] = 0,
  [SMALL_STATE(531)] = 113,
  [SMALL_STATE(532)] = 226,
  [SMALL_STATE(533)] = 339,
  [SMALL_STATE(534)] = 452,
  [SMALL_STATE(535)] = 565,
  [SMALL_STATE(536)] = 678,
  [SMALL_STATE(537)] = 791,
  [SMALL_STATE(538)] = 904,
  [SMALL_STATE(539)] = 1017,
  [SMALL_STATE(540)] = 1130,
  [SMALL_STATE(541)] = 1248,
  [SMALL_STATE(542)] = 1366,
  [SMALL_STATE(543)] = 1484,
  [SMALL_STATE(544)] = 1608,
  [SMALL_STATE(545)] = 1726,
  [SMALL_STATE(546)] = 1844,
  [SMALL_STATE(547)] = 1962,
  [SMALL_STATE(548)] = 2080,
  [SMALL_STATE(549)] = 2198,
  [SMALL_STATE(550)] = 2316,
  [SMALL_STATE(551)] = 2431,
  [SMALL_STATE(552)] = 2546,
  [SMALL_STATE(553)] = 2658,
  [SMALL_STATE(554)] = 2765,
  [SMALL_STATE(555)] = 2878,
  [SMALL_STATE(556)] = 2991,
  [SMALL_STATE(557)] = 3104,
  [SMALL_STATE(558)] = 3217,
  [SMALL_STATE(559)] = 3330,
  [SMALL_STATE(560)] = 3443,
  [SMALL_STATE(561)] = 3556,
  [SMALL_STATE(562)] = 3669,
  [SMALL_STATE(563)] = 3782,
  [SMALL_STATE(564)] = 3895,
  [SMALL_STATE(565)] = 3975,
  [SMALL_STATE(566)] = 4055,
  [SMALL_STATE(567)] = 4135,
  [SMALL_STATE(568)] = 4215,
  [SMALL_STATE(569)] = 4295,
  [SMALL_STATE(570)] = 4375,
  [SMALL_STATE(571)] = 4457,
  [SMALL_STATE(572)] = 4539,
  [SMALL_STATE(573)] = 4621,
  [SMALL_STATE(574)] = 4703,
  [SMALL_STATE(575)] = 4808,
  [SMALL_STATE(576)] = 4889,
  [SMALL_STATE(577)] = 4966,
  [SMALL_STATE(578)] = 5069,
  [SMALL_STATE(579)] = 5172,
  [SMALL_STATE(580)] = 5275,
  [SMALL_STATE(581)] = 5378,
  [SMALL_STATE(582)] = 5481,
  [SMALL_STATE(583)] = 5584,
  [SMALL_STATE(584)] = 5687,
  [SMALL_STATE(585)] = 5790,
  [SMALL_STATE(586)] = 5890,
  [SMALL_STATE(587)] = 5990,
  [SMALL_STATE(588)] = 6090,
  [SMALL_STATE(589)] = 6190,
  [SMALL_STATE(590)] = 6290,
  [SMALL_STATE(591)] = 6390,
  [SMALL_STATE(592)] = 6490,
  [SMALL_STATE(593)] = 6590,
  [SMALL_STATE(594)] = 6690,
  [SMALL_STATE(595)] = 6790,
  [SMALL_STATE(596)] = 6890,
  [SMALL_STATE(597)] = 6990,
  [SMALL_STATE(598)] = 7090,
  [SMALL_STATE(599)] = 7198,
  [SMALL_STATE(600)] = 7294,
  [SMALL_STATE(601)] = 7394,
  [SMALL_STATE(602)] = 7494,
  [SMALL_STATE(603)] = 7594,
  [SMALL_STATE(604)] = 7694,
  [SMALL_STATE(605)] = 7794,
  [SMALL_STATE(606)] = 7894,
  [SMALL_STATE(607)] = 7990,
  [SMALL_STATE(608)] = 8090,
  [SMALL_STATE(609)] = 8190,
  [SMALL_STATE(610)] = 8290,
  [SMALL_STATE(611)] = 8390,
  [SMALL_STATE(612)] = 8490,
  [SMALL_STATE(613)] = 8590,
  [SMALL_STATE(614)] = 8690,
  [SMALL_STATE(615)] = 8790,
  [SMALL_STATE(616)] = 8890,
  [SMALL_STATE(617)] = 8990,
  [SMALL_STATE(618)] = 9090,
  [SMALL_STATE(619)] = 9190,
  [SMALL_STATE(620)] = 9290,
  [SMALL_STATE(621)] = 9390,
  [SMALL_STATE(622)] = 9490,
  [SMALL_STATE(623)] = 9590,
  [SMALL_STATE(624)] = 9690,
  [SMALL_STATE(625)] = 9790,
  [SMALL_STATE(626)] = 9890,
  [SMALL_STATE(627)] = 9990,
  [SMALL_STATE(628)] = 10090,
  [SMALL_STATE(629)] = 10190,
  [SMALL_STATE(630)] = 10290,
  [SMALL_STATE(631)] = 10390,
  [SMALL_STATE(632)] = 10490,
  [SMALL_STATE(633)] = 10590,
  [SMALL_STATE(634)] = 10690,
  [SMALL_STATE(635)] = 10790,
  [SMALL_STATE(636)] = 10890,
  [SMALL_STATE(637)] = 10990,
  [SMALL_STATE(638)] = 11090,
  [SMALL_STATE(639)] = 11190,
  [SMALL_STATE(640)] = 11290,
  [SMALL_STATE(641)] = 11390,
  [SMALL_STATE(642)] = 11490,
  [SMALL_STATE(643)] = 11590,
  [SMALL_STATE(644)] = 11690,
  [SMALL_STATE(645)] = 11790,
  [SMALL_STATE(646)] = 11890,
  [SMALL_STATE(647)] = 11990,
  [SMALL_STATE(648)] = 12090,
  [SMALL_STATE(649)] = 12190,
  [SMALL_STATE(650)] = 12290,
  [SMALL_STATE(651)] = 12390,
  [SMALL_STATE(652)] = 12490,
  [SMALL_STATE(653)] = 12587,
  [SMALL_STATE(654)] = 12684,
  [SMALL_STATE(655)] = 12781,
  [SMALL_STATE(656)] = 12878,
  [SMALL_STATE(657)] = 12971,
  [SMALL_STATE(658)] = 13068,
  [SMALL_STATE(659)] = 13161,
  [SMALL_STATE(660)] = 13254,
  [SMALL_STATE(661)] = 13347,
  [SMALL_STATE(662)] = 13440,
  [SMALL_STATE(663)] = 13533,
  [SMALL_STATE(664)] = 13630,
  [SMALL_STATE(665)] = 13727,
  [SMALL_STATE(666)] = 13820,
  [SMALL_STATE(667)] = 13913,
  [SMALL_STATE(668)] = 14006,
  [SMALL_STATE(669)] = 14099,
  [SMALL_STATE(670)] = 14193,
  [SMALL_STATE(671)] = 14283,
  [SMALL_STATE(672)] = 14377,
  [SMALL_STATE(673)] = 14471,
  [SMALL_STATE(674)] = 14565,
  [SMALL_STATE(675)] = 14659,
  [SMALL_STATE(676)] = 14753,
  [SMALL_STATE(677)] = 14847,
  [SMALL_STATE(678)] = 14943,
  [SMALL_STATE(679)] = 15037,
  [SMALL_STATE(680)] = 15131,
  [SMALL_STATE(681)] = 15227,
  [SMALL_STATE(682)] = 15317,
  [SMALL_STATE(683)] = 15407,
  [SMALL_STATE(684)] = 15497,
  [SMALL_STATE(685)] = 15587,
  [SMALL_STATE(686)] = 15677,
  [SMALL_STATE(687)] = 15771,
  [SMALL_STATE(688)] = 15861,
  [SMALL_STATE(689)] = 15951,
  [SMALL_STATE(690)] = 16041,
  [SMALL_STATE(691)] = 16131,
  [SMALL_STATE(692)] = 16225,
  [SMALL_STATE(693)] = 16315,
  [SMALL_STATE(694)] = 16409,
  [SMALL_STATE(695)] = 16499,
  [SMALL_STATE(696)] = 16589,
  [SMALL_STATE(697)] = 16679,
  [SMALL_STATE(698)] = 16773,
  [SMALL_STATE(699)] = 16863,
  [SMALL_STATE(700)] = 16957,
  [SMALL_STATE(701)] = 17051,
  [SMALL_STATE(702)] = 17145,
  [SMALL_STATE(703)] = 17239,
  [SMALL_STATE(704)] = 17333,
  [SMALL_STATE(705)] = 17427,
  [SMALL_STATE(706)] = 17521,
  [SMALL_STATE(707)] = 17615,
  [SMALL_STATE(708)] = 17705,
  [SMALL_STATE(709)] = 17799,
  [SMALL_STATE(710)] = 17893,
  [SMALL_STATE(711)] = 17987,
  [SMALL_STATE(712)] = 18081,
  [SMALL_STATE(713)] = 18175,
  [SMALL_STATE(714)] = 18269,
  [SMALL_STATE(715)] = 18359,
  [SMALL_STATE(716)] = 18453,
  [SMALL_STATE(717)] = 18543,
  [SMALL_STATE(718)] = 18639,
  [SMALL_STATE(719)] = 18733,
  [SMALL_STATE(720)] = 18823,
  [SMALL_STATE(721)] = 18913,
  [SMALL_STATE(722)] = 19003,
  [SMALL_STATE(723)] = 19097,
  [SMALL_STATE(724)] = 19191,
  [SMALL_STATE(725)] = 19285,
  [SMALL_STATE(726)] = 19375,
  [SMALL_STATE(727)] = 19469,
  [SMALL_STATE(728)] = 19559,
  [SMALL_STATE(729)] = 19653,
  [SMALL_STATE(730)] = 19743,
  [SMALL_STATE(731)] = 19833,
  [SMALL_STATE(732)] = 19927,
  [SMALL_STATE(733)] = 20021,
  [SMALL_STATE(734)] = 20115,
  [SMALL_STATE(735)] = 20209,
  [SMALL_STATE(736)] = 20299,
  [SMALL_STATE(737)] = 20393,
  [SMALL_STATE(738)] = 20483,
  [SMALL_STATE(739)] = 20577,
  [SMALL_STATE(740)] = 20671,
  [SMALL_STATE(741)] = 20761,
  [SMALL_STATE(742)] = 20855,
  [SMALL_STATE(743)] = 20949,
  [SMALL_STATE(744)] = 21039,
  [SMALL_STATE(745)] = 21129,
  [SMALL_STATE(746)] = 21223,
  [SMALL_STATE(747)] = 21319,
  [SMALL_STATE(748)] = 21413,
  [SMALL_STATE(749)] = 21509,
  [SMALL_STATE(750)] = 21599,
  [SMALL_STATE(751)] = 21693,
  [SMALL_STATE(752)] = 21783,
  [SMALL_STATE(753)] = 21877,
  [SMALL_STATE(754)] = 21942,
  [SMALL_STATE(755)] = 22007,
  [SMALL_STATE(756)] = 22072,
  [SMALL_STATE(757)] = 22129,
  [SMALL_STATE(758)] = 22186,
  [SMALL_STATE(759)] = 22254,
  [SMALL_STATE(760)] = 22341,
  [SMALL_STATE(761)] = 22425,
  [SMALL_STATE(762)] = 22477,
  [SMALL_STATE(763)] = 22529,
  [SMALL_STATE(764)] = 22581,
  [SMALL_STATE(765)] = 22633,
  [SMALL_STATE(766)] = 22684,
  [SMALL_STATE(767)] = 22735,
  [SMALL_STATE(768)] = 22798,
  [SMALL_STATE(769)] = 22883,
  [SMALL_STATE(770)] = 22960,
  [SMALL_STATE(771)] = 23011,
  [SMALL_STATE(772)] = 23062,
  [SMALL_STATE(773)] = 23113,
  [SMALL_STATE(774)] = 23164,
  [SMALL_STATE(775)] = 23225,
  [SMALL_STATE(776)] = 23276,
  [SMALL_STATE(777)] = 23327,
  [SMALL_STATE(778)] = 23388,
  [SMALL_STATE(779)] = 23449,
  [SMALL_STATE(780)] = 23500,
  [SMALL_STATE(781)] = 23551,
  [SMALL_STATE(782)] = 23602,
  [SMALL_STATE(783)] = 23685,
  [SMALL_STATE(784)] = 23736,
  [SMALL_STATE(785)] = 23787,
  [SMALL_STATE(786)] = 23838,
  [SMALL_STATE(787)] = 23913,
  [SMALL_STATE(788)] = 23972,
  [SMALL_STATE(789)] = 24053,
  [SMALL_STATE(790)] = 24104,
  [SMALL_STATE(791)] = 24171,
  [SMALL_STATE(792)] = 24222,
  [SMALL_STATE(793)] = 24301,
  [SMALL_STATE(794)] = 24386,
  [SMALL_STATE(795)] = 24437,
  [SMALL_STATE(796)] = 24488,
  [SMALL_STATE(797)] = 24539,
  [SMALL_STATE(798)] = 24590,
  [SMALL_STATE(799)] = 24663,
  [SMALL_STATE(800)] = 24714,
  [SMALL_STATE(801)] = 24765,
  [SMALL_STATE(802)] = 24816,
  [SMALL_STATE(803)] = 24867,
  [SMALL_STATE(804)] = 24938,
  [SMALL_STATE(805)] = 24989,
  [SMALL_STATE(806)] = 25040,
  [SMALL_STATE(807)] = 25107,
  [SMALL_STATE(808)] = 25172,
  [SMALL_STATE(809)] = 25223,
  [SMALL_STATE(810)] = 25284,
  [SMALL_STATE(811)] = 25335,
  [SMALL_STATE(812)] = 25389,
  [SMALL_STATE(813)] = 25466,
  [SMALL_STATE(814)] = 25519,
  [SMALL_STATE(815)] = 25596,
  [SMALL_STATE(816)] = 25673,
  [SMALL_STATE(817)] = 25750,
  [SMALL_STATE(818)] = 25827,
  [SMALL_STATE(819)] = 25887,
  [SMALL_STATE(820)] = 25961,
  [SMALL_STATE(821)] = 26014,
  [SMALL_STATE(822)] = 26061,
  [SMALL_STATE(823)] = 26114,
  [SMALL_STATE(824)] = 26167,
  [SMALL_STATE(825)] = 26220,
  [SMALL_STATE(826)] = 26273,
  [SMALL_STATE(827)] = 26326,
  [SMALL_STATE(828)] = 26388,
  [SMALL_STATE(829)] = 26466,
  [SMALL_STATE(830)] = 26536,
  [SMALL_STATE(831)] = 26608,
  [SMALL_STATE(832)] = 26682,
  [SMALL_STATE(833)] = 26738,
  [SMALL_STATE(834)] = 26814,
  [SMALL_STATE(835)] = 26894,
  [SMALL_STATE(836)] = 26960,
  [SMALL_STATE(837)] = 27018,
  [SMALL_STATE(838)] = 27074,
  [SMALL_STATE(839)] = 27142,
  [SMALL_STATE(840)] = 27222,
  [SMALL_STATE(841)] = 27300,
  [SMALL_STATE(842)] = 27356,
  [SMALL_STATE(843)] = 27410,
  [SMALL_STATE(844)] = 27466,
  [SMALL_STATE(845)] = 27528,
  [SMALL_STATE(846)] = 27588,
  [SMALL_STATE(847)] = 27633,
  [SMALL_STATE(848)] = 27682,
  [SMALL_STATE(849)] = 27727,
  [SMALL_STATE(850)] = 27772,
  [SMALL_STATE(851)] = 27816,
  [SMALL_STATE(852)] = 27860,
  [SMALL_STATE(853)] = 27904,
  [SMALL_STATE(854)] = 27948,
  [SMALL_STATE(855)] = 27992,
  [SMALL_STATE(856)] = 28036,
  [SMALL_STATE(857)] = 28080,
  [SMALL_STATE(858)] = 28124,
  [SMALL_STATE(859)] = 28168,
  [SMALL_STATE(860)] = 28212,
  [SMALL_STATE(861)] = 28256,
  [SMALL_STATE(862)] = 28300,
  [SMALL_STATE(863)] = 28344,
  [SMALL_STATE(864)] = 28388,
  [SMALL_STATE(865)] = 28432,
  [SMALL_STATE(866)] = 28476,
  [SMALL_STATE(867)] = 28520,
  [SMALL_STATE(868)] = 28564,
  [SMALL_STATE(869)] = 28608,
  [SMALL_STATE(870)] = 28652,
  [SMALL_STATE(871)] = 28696,
  [SMALL_STATE(872)] = 28740,
  [SMALL_STATE(873)] = 28784,
  [SMALL_STATE(874)] = 28828,
  [SMALL_STATE(875)] = 28872,
  [SMALL_STATE(876)] = 28914,
  [SMALL_STATE(877)] = 28956,
  [SMALL_STATE(878)] = 28998,
  [SMALL_STATE(879)] = 29040,
  [SMALL_STATE(880)] = 29082,
  [SMALL_STATE(881)] = 29124,
  [SMALL_STATE(882)] = 29166,
  [SMALL_STATE(883)] = 29208,
  [SMALL_STATE(884)] = 29250,
  [SMALL_STATE(885)] = 29292,
  [SMALL_STATE(886)] = 29334,
  [SMALL_STATE(887)] = 29376,
  [SMALL_STATE(888)] = 29418,
  [SMALL_STATE(889)] = 29460,
  [SMALL_STATE(890)] = 29502,
  [SMALL_STATE(891)] = 29544,
  [SMALL_STATE(892)] = 29586,
  [SMALL_STATE(893)] = 29628,
  [SMALL_STATE(894)] = 29670,
  [SMALL_STATE(895)] = 29712,
  [SMALL_STATE(896)] = 29754,
  [SMALL_STATE(897)] = 29796,
  [SMALL_STATE(898)] = 29838,
  [SMALL_STATE(899)] = 29880,
  [SMALL_STATE(900)] = 29922,
  [SMALL_STATE(901)] = 29964,
  [SMALL_STATE(902)] = 30005,
  [SMALL_STATE(903)] = 30046,
  [SMALL_STATE(904)] = 30087,
  [SMALL_STATE(905)] = 30128,
  [SMALL_STATE(906)] = 30169,
  [SMALL_STATE(907)] = 30209,
  [SMALL_STATE(908)] = 30249,
  [SMALL_STATE(909)] = 30289,
  [SMALL_STATE(910)] = 30329,
  [SMALL_STATE(911)] = 30391,
  [SMALL_STATE(912)] = 30431,
  [SMALL_STATE(913)] = 30471,
  [SMALL_STATE(914)] = 30511,
  [SMALL_STATE(915)] = 30569,
  [SMALL_STATE(916)] = 30609,
  [SMALL_STATE(917)] = 30653,
  [SMALL_STATE(918)] = 30693,
  [SMALL_STATE(919)] = 30733,
  [SMALL_STATE(920)] = 30773,
  [SMALL_STATE(921)] = 30817,
  [SMALL_STATE(922)] = 30857,
  [SMALL_STATE(923)] = 30901,
  [SMALL_STATE(924)] = 30941,
  [SMALL_STATE(925)] = 30981,
  [SMALL_STATE(926)] = 31021,
  [SMALL_STATE(927)] = 31065,
  [SMALL_STATE(928)] = 31105,
  [SMALL_STATE(929)] = 31145,
  [SMALL_STATE(930)] = 31185,
  [SMALL_STATE(931)] = 31225,
  [SMALL_STATE(932)] = 31265,
  [SMALL_STATE(933)] = 31337,
  [SMALL_STATE(934)] = 31377,
  [SMALL_STATE(935)] = 31429,
  [SMALL_STATE(936)] = 31469,
  [SMALL_STATE(937)] = 31543,
  [SMALL_STATE(938)] = 31583,
  [SMALL_STATE(939)] = 31623,
  [SMALL_STATE(940)] = 31663,
  [SMALL_STATE(941)] = 31703,
  [SMALL_STATE(942)] = 31743,
  [SMALL_STATE(943)] = 31783,
  [SMALL_STATE(944)] = 31823,
  [SMALL_STATE(945)] = 31863,
  [SMALL_STATE(946)] = 31915,
  [SMALL_STATE(947)] = 31973,
  [SMALL_STATE(948)] = 32025,
  [SMALL_STATE(949)] = 32081,
  [SMALL_STATE(950)] = 32121,
  [SMALL_STATE(951)] = 32161,
  [SMALL_STATE(952)] = 32205,
  [SMALL_STATE(953)] = 32245,
  [SMALL_STATE(954)] = 32289,
  [SMALL_STATE(955)] = 32355,
  [SMALL_STATE(956)] = 32395,
  [SMALL_STATE(957)] = 32463,
  [SMALL_STATE(958)] = 32503,
  [SMALL_STATE(959)] = 32543,
  [SMALL_STATE(960)] = 32583,
  [SMALL_STATE(961)] = 32623,
  [SMALL_STATE(962)] = 32691,
  [SMALL_STATE(963)] = 32731,
  [SMALL_STATE(964)] = 32801,
  [SMALL_STATE(965)] = 32865,
  [SMALL_STATE(966)] = 32905,
  [SMALL_STATE(967)] = 32957,
  [SMALL_STATE(968)] = 32997,
  [SMALL_STATE(969)] = 33037,
  [SMALL_STATE(970)] = 33077,
  [SMALL_STATE(971)] = 33117,
  [SMALL_STATE(972)] = 33157,
  [SMALL_STATE(973)] = 33197,
  [SMALL_STATE(974)] = 33271,
  [SMALL_STATE(975)] = 33311,
  [SMALL_STATE(976)] = 33365,
  [SMALL_STATE(977)] = 33405,
  [SMALL_STATE(978)] = 33444,
  [SMALL_STATE(979)] = 33483,
  [SMALL_STATE(980)] = 33522,
  [SMALL_STATE(981)] = 33561,
  [SMALL_STATE(982)] = 33608,
  [SMALL_STATE(983)] = 33670,
  [SMALL_STATE(984)] = 33721,
  [SMALL_STATE(985)] = 33772,
  [SMALL_STATE(986)] = 33845,
  [SMALL_STATE(987)] = 33904,
  [SMALL_STATE(988)] = 33955,
  [SMALL_STATE(989)] = 34014,
  [SMALL_STATE(990)] = 34085,
  [SMALL_STATE(991)] = 34132,
  [SMALL_STATE(992)] = 34183,
  [SMALL_STATE(993)] = 34258,
  [SMALL_STATE(994)] = 34303,
  [SMALL_STATE(995)] = 34362,
  [SMALL_STATE(996)] = 34421,
  [SMALL_STATE(997)] = 34480,
  [SMALL_STATE(998)] = 34539,
  [SMALL_STATE(999)] = 34584,
  [SMALL_STATE(1000)] = 34635,
  [SMALL_STATE(1001)] = 34680,
  [SMALL_STATE(1002)] = 34739,
  [SMALL_STATE(1003)] = 34798,
  [SMALL_STATE(1004)] = 34857,
  [SMALL_STATE(1005)] = 34916,
  [SMALL_STATE(1006)] = 34975,
  [SMALL_STATE(1007)] = 35050,
  [SMALL_STATE(1008)] = 35125,
  [SMALL_STATE(1009)] = 35184,
  [SMALL_STATE(1010)] = 35229,
  [SMALL_STATE(1011)] = 35304,
  [SMALL_STATE(1012)] = 35376,
  [SMALL_STATE(1013)] = 35448,
  [SMALL_STATE(1014)] = 35520,
  [SMALL_STATE(1015)] = 35592,
  [SMALL_STATE(1016)] = 35664,
  [SMALL_STATE(1017)] = 35736,
  [SMALL_STATE(1018)] = 35808,
  [SMALL_STATE(1019)] = 35880,
  [SMALL_STATE(1020)] = 35950,
  [SMALL_STATE(1021)] = 36022,
  [SMALL_STATE(1022)] = 36094,
  [SMALL_STATE(1023)] = 36138,
  [SMALL_STATE(1024)] = 36208,
  [SMALL_STATE(1025)] = 36278,
  [SMALL_STATE(1026)] = 36350,
  [SMALL_STATE(1027)] = 36422,
  [SMALL_STATE(1028)] = 36494,
  [SMALL_STATE(1029)] = 36566,
  [SMALL_STATE(1030)] = 36638,
  [SMALL_STATE(1031)] = 36710,
  [SMALL_STATE(1032)] = 36782,
  [SMALL_STATE(1033)] = 36854,
  [SMALL_STATE(1034)] = 36926,
  [SMALL_STATE(1035)] = 36998,
  [SMALL_STATE(1036)] = 37070,
  [SMALL_STATE(1037)] = 37142,
  [SMALL_STATE(1038)] = 37214,
  [SMALL_STATE(1039)] = 37286,
  [SMALL_STATE(1040)] = 37358,
  [SMALL_STATE(1041)] = 37430,
  [SMALL_STATE(1042)] = 37502,
  [SMALL_STATE(1043)] = 37574,
  [SMALL_STATE(1044)] = 37646,
  [SMALL_STATE(1045)] = 37718,
  [SMALL_STATE(1046)] = 37790,
  [SMALL_STATE(1047)] = 37862,
  [SMALL_STATE(1048)] = 37934,
  [SMALL_STATE(1049)] = 38006,
  [SMALL_STATE(1050)] = 38078,
  [SMALL_STATE(1051)] = 38150,
  [SMALL_STATE(1052)] = 38222,
  [SMALL_STATE(1053)] = 38294,
  [SMALL_STATE(1054)] = 38366,
  [SMALL_STATE(1055)] = 38438,
  [SMALL_STATE(1056)] = 38510,
  [SMALL_STATE(1057)] = 38582,
  [SMALL_STATE(1058)] = 38654,
  [SMALL_STATE(1059)] = 38726,
  [SMALL_STATE(1060)] = 38798,
  [SMALL_STATE(1061)] = 38870,
  [SMALL_STATE(1062)] = 38942,
  [SMALL_STATE(1063)] = 39014,
  [SMALL_STATE(1064)] = 39084,
  [SMALL_STATE(1065)] = 39156,
  [SMALL_STATE(1066)] = 39228,
  [SMALL_STATE(1067)] = 39300,
  [SMALL_STATE(1068)] = 39372,
  [SMALL_STATE(1069)] = 39444,
  [SMALL_STATE(1070)] = 39516,
  [SMALL_STATE(1071)] = 39588,
  [SMALL_STATE(1072)] = 39660,
  [SMALL_STATE(1073)] = 39732,
  [SMALL_STATE(1074)] = 39804,
  [SMALL_STATE(1075)] = 39876,
  [SMALL_STATE(1076)] = 39948,
  [SMALL_STATE(1077)] = 40020,
  [SMALL_STATE(1078)] = 40092,
  [SMALL_STATE(1079)] = 40164,
  [SMALL_STATE(1080)] = 40236,
  [SMALL_STATE(1081)] = 40308,
  [SMALL_STATE(1082)] = 40380,
  [SMALL_STATE(1083)] = 40452,
  [SMALL_STATE(1084)] = 40524,
  [SMALL_STATE(1085)] = 40596,
  [SMALL_STATE(1086)] = 40666,
  [SMALL_STATE(1087)] = 40738,
  [SMALL_STATE(1088)] = 40808,
  [SMALL_STATE(1089)] = 40880,
  [SMALL_STATE(1090)] = 40952,
  [SMALL_STATE(1091)] = 41007,
  [SMALL_STATE(1092)] = 41066,
  [SMALL_STATE(1093)] = 41105,
  [SMALL_STATE(1094)] = 41174,
  [SMALL_STATE(1095)] = 41213,
  [SMALL_STATE(1096)] = 41282,
  [SMALL_STATE(1097)] = 41351,
  [SMALL_STATE(1098)] = 41390,
  [SMALL_STATE(1099)] = 41459,
  [SMALL_STATE(1100)] = 41528,
  [SMALL_STATE(1101)] = 41583,
  [SMALL_STATE(1102)] = 41652,
  [SMALL_STATE(1103)] = 41721,
  [SMALL_STATE(1104)] = 41760,
  [SMALL_STATE(1105)] = 41829,
  [SMALL_STATE(1106)] = 41898,
  [SMALL_STATE(1107)] = 41967,
  [SMALL_STATE(1108)] = 42036,
  [SMALL_STATE(1109)] = 42105,
  [SMALL_STATE(1110)] = 42160,
  [SMALL_STATE(1111)] = 42229,
  [SMALL_STATE(1112)] = 42298,
  [SMALL_STATE(1113)] = 42367,
  [SMALL_STATE(1114)] = 42406,
  [SMALL_STATE(1115)] = 42475,
  [SMALL_STATE(1116)] = 42514,
  [SMALL_STATE(1117)] = 42553,
  [SMALL_STATE(1118)] = 42592,
  [SMALL_STATE(1119)] = 42661,
  [SMALL_STATE(1120)] = 42728,
  [SMALL_STATE(1121)] = 42797,
  [SMALL_STATE(1122)] = 42866,
  [SMALL_STATE(1123)] = 42935,
  [SMALL_STATE(1124)] = 43004,
  [SMALL_STATE(1125)] = 43055,
  [SMALL_STATE(1126)] = 43124,
  [SMALL_STATE(1127)] = 43177,
  [SMALL_STATE(1128)] = 43246,
  [SMALL_STATE(1129)] = 43299,
  [SMALL_STATE(1130)] = 43356,
  [SMALL_STATE(1131)] = 43425,
  [SMALL_STATE(1132)] = 43494,
  [SMALL_STATE(1133)] = 43563,
  [SMALL_STATE(1134)] = 43624,
  [SMALL_STATE(1135)] = 43687,
  [SMALL_STATE(1136)] = 43736,
  [SMALL_STATE(1137)] = 43801,
  [SMALL_STATE(1138)] = 43864,
  [SMALL_STATE(1139)] = 43919,
  [SMALL_STATE(1140)] = 43988,
  [SMALL_STATE(1141)] = 44026,
  [SMALL_STATE(1142)] = 44060,
  [SMALL_STATE(1143)] = 44094,
  [SMALL_STATE(1144)] = 44128,
  [SMALL_STATE(1145)] = 44162,
  [SMALL_STATE(1146)] = 44196,
  [SMALL_STATE(1147)] = 44230,
  [SMALL_STATE(1148)] = 44264,
  [SMALL_STATE(1149)] = 44302,
  [SMALL_STATE(1150)] = 44336,
  [SMALL_STATE(1151)] = 44372,
  [SMALL_STATE(1152)] = 44406,
  [SMALL_STATE(1153)] = 44440,
  [SMALL_STATE(1154)] = 44474,
  [SMALL_STATE(1155)] = 44526,
  [SMALL_STATE(1156)] = 44560,
  [SMALL_STATE(1157)] = 44598,
  [SMALL_STATE(1158)] = 44632,
  [SMALL_STATE(1159)] = 44666,
  [SMALL_STATE(1160)] = 44718,
  [SMALL_STATE(1161)] = 44752,
  [SMALL_STATE(1162)] = 44786,
  [SMALL_STATE(1163)] = 44820,
  [SMALL_STATE(1164)] = 44854,
  [SMALL_STATE(1165)] = 44888,
  [SMALL_STATE(1166)] = 44922,
  [SMALL_STATE(1167)] = 44958,
  [SMALL_STATE(1168)] = 44996,
  [SMALL_STATE(1169)] = 45030,
  [SMALL_STATE(1170)] = 45064,
  [SMALL_STATE(1171)] = 45098,
  [SMALL_STATE(1172)] = 45132,
  [SMALL_STATE(1173)] = 45166,
  [SMALL_STATE(1174)] = 45232,
  [SMALL_STATE(1175)] = 45266,
  [SMALL_STATE(1176)] = 45300,
  [SMALL_STATE(1177)] = 45334,
  [SMALL_STATE(1178)] = 45383,
  [SMALL_STATE(1179)] = 45432,
  [SMALL_STATE(1180)] = 45481,
  [SMALL_STATE(1181)] = 45530,
  [SMALL_STATE(1182)] = 45579,
  [SMALL_STATE(1183)] = 45628,
  [SMALL_STATE(1184)] = 45677,
  [SMALL_STATE(1185)] = 45726,
  [SMALL_STATE(1186)] = 45775,
  [SMALL_STATE(1187)] = 45824,
  [SMALL_STATE(1188)] = 45862,
  [SMALL_STATE(1189)] = 45908,
  [SMALL_STATE(1190)] = 45942,
  [SMALL_STATE(1191)] = 45988,
  [SMALL_STATE(1192)] = 46034,
  [SMALL_STATE(1193)] = 46080,
  [SMALL_STATE(1194)] = 46126,
  [SMALL_STATE(1195)] = 46172,
  [SMALL_STATE(1196)] = 46215,
  [SMALL_STATE(1197)] = 46252,
  [SMALL_STATE(1198)] = 46295,
  [SMALL_STATE(1199)] = 46338,
  [SMALL_STATE(1200)] = 46381,
  [SMALL_STATE(1201)] = 46424,
  [SMALL_STATE(1202)] = 46467,
  [SMALL_STATE(1203)] = 46510,
  [SMALL_STATE(1204)] = 46553,
  [SMALL_STATE(1205)] = 46596,
  [SMALL_STATE(1206)] = 46639,
  [SMALL_STATE(1207)] = 46682,
  [SMALL_STATE(1208)] = 46725,
  [SMALL_STATE(1209)] = 46768,
  [SMALL_STATE(1210)] = 46811,
  [SMALL_STATE(1211)] = 46854,
  [SMALL_STATE(1212)] = 46897,
  [SMALL_STATE(1213)] = 46940,
  [SMALL_STATE(1214)] = 46995,
  [SMALL_STATE(1215)] = 47038,
  [SMALL_STATE(1216)] = 47081,
  [SMALL_STATE(1217)] = 47124,
  [SMALL_STATE(1218)] = 47179,
  [SMALL_STATE(1219)] = 47222,
  [SMALL_STATE(1220)] = 47265,
  [SMALL_STATE(1221)] = 47308,
  [SMALL_STATE(1222)] = 47341,
  [SMALL_STATE(1223)] = 47384,
  [SMALL_STATE(1224)] = 47427,
  [SMALL_STATE(1225)] = 47470,
  [SMALL_STATE(1226)] = 47513,
  [SMALL_STATE(1227)] = 47556,
  [SMALL_STATE(1228)] = 47599,
  [SMALL_STATE(1229)] = 47642,
  [SMALL_STATE(1230)] = 47685,
  [SMALL_STATE(1231)] = 47725,
  [SMALL_STATE(1232)] = 47765,
  [SMALL_STATE(1233)] = 47805,
  [SMALL_STATE(1234)] = 47843,
  [SMALL_STATE(1235)] = 47883,
  [SMALL_STATE(1236)] = 47923,
  [SMALL_STATE(1237)] = 47963,
  [SMALL_STATE(1238)] = 47991,
  [SMALL_STATE(1239)] = 48041,
  [SMALL_STATE(1240)] = 48081,
  [SMALL_STATE(1241)] = 48121,
  [SMALL_STATE(1242)] = 48161,
  [SMALL_STATE(1243)] = 48201,
  [SMALL_STATE(1244)] = 48241,
  [SMALL_STATE(1245)] = 48281,
  [SMALL_STATE(1246)] = 48321,
  [SMALL_STATE(1247)] = 48361,
  [SMALL_STATE(1248)] = 48401,
  [SMALL_STATE(1249)] = 48429,
  [SMALL_STATE(1250)] = 48469,
  [SMALL_STATE(1251)] = 48497,
  [SMALL_STATE(1252)] = 48533,
  [SMALL_STATE(1253)] = 48573,
  [SMALL_STATE(1254)] = 48613,
  [SMALL_STATE(1255)] = 48653,
  [SMALL_STATE(1256)] = 48681,
  [SMALL_STATE(1257)] = 48721,
  [SMALL_STATE(1258)] = 48761,
  [SMALL_STATE(1259)] = 48801,
  [SMALL_STATE(1260)] = 48841,
  [SMALL_STATE(1261)] = 48869,
  [SMALL_STATE(1262)] = 48909,
  [SMALL_STATE(1263)] = 48949,
  [SMALL_STATE(1264)] = 48977,
  [SMALL_STATE(1265)] = 49017,
  [SMALL_STATE(1266)] = 49053,
  [SMALL_STATE(1267)] = 49093,
  [SMALL_STATE(1268)] = 49133,
  [SMALL_STATE(1269)] = 49173,
  [SMALL_STATE(1270)] = 49201,
  [SMALL_STATE(1271)] = 49241,
  [SMALL_STATE(1272)] = 49275,
  [SMALL_STATE(1273)] = 49315,
  [SMALL_STATE(1274)] = 49351,
  [SMALL_STATE(1275)] = 49391,
  [SMALL_STATE(1276)] = 49431,
  [SMALL_STATE(1277)] = 49471,
  [SMALL_STATE(1278)] = 49513,
  [SMALL_STATE(1279)] = 49557,
  [SMALL_STATE(1280)] = 49603,
  [SMALL_STATE(1281)] = 49649,
  [SMALL_STATE(1282)] = 49689,
  [SMALL_STATE(1283)] = 49737,
  [SMALL_STATE(1284)] = 49765,
  [SMALL_STATE(1285)] = 49797,
  [SMALL_STATE(1286)] = 49837,
  [SMALL_STATE(1287)] = 49877,
  [SMALL_STATE(1288)] = 49905,
  [SMALL_STATE(1289)] = 49933,
  [SMALL_STATE(1290)] = 49981,
  [SMALL_STATE(1291)] = 50026,
  [SMALL_STATE(1292)] = 50065,
  [SMALL_STATE(1293)] = 50092,
  [SMALL_STATE(1294)] = 50141,
  [SMALL_STATE(1295)] = 50172,
  [SMALL_STATE(1296)] = 50199,
  [SMALL_STATE(1297)] = 50226,
  [SMALL_STATE(1298)] = 50271,
  [SMALL_STATE(1299)] = 50304,
  [SMALL_STATE(1300)] = 50339,
  [SMALL_STATE(1301)] = 50366,
  [SMALL_STATE(1302)] = 50393,
  [SMALL_STATE(1303)] = 50430,
  [SMALL_STATE(1304)] = 50475,
  [SMALL_STATE(1305)] = 50502,
  [SMALL_STATE(1306)] = 50547,
  [SMALL_STATE(1307)] = 50588,
  [SMALL_STATE(1308)] = 50631,
  [SMALL_STATE(1309)] = 50676,
  [SMALL_STATE(1310)] = 50721,
  [SMALL_STATE(1311)] = 50748,
  [SMALL_STATE(1312)] = 50775,
  [SMALL_STATE(1313)] = 50804,
  [SMALL_STATE(1314)] = 50849,
  [SMALL_STATE(1315)] = 50898,
  [SMALL_STATE(1316)] = 50925,
  [SMALL_STATE(1317)] = 50970,
  [SMALL_STATE(1318)] = 51015,
  [SMALL_STATE(1319)] = 51042,
  [SMALL_STATE(1320)] = 51087,
  [SMALL_STATE(1321)] = 51132,
  [SMALL_STATE(1322)] = 51177,
  [SMALL_STATE(1323)] = 51207,
  [SMALL_STATE(1324)] = 51237,
  [SMALL_STATE(1325)] = 51267,
  [SMALL_STATE(1326)] = 51292,
  [SMALL_STATE(1327)] = 51321,
  [SMALL_STATE(1328)] = 51346,
  [SMALL_STATE(1329)] = 51375,
  [SMALL_STATE(1330)] = 51409,
  [SMALL_STATE(1331)] = 51433,
  [SMALL_STATE(1332)] = 51471,
  [SMALL_STATE(1333)] = 51509,
  [SMALL_STATE(1334)] = 51547,
  [SMALL_STATE(1335)] = 51585,
  [SMALL_STATE(1336)] = 51626,
  [SMALL_STATE(1337)] = 51667,
  [SMALL_STATE(1338)] = 51708,
  [SMALL_STATE(1339)] = 51749,
  [SMALL_STATE(1340)] = 51781,
  [SMALL_STATE(1341)] = 51813,
  [SMALL_STATE(1342)] = 51845,
  [SMALL_STATE(1343)] = 51877,
  [SMALL_STATE(1344)] = 51909,
  [SMALL_STATE(1345)] = 51941,
  [SMALL_STATE(1346)] = 51963,
  [SMALL_STATE(1347)] = 52001,
  [SMALL_STATE(1348)] = 52039,
  [SMALL_STATE(1349)] = 52071,
  [SMALL_STATE(1350)] = 52103,
  [SMALL_STATE(1351)] = 52135,
  [SMALL_STATE(1352)] = 52167,
  [SMALL_STATE(1353)] = 52191,
  [SMALL_STATE(1354)] = 52223,
  [SMALL_STATE(1355)] = 52261,
  [SMALL_STATE(1356)] = 52293,
  [SMALL_STATE(1357)] = 52331,
  [SMALL_STATE(1358)] = 52369,
  [SMALL_STATE(1359)] = 52398,
  [SMALL_STATE(1360)] = 52425,
  [SMALL_STATE(1361)] = 52452,
  [SMALL_STATE(1362)] = 52479,
  [SMALL_STATE(1363)] = 52502,
  [SMALL_STATE(1364)] = 52529,
  [SMALL_STATE(1365)] = 52552,
  [SMALL_STATE(1366)] = 52579,
  [SMALL_STATE(1367)] = 52602,
  [SMALL_STATE(1368)] = 52633,
  [SMALL_STATE(1369)] = 52662,
  [SMALL_STATE(1370)] = 52691,
  [SMALL_STATE(1371)] = 52720,
  [SMALL_STATE(1372)] = 52749,
  [SMALL_STATE(1373)] = 52776,
  [SMALL_STATE(1374)] = 52805,
  [SMALL_STATE(1375)] = 52834,
  [SMALL_STATE(1376)] = 52863,
  [SMALL_STATE(1377)] = 52890,
  [SMALL_STATE(1378)] = 52917,
  [SMALL_STATE(1379)] = 52946,
  [SMALL_STATE(1380)] = 52975,
  [SMALL_STATE(1381)] = 53002,
  [SMALL_STATE(1382)] = 53029,
  [SMALL_STATE(1383)] = 53047,
  [SMALL_STATE(1384)] = 53079,
  [SMALL_STATE(1385)] = 53101,
  [SMALL_STATE(1386)] = 53119,
  [SMALL_STATE(1387)] = 53151,
  [SMALL_STATE(1388)] = 53173,
  [SMALL_STATE(1389)] = 53197,
  [SMALL_STATE(1390)] = 53229,
  [SMALL_STATE(1391)] = 53261,
  [SMALL_STATE(1392)] = 53293,
  [SMALL_STATE(1393)] = 53317,
  [SMALL_STATE(1394)] = 53349,
  [SMALL_STATE(1395)] = 53367,
  [SMALL_STATE(1396)] = 53392,
  [SMALL_STATE(1397)] = 53421,
  [SMALL_STATE(1398)] = 53450,
  [SMALL_STATE(1399)] = 53479,
  [SMALL_STATE(1400)] = 53508,
  [SMALL_STATE(1401)] = 53537,
  [SMALL_STATE(1402)] = 53558,
  [SMALL_STATE(1403)] = 53583,
  [SMALL_STATE(1404)] = 53612,
  [SMALL_STATE(1405)] = 53641,
  [SMALL_STATE(1406)] = 53662,
  [SMALL_STATE(1407)] = 53689,
  [SMALL_STATE(1408)] = 53718,
  [SMALL_STATE(1409)] = 53743,
  [SMALL_STATE(1410)] = 53772,
  [SMALL_STATE(1411)] = 53801,
  [SMALL_STATE(1412)] = 53830,
  [SMALL_STATE(1413)] = 53859,
  [SMALL_STATE(1414)] = 53888,
  [SMALL_STATE(1415)] = 53917,
  [SMALL_STATE(1416)] = 53942,
  [SMALL_STATE(1417)] = 53963,
  [SMALL_STATE(1418)] = 53984,
  [SMALL_STATE(1419)] = 54013,
  [SMALL_STATE(1420)] = 54042,
  [SMALL_STATE(1421)] = 54063,
  [SMALL_STATE(1422)] = 54092,
  [SMALL_STATE(1423)] = 54121,
  [SMALL_STATE(1424)] = 54150,
  [SMALL_STATE(1425)] = 54179,
  [SMALL_STATE(1426)] = 54205,
  [SMALL_STATE(1427)] = 54223,
  [SMALL_STATE(1428)] = 54249,
  [SMALL_STATE(1429)] = 54265,
  [SMALL_STATE(1430)] = 54285,
  [SMALL_STATE(1431)] = 54311,
  [SMALL_STATE(1432)] = 54327,
  [SMALL_STATE(1433)] = 54343,
  [SMALL_STATE(1434)] = 54359,
  [SMALL_STATE(1435)] = 54375,
  [SMALL_STATE(1436)] = 54391,
  [SMALL_STATE(1437)] = 54407,
  [SMALL_STATE(1438)] = 54423,
  [SMALL_STATE(1439)] = 54439,
  [SMALL_STATE(1440)] = 54459,
  [SMALL_STATE(1441)] = 54483,
  [SMALL_STATE(1442)] = 54503,
  [SMALL_STATE(1443)] = 54519,
  [SMALL_STATE(1444)] = 54535,
  [SMALL_STATE(1445)] = 54559,
  [SMALL_STATE(1446)] = 54575,
  [SMALL_STATE(1447)] = 54591,
  [SMALL_STATE(1448)] = 54607,
  [SMALL_STATE(1449)] = 54633,
  [SMALL_STATE(1450)] = 54659,
  [SMALL_STATE(1451)] = 54682,
  [SMALL_STATE(1452)] = 54699,
  [SMALL_STATE(1453)] = 54722,
  [SMALL_STATE(1454)] = 54745,
  [SMALL_STATE(1455)] = 54762,
  [SMALL_STATE(1456)] = 54780,
  [SMALL_STATE(1457)] = 54794,
  [SMALL_STATE(1458)] = 54808,
  [SMALL_STATE(1459)] = 54826,
  [SMALL_STATE(1460)] = 54844,
  [SMALL_STATE(1461)] = 54858,
  [SMALL_STATE(1462)] = 54872,
  [SMALL_STATE(1463)] = 54890,
  [SMALL_STATE(1464)] = 54906,
  [SMALL_STATE(1465)] = 54922,
  [SMALL_STATE(1466)] = 54936,
  [SMALL_STATE(1467)] = 54954,
  [SMALL_STATE(1468)] = 54968,
  [SMALL_STATE(1469)] = 54982,
  [SMALL_STATE(1470)] = 55000,
  [SMALL_STATE(1471)] = 55018,
  [SMALL_STATE(1472)] = 55036,
  [SMALL_STATE(1473)] = 55050,
  [SMALL_STATE(1474)] = 55064,
  [SMALL_STATE(1475)] = 55080,
  [SMALL_STATE(1476)] = 55094,
  [SMALL_STATE(1477)] = 55108,
  [SMALL_STATE(1478)] = 55127,
  [SMALL_STATE(1479)] = 55138,
  [SMALL_STATE(1480)] = 55155,
  [SMALL_STATE(1481)] = 55174,
  [SMALL_STATE(1482)] = 55193,
  [SMALL_STATE(1483)] = 55204,
  [SMALL_STATE(1484)] = 55223,
  [SMALL_STATE(1485)] = 55242,
  [SMALL_STATE(1486)] = 55261,
  [SMALL_STATE(1487)] = 55280,
  [SMALL_STATE(1488)] = 55299,
  [SMALL_STATE(1489)] = 55310,
  [SMALL_STATE(1490)] = 55321,
  [SMALL_STATE(1491)] = 55332,
  [SMALL_STATE(1492)] = 55343,
  [SMALL_STATE(1493)] = 55354,
  [SMALL_STATE(1494)] = 55373,
  [SMALL_STATE(1495)] = 55392,
  [SMALL_STATE(1496)] = 55411,
  [SMALL_STATE(1497)] = 55430,
  [SMALL_STATE(1498)] = 55441,
  [SMALL_STATE(1499)] = 55452,
  [SMALL_STATE(1500)] = 55469,
  [SMALL_STATE(1501)] = 55480,
  [SMALL_STATE(1502)] = 55499,
  [SMALL_STATE(1503)] = 55510,
  [SMALL_STATE(1504)] = 55529,
  [SMALL_STATE(1505)] = 55540,
  [SMALL_STATE(1506)] = 55556,
  [SMALL_STATE(1507)] = 55572,
  [SMALL_STATE(1508)] = 55588,
  [SMALL_STATE(1509)] = 55602,
  [SMALL_STATE(1510)] = 55618,
  [SMALL_STATE(1511)] = 55632,
  [SMALL_STATE(1512)] = 55646,
  [SMALL_STATE(1513)] = 55660,
  [SMALL_STATE(1514)] = 55674,
  [SMALL_STATE(1515)] = 55690,
  [SMALL_STATE(1516)] = 55700,
  [SMALL_STATE(1517)] = 55716,
  [SMALL_STATE(1518)] = 55732,
  [SMALL_STATE(1519)] = 55748,
  [SMALL_STATE(1520)] = 55764,
  [SMALL_STATE(1521)] = 55780,
  [SMALL_STATE(1522)] = 55794,
  [SMALL_STATE(1523)] = 55808,
  [SMALL_STATE(1524)] = 55824,
  [SMALL_STATE(1525)] = 55838,
  [SMALL_STATE(1526)] = 55854,
  [SMALL_STATE(1527)] = 55870,
  [SMALL_STATE(1528)] = 55886,
  [SMALL_STATE(1529)] = 55902,
  [SMALL_STATE(1530)] = 55916,
  [SMALL_STATE(1531)] = 55930,
  [SMALL_STATE(1532)] = 55946,
  [SMALL_STATE(1533)] = 55960,
  [SMALL_STATE(1534)] = 55976,
  [SMALL_STATE(1535)] = 55992,
  [SMALL_STATE(1536)] = 56005,
  [SMALL_STATE(1537)] = 56018,
  [SMALL_STATE(1538)] = 56031,
  [SMALL_STATE(1539)] = 56044,
  [SMALL_STATE(1540)] = 56057,
  [SMALL_STATE(1541)] = 56070,
  [SMALL_STATE(1542)] = 56083,
  [SMALL_STATE(1543)] = 56096,
  [SMALL_STATE(1544)] = 56109,
  [SMALL_STATE(1545)] = 56122,
  [SMALL_STATE(1546)] = 56135,
  [SMALL_STATE(1547)] = 56148,
  [SMALL_STATE(1548)] = 56161,
  [SMALL_STATE(1549)] = 56174,
  [SMALL_STATE(1550)] = 56183,
  [SMALL_STATE(1551)] = 56196,
  [SMALL_STATE(1552)] = 56209,
  [SMALL_STATE(1553)] = 56222,
  [SMALL_STATE(1554)] = 56235,
  [SMALL_STATE(1555)] = 56248,
  [SMALL_STATE(1556)] = 56261,
  [SMALL_STATE(1557)] = 56274,
  [SMALL_STATE(1558)] = 56287,
  [SMALL_STATE(1559)] = 56296,
  [SMALL_STATE(1560)] = 56309,
  [SMALL_STATE(1561)] = 56322,
  [SMALL_STATE(1562)] = 56335,
  [SMALL_STATE(1563)] = 56348,
  [SMALL_STATE(1564)] = 56357,
  [SMALL_STATE(1565)] = 56370,
  [SMALL_STATE(1566)] = 56383,
  [SMALL_STATE(1567)] = 56396,
  [SMALL_STATE(1568)] = 56405,
  [SMALL_STATE(1569)] = 56418,
  [SMALL_STATE(1570)] = 56431,
  [SMALL_STATE(1571)] = 56444,
  [SMALL_STATE(1572)] = 56457,
  [SMALL_STATE(1573)] = 56470,
  [SMALL_STATE(1574)] = 56483,
  [SMALL_STATE(1575)] = 56492,
  [SMALL_STATE(1576)] = 56505,
  [SMALL_STATE(1577)] = 56518,
  [SMALL_STATE(1578)] = 56527,
  [SMALL_STATE(1579)] = 56538,
  [SMALL_STATE(1580)] = 56551,
  [SMALL_STATE(1581)] = 56564,
  [SMALL_STATE(1582)] = 56577,
  [SMALL_STATE(1583)] = 56586,
  [SMALL_STATE(1584)] = 56599,
  [SMALL_STATE(1585)] = 56612,
  [SMALL_STATE(1586)] = 56625,
  [SMALL_STATE(1587)] = 56638,
  [SMALL_STATE(1588)] = 56651,
  [SMALL_STATE(1589)] = 56664,
  [SMALL_STATE(1590)] = 56673,
  [SMALL_STATE(1591)] = 56686,
  [SMALL_STATE(1592)] = 56699,
  [SMALL_STATE(1593)] = 56712,
  [SMALL_STATE(1594)] = 56725,
  [SMALL_STATE(1595)] = 56734,
  [SMALL_STATE(1596)] = 56747,
  [SMALL_STATE(1597)] = 56760,
  [SMALL_STATE(1598)] = 56769,
  [SMALL_STATE(1599)] = 56782,
  [SMALL_STATE(1600)] = 56795,
  [SMALL_STATE(1601)] = 56808,
  [SMALL_STATE(1602)] = 56821,
  [SMALL_STATE(1603)] = 56834,
  [SMALL_STATE(1604)] = 56847,
  [SMALL_STATE(1605)] = 56860,
  [SMALL_STATE(1606)] = 56873,
  [SMALL_STATE(1607)] = 56886,
  [SMALL_STATE(1608)] = 56899,
  [SMALL_STATE(1609)] = 56912,
  [SMALL_STATE(1610)] = 56925,
  [SMALL_STATE(1611)] = 56938,
  [SMALL_STATE(1612)] = 56951,
  [SMALL_STATE(1613)] = 56964,
  [SMALL_STATE(1614)] = 56977,
  [SMALL_STATE(1615)] = 56990,
  [SMALL_STATE(1616)] = 57003,
  [SMALL_STATE(1617)] = 57014,
  [SMALL_STATE(1618)] = 57027,
  [SMALL_STATE(1619)] = 57040,
  [SMALL_STATE(1620)] = 57053,
  [SMALL_STATE(1621)] = 57066,
  [SMALL_STATE(1622)] = 57079,
  [SMALL_STATE(1623)] = 57092,
  [SMALL_STATE(1624)] = 57105,
  [SMALL_STATE(1625)] = 57118,
  [SMALL_STATE(1626)] = 57131,
  [SMALL_STATE(1627)] = 57144,
  [SMALL_STATE(1628)] = 57157,
  [SMALL_STATE(1629)] = 57170,
  [SMALL_STATE(1630)] = 57183,
  [SMALL_STATE(1631)] = 57196,
  [SMALL_STATE(1632)] = 57209,
  [SMALL_STATE(1633)] = 57222,
  [SMALL_STATE(1634)] = 57235,
  [SMALL_STATE(1635)] = 57248,
  [SMALL_STATE(1636)] = 57261,
  [SMALL_STATE(1637)] = 57274,
  [SMALL_STATE(1638)] = 57287,
  [SMALL_STATE(1639)] = 57300,
  [SMALL_STATE(1640)] = 57310,
  [SMALL_STATE(1641)] = 57318,
  [SMALL_STATE(1642)] = 57328,
  [SMALL_STATE(1643)] = 57336,
  [SMALL_STATE(1644)] = 57344,
  [SMALL_STATE(1645)] = 57352,
  [SMALL_STATE(1646)] = 57362,
  [SMALL_STATE(1647)] = 57372,
  [SMALL_STATE(1648)] = 57380,
  [SMALL_STATE(1649)] = 57390,
  [SMALL_STATE(1650)] = 57400,
  [SMALL_STATE(1651)] = 57410,
  [SMALL_STATE(1652)] = 57420,
  [SMALL_STATE(1653)] = 57430,
  [SMALL_STATE(1654)] = 57440,
  [SMALL_STATE(1655)] = 57450,
  [SMALL_STATE(1656)] = 57458,
  [SMALL_STATE(1657)] = 57466,
  [SMALL_STATE(1658)] = 57474,
  [SMALL_STATE(1659)] = 57484,
  [SMALL_STATE(1660)] = 57492,
  [SMALL_STATE(1661)] = 57500,
  [SMALL_STATE(1662)] = 57510,
  [SMALL_STATE(1663)] = 57520,
  [SMALL_STATE(1664)] = 57530,
  [SMALL_STATE(1665)] = 57540,
  [SMALL_STATE(1666)] = 57550,
  [SMALL_STATE(1667)] = 57558,
  [SMALL_STATE(1668)] = 57568,
  [SMALL_STATE(1669)] = 57578,
  [SMALL_STATE(1670)] = 57588,
  [SMALL_STATE(1671)] = 57598,
  [SMALL_STATE(1672)] = 57608,
  [SMALL_STATE(1673)] = 57618,
  [SMALL_STATE(1674)] = 57628,
  [SMALL_STATE(1675)] = 57638,
  [SMALL_STATE(1676)] = 57646,
  [SMALL_STATE(1677)] = 57654,
  [SMALL_STATE(1678)] = 57664,
  [SMALL_STATE(1679)] = 57674,
  [SMALL_STATE(1680)] = 57684,
  [SMALL_STATE(1681)] = 57694,
  [SMALL_STATE(1682)] = 57702,
  [SMALL_STATE(1683)] = 57712,
  [SMALL_STATE(1684)] = 57722,
  [SMALL_STATE(1685)] = 57732,
  [SMALL_STATE(1686)] = 57742,
  [SMALL_STATE(1687)] = 57752,
  [SMALL_STATE(1688)] = 57762,
  [SMALL_STATE(1689)] = 57772,
  [SMALL_STATE(1690)] = 57782,
  [SMALL_STATE(1691)] = 57792,
  [SMALL_STATE(1692)] = 57802,
  [SMALL_STATE(1693)] = 57812,
  [SMALL_STATE(1694)] = 57822,
  [SMALL_STATE(1695)] = 57830,
  [SMALL_STATE(1696)] = 57838,
  [SMALL_STATE(1697)] = 57846,
  [SMALL_STATE(1698)] = 57856,
  [SMALL_STATE(1699)] = 57866,
  [SMALL_STATE(1700)] = 57876,
  [SMALL_STATE(1701)] = 57886,
  [SMALL_STATE(1702)] = 57896,
  [SMALL_STATE(1703)] = 57906,
  [SMALL_STATE(1704)] = 57914,
  [SMALL_STATE(1705)] = 57924,
  [SMALL_STATE(1706)] = 57932,
  [SMALL_STATE(1707)] = 57940,
  [SMALL_STATE(1708)] = 57950,
  [SMALL_STATE(1709)] = 57960,
  [SMALL_STATE(1710)] = 57970,
  [SMALL_STATE(1711)] = 57980,
  [SMALL_STATE(1712)] = 57990,
  [SMALL_STATE(1713)] = 58000,
  [SMALL_STATE(1714)] = 58008,
  [SMALL_STATE(1715)] = 58018,
  [SMALL_STATE(1716)] = 58025,
  [SMALL_STATE(1717)] = 58032,
  [SMALL_STATE(1718)] = 58039,
  [SMALL_STATE(1719)] = 58046,
  [SMALL_STATE(1720)] = 58053,
  [SMALL_STATE(1721)] = 58060,
  [SMALL_STATE(1722)] = 58067,
  [SMALL_STATE(1723)] = 58074,
  [SMALL_STATE(1724)] = 58081,
  [SMALL_STATE(1725)] = 58088,
  [SMALL_STATE(1726)] = 58095,
  [SMALL_STATE(1727)] = 58102,
  [SMALL_STATE(1728)] = 58109,
  [SMALL_STATE(1729)] = 58116,
  [SMALL_STATE(1730)] = 58123,
  [SMALL_STATE(1731)] = 58130,
  [SMALL_STATE(1732)] = 58137,
  [SMALL_STATE(1733)] = 58144,
  [SMALL_STATE(1734)] = 58151,
  [SMALL_STATE(1735)] = 58158,
  [SMALL_STATE(1736)] = 58165,
  [SMALL_STATE(1737)] = 58172,
  [SMALL_STATE(1738)] = 58179,
  [SMALL_STATE(1739)] = 58186,
  [SMALL_STATE(1740)] = 58193,
  [SMALL_STATE(1741)] = 58200,
  [SMALL_STATE(1742)] = 58207,
  [SMALL_STATE(1743)] = 58214,
  [SMALL_STATE(1744)] = 58221,
  [SMALL_STATE(1745)] = 58228,
  [SMALL_STATE(1746)] = 58235,
  [SMALL_STATE(1747)] = 58242,
  [SMALL_STATE(1748)] = 58249,
  [SMALL_STATE(1749)] = 58256,
  [SMALL_STATE(1750)] = 58263,
  [SMALL_STATE(1751)] = 58270,
  [SMALL_STATE(1752)] = 58277,
  [SMALL_STATE(1753)] = 58284,
  [SMALL_STATE(1754)] = 58291,
  [SMALL_STATE(1755)] = 58298,
  [SMALL_STATE(1756)] = 58305,
  [SMALL_STATE(1757)] = 58312,
  [SMALL_STATE(1758)] = 58319,
  [SMALL_STATE(1759)] = 58326,
  [SMALL_STATE(1760)] = 58333,
  [SMALL_STATE(1761)] = 58340,
  [SMALL_STATE(1762)] = 58347,
  [SMALL_STATE(1763)] = 58354,
  [SMALL_STATE(1764)] = 58361,
  [SMALL_STATE(1765)] = 58368,
  [SMALL_STATE(1766)] = 58375,
  [SMALL_STATE(1767)] = 58382,
  [SMALL_STATE(1768)] = 58389,
  [SMALL_STATE(1769)] = 58396,
  [SMALL_STATE(1770)] = 58403,
  [SMALL_STATE(1771)] = 58410,
  [SMALL_STATE(1772)] = 58417,
  [SMALL_STATE(1773)] = 58424,
  [SMALL_STATE(1774)] = 58431,
  [SMALL_STATE(1775)] = 58438,
  [SMALL_STATE(1776)] = 58445,
  [SMALL_STATE(1777)] = 58452,
  [SMALL_STATE(1778)] = 58459,
  [SMALL_STATE(1779)] = 58466,
  [SMALL_STATE(1780)] = 58473,
  [SMALL_STATE(1781)] = 58480,
  [SMALL_STATE(1782)] = 58487,
  [SMALL_STATE(1783)] = 58494,
  [SMALL_STATE(1784)] = 58501,
  [SMALL_STATE(1785)] = 58508,
  [SMALL_STATE(1786)] = 58515,
  [SMALL_STATE(1787)] = 58522,
  [SMALL_STATE(1788)] = 58529,
  [SMALL_STATE(1789)] = 58536,
  [SMALL_STATE(1790)] = 58543,
  [SMALL_STATE(1791)] = 58550,
  [SMALL_STATE(1792)] = 58557,
  [SMALL_STATE(1793)] = 58564,
  [SMALL_STATE(1794)] = 58571,
  [SMALL_STATE(1795)] = 58578,
  [SMALL_STATE(1796)] = 58585,
  [SMALL_STATE(1797)] = 58592,
  [SMALL_STATE(1798)] = 58599,
  [SMALL_STATE(1799)] = 58606,
  [SMALL_STATE(1800)] = 58613,
  [SMALL_STATE(1801)] = 58620,
  [SMALL_STATE(1802)] = 58627,
  [SMALL_STATE(1803)] = 58634,
  [SMALL_STATE(1804)] = 58641,
  [SMALL_STATE(1805)] = 58648,
  [SMALL_STATE(1806)] = 58655,
  [SMALL_STATE(1807)] = 58662,
  [SMALL_STATE(1808)] = 58669,
  [SMALL_STATE(1809)] = 58676,
  [SMALL_STATE(1810)] = 58683,
  [SMALL_STATE(1811)] = 58690,
  [SMALL_STATE(1812)] = 58697,
  [SMALL_STATE(1813)] = 58704,
  [SMALL_STATE(1814)] = 58711,
  [SMALL_STATE(1815)] = 58718,
  [SMALL_STATE(1816)] = 58725,
  [SMALL_STATE(1817)] = 58732,
  [SMALL_STATE(1818)] = 58739,
  [SMALL_STATE(1819)] = 58746,
  [SMALL_STATE(1820)] = 58753,
  [SMALL_STATE(1821)] = 58760,
  [SMALL_STATE(1822)] = 58767,
  [SMALL_STATE(1823)] = 58774,
  [SMALL_STATE(1824)] = 58781,
  [SMALL_STATE(1825)] = 58788,
  [SMALL_STATE(1826)] = 58795,
  [SMALL_STATE(1827)] = 58802,
  [SMALL_STATE(1828)] = 58809,
  [SMALL_STATE(1829)] = 58816,
  [SMALL_STATE(1830)] = 58823,
  [SMALL_STATE(1831)] = 58830,
  [SMALL_STATE(1832)] = 58837,
  [SMALL_STATE(1833)] = 58844,
  [SMALL_STATE(1834)] = 58851,
  [SMALL_STATE(1835)] = 58858,
  [SMALL_STATE(1836)] = 58865,
  [SMALL_STATE(1837)] = 58872,
  [SMALL_STATE(1838)] = 58879,
  [SMALL_STATE(1839)] = 58886,
  [SMALL_STATE(1840)] = 58893,
  [SMALL_STATE(1841)] = 58900,
  [SMALL_STATE(1842)] = 58907,
  [SMALL_STATE(1843)] = 58914,
  [SMALL_STATE(1844)] = 58921,
  [SMALL_STATE(1845)] = 58928,
  [SMALL_STATE(1846)] = 58935,
  [SMALL_STATE(1847)] = 58942,
  [SMALL_STATE(1848)] = 58949,
  [SMALL_STATE(1849)] = 58956,
  [SMALL_STATE(1850)] = 58963,
  [SMALL_STATE(1851)] = 58970,
  [SMALL_STATE(1852)] = 58977,
  [SMALL_STATE(1853)] = 58984,
  [SMALL_STATE(1854)] = 58991,
  [SMALL_STATE(1855)] = 58998,
  [SMALL_STATE(1856)] = 59005,
  [SMALL_STATE(1857)] = 59012,
  [SMALL_STATE(1858)] = 59019,
  [SMALL_STATE(1859)] = 59026,
  [SMALL_STATE(1860)] = 59033,
  [SMALL_STATE(1861)] = 59040,
  [SMALL_STATE(1862)] = 59047,
  [SMALL_STATE(1863)] = 59054,
  [SMALL_STATE(1864)] = 59061,
  [SMALL_STATE(1865)] = 59068,
  [SMALL_STATE(1866)] = 59075,
  [SMALL_STATE(1867)] = 59082,
  [SMALL_STATE(1868)] = 59089,
  [SMALL_STATE(1869)] = 59096,
  [SMALL_STATE(1870)] = 59103,
  [SMALL_STATE(1871)] = 59110,
  [SMALL_STATE(1872)] = 59117,
  [SMALL_STATE(1873)] = 59124,
  [SMALL_STATE(1874)] = 59131,
  [SMALL_STATE(1875)] = 59138,
  [SMALL_STATE(1876)] = 59145,
  [SMALL_STATE(1877)] = 59152,
  [SMALL_STATE(1878)] = 59159,
  [SMALL_STATE(1879)] = 59166,
  [SMALL_STATE(1880)] = 59173,
  [SMALL_STATE(1881)] = 59180,
  [SMALL_STATE(1882)] = 59187,
  [SMALL_STATE(1883)] = 59194,
  [SMALL_STATE(1884)] = 59201,
  [SMALL_STATE(1885)] = 59208,
  [SMALL_STATE(1886)] = 59215,
  [SMALL_STATE(1887)] = 59222,
  [SMALL_STATE(1888)] = 59229,
  [SMALL_STATE(1889)] = 59236,
  [SMALL_STATE(1890)] = 59243,
  [SMALL_STATE(1891)] = 59250,
  [SMALL_STATE(1892)] = 59257,
  [SMALL_STATE(1893)] = 59264,
  [SMALL_STATE(1894)] = 59271,
  [SMALL_STATE(1895)] = 59278,
  [SMALL_STATE(1896)] = 59285,
  [SMALL_STATE(1897)] = 59292,
  [SMALL_STATE(1898)] = 59299,
  [SMALL_STATE(1899)] = 59306,
  [SMALL_STATE(1900)] = 59313,
  [SMALL_STATE(1901)] = 59320,
  [SMALL_STATE(1902)] = 59327,
  [SMALL_STATE(1903)] = 59334,
  [SMALL_STATE(1904)] = 59341,
  [SMALL_STATE(1905)] = 59348,
  [SMALL_STATE(1906)] = 59355,
  [SMALL_STATE(1907)] = 59362,
  [SMALL_STATE(1908)] = 59369,
  [SMALL_STATE(1909)] = 59376,
  [SMALL_STATE(1910)] = 59383,
  [SMALL_STATE(1911)] = 59390,
  [SMALL_STATE(1912)] = 59397,
  [SMALL_STATE(1913)] = 59404,
  [SMALL_STATE(1914)] = 59411,
  [SMALL_STATE(1915)] = 59418,
  [SMALL_STATE(1916)] = 59425,
  [SMALL_STATE(1917)] = 59432,
  [SMALL_STATE(1918)] = 59439,
  [SMALL_STATE(1919)] = 59446,
  [SMALL_STATE(1920)] = 59453,
  [SMALL_STATE(1921)] = 59460,
  [SMALL_STATE(1922)] = 59467,
  [SMALL_STATE(1923)] = 59474,
  [SMALL_STATE(1924)] = 59481,
  [SMALL_STATE(1925)] = 59488,
  [SMALL_STATE(1926)] = 59495,
  [SMALL_STATE(1927)] = 59502,
  [SMALL_STATE(1928)] = 59509,
  [SMALL_STATE(1929)] = 59516,
  [SMALL_STATE(1930)] = 59523,
  [SMALL_STATE(1931)] = 59530,
  [SMALL_STATE(1932)] = 59537,
  [SMALL_STATE(1933)] = 59544,
  [SMALL_STATE(1934)] = 59551,
  [SMALL_STATE(1935)] = 59558,
  [SMALL_STATE(1936)] = 59565,
  [SMALL_STATE(1937)] = 59572,
  [SMALL_STATE(1938)] = 59579,
  [SMALL_STATE(1939)] = 59586,
  [SMALL_STATE(1940)] = 59593,
  [SMALL_STATE(1941)] = 59600,
  [SMALL_STATE(1942)] = 59607,
  [SMALL_STATE(1943)] = 59614,
  [SMALL_STATE(1944)] = 59621,
  [SMALL_STATE(1945)] = 59628,
  [SMALL_STATE(1946)] = 59635,
  [SMALL_STATE(1947)] = 59642,
  [SMALL_STATE(1948)] = 59649,
  [SMALL_STATE(1949)] = 59656,
  [SMALL_STATE(1950)] = 59663,
  [SMALL_STATE(1951)] = 59670,
  [SMALL_STATE(1952)] = 59677,
  [SMALL_STATE(1953)] = 59684,
  [SMALL_STATE(1954)] = 59691,
  [SMALL_STATE(1955)] = 59698,
  [SMALL_STATE(1956)] = 59705,
  [SMALL_STATE(1957)] = 59712,
  [SMALL_STATE(1958)] = 59719,
  [SMALL_STATE(1959)] = 59726,
  [SMALL_STATE(1960)] = 59733,
  [SMALL_STATE(1961)] = 59740,
  [SMALL_STATE(1962)] = 59747,
  [SMALL_STATE(1963)] = 59754,
  [SMALL_STATE(1964)] = 59761,
  [SMALL_STATE(1965)] = 59768,
  [SMALL_STATE(1966)] = 59775,
  [SMALL_STATE(1967)] = 59782,
  [SMALL_STATE(1968)] = 59789,
  [SMALL_STATE(1969)] = 59796,
  [SMALL_STATE(1970)] = 59803,
  [SMALL_STATE(1971)] = 59810,
  [SMALL_STATE(1972)] = 59817,
  [SMALL_STATE(1973)] = 59824,
  [SMALL_STATE(1974)] = 59831,
  [SMALL_STATE(1975)] = 59838,
  [SMALL_STATE(1976)] = 59845,
  [SMALL_STATE(1977)] = 59852,
  [SMALL_STATE(1978)] = 59859,
  [SMALL_STATE(1979)] = 59866,
  [SMALL_STATE(1980)] = 59873,
  [SMALL_STATE(1981)] = 59880,
  [SMALL_STATE(1982)] = 59887,
  [SMALL_STATE(1983)] = 59894,
  [SMALL_STATE(1984)] = 59901,
  [SMALL_STATE(1985)] = 59908,
  [SMALL_STATE(1986)] = 59915,
  [SMALL_STATE(1987)] = 59922,
  [SMALL_STATE(1988)] = 59929,
  [SMALL_STATE(1989)] = 59936,
  [SMALL_STATE(1990)] = 59943,
  [SMALL_STATE(1991)] = 59950,
  [SMALL_STATE(1992)] = 59957,
  [SMALL_STATE(1993)] = 59964,
  [SMALL_STATE(1994)] = 59971,
  [SMALL_STATE(1995)] = 59978,
  [SMALL_STATE(1996)] = 59985,
  [SMALL_STATE(1997)] = 59992,
  [SMALL_STATE(1998)] = 59999,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 35),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 15),
  [223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 35),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 15),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(573),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1416),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1807),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1275),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1808),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1645),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(516),
  [260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(742),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(742),
  [266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(740),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(121),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1182),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(922),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1947),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1691),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1809),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1161),
  [290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(30),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(902),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(875),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(981),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1147),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1551),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1487),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1486),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1711),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1649),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(693),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1977),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1658),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(312),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1996),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(605),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1832),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1839),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1816),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(731),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(726),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1841),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1842),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1474),
  [362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(797),
  [365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1655),
  [368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1525),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(797),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(789),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(571),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1420),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1896),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1281),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1859),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1646),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(157),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1184),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(920),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(45),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1650),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1663),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(732),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1830),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1648),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(231),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1997),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(617),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1976),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1975),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1865),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(570),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1417),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1727),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1272),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1728),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1697),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(378),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1179),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(916),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(42),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1671),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1712),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(691),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1775),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1672),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(330),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1982),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(591),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1772),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1771),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1730),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(572),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1401),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1910),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1253),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1897),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1685),
  [651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(277),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1177),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(953),
  [660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(38),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1662),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1682),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(752),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1750),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1670),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(392),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1998),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(604),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1828),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1827),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1901),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(575),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1405),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1995),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1236),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1991),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1707),
  [720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(516),
  [723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(742),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(742),
  [729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(740),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1185),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(951),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1947),
  [741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1691),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1809),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1161),
  [750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(39),
  [753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(902),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(875),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(981),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1147),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1551),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1487),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1486),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1687),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1678),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(703),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1791),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1664),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(431),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1796),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(590),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1819),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1825),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1831),
  [807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(731),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(726),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1841),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1842),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1474),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1166),
  [825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1655),
  [828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1525),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1166),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(789),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(565),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(516),
  [855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(742),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(742),
  [861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(740),
  [864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(121),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1182),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(902),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1947),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1691),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1809),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(30),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(875),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(981),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1147),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1551),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1487),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1486),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1711),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1649),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1658),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(312),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1996),
  [918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(605),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1832),
  [924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1839),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1816),
  [930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(731),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(726),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1841),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1842),
  [942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1474),
  [945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(797),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1655),
  [951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1525),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(797),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(789),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(566),
  [963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(157),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1184),
  [969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(45),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1650),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1663),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1648),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(231),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1997),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(617),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1976),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1975),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1865),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(567),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(378),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1179),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(42),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1671),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1712),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1672),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(330),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1982),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(591),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1772),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1771),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1730),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(569),
  [1055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(277),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1177),
  [1061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(38),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1662),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1682),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1670),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(392),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1998),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(604),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1828),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1827),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1901),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(564),
  [1098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(307),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1185),
  [1104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(39),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1687),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1678),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1664),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(431),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1796),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(590),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1819),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1825),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1831),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(568),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1641),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1654),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1987),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 47),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 47),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 7, .production_id = 89),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, .production_id = 89),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 62),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 62),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 64),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 64),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 67),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 67),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 29),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 29),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 27),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 27),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 25),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 25),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 24),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 24),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 77),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 77),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 78),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 78),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 79),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 79),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 80),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 80),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 81),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 81),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 91),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 91),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 94),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 94),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 95),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 95),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 100),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 100),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 103),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 103),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 109),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 109),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 63),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 63),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 53),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 53),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 46),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 41),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 41),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 14),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 14),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 15),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 15),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 15),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 15),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 15),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 15),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 36),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 36),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 16),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 16),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 19),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 19),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 74),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 74),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 35),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 35),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 34),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 34),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 33),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 33),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 60),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 60),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 35),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 35),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 59),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 59),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 58),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 58),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 55),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 55),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 30),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 30),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(824),
  [1471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(516),
  [1474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(742),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(742),
  [1480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(740),
  [1483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(121),
  [1486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1709),
  [1489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(30),
  [1492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1711),
  [1495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1649),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(693),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1977),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1658),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(312),
  [1510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1996),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(605),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1832),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1839),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1816),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(731),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(726),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1841),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1842),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1474),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(797),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1655),
  [1546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1525),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(797),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(789),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(825),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(307),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(39),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1687),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1678),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(703),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1791),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1664),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(431),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1796),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(590),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1819),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1825),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1831),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(823),
  [1600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(378),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(42),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1671),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1712),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(691),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1775),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1672),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(330),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1982),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(591),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1772),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1771),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1730),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(820),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1641),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(676),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1829),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1654),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1987),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(826),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(157),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(45),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1650),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1663),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(732),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1830),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1648),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(231),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1997),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(617),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1976),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1975),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1865),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(822),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(277),
  [1707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(38),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1662),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1682),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(752),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1750),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1670),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(392),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1998),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(604),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1828),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1827),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1901),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1150),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1912),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1285),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [1900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1756),
  [1903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1698),
  [1906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(902),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1947),
  [1912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1651),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1809),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(875),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(981),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1147),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1551),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1487),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1486),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 35),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 35),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [1968] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1), SHIFT(1138),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1913),
  [2001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1270),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1826),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1704),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1858),
  [2023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1235),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1798),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1701),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1914),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1286),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1873),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1710),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(755),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1525),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 56),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 56),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 108),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 108),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 26),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 26),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 57),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 57),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 99),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 99),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 82),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 82),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 84),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 84),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 40),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 40),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 40),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 40),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 70),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 70),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 48),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 48),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 10),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 11),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 11),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 107),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 107),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 73),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 73),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 98),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 98),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 32),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 32),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 85),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 85),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 112),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 112),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 69),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 69),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(821),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(902),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1947),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1651),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1809),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(875),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 15),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 15),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 35),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 35),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 36),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 36),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 29),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 29),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 37),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 37),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 15),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 15),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 29),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 29),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 90),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 90),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 59),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 59),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 35),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 35),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 60),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 60),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 29),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 29),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 53),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 53),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 53),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 53),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 37),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 37),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 74),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 74),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 90),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 90),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(926),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 12),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 12),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [2635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 12),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 12),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [2643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1157),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 39),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [2682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(1947),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 21),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 21),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 21),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 21),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 88),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 43),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 43),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 43), SHIFT(1947),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 65),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 52),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 20),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 20),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 20),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 20),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 22),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 22),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 22),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 22),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 45),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 45),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 45),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 45),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 20),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 20),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 20), SHIFT(1947),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 21),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 21),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 20),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 20),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 43),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 43),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 49),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 49),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 66),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 66),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 66),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 66),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 66), SHIFT(1947),
  [3026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 5),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 5),
  [3030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1138),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 20),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 20),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 21),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 21),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(875),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 13),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 13),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 22),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 22),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 20),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 20),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 45),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 45),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8), SHIFT(1947),
  [3093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [3097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [3099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [3101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, .production_id = 45),
  [3107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, .production_id = 45),
  [3109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 12),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 12),
  [3121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 22),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 22),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3152] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1138),
  [3156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 2),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 12),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 12),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 2),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 26),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 26),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 11),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 11),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1327),
  [3300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1325),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 37),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__typedef_sized_type_specifier, 2),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__typedef_sized_type_specifier, 2),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__typedef_sized_type_specifier, 2), SHIFT_REPEAT(1330),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typedef_type_specifier, 1, .production_id = 5),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typedef_type_specifier, 1, .production_id = 5),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [3434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(1743),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__typedef_sized_type_specifier, 1),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__typedef_sized_type_specifier, 1),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typedef_type_specifier, 1, .production_id = 1),
  [3467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__typedef_type_specifier, 1, .production_id = 1), SHIFT(1138),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typedef_type_specifier, 1, .production_id = 1),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(1691),
  [3487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 50),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 71),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .production_id = 31),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .production_id = 31),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2),
  [3511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2), SHIFT_REPEAT(1947),
  [3514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, .production_id = 31),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, .production_id = 31),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 28),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 86),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 71),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 86),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 50),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [3562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 50),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 86),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 28),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 71),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 87),
  [3644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 87),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 51),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 51),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .production_id = 31),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .production_id = 31),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 51),
  [3660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 51),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 72),
  [3664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 72),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 72),
  [3668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 72),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 51),
  [3672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 51),
  [3674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [3676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [3678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 29),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [3682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 87),
  [3686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 87),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 44),
  [3690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 44),
  [3692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat2, 2, .production_id = 28),
  [3694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [3696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 51),
  [3704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 51),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 38),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [3718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 62),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 17),
  [3724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [3726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [3730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [3738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(1515),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(700),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [3750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1868),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 72),
  [3755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 72),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 51),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 51),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 28),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 50),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 41),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 51),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 51),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 31),
  [3773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 31),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 87),
  [3779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 87),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 61),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 51),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 75),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 87),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 72),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 51),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 31),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 18),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 54), SHIFT_REPEAT(1373),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 54),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 97),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 110), SHIFT_REPEAT(1476),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 110),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 83),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 68),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 68),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 96), SHIFT_REPEAT(1429),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 96),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 42),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 105),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 96), SHIFT_REPEAT(1439),
  [3941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 96),
  [3943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [3945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1531),
  [3948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1531),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 83),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(621),
  [3968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(1246),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(1659),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(760),
  [3991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 76),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(552),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 28),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 68),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 104),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 68),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 106),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(1090),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 104),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 97),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 111),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 113), SHIFT_REPEAT(1895),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 113),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 114),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 114),
  [4112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1699),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat2, 2, .production_id = 54), SHIFT_REPEAT(1379),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat2, 2, .production_id = 54),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 54), SHIFT_REPEAT(1353),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 54),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(1665),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1),
  [4212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 42),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 106),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [4300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4516] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 36),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 74),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 59),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 74),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 60),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 59),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
